var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-67D0E365-27EF-4F3D-9B5F-B80232002BF5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>float_limit : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_limit - superclass: FloatController; super-superclass:MAXWrapper - 6:0 - classID: #(387087934, 0) </code></pre><p>The <strong>Float_Limit</strong> controller can be used to limit the values of another controller to a user-defined value range.</p>\n\
<p>It is available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">float_limit... FloatLimitCtrl... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.enable BooleanClass default: true -- boolean </code></pre><p>Enable and disable the limit controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.lower_limit Float default: -10000.0 -- animatable; float </code></pre><p>Get and set the lower limit of the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.lower_limit_enabled BooleanClass default: true -- boolean </code></pre><p>Enable and disable the use of the lower limit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.static_value Float default: 0.0 -- float </code></pre><p>Get and set the static value of the limit controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.upper_limit Float default: 10000.0 -- animatable; float </code></pre><p>Get and set the upper limit of the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float_limit&gt;.upper_limit_enabled BooleanClass default: true -- boolean </code></pre><p>Enable and disable the use of the upper limit.</p>\n\
<p><strong>float_limit interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:limits </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;IsEnabled () </code></pre><p>Returns true if the limit controller is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetEnabled &lt;boolean&gt;enabled </code></pre><p>Sets the enabled state of the controller to the boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;GetLimitedControl () </code></pre><p>Returns the controller which is being limited.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetLimitedControl &lt;control&gt;limitedCtrl </code></pre><p>Sets the controller to be limited.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetUpperLimit &lt;time&gt;time &lt;(null)&gt;value  \n\
value is In and Out parameter</code></pre><p>Sets the upper limit of the controller at the specified time to the given value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetLowerLimit &lt;time&gt;time &lt;(null)&gt;value \n\
value is In and Out parameter</code></pre><p>Sets the lower limit of the controller at the specified time to the given value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Float-Controllers.html\">Float Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";