var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-59BB69EE-2B44-4D1B-8135-DECFCC685A88\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XRef_Controller : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">XRef_Controller - superclass: Matrix3Controller; super-superclass:MAXWrapper - 7:7 - classID: #(855328311, 1711097899) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xref_controller&#x2026; </code></pre><p><strong>XRef_Controller Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefItem </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;XRef_Controller&gt;.xrefCtrlStatus     Name    default: #XRefed   --  enum</code></pre><p>Get/set the XRef Controller&apos;s Status as a name value.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#XRefed</strong></p>\n\
<p><strong>#Local</strong></p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.srcFileName : filename : Read|Write </code></pre><p>Get/Set the XRef source filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.srcItemName : string : Read|Write </code></pre><p>Get/Set the source item name as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.xrefRecord : Interface : Read </code></pre><p>Get the XRef Record Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.unresolved : boolean : Read </code></pre><p>Contains true if the XRef is unresolved, false if resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.nested : boolean : Read </code></pre><p>Contains true if the XRef is nested, false if not nested.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.retargetable : boolean : Read </code></pre><p>Contains true if the XRef is retargetable, false of not.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;GetSrcItem resolveNested:&lt;boolean&gt; \n\
resolveNested default value: false </code></pre><p>Returns the source item as maxObject. If resolveNested is set to false or not supplied, nested XRefs will not be resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
parentItems is Out parameter </code></pre><p>Returns the Parent Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
rootItems is Out parameter </code></pre><p>Returns the Root Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
childItems is Out parameter </code></pre><p>Returns the Child Items of the XRef Controller into the array passed as by-reference parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetNodes &lt;&amp;node array&gt;xrefNodes \n\
xrefNodes is Out parameter </code></pre><p>Returns the Nodes using the XRef Controller into the array passed as by-reference parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IXRefCtrl </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.xrefCtrlStatus : enum : Read|Write\n\
xrefCtrlStatus enums: {#XRefed|#Local}\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;GetSourceCtrl &lt;boolean&gt;resolveNestedXRef </code></pre><p>Returns the Source Controller of the XRef Controller. If the argument is passed as true, nested XRefs will be resolved. If passed as false, nested XRefs will not be resolved.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ResetOffsetTM () </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Matrix3-Controllers.html\">Matrix3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Matrix3Controller-MAXWrapper.html\">Matrix3Controller : MAXWrapper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";