var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89C2988C-92CD-48CE-B795-0229BD3563E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Fog : Atmospheric</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Fog - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(268435457, 0) </code></pre><p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fog ... </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Fog_Color Color default: (color 255 255 255) -- animatable </code></pre><p>Get/set the fog color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Use_Color_Map Integer default: 0 </code></pre><p>Get/set the state of the Use Color Map option:</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Use_Opacity_Map Integer default: 0 </code></pre><p>Get/set the state of theUseOpacityMapoption:</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Fog_Background Integer default: 1 </code></pre><p>Get/set the Fog Background option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Fog_Type Integer default: 0 </code></pre><p>Get/set theFogtype.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Standard</p>\n\
<p>1 - Layered</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Exponential Integer default: 0 </code></pre><p>Get/set the state of the exponential fog option.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Near Float default: 0.0 -- animatable, percentage </code></pre><p>Get/set the fog near value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Far Float default: 100.0 -- animatable, percentage </code></pre><p>Get/set the fog far value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Top Float default: 100.0 -- animatable </code></pre><p>Get/set the layered fog top location.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Bottom Float default: 0.0 -- animatable </code></pre><p>Get/set the layered fog bottom location.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Density Float default: 50.0 -- animatable </code></pre><p>Get/set the layered fog density.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.falloff Integer default: 2 </code></pre><p>Get/set the layered fogfalloffmode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Top</p>\n\
<p>1 - Bottom</p>\n\
<p>2 - None</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.Horizon_Noise Integer default: 0 </code></pre><p>Get/set the state of theHorizonNoiseoption.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - off</p>\n\
<p>1 - on</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.size Float default: 20.0 -- animatable </code></pre><p>Get/set the noise size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.angle Float default: 5.0 -- animatable, angle </code></pre><p>Get/set the noise angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Fog&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Get/set the noise phase.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You currently cannot assign texture maps as the color and opacity maps using MAXScript. Once these texture maps have been assigned, they are accessible as subAnims of Fog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Atmospheric-Effect-Types.html\">Atmospheric Effect Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Atmospheric-Effects-Common.html\">Atmospheric Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";