var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C60A1B9E-863E-43ED-8B14-0483EAF0753C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ADT_Style : ReferenceTarget</h1></div><p>This class provides access to the Style of Architectural Desktop objects imported into <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p><strong>Alias:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ADTStyle</code></pre><h2 id=\"adt_style-interfaces-\">ADT_Style interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IADTStyle </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Name :String: Read|Write </code></pre><p>Get/set the name of the Style</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numComponents : integer : Read </code></pre><p>Returns the number of components.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numInstances : integer : Read </code></pre><p>Returns the number of instances.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetCategory () </code></pre><p>Returns an <a href=\"ADT_Category-ReferenceTarget.html\">ADT_Category MixinInterface</a> providing access to the category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;SetInstance &lt;node&gt;styleInst &lt;boolean&gt;hasCompVisOvrd </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RemoveInstance &lt;node&gt;styleInst </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;SetComponent &lt;integer&gt;styleInstIterator &lt;node&gt;compInst &lt;string&gt;compName &lt;boolean&gt;hasMtlOvrd &lt;boolean&gt;keepRelTransf</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;RemoveComponent &lt;string&gt;compName</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetCompositeStyle () </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetComponents &lt;&amp;Interface array&gt;components\n\
       components is In and Out parameter</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetInstances &lt;&amp;node array&gt;instances mtlOverrides:&lt;&amp;bitArray&gt;\n\
       instances is In and Out parameter\n\
       mtlOverrides default value: undefined\n\
       mtlOverrides is In and Out parameter</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;FindInstance &lt;node&gt;node mtlOverride:&lt;&amp;boolean&gt;\n\
       mtlOverride default value: undefined\n\
       mtlOverride is In and Out parameter</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Architectural-Desktop-Import.html\">Architectural Desktop Import Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ADT_Category-ReferenceTarget.html\">ADT_Category : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"Architectural-Desktop-Import-1.html\">Architectural Desktop Import</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";