var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6DBE74F3-4336-4588-96E7-13974DAD99B2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly: GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Editable_Poly - superclass: GeometryClass; super-superclass:node - 127:0 - classID: #(469250957, 422535320)</code></pre><p><strong>Editable_Poly</strong> is the general editable version of all the editable poly objects, in the same way that Editable meshes relate to geometry objects. They are the class of node objects that are the result of collapsing a modifier stack to anEditablePolyobject.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>While Editable_Poly class instances cannot be created directly by MAXScript, geometry objects of other classes can be converted to Editable_Poly.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ep = editable_mesh name:(uniquename&quot;EPoly&quot;) --create an empty EMesh\n\
   convertTo ep Editable_Poly --convert to Editable_Poly\n\
</code></pre></blockquote>\n\
<p><strong>Alias</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">EditablePolyMesh</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Editable_Poly Topics:</strong></p>\n\
<p><a href=\"Editable_Poly-Properties.html\">Editable_Poly Properties</a></p>\n\
<p><a href=\"Editable_Poly-Methods.html\">Editable_Poly Methods</a></p>\n\
<p><a href=\"Editable_Poly-Mapping-Methods.html\">Editable_Poly Mapping Methods(polyOp struct)</a></p>\n\
<p><a href=\"Interface-EditablePoly.html\">Interface: EditablePoly</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly.html\">Editable_Poly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";