var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1B692115-DBBF-4D06-8B05-BFF7296BECCA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Create Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.createVert &lt;Poly poly&gt; &lt;point3 pos&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Creates a vertex as the specified position.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the position is in the poly&apos;s local coordinate system.</p>\n\
<p>Returns the index of the created vertex or undefined if no vertex was created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.createEdge &lt;Poly poly&gt; &lt;int vert1&gt; &lt;int vert2&gt;</code></pre><p>Creates an edge using the two specified vertices.</p>\n\
<p>The vertices must be used by a common face.</p>\n\
<p>Returns the index of the created edge or <code>undefined</code> if no edge was created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.createPolygon &lt;Poly poly&gt; &lt;vertex array&gt;</code></pre><p>Creates a face using the specified vertices.</p>\n\
<p>The order of the vertices in the face is the order in the vertex array. For each successive vertex pair, at most one edge might exist between the vertices and that edge must not go from the first to second vertex.</p>\n\
<p>The default triangulation for a face with the specified number of vertices is used if the face is not convex. This triangulation might be inappropriate.</p>\n\
<p>If this is the case, call <code>retriangulate()</code> on this face after it is created.</p>\n\
<p>Returns the index of the created face or undefined if no face was created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> polyop.createShape &lt;Poly poly&gt; &lt;edgelist&gt; \\\n\
smooth:&lt;boolean=false&gt; name:&lt;string=&quot;Shape01&quot;&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Creates a shape node from the specified edges.</p>\n\
<p>If <code>&lt;smooth&gt;</code> is <code>true</code> , the shape is created as a smooth curve.</p>\n\
<p>The name of the new node is specified by <code>&lt;name&gt;</code>.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly (not a node), <code>&lt;node&gt;</code> must be specified.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";