var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B801F6E2-FCA6-43CF-A736-B7C157135A65\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Weld Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.weldVertsByThreshold &lt;Poly poly&gt; &lt;vertlist&gt;</code></pre><p>Welds the specified vertices that are within the threshold distance.</p>\n\
<p>The threshold distance is a property (weldThreshold) of the editable poly.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.weldVerts &lt;Poly poly&gt; &lt;int vert1&gt; &lt;int vert2&gt; &lt;point3 location&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Welds the two specified vertices with the resulting vertex positioned at the specified location.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the location is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the location is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.weldEdgesByThreshold &lt;Poly poly&gt; &lt;edgelist&gt;</code></pre><p>Welds the vertices associated with the specified edges that are within the threshold distance.</p>\n\
<p>The threshold distance is a property ( <code>weldThreshold</code> ) of the editable poly.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.weldEdges &lt;Poly poly&gt; &lt;int edge1&gt; &lt;int edge2&gt;</code></pre><p>Welds the vertices associated with the specified edges.</p>\n\
<p>Only vertices on a border can be welded.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";