var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-87A31BAC-84A1-4BE7-A948-E8BEB77B0ED7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: AutoTangentMan</h1></div><p>This Core Interface provides access to the AutoTangent algorithm settings of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: AutoTangentMan</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AutoTangentMan.NewControllersAutoTangentAlgorithm : enum : Read|Write\n\
\n\
NewControllersAutoTangentAlgorithm enums: {#unsupported | #legacy | #unified}</code></pre><p>Get/set the default Auto Tangent algorithm for new controllers.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#unsupported</strong> - Auto Tangents are not supported.</p>\n\
<p><strong>#legacy</strong> - Use the legacy algorithm of <strong>3ds Max 2011 and earlier</strong>.</p>\n\
<p><strong>#unified</strong> - Use the unified Auto Tangent algorithm implemented in <strong>Autodesk 3ds Max 2012</strong>, <strong>Autodesk Maya 2012</strong> and <strong>Autodesk Softimage 2012</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;AutoTangentMan.SupportsAutoTangent &lt;maxObject&gt;anim</code></pre><p>Returns true if the supplied Anim supports Auto Tangents, false if it does not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;AutoTangentMan.GetAutoTangentAlgorithm &lt;maxObject&gt;anim\n\
\n\
GetAutoTangentAlgorithm enums: {#unsupported | #legacy | #unified}</code></pre><p>Returns the Auto Tangent Algorithm of the supplied Anim argument.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#unsupported</strong> - the controller does not support Auto Tangents.</p>\n\
<p><strong>#legacy</strong> - the controller uses the legacy algorithm of <strong>3ds Max 2011 and earlier</strong>.</p>\n\
<p><strong>#unified</strong> - the controller uses the unified Auto Tangent algorithm implemented in <strong>Autodesk 3ds Max 2012</strong>, <strong>Autodesk Maya 2012</strong> and <strong>Autodesk Softimage 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;AutoTangentMan.SetAutoTangentAlgorithm &lt;enum&gt;algorithm &lt;&amp;maxObject array&gt;anims\n\
\n\
algorithm enums: {#unsupported | #legacy | #unified}\n\
anims is In and Out parameter </code></pre><p>Sets the Auto Tangent Algorithm of the Anims passed in the second argument&apos;s array to the mode specified by the first argument.</p>\n\
<p>See above for description of the possible algorithm enums.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>--none--</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../A.html\">A</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";