var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2083B4DA-F81E-4994-B273-9CD4EB6B2458\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: globalDXDisplayManager</h1></div><p>The <strong>globalDXDisplayManager Core Interface</strong> controls how DirectX shaders are being drawn in the viewports.</p>\n\
<p>It affects the <a href=\"./../../../../Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX 9 Shader : Material</a> and all other Viewport Manager shaders.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalDXDisplayManager.forceSoftware : boolean : Read|Write      </code></pre><p>If set to <code>true</code> , it will prevent the shaders from being displayed, and will default to the base material viewport display handler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalDXDisplayManager.forceSelected : boolean : Read|Write   </code></pre><p>This will only be active if Force Software is set to <code>true</code> , it will allow the display of shaders on only selected objects - if they are not selected, they will use the default material viewport display code.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">globalDXDisplayManager.sceneEffectActive : boolean : Read|Write </code></pre><p>If set to <code>true</code> , Scene Effects will be active. If set to <code>false</code> , no Scene Effects will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;globalDXDisplayManager.isDXActive() </code></pre><p>Returns true if DirectX is active.</p>\n\
<p>The default location for setting this data is in the Material Editor Options dialog.</p>\n\
<p>There is also a Macroscript that will set these up, so they can be added by the user to the CUI system - see <em>Macro_DXDisplay.mcr</em>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";