var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B041BCEA-8A17-4DE4-96E1-A4E466DCE2FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: nvpxConsts</h1></div><p>This Core Interface exposes the NVIDIA PHYSX Constants used by the MassFX Simulation sub-system.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_RBTYPE_DYNAMIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_RBTYPE_KINEMATIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_RBTYPE_STATIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_SPHERE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_BOX : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_CAPSULE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_CONVEX : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_ORIGINAL : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_CUSTOM : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SHAPE_COMPOSITE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_DOF_LOCKED : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_DOF_LIMITED : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_DOF_FREE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SIM_DISABLED : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SIM_PREPARING : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SIM_RUNNING : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_SIM_REWINDING : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_HOST_PLAYBACK : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_HOST_BAKE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_HOST_UNBAKE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_HOST_EXPORT : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_HOST_SETTLE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_RIGID : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_SLIDE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_HINGE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_TWIST : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_UNIV : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_BALLSOCK : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_CONSTRAINT_GEAR : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ONLASTFRAME_CONTINUE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ONLASTFRAME_STOP : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ONLASTFRAME_LOOP : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_LOOP_RESET : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_LOOP_CONTINUE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_DYNAMIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_KINEMATIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_STATIC : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_RB_OVER : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_UNDEFINED : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_CLOTH : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_SOFTBODY : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_FORCEFIELD : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_FLUID : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_METAL_CLOTH : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_RB : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_RB_RAGDOLL : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_RB_BONE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_CLOTHING : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_D6 : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_RIGIDSHAPE : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_SBCLOTHING : integer : Read</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">nvpxConsts.PX_ACTORTYPE_DESTRUCTION : integer : Read</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";