var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A931AEA2-FA80-4014-A367-9E7BE5D5F3E8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SchematicViews</h1></div><p>The <strong>SchematicViews Interface</strong> provides access to properties and methods of the new Schematic View system in <strong>3ds Max 6</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SchematicViews.current : Interface : Read      </code></pre><p>Returns a <a href=\"Interface-SchematicViews.html\">SchematicView MixinInterface</a> which gives access to properties and methods of the current Schematic View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;SchematicViews.getView &lt;value&gt;name_or_index   </code></pre><p>Returns a <a href=\"Interface-SchematicViews.html\">SchematicView MixinInterface</a> to the named or indexed Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;SchematicViews.numViews() </code></pre><p>Returns the number of existing Schematic Views.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.open &lt;value&gt;name_or_index </code></pre><p>Opens the named or indexed Schematic View.</p>\n\
<p>If the name does not exist yet, opens a new Schematic View with the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.close &lt;value&gt;name_or_index </code></pre><p>Closes the named or indexed Schematic View.</p>\n\
<p>Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.delete &lt;value&gt;name_or_index </code></pre><p>Deletes the named or indexed Schematic View.</p>\n\
<p>Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.isOpen &lt;value&gt;name_or_index </code></pre><p>Returns <code>True</code> if the Schematic View specified by name or index is open.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.isCurrent &lt;value&gt;name_or_index </code></pre><p>Returns <code>True</code> if the Schematic View specified by name or index is the current one.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.setCurrent &lt;value&gt;name_or_index </code></pre><p>Makes the Schematic View specified by name or index the current one.</p>\n\
<p>Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SchematicViews.openLastView() </code></pre><p>Opens the last Schematic View. Returns <code>True</code> on success.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-SchematicViews.html\">Interface: SchematicViews</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";