var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-59B66893-D5D6-4EB9-ACA8-77A3B7076DB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: walkThroughOps</h1></div><p>The <strong>WalkThroughOps Core Interface</strong> provides access to the Walkthrough viewport navigation mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: walkThroughOps </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.isEnabled : boolean : Read   </code></pre><p>Returns true if walkthrough mode is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.isActive : boolean : Read </code></pre><p>Returns true if the walkthrough mode is active, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.stepSize : float : Read|Write </code></pre><p>Get/Set the step size value which controls the linear speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.sensitivity : float : Read|Write </code></pre><p>Get/Set the sensitivity value which controls the angular speed the higher the value, the faster the Pitch and Yaw.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.invertVertical : boolean : Read|Write </code></pre><p>When set to true, the vertical axis will be inverted - moving the mouse up will Pitch the camera up, moving the mouse down will Pitch down.</p>\n\
<p>When set to false(default), moving the mouse pointer up will rotate the camera to look down and vice-versa.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.lockVertical : boolean : Read|Write </code></pre><p>When set to true, no Pitch will be allowed.</p>\n\
<p>When set to false (default), looking up and down will be possible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.lockHorizontal : boolean : Read|Write </code></pre><p>When set to true, no Yaw will be allowed.</p>\n\
<p>When set to false (default), looking left and right will be possible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">walkThroughOps.accelerate : boolean : Read|Write </code></pre><p>When set to true, the linear speed will be adjusted relatively to the size of the scene.</p>\n\
<p>When false(default), the absolute step size will be used.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;walkThroughOps.start() </code></pre><p>Enables the walkthrough mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;walkThroughOps.stop() </code></pre><p>Disables the walkthrough mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;walkThroughOps.level() </code></pre><p>Aligns the view vector to be parallel to the XY world plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;walkThroughOps.resetStepSize() </code></pre><p>Resets the Step Size to the default value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";