var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B3CE9392-75B4-417B-8199-52448D4F51BA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: simpleManip</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: simpleManip </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mouseState : enum : Read   \n\
\n\
mouseState enums: {#mouseIdle|#mouseDragging|#mouseOverManip} </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearGizmos() </code></pre><p>This must be called at the beginning of the &quot;updateGizmos&quot; handler in order to clear the current gizmo cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addGizmoMesh &lt;mesh&gt;mesh &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor </code></pre><p>This creates a gizmo from a mesh (or geometry in <strong>3ds Max</strong> lingo).</p>\n\
<p>The mesh can be any arbitrary <strong>3ds Max</strong> mesh, and created with the tools in MAXScript for creating meshes.</p>\n\
<p>One convenient way to do this is to create an instance of a primitive and get the mesh from it.</p>\n\
<p>The flags can be 0, or one or more of these value. If you want more than one flag to apply, then you add the values together.</p>\n\
<p><code>&lt;integer&gt;flags:</code> Use one of the following values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">0: gizmoDontDisplay </code></pre><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1: gizmoDontHitTest </code></pre><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2: gizmoActiveViewportOnly </code></pre><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addGizmoShape &lt;Interface&gt;gizmo &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor </code></pre><p>This creates a gizmo from a shape object. The <code>gizmoShape</code> can be created using functions from the &quot;manip&quot; package, described below.</p>\n\
<p><integer> <code>flags:</code> Use one of the following values:</integer></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">0: gizmoDontDisplay </code></pre><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1: gizmoDontHitTest </code></pre><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2: gizmoActiveViewportOnly </code></pre><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">3: gizmoUseScreenSpace </code></pre><p>This tells the system to interpret the coordinates of the shape as device coordinates in the viewport, not as 3d values. The values are still specified as 3d points, but the &quot;Z&quot; coordinate is ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">4: gizmoUseRelativeScreenSpace </code></pre><p>This is like gizmoUseScreenSpace, but the coordinates are specified as values from 0.0 to 1.0, and interpreted in each viewport as a percentage of the width or height of the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addGizmoMarker &lt;enum&gt;marker &lt;point3&gt;position &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor\n\
\n\
marker enums: {#point | #hollowBox | #plusSign | #asterisk | #xMarker | #bigBox | #circle | #triangle | #diamond | #smallHollowBox | #smallCircle | #smallTriangle | #smallDiamond | #dot | #smallDot} </code></pre><p>The position is a point in 3d space, or 2d screen space. The flags are the same ones supported by addGizmoShape.</p>\n\
<p><code>&lt;point3&gt; position:</code> The position is a point in 3d space, or 2d screen space.</p>\n\
<p><code>&lt;integer&gt; flags:</code> Use one of the following values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">0: gizmoDontDisplay </code></pre><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">1: gizmoDontHitTest </code></pre><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">2: gizmoActiveViewportOnly </code></pre><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">3: gizmoUseScreenSpace </code></pre><p>This tells the system to interpret the coordinates of the shape as device coordinates in the viewport, not as 3d values. The values are still specified as 3d points, but the &quot;Z&quot; coordinate is ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">4: gizmoUseRelativeScreenSpace </code></pre><p>This is like gizmoUseScreenSpace, but the coordinates are specified as values from 0.0 to 1.0, and interpreted in each viewport as a percentage of the width or height of the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addGizmoText &lt;string&gt;text &lt;point3&gt;position &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor </code></pre><p>This creates a gizmo that is text on the screen.</p>\n\
<p>Note that text cannot be hit-tested or grabbed by the mouse.</p>\n\
<p>It is used for display purposes only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ray&gt;getLocalViewRay &lt;point2&gt;m </code></pre><p>This function takes a mouse position and returns the ray that passes through that mouse position in the direction of the view.</p>\n\
<p>It is returned in the local coordinates of the node that owns the manipulator target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;updateGizmos &lt;time&gt;t &lt;&amp;string&gt;toolTip \n\
\n\
toolTip is In and Out parameter </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Manipulator-Interfaces.html\">Manipulator Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\">Scripted Manipulators</a></li>\n\
          <li><a class=\"link\" href=\"../../../Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\">Interface: manip</a></li>\n\
          <li><a class=\"link\" href=\"Interface-simpleManip.html\">Interface: simpleManip</a></li>\n\
          <li><a class=\"link\" href=\"Interface-gizmoShape.html\">Interface: gizmoShape</a></li>\n\
          <li><a class=\"link\" href=\"Interface-manipPlane.html\">Interface: manipPlane</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Cone_Angle-helper.html\">Cone_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Plane_Angle-helper.html\">Plane_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/sliderManipulator-helper.html\">sliderManipulator : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingHeightManip-helper.html\">uvwMappingHeightManip : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingLengthManip-helper.html\">uvwMappingLengthManip : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Manipulators/Non-Creatable-Manipulators/uvwMappingWidthManip-helper.html\">uvwMappingWidthManip : helper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";