var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0AC4CA23-6A1D-41E6-8566-8EEF56ED2FCA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATHierarchyBranch : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATHierarchyBranch : FloatController {94e2d9c,2c702b5} </code></pre><p>This Controller is a component of the CAT Motion Controllers Hierarchy of <strong>3ds Max CAT</strong>.</p>\n\
<p><img src=\"./images/GUID-3E038686-6902-4E71-A6AA-FA68E0969937-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATHierarchyBranch CATHierarchyBranch2 </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.Branches (Layer) : float array </code></pre><p>Contains the array of sub-branches of the current controller.</p>\n\
<p>Accessing the .controller property if the array&apos;s items returns the <a href=\"CATHierarchyBranch.html\">CATHierarchyBranch controller</a> of the corresponding sub-branch.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.BranchNames (LayerNames) : string array </code></pre><p>Get/set the array of sub-branch names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.Expandable : integer </code></pre><p>Get/set the Expandable option value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.BranchParent : maxObject </code></pre><p>Contains the parent controller of the current branch.</p>\n\
<p>This can be either a <a href=\"CATHierarchyRoot-FloatController.html\">CATHierarchyRoot</a> or a <a href=\"CATHierarchyBranch.html\">CATHierarchyBranch</a> controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.BranchIndex : integer </code></pre><p>Contains the index of the current branch within the hierarchy of its parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.BranchOwner : maxObject </code></pre><p>Contains the branch owner controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.Leaves : maxObject array </code></pre><p>Contains the array of <a href=\"CATHierarchyLeaf-FloatController.html\">CATHierarchyLeaf</a> controllers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.LeafNames : string array </code></pre><p>Contains the array of leaf names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.UIType : integer </code></pre><p>Get/set the UI Type option value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.isWelded : integer </code></pre><p>Get/set the Welded option value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.Controller : maxObject array </code></pre><p>Contains an array of controllers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.OwnerSubNum : integer </code></pre><p>Contains the Sub-anim index within the Owner of the Branch.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.Limbs (CATLimbData) : maxObject array </code></pre><p>Contains an array of <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2 controllers</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATHierarchyBranch&gt;.CATHierarchyRoot : maxObject </code></pre><p>Contains the <a href=\"CATHierarchyRoot-FloatController.html\">CATHierarchyRoot</a> controller of the Branch.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";