var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FC759C08-4182-4327-B0E0-9F9BE0A585C4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CATMotion Functions</h1></div><p>This Function Publishing Interface is exposed by the <a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\">CATHierarchyRoot : FloatController</a> and <a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\">CATMotionLayer : FloatController</a> which are part of the CATMotion animation system of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-catmotion-functions\">Interface: CATMotion Functions</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .FootStepMasks : boolean : Read|Write      </code></pre><p>Get/set the the state of the Footsetp Masks option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .ManualUpdates : boolean : Read|Write   </code></pre><p>Get/set the state of the Manual Update option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;CreateCATWindow() </code></pre><p>Creates a CATWindow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;LoadPreset &lt;String&gt;filename &lt;boolean&gt;newlayer </code></pre><p>Loads a preset from the file specified by the first argument.</p>\n\
<p>If the second argument is true, the preset will be loaded into a new layer.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;SavePreset &lt;String&gt;filename </code></pre><p>Saves a preset to the file specified by the first argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;AddLayer() </code></pre><p>Adds a new layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;RemoveLayer &lt;integer&gt;index </code></pre><p>Removes the indexed layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;CreateFootPrints() </code></pre><p>Creates footprints.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;ResetFootPrints &lt;boolean&gt;bOnlySelected </code></pre><p>Resets the footprints.</p>\n\
<p>If the argument is true, only the selected footprints will be reset.</p>\n\
<p>If the argument is false, all footprints will be reset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;RemoveFootPrints &lt;boolean&gt;bOnlySelected </code></pre><p>Removes the footprints.</p>\n\
<p>If the argument is true, only the selected footprints will be removed.</p>\n\
<p>If the argument is false, all footprints will be removed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;boolean&gt;SnapToGround &lt;node&gt;grnd &lt;boolean&gt;bOnlySelected </code></pre><p>Removes Snaps the footprints to the ground object specified by the first argument.</p>\n\
<p>If the second argument is true, only the selected footprints will be snapped to the ground.</p>\n\
<p>If the second argument is false, all footprints will be snapped to the ground.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;UpdateDistCovered() </code></pre><p>Updates the covered distance information.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;UpdateSteps() </code></pre><p>Updates the steps.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATHierarchyRoot-FloatController.html\">CATHierarchyRoot : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\">CATMotionLayer : FloatController</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";