var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D6EB8D36-020E-4C5A-912F-F701CD7512D3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IKTarget : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IKTarget : helper {67a52f20,2eac1b81} </code></pre><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constrcutor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IKTarget IKTargetObj </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IKTarget&gt;.controller: maxObject </code></pre><p>Contains the transformation controller of the IKTarget, e.g. a <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\">CATFootTrans2 : Matrix3Controller</a> of a leg&apos;s IKTarget.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IKTarget&gt;.cross: boolean </code></pre><p>Get/set the display mode of the IKTarget in the viewport.</p>\n\
<p>When set to true, the IKTarget will be displayed as a cross.</p>\n\
<p>When set to false, the IKTarget will be displayed as a platform (typical for legs IK).</p>\n\
<p>Corresponds to the radio buttons Cross/Platform in the modify panel rollout of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IKTarget&gt;.Length: float </code></pre><p>Get/set the length of the IKTarget when set to display as Platform (see above).</p>\n\
<p>When set to display as a cross, this property has no effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IKTarget&gt;.Width: float </code></pre><p>Get/set the width of the IKTarget when set to display as Platform, or the size of the cross when set to display as a cross.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;IKTarget&gt;.CATUnits: worldUnits </code></pre><p>Contains the [<a href=\"About-CATUnit-Ratio.html\">CATUnits Ratio</a>] of the <a href=\"CATParent-Helper.html\">CATParent</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";