var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E3A75D15-D3FE-4C2C-BE4E-852461B4A79B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Muscle_Strand : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Muscle_Strand - superclass: helper; super-superclass:node - 10:10 - classID: #(131020930, 1206916674) </code></pre><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Muscle_Strand... MuscleStrand... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below-\">The following properties are actually exposed by the Interfaces below:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.CurrentLength Float default: -4.31602e+008 -- float;   </code></pre><p>Contains the current length of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.CurrentScale Float default: 1.0 -- float; </code></pre><p>Contains the current scale of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.DefaultLength Float default: 0.0 -- float; </code></pre><p>Get/set the default length of the Muscle Strand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.Handles Array default: #($Muscle_Handle:Muscle Strand001M_Start @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_StartHdl @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_End @ [0.000000,0.000000,0.000000], $Muscle_Handle:Muscle Strand001M_EndHdl @ [0.000000,0.000000,0.000000]) -- node by value array; </code></pre><p>Contains an array of <a href=\"Muscle_Handle-Helper.html\">Muscle_Handle objects</a></p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.HandleSize Float default: 10.0 -- float </code></pre><p>Get/set the size of the Muscle Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.HandlesVisible BooleanClass default: true -- boolean </code></pre><p>Get/set the state of the visibility option of the Muscle Handles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.LMR Integer default: 0 -- integer </code></pre><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.NumSpheres Integer default: 7 -- integer </code></pre><p>Get/set the number of spheres used to approximate the shape of the muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.SquashStretch BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the squash/stretch option of the Muscle Strand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Muscle_Strand&gt;.SquashStretchScale Float default: 1.0 -- float </code></pre><p>Get/set the Squash/Stretch Scale value of the Muscle Strand.</p>\n\
<p><strong>Muscle_Strand interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: CATMuscleStrand Functions </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LMR : integer : Read|Write </code></pre><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .HandleSize : float : Read|Write </code></pre><p>Get/set the handle size of the muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .HandlesVisible : boolean : Read|Write </code></pre><p>Get/set whether the handles are visible or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .Handles : node by value array : Read </code></pre><p>Contains an array of <a href=\"Muscle_Handle-Helper.html\">Muscle_Handle objects</a></p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .NumSpheres : integer : Read|Write </code></pre><p>Get/set the number of spheres used to approximate the shape of the muscle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .CurrentLength : float : Read </code></pre><p>Contains the current length of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .CurrentScale : float : Read </code></pre><p>Contains the current scale of the Muscle Strand.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .SquashStretch : boolean : Read|Write </code></pre><p>Get/set the state of the squash/stretch option of the Muscle Strand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .DefaultLength : float : Read|Write </code></pre><p>Get/set the default length of the Muscle Strand.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SquashStretchScale: float : Read|Write </code></pre><p>Get/set the Squash/Stretch Scale value of the Muscle Strand.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;PasteStand &lt;maxObject&gt;SourceStrand </code></pre><p>Pastes the settings from the source strand supplied as first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetSphereRadius &lt;index&gt;index </code></pre><p>Returns the Sphere readius of the indexed sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetSphereRadius &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the readius of the indexed sphere to the valuesupplied as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetSphereUStart &lt;index&gt;index </code></pre><p>Returns the U Start of the indexed sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetSphereUStart &lt;index&gt;index &lt;float&gt;value </code></pre><p>SetstheU Startof the indexed sphereto the value supplied as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;float&gt;GetSphereUEnd &lt;index&gt;index </code></pre><p>Returns theU Endof the indexed sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;SetSphereUEnd &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the U End of the indexed sphere to the value supplied as second argument.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";