var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-679F210A-C719-4BB7-BA8C-AAC8BB863AC4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Limitations on using MAXScript with Particle Flow</h1></div><p>MAXScript can be used in the Every Step and Final Step scripts of the <a href=\"Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> and in the Scripted Actions - <a href=\"Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a>, <a href=\"Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> and <a href=\"Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a>.</p>\n\
<p>These scripts are executed very often and in a very special environment, for example, during rendering. This is why it is not possible to use all MAXScript commands with <strong>Particle Flow</strong>.</p>\n\
<p><strong>Here are some known limitations:</strong></p>\n\
<ul>\n\
<li><p>You <strong>cannot</strong> reset <strong>3ds Max</strong> from inside a <strong>Particle Flow</strong> script.</p>\n\
</li>\n\
<li><p>You <strong>cannot</strong> create a new <strong>3ds Max</strong> scene.</p>\n\
</li>\n\
<li><p>You <strong>cannot</strong> open an existing.MAX file.</p>\n\
</li>\n\
<li><p>You <strong>cannot</strong> merge a MAX file with the current scene.</p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p>You <strong>cannot</strong> create or delete <strong>Particle Flow</strong> Operators.</p>\n\
</li>\n\
<li><p>You <strong>cannot</strong> excessively create objects during the evaluation of <strong>Particle Flow</strong> scripts (for example inside the <strong>on Proceed</strong> method).</p>\n\
</li>\n\
<li><p>You <strong>cannot</strong> delete objects from inside a <strong>Particle Flow</strong> script.</p>\n\
</li>\n\
<li><p>The MAXScript <code>snapshot as mesh</code> method should not be used during render time (like in the Proceed method), or all objects that the shapshot as mesh method is used upon should be hidden during render, otherwise a crash will occur.</p>\n\
</li>\n\
</ul>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There are techniques allowing the creation of a <strong>limited</strong> number of new objects as shown in the <a href=\"Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\">Fragmentation script example</a>.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for.html\">MAXScript Extensions for Particle Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-Flow-and-MAXScript.html\">Particle Flow and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"Using-MAXScript-with-Particle.html\">Using MAXScript with Particle Flow</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";