var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-39E17644-5D8B-4674-8AE7-B0B043E0E64B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Select_Object : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Select_Object - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1137313554, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Select_Object</strong> Particle Data View sub-operator defines a reference object to derive properties from.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Select_Object...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All</strong> (default)</p>\n\
<p>1 - <strong>Geometry</strong></p>\n\
<p>2 - <strong>PFlow Systems</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.Independent_PFlow_System     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Independent PFlow System&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.Single_Or_Multiple     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the &quot;Single System/Multiple Systems&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single System</strong> (default)</p>\n\
<p>1 - <strong>Multiple Systems</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.object     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the <strong>&quot;Single System&quot;</strong> object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.objects     ArrayParameter    default: #()   --  node array</code></pre><p>Get/set the <strong>&quot;Multiple Systems&quot;</strong> array of objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Select_Object&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Filter socket connection.</p>\n\
<h2 id=\"select_object-interfaces-\">Select_Object interfaces:</h2><p><strong>The following common interface is exposed by the Select_Object Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";