var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-19BAC97A-19F2-47D3-85CD-B93F9506E82D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BirthGrid : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BirthGrid - superclass: helper; super-superclass:node - 23:0 - classID: #(1935830529, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>BirthGrid</strong> operator generates particles and places them in a grid-like structure to fill up the volume of the operator&apos;s icon or a reference geometry.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BirthGrid...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Emit_Time     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Emit Time&quot;</strong> spinner</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Base_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Grid Base&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Square</strong> (default)</p>\n\
<p>1 - <strong>Triangle</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Size     Float    default: 1.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Grid Size&quot;</strong> parameter in world units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Use_Non_Uniform_Grid     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Non-Uniform Grid&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), the Grid Size value will be used to distribute particles uniformly along all three axes.</p>\n\
<p>When set to True, the Grid Size will be scaled by the <code>.Grid_Length</code> , <code>.Grid_Width</code> and <code>.Grid_Height</code> percentage values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Length     Float    default: 100.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Grid Lenght %&quot;</strong> spinner.</p>\n\
<p>Used when <code>.Use_Non_Uniform_Grid</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Width     Float    default: 100.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Grid Width %&quot;</strong> spinner.</p>\n\
<p>Used when <code>.Use_Non_Uniform_Grid</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Height     Float    default: 100.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Grid Height %&quot;</strong> spinner.</p>\n\
<p>Used when <code>.Use_Non_Uniform_Grid</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Use_Alternating_Lateral_Offset     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Alternate Lateral Offset&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Compact_Vertical_Size     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Compact Vertical Size&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Use_Random_Vertical_Offset     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Random Vertical Offset&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Grid_Offset     Float    default: 100.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Grid Offset %&quot;</strong> spinner.</p>\n\
<p>Used when <code>.Use_Random_Vertical_Offset</code> is set to True to randomize the vertical offset of the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Random_Seed     Integer    default: 45921   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Restrict_By_Mesh_Volume     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Restrict By Mesh Volume&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Delete_Internal_Particles     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Delete Internal Particles&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.External_Layers     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;External Layers #&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Interactive_Update     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Interactive Update&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Reference_Geometry     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the geometry object reference used to restrict the grid by mesh volume.</p>\n\
<h2 id=\"icon-size-group-of-controls\">Icon Size group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Icon_Length     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Icon_Width     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Icon_Height     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Color_Type     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Upper_Limit     Integer    default: 10000000   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Upper Limit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BirthGrid&gt;.Save_Grid_Data_With_File     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Save Grid Data With File&quot;</strong> checkbox.</p>\n\
<h2 id=\"birthgrid-interfaces-\">BirthGrid interfaces:</h2><p><strong>Interface: BirthGrid</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Birth_Group&gt;.CalculateMeshVolumeLimits()</code></pre><p>Equivalent to pressing the <strong>&quot;Calculate Mesh Volume Limits&quot;</strong> button in the operator&apos;s UI.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the BirthGrid Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";