var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-26735E7E-9F8E-4E70-A992-986C448459E9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AirFlow_Node : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AirFlow_Node - superclass: helper; super-superclass:node - 26:0 - classID: #(1509449990L, 515064320L)</code></pre>\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The AirFlow_Node helper is deprecated as of <strong>3ds Max 2022</strong> and may be removed in a future release.</p>\n\
\n\
</div></div>\n\
\n\
<p>The AirFlow_Node helper converts CFD Data to particle flow nodes for airflow simulations. Available in <strong>in 3ds Max 2018 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  this class is not creatable in the 3ds Max ParticleFlow UI. It can only be created via MAXScript.</div>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Color     Color    default: (color 255 255 255)   --  RGB color</code></pre><p>Gets or sets the node color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Color_Levels     Integer    default: 16   --  integer</code></pre><p>Gets or sets the number of color levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Color_RGB_To_Script_Vector     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets the value of the Color RBG --&gt; Script Vector check box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Color_Type     BooleanClass    default: true   --  boolean</code></pre><p>Gets or sets the value of the Color Coordinated check box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Data_Display     Integer    default: 0   --  integer</code></pre><p>Gets or sets the Color Data setting for the node, where:</p>\n\
<ul>\n\
<li><p>0 = None</p>\n\
</li>\n\
<li><p>1=Pressure</p>\n\
</li>\n\
<li><p>2=Temperature</p>\n\
</li>\n\
<li><p>3=Scal1</p>\n\
</li>\n\
<li><p>4=Turbk</p>\n\
</li>\n\
<li><p>5=Heat Flux</p>\n\
</li>\n\
<li><p>6=Shear Mag</p>\n\
</li>\n\
<li><p>7=NVol</p>\n\
</li>\n\
<li><p>8=Density</p>\n\
</li>\n\
<li><p>9=Match</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Data_Source_File     UndefinedClass    default: undefined   --  filename; !error setting value!</code></pre><p>Gets or sets the .csv data source file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Display_Type     Integer    default: 0   --  integer</code></pre><p>Gets or sets the display type where:</p>\n\
<ul>\n\
<li><p>0=None</p>\n\
</li>\n\
<li><p>1=Dots</p>\n\
</li>\n\
<li><p>2=Ticks</p>\n\
</li>\n\
<li><p>3=Circles</p>\n\
</li>\n\
<li><p>4=Boxes</p>\n\
</li>\n\
<li><p>5=Lines</p>\n\
</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Emit_Time     Integer    default: 0   --  integer</code></pre><p>Gets or sets the Emit Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Icon_Height     Float    default: 10.0   --  worldUnits\n\
&lt;AirFlow_Node&gt;.Icon_Length     Float    default: 10.0   --  worldUnits\n\
&lt;AirFlow_Node&gt;.Icon_Width     Float    default: 10.0   --  worldUnits</code></pre><p>Gets or sets the Icon Size values for height, length, and width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Intensity_To_Script_Integer     BooleanClass    default: false   --  boolean; Intensity_To_Script_Vector</code></pre><p>Gets or sets the value of the Intensity --&gt; Script Integer check box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Load_For_Inside_Icon_Only     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets the value of the Load For Inside Icon Only checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Load_For_Visible_Only     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets the value of the Load For Visible % Only checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Random_Seed     Integer    default: 45921   --  integer</code></pre><p>Gets or sets the Visibility Randomness random seed value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Rotation_Offset_X     Float    default: 0.0   --  angle\n\
&lt;AirFlow_Node&gt;.Rotation_Offset_Y     Float    default: 0.0   --  angle\n\
&lt;AirFlow_Node&gt;.Rotation_Offset_Z     Float    default: 0.0   --  angle</code></pre><p>Gets or sets the Data Rotation Offset value for X, Y and Z axes. This is a Euler angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Save_Data_With_Max_File     BooleanClass    default: true   --  boolean</code></pre><p>Gets or sets the value of the Save Data With .max File checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Speed_Factor     Float    default: 1.0   --  float</code></pre><p>Gets or sets the speed factor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Translation_Offset_X     Float    default: 0.0   --  worldUnits \n\
&lt;AirFlow_Node&gt;.Translation_Offset_Y     Float    default: 0.0   --  worldUnits \n\
&lt;AirFlow_Node&gt;.Translation_Offset_Z     Float    default: 0.0   --  worldUnits</code></pre><p>Gets or sets the Data Translation Offset X, Y, and Z values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Upper_Limit     Integer    default: 1000000   --  integer</code></pre><p>Gets or sets the Upper Limit for data statistics.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Visible_Inside_Icon_Only     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets the Visible Inside Icon Only checkbox value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AirFlow_Node&gt;.Visible_Ratio     Float    default: 100.0   --  percent</code></pre><p>Gets or sets the Visible % value.</p>\n\
<h2 id=\"airflow_node-interfaces-\">AirFLow_Node interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the AirFlow_Node Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other.html\">Other</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";