var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D1935F6-F7AE-445A-9F99-726310E28E31\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Speed : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed - superclass: helper super-superclass:node - classID: #(1962490632, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Speed</strong> operator provides basic controls over particle speed and direction.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Speed... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Speed Float default:300.0 --world units </code></pre><p>Get/set the particle speed in system units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Variation Float default:0.0 --world units </code></pre><p>Get/set the amount by which particle speed can vary, in system units per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Direction Integer default:0 </code></pre><p>0: <strong>Along Icon Arrow</strong> - Particles move parallel to the icon arrow. Rotate the icon to change the direction.</p>\n\
<p>1: <strong>Icon Center Out</strong> - Each particle moves along an imaginary line drawn between the particle&apos;s location and the icon center.</p>\n\
<p>2: <strong>Icon Arrow Out</strong> - Each particle moves along an imaginary line drawn between the particle&apos;s location and the icon arrow. The line is perpendicular to the icon arrow, which is considered an infinite line for this purpose.</p>\n\
<p>3: <strong>Random 3D</strong> - Particles move in all directions. This option is affected by the <code>.Random_Seed</code> setting.</p>\n\
<p>4: <strong>Random Horizontal</strong> - Each particle moves in a random horizontal direction; that is, parallel to the world XY plane. This option is affected by the <strong>Random_Seed</strong> value.</p>\n\
<p>5: <strong>Inherit Previous</strong> - Uses the current direction of motion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Reverse Boolean default:false </code></pre><p>When set to True, the direction is reversed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Divergence Float default:0.0 </code></pre><p>When set to True, spreads out the particle stream. Use the numeric setting to define the extent of the divergence, in degrees. Range is from 0 to 180. The value is animatable.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This value is not used when Direction is set to <strong>3 : Random 3D</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Speed&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"speed-interfaces-\">Speed Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Speed.html\">Speed</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";