var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-66B957E2-276F-439F-90CB-7336AFF505A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PFlow_Collision_Shape : SpacewarpModifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PFlow_Collision_Shape - superclass: SpacewarpModifier; super-superclass:MAXWrapper - 15:0 - classID: #(-2103479135, 1733841833)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Skinner</strong> SpacewarpModifier enables standard mesh objects to participate as particle deflectors in the MassFX simulation.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PFlow_Collision_Shape... \n\
PhysXShapeWSM... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.active     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Activate&quot;</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Shape     Integer    default: 6   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Shape&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Plane</strong></p>\n\
<p>1 - <strong>Sphere</strong></p>\n\
<p>2 - <strong>Box</strong></p>\n\
<p>3 - <strong>Capsule</strong></p>\n\
<p>4 - unused</p>\n\
<p>5 - <strong>Convex Hull</strong></p>\n\
<p>6 - <strong>Geometry</strong> (default)</p>\n\
<p>100 - <strong>Animated Surface</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Smooth_Surface     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Smooth Surface&quot;</strong> checkbox.</p>\n\
<h2 id=\"bounce-and-friction-group-of-controls\">Bounce And Friction group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Restitution     Float    default: 0.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Restitution&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Static_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Static Friction&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Dynamic_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Dynamic Friction&quot;</strong> spinner.</p>\n\
<h2 id=\"animated-surface-group-of-controls\">Animated Surface group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Thickness     Float    default: 1.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Thickness&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Normal_Offset     Float    default: 0.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Normal Offset&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Side_Overlap     Float    default: 0.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Side Overlap&quot;</strong> spinner.</p>\n\
<h3 id=\"collision-primitive-location-group-of-controls\">Collision Primitive Location group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Placement_Vertices     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Vertices&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Placement_Edges     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Edges&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Placement_Polygons     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Polygons&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Selected_Only     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Selected Only&quot;</strong> checkbox.</p>\n\
<h3 id=\"collision-promotove-size-group-of-controls\">Collision Promotove Size group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Primitive_Size_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Collision Primitive Size&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Fit By Current Frame</strong> (default)</p>\n\
<p>1 - <strong>Fit By Minimization</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PFlow_Collision_Shape&gt;.Visualize_Collision_Shape     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Visualize Collision Shape&quot;</strong> checkbox.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Particle-Flow-Modifiers.html\">Particle Flow Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";