var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8AEE10A8-9075-4F53-A7CF-7FB4FBB43285\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Buoyancy : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Buoyancy - superclass: helper; super-superclass:node - 17:0 - classID: #(1935830532, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Buoyancy</strong> operator defines forces for a particle submerged in a liquid medium.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Buoyancy...\n\
PhysXBuoyancy...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Density     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Liquid Density&quot;</strong> spinner.</p>\n\
<h2 id=\"surface-level-group-of-controls\">Surface Level group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Level_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Surface Level radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Height</strong> (default)</p>\n\
<p>1 - <strong>Plane Primitive</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Level_Height     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Grid_Geometry     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the object assigned to he <strong>&quot;Plane Primitive&quot;</strong> pick button.</p>\n\
<h2 id=\"drag-factors-group-of-controls\">Drag Factors group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Use_Quadratic_Drag     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Quadratic Unit&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Quadratic_Drag     Float    default: 10.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Quadratic Drag&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Use_Linear_Drag     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Linear Unit&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Linear_Drag     Float    default: 10.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Linear Drag&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Use_Angular_Drag     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Angular Drag&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Angular_Drag     Float    default: 10.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Angular Drag&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Surface_Unit     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Surface Unit&quot;</strong> spinner.</p>\n\
<h2 id=\"icon\">Icon</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Icon_Shape     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1- <strong>Cylinder</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Icon_Length     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Icon_Width     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Icon_Height     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Limit_Buoyancy_By_Icon     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Buoyancy By Icon&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Buoyancy&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Color Coordinated Icon&quot;</strong> checkbox.</p>\n\
<h2 id=\"mp_buoyancy-interfaces-\">mP_Buoyancy interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Buoyancy Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";