var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-40B76BA5-06BB-413E-81FB-0091F9FFEB7E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Solvent : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Solvent - superclass: helper; super-superclass:node - 15:0 - classID: #(1935830280, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Solvent</strong> operator removes bindings created by <a href=\"mP_Glue-Helper.html\">mP_Glue</a>.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Solvent...\n\
PhysXSolvent... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"binding-type-to-break-group-of-controls\">Binding Type To Break group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Particles_To_Particles     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Particles To Particles&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Particles_To_Deflectors     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Particles To Deflectors&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Particles_To_Ground     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Particles To Ground&quot;</strong> checkbox.</p>\n\
<h2 id=\"massfx-glue-to-dissolve-controls\">MassFX Glue To Dissolve controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Limit_Solvent_By_List     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Solvent By List&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Glue_Tests     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>Get/set the array of <a href=\"mP_Glue-Helper.html\">mP_Glue</a> tests to dissolve.</p>\n\
<h2 id=\"limit-solvent-by-time-controls\">Limit Solvent By Time controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Limit_Solvent_By_Time     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Solvent By Time&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Start&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Stop&quot;</strong> spinner.</p>\n\
<h2 id=\"limit-solvent-by-data-controls\">Limit Solvent By Data controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Limit_Solvent_By_Data     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Solvent By Data&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the data channel to control the Solvent with.</p>\n\
<h2 id=\"limit-solvent-by-icon-controls\">Limit Solvent By Icon controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Limit_Solvent_By_Icon     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Limit Solvent By Icon&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.mode     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Mode&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Slice</strong> (default)</p>\n\
<p>1 - <strong>Volume</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Icon_Shape     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Icon&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong></p>\n\
<p>1 - <strong>Rectangle</strong> (default)</p>\n\
<p>2 - <strong>Sphere</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Icon_Size     Float    default: 10.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Size&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Solvent&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<h2 id=\"mp_solvent-interfaces-\">mP_Solvent interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Solvent Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";