var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-369FAD27-E733-4E86-9D8F-9C093212A3BC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: MaxscriptParticleContainer</h1></div><p><strong>The MaxscriptParticleContainer Interface is exposed by Particle Containers and is available in Particle Script handlers</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<h3 id=\"the-following-properties-can-be-used-in-the-channelsused-handler-\">The following properties can be used in the ChannelsUsed handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useTime : boolean : Read|Write         </code></pre><p>When set to <strong>true</strong>, the Time channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useAge : boolean : Read|Write      </code></pre><p>When set to <strong>true</strong>, the Age channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useLifespan : boolean : Read|Write   </code></pre><p>When set to <strong>true</strong>, the Lifespan channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useEventTime : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the EventTime channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.usePosition : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Position channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useSpeed : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Speed channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useAcceleration : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Acceleration channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useOrientation : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Oritnation channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useSpin : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Spin channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useScale : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Scale channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useTM : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the TM (Transformation Matrix) channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useSelected : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Selected channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useShape : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Shape channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useMtlIndex : boolean: Read|Write </code></pre><p>When set to <strong>true</strong>, the Material Index channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useMapping : boolean: Read|Write </code></pre><p>When set to <strong>true</strong>, the Mapping channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useInteger : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Integer channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useFloat : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Float channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useVector : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Vector channel will be available for scripting access.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.useMatrix : boolean : Read|Write </code></pre><p>When set to <strong>true</strong>, the Matrix channel will be available for scripting access.</p>\n\
<h3 id=\"the-following-properties-can-be-used-in-the-proceed-handler-\">The following properties can be used in the Proceed handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleIndex : index : Read|Write|Validated by Range: 1 to 100000000 </code></pre><p>Get/Set current particle index</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleID : index : Read|Write|Validated by Range: 1 to 100000000 </code></pre><p>Get/Set current particle ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleNew : boolean : Read </code></pre><p>Check if particle just arrived into the event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleTime : time : Read|Write </code></pre><p>Get/Set the Time of the current particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleAge : time : Read|Write|Validated by Range: 0f to 9e+006f </code></pre><p>Get/Set the Age of the current particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleLifespan : time : Read|Write|Validated by Range: 0f to 9e+006f </code></pre><p>Get/Set the Lifespan of the current particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleEventTime : time : Read|Write|Validated by Range: 0f to 9e+006f </code></pre><p>Get/Set for how long the particle is present in the current event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particlePosition : point3 : Read|Write </code></pre><p>Get/Set the current particle Position</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleSpeed : point3 : Read|Write </code></pre><p>Get/Set the current particle Speed</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleAcceleration : point3 : Read|Write </code></pre><p>Get/Set the current particle Acceleration</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleOrientation : point3 : Read|Write </code></pre><p>Get/Set the current particle Orientation</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleSpin : angleAxis : Read|Write </code></pre><p>Get/Set the current particle Spin</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleScale : float : Read|Write </code></pre><p>Get/Set the current particle&#x2019;s Size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleScaleXYZ : point3 : Read|Write </code></pre><p>Get/Set the current particle&#x2019;s Scale</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleTM : matrix3 : Read|Write </code></pre><p>Get/Set the current particle transformation matrix</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleSelected : boolean : Read|Write </code></pre><p>Get/Set whether the particle is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleShape : mesh : Read|Write </code></pre><p>Get/Set the particle mesh</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleInteger : integer : Read|Write </code></pre><p>Store/Retrieve custom integer data per particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleTestStatus : boolean : Read|Write </code></pre><p>Get/set the particle&apos;s test status.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleTestTime : time : Read|Write|Validated by Range: 0f to 9e+006f </code></pre><p>Get/set the particle&apos;s test time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleFloat : float : Read|Write </code></pre><p>Store/Retrieve custom float data per particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleVector : point3 : Read|Write </code></pre><p>Store/Retrieve custom vector data per particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;particeContainer&gt;.particleMatrix : matrix3 : Read|Write </code></pre><p>Store/Retrieve custom matrix data per particle.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The particleMatrix channel could be used to store either a matrix3 value or a set of 4 Point3 values, or 12 Float values. This makes it very versatile when a large number of values have to be stored. As noted in the matrix3 chapter, you cannot directly assign values to sub-elements of a matrix3 value. To write a Point3 or Float value to the particleMatrix channel, first store the particleMatrix value in a user variable, assign the Point3 to the respective row of the matrix or the Float value to the.x,.y or.z element of the Point3 and then assign the variable back to the particleMatrix channel.</p>\n\
<p><strong>Methods:</strong></p>\n\
<h3 id=\"to-use-in-init-release-and-proceed-handler-\">To use in Init, Release and Proceed handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IObject&gt;getParticleContainer() </code></pre><p>Get particle container</p>\n\
<h3 id=\"to-use-in-init-and-proceed-handler-\">To use in Init and Proceed handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object&gt;getParticleSystem() </code></pre><p>Get the particle system object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getParticleSystemNode() </code></pre><p>Get the particle system node</p>\n\
<h3 id=\"to-use-in-init-handler-\">To use in Init handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;object array&gt;getInitActions() </code></pre><p>Get list of all action objects in the action list</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node array&gt;getInitActionNodes() </code></pre><p>Get list of all action nodes in the action list</p>\n\
<h3 id=\"to-use-in-proceed-handler-\">To use in Proceed handler:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getTimeStart() </code></pre><p>Get the start time of the proceed interval</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getTimeEnd() </code></pre><p>Get the end time of the proceed interval</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTimeEnd &lt;time&gt;time </code></pre><p>If it is not possible to proceed all particles to the given timeEnd then set the closest possible time of the proceed interval</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTimeEndPrecise &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Set the end time with higher precision by supplying time and fraction</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getActionNode() </code></pre><p>Get action node</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;getIntegrator() </code></pre><p>Get the interface of the procedure that integrates particle motion in time. See <a href=\"Interface-integrator.html\">Interface: integrator</a></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;randSign() </code></pre><p>Get random sign (-1 or +1)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;rand01() </code></pre><p>Get random number from interval [0, 1]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;rand11() </code></pre><p>Get random number from interval [-1, 1]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;rand55() </code></pre><p>Get random number from interval [-0.5, 0.5]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;rand0X&lt;integer&gt;maxNumber </code></pre><p>Get random integer number from interval [0..maxNumber]</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;randSpherePoint() </code></pre><p>Get random 3D point from surface of sphere with radius 1</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;randDivergeVector &lt;point3&gt;vectorToDiverge &lt;angle&gt;maxAngle </code></pre><p>Get random vector that diverges from the given vector by no more than the specified maxAngle angle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numParticles() </code></pre><p>Number of particles in the current event/actionList</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;addParticle() </code></pre><p>Add a single particle.</p>\n\
<p>Use <strong>.particleTime</strong> to define when particle is added. Use <strong>.particleAge=0</strong> to set particle age to zero. Use other methods to define particle position, speed, orientation etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;addParticles &lt;integer&gt;amount </code></pre><p>Add &apos;amount&apos; particles</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteParticle &lt;index&gt;index </code></pre><p>Delete a single particle with the given index</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteParticles &lt;index&gt;startIndex &lt;integer&gt;amount </code></pre><p>Delete &apos;amount&apos; particles starting from startIndex</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getParticleID &lt;index&gt;particleIndex </code></pre><p>Get the ID of the particle with the given index</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;hasParticleID &lt;index&gt;particleID &lt;&amp;index&gt;particleIndex </code></pre><p>particleIndex is In and Out parameter</p>\n\
<p>Verify if the event has a particle with the given ID</p>\n\
<p>If the particle is present then particleIndex is the index of the particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isParticleNew &lt;index&gt;particleIndex </code></pre><p>Check if a particle just arrived into the event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isParticleNewByID &lt;index&gt;particleID </code></pre><p>Check if a particle with the given ID just arrived into the event</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleTime &lt;index&gt;particleIndex </code></pre><p>Get time of the current status of the particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleTimeByID &lt;index&gt;particleID </code></pre><p>Get the time of the the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTime &lt;index&gt;particleIndex &lt;time&gt;time </code></pre><p>Change time of the current status of the particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTimePrecise &lt;index&gt;particleIndex &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Set the time of the indexed particle with sub-frame precision using the frame time and a fraction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTimeByID &lt;index&gt;particleID &lt;time&gt;time </code></pre><p>Set the time of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTimePreciseByID &lt;index&gt;particleID &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Set the time of the particle with the specified ID with sub-frame precision by supplying a frame and a fraction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleAge &lt;index&gt;particleIndex </code></pre><p>Returns the age of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleAgeByID &lt;index&gt;particleID </code></pre><p>Returns the age of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleAge &lt;index&gt;particleIndex &lt;time&gt;age </code></pre><p>Sets the age of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleAgeByID &lt;index&gt;particleID &lt;time&gt;age </code></pre><p>Sets the age of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleLifespan &lt;index&gt;particleIndex </code></pre><p>Returns the lifespan of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleLifespanByID &lt;index&gt;particleID </code></pre><p>Returns the lifespan of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleLifespan &lt;index&gt;particleIndex &lt;time&gt;lifespan </code></pre><p>Sets the lifespan of the indexed particle to the supplied time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleLifespanByID &lt;index&gt;particleID &lt;time&gt;lifespan </code></pre><p>Sets the lifespan of the particle with the specified ID to the supplied time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleEventTime &lt;index&gt;particleIndex </code></pre><p>Returns the Event time of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;time&gt;getParticleEventTimeByID &lt;index&gt;particleID </code></pre><p>Returns the Event time of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleEventTime &lt;index&gt;particleIndex &lt;time&gt;eventTime </code></pre><p>Sets the Event time of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleEventTimeByID &lt;index&gt;particleID &lt;time&gt;eventTime </code></pre><p>Sets the Event time of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticlePosition &lt;index&gt;particleIndex </code></pre><p>Returns the Position of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticlePositionByID &lt;index&gt;particleID </code></pre><p>Returns the Position of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticlePosition &lt;index&gt;particleIndex &lt;point3&gt;position </code></pre><p>Sets the Position of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticlePositionByID &lt;index&gt;particleID &lt;point3&gt;position </code></pre><p>Sets the Position of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleSpeed &lt;index&gt;particleIndex </code></pre><p>Returns the Speed of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleSpeedByID &lt;index&gt;particleID </code></pre><p>Returns the Speed of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSpeed &lt;index&gt;particleIndex &lt;point3&gt;speed </code></pre><p>Sets the Speed of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSpeedByID &lt;index&gt;particleID &lt;point3&gt;speed </code></pre><p>Sets the Speed of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleAcceleration &lt;index&gt;particleIndex </code></pre><p>Returns the Acceleration of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleAccelerationByID&lt;index&gt;particleID </code></pre><p>Returns the Acceleration of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleAcceleration &lt;index&gt;particleIndex &lt;point3&gt;acceleration </code></pre><p>Sets the Acceleration of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleAccelerationByID &lt;index&gt;particleID &lt;point3&gt;acceleration </code></pre><p>Sets the Acceleration of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleOrientation &lt;index&gt;particleIndex </code></pre><p>Returns the Orientation of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleOrientationByID &lt;index&gt;particleID </code></pre><p>Returns the Orientation of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleOrientation &lt;index&gt;particleIndex &lt;point3&gt;orientation </code></pre><p>Sets the Orientation of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleOrientationByID &lt;index&gt;particleID &lt;point3&gt;orientation </code></pre><p>Sets the Orientation of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleAxis&gt;getParticleSpin &lt;index&gt;particleIndex </code></pre><p>Returns the Spin of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleAxis&gt;getParticleSpinByID &lt;index&gt;particleID </code></pre><p>Returns the Spin of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSpin &lt;index&gt;particleIndex &lt;angleAxis&gt;spin </code></pre><p>Sets the Spin of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSpinByID &lt;index&gt;particleID &lt;angleAxis&gt;spin </code></pre><p>Sets the Spin of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getParticleScale &lt;index&gt;particleIndex </code></pre><p>Returns the Scale of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getParticleScaleByID &lt;index&gt;particleID </code></pre><p>Returns the Scale of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleScale &lt;index&gt;particleIndex &lt;float&gt;scale </code></pre><p>Sets the Scale of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleScaleByID &lt;index&gt;particleID &lt;float&gt;scale </code></pre><p>Sets the Size of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleScaleXYZ &lt;index&gt;particleIndex </code></pre><p>Returns the Scale of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleScaleXYZByID &lt;index&gt;particleID </code></pre><p>Returns the Scale of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleScaleXYZ &lt;index&gt;particleIndex &lt;point3&gt;scale </code></pre><p>Sets the Scale of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleScaleXYZByID &lt;index&gt;particleID &lt;point3&gt;scale </code></pre><p>Sets the Scale of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;getParticleTM &lt;index&gt;particleIndex           </code></pre><p>Returns the Transformation Matrix of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; getParticleTMByID &lt;index&gt;particleID </code></pre><p>Returns the Transformation Matrix of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTM &lt;index&gt;particleIndex &lt;matrix3&gt;transformationMatrix </code></pre><p>Sets the Transformation Matrix of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTMByID &lt;index&gt;particleID &lt;matrix3&gt;transformationMatrix </code></pre><p>Sets the Transformation Matrix of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getParticleSelected &lt;index&gt;particleIndex </code></pre><p>Returns the Selected state of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getParticleSelectedByID &lt;index&gt;particleID </code></pre><p>Returns the Selected state of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSelected &lt;index&gt;particleIndex &lt;boolean&gt;selected </code></pre><p>Sets the Selected state of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleSelectedByID &lt;index&gt;particleID &lt;boolean&gt;selected </code></pre><p>Sets the Selected state of the particle with the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;getParticleShape &lt;index&gt;particleIndex </code></pre><p>Returns the shape of the indexed particle as mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mesh&gt;getParticleShapeByID &lt;index&gt;particleID </code></pre><p>Returns the shape of the particle with the specified ID as mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleShape &lt;index&gt;particleIndex &lt;mesh&gt;shape </code></pre><p>Sets the shape of the indexed particle to the supplied mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleShapeByID &lt;index&gt;particleID &lt;mesh&gt;shape </code></pre><p>Sets the shape of the particle with the specified ID to the supplied mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setShapeForAllParticles &lt;mesh&gt;shape </code></pre><p>Sets the shape of all particles to the supplied mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMtlIndex &lt;index&gt;particleIndex &lt;index&gt;materialIndex </code></pre><p>Sets the Material Index of the indexed particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMtlIndexByID &lt;index&gt;particleID &lt;index&gt;materialIndex </code></pre><p>Sets the Material Index of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setMtlIndexForAllParticles &lt;index&gt;materialIndex </code></pre><p>Sets the Material Index of all particles to the specified index value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMapping &lt;index&gt;particleIndex &lt;int&gt;mapChannel &lt;point3&gt;mapValue </code></pre><p>Sets the Mapping of the indexed particle to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMappingByID &lt;index&gt;particleID &lt;int&gt;mapChannel &lt;point3&gt;mapValue </code></pre><p>Sets the Mapping of the particle with the specified ID to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setMappingForAllParticles &lt;int&gt;mapChannel &lt;point3&gt;mapValue </code></pre><p>Sets the Mapping of all particles to the specified Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getParticleInteger &lt;index&gt;particleIndex </code></pre><p>Returns the integer channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getParticleIntegerByID &lt;index&gt;particleID </code></pre><p>Returns the integer channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleInteger &lt;index&gt;particleIndex &lt;integer&gt;integerValue </code></pre><p>Sets the integer channel value of the indexed particle to the supplied integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleIntegerByID &lt;index&gt;particleID &lt;integer&gt;integerValue </code></pre><p>Sets the integer channel value of the particle with the specified ID to the supplied integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getParticleFloat &lt;index&gt;particleIndex </code></pre><p>Returns the float channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getParticleFloatByID &lt;index&gt;particleID </code></pre><p>Returns the float channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleFloat &lt;index&gt;particleIndex &lt;float&gt;floatValue </code></pre><p>Sets the float channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleFloatByID &lt;index&gt;particleID &lt;float&gt;floatValue </code></pre><p>Sets the float channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleVector &lt;index&gt;particleIndex </code></pre><p>Returns the vector channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getParticleVectorByID &lt;index&gt;particleID </code></pre><p>Returns the vector channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleVector &lt;index&gt;particleIndex &lt;point3&gt;vectorValue </code></pre><p>Sets the vector channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleVectorByID &lt;index&gt;particleID &lt;point3&gt;vectorValue </code></pre><p>Sets the vector channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; getParticleMatrix &lt;index&gt;particleIndex </code></pre><p>Returns the matrix channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; getParticleMatrixByID &lt;index&gt;particleID </code></pre><p>Returns the matrix channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMatrix &lt;index&gt;particleIndex &lt;matrix3&gt;matrixValue </code></pre><p>Sets the matrix channel value of the indexed particle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleMatrixByID &lt;index&gt;particleID &lt;matrix3&gt;matrixValue </code></pre><p>Sets the matrix channel value of the particle with the specified ID</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestStatus &lt;index&gt;particleIndex &lt;boolean&gt;satisfy? </code></pre><p>Sets the Test Status of the indexed particle to the supplied boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestStatusByID &lt;index&gt;particleID &lt;boolean&gt;satisfy? </code></pre><p>Sets the Test Status of the particle with the specified ID to the supplied boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setGlobalTestStatus &lt;boolean&gt;satisfy? </code></pre><p>Sets the Test Status of all particles to the supplied boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestTime &lt;index&gt;particleIndex &lt;time&gt;time </code></pre><p>Sets the Test Time of the indexed particle to the supplied time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestTimePrecise &lt;index&gt;particleIndex &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Sets the sub-frame Test Time of the indexed particle to the supplied time and fraction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestTimeByID &lt;index&gt;particleID &lt;time&gt;time </code></pre><p>Sets the Test Time of the particle with the specified ID to the supplied time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setParticleTestTimePreciseByID &lt;index&gt;particleID &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Sets the sub-frame Test Time of the particle with the specified ID to the supplied time and fraction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setGlobalTestTime &lt;time&gt;time </code></pre><p>Sets the Test Time of all particles to the supplied time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setGlobalTestTimePrecise &lt;time&gt;time &lt;float&gt;fraction </code></pre><p>Sets the sub-frame Test Time of all particles to the supplied time and fraction value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Using MAXScript in Script Actions</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Particle-Flow-Sample-Scripts.html\">Particle Flow Sample Scripts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";