var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-997AF141-E2BD-419E-A10A-71B2288F571C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: operator</h1></div><p><strong>The operator Interface is exposed in all Particle Flow Operator Classes</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PF_Operator&gt;.proceed &lt;IObject&gt;container &lt;time&gt;timeStart &lt;time&gt;timeEnd &lt;object&gt;particleSystem &lt;node&gt;particleSystemNode &lt;node&gt;actionNode &lt;Interface&gt;integrator      </code></pre><p>Proceeds the Operator. Lets you calls the Proceed method of an Operator from inside a Script_Operator&#x2019;s <strong>on Proceed...</strong> handler.</p>\n\
<p>For an example, see <a href=\"./../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth-Helper.html\">Birth : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\">Birth_Group : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\">BirthGrid : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Paint-Helper.html\">Birth_Paint : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\">Birth_Texture : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache-Helper.html\">Cache : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\">Cache_Disk : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\">Cache_Selective : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\">Camera_Culling : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\">Camera_IMBlur : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\">Data_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\">Data_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/DeleteParticles-Helper.html\">DeleteParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/displayParticles-Helper.html\">displayParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Force-Helper.html\">Force : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\">Go_To_Rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\">Initial_State : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\">Keep_Apart : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/mapping-Helper.html\">mapping : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Dynamic-Helper.html\">Material_Dynamic : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Frequency-Helper.html\">Material_Frequency : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Static-Helper.html\">Material_Static : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\">mP_Buoyancy : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\">mP_Drag : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\">mP_Force : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\">mP_Shape : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\">mP_Solvent : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\">mP_Switch : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Notes-Helper.html\">Notes : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Icon-Helper.html\">Position_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Object-Helper.html\">Position_Object : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/renderParticles-Helper.html\">renderParticles : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Operators/Transforms/rotation-Helper.html\">rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/scaleParticles-Helper.html\">scaleParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\">shapeStandard : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Facing-Helper.html\">Shape_Facing : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Instance-Helper.html\">Shape_Instance : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Mark-Helper.html\">Shape_Mark : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\">speed : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/SpeedByIcon-Helper.html\">SpeedByIcon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed_By_Surface-Helper.html\">Speed_By_Surface : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Spin-Helper.html\">Spin : Helper</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"Interface-action.html\">Interface: action</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\">Speed Operator in Script Operator Example</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";