var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C046ED0B-A7C9-4597-961C-DF129F593A59\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Copy and Paste Posture Methods</h1></div><p>These functions mirror the Copy/Paste functionality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.copyPosture &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;bool_horiz&gt; &lt;bool_vert&gt; &lt;bool_turn&gt;      </code></pre><p>Creates a copy of the posture, pose, or track, as specified, for the selected objects in the Biped. Returns the name of copy. bool_horiz, bool_vert, and bool_turn control whether the horizontal, vertical, and/or turn is copied for the COM.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.pastePosture &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;bool_opposite&gt; &lt;string_name&gt;   </code></pre><p>Pastes the specified posture, pose, or track to the selected objects in the Biped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteAllCopies &lt;biped_ctrl&gt; (#posture | #pose | #track) </code></pre><p>Deletes all postures, poses, or tracks, as specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.numCopies &lt;biped_ctrl&gt; (#posture | #pose | #track) </code></pre><p>Returns the number of the posture, pose, or track copies.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteCopy &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;string_name&gt; </code></pre><p>Deletes the specified posture, pose, or track copy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setCopyName &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;int_which&gt; &lt;String_newName&gt; </code></pre><p>Renames the specified posture, pose, or track copy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getCopyName &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;int_which&gt; </code></pre><p>Returns the name of the specified posture, pose, or track copy.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.loadCopyPasteFile &lt;biped_ctrl&gt; &lt;string_filename&gt; </code></pre><p>Loads the posture, pose, and track copies from the specified file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.saveCopyPasteFile &lt;biped_ctrl&gt; &lt;string_filename&gt; </code></pre><p>Saves the posture, pose, and track copies to the specified file. The file name extension should be &quot;cpy&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.createCopyCollection &lt;biped_ctrl&gt; &lt;collection_name&gt; </code></pre><p>Creates a new collection with the given name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;biped.numCopyCollections &lt;biped_ctrl&gt; </code></pre><p>Returns the number of Copy Collections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;collection_value&gt;biped.getCopyCollection &lt;biped_ctrl&gt; &lt;collection_index&gt; </code></pre><p>Returns the indexed Copy Collection. The CopyCollection value has one property that can be get and set - .name</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteCopyCollection &lt;biped_ctrl&gt; &lt;collection_index&gt; </code></pre><p>Deletes the indexed Copy Collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteAllCopyCollections &lt;biped_ctrl&gt; </code></pre><p>Deletes all Copy Collections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.copyBipPosture  &lt;biped_ctrl&gt; &lt;ICC_MXCopyCollection&gt; &lt;nodes_array&gt; (#snapView |#snapAuto |#snapNone) </code></pre><p>Copies the biped posture. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.pasteBipPosture &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; (#pstdefault |#pstcopied |#pstinterp) &lt;bool_hor&gt;&lt;bool_ver&gt;&lt;bool_trn&gt;&lt;bool_byvel&gt; </code></pre><p>Pastes the biped posture. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.copyBipPose &lt;biped_ctrl&gt; &lt;ICC_MXCopyCollection&gt;(#snapView |#snapAuto |#snapNone) </code></pre><p>Copies the biped pose. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.pasteBipPose &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; (#pstdefault |#pstcopied |#pstinterp) &lt;bool_hor&gt; &lt;bool_ver&gt; &lt;bool_trn&gt; &lt;bool_byvel&gt; </code></pre><p>Pastes the biped pose. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.copyBipTrack &lt;biped_ctrl&gt;&lt;ICC_MXCopyCollection&gt; &lt;nodes_array&gt;(#snapView |#snapAuto |#snapNone) </code></pre><p>Copies the biped track. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.pasteBipTrack &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; &lt;bool_hor&gt; &lt;bool_ver&gt; &lt;bool_trn&gt; </code></pre><p>Pastes the biped track. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Biped-Creation.html\">Biped Creation</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";