var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BBC1B4FC-FE13-4C06-A20A-BC9BA08C5F93\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Node Hierarchy</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.getNode &lt;biped | biped_ctrl&gt; &lt;name | index&gt; [link:&lt;int_link&gt;]</code></pre><p>Returns the specified limb node where the second argument can be a named limb (like #larm, #rarm, or #lfingers) or an integer index. If you do not specify the link argument, the top (first) node is returned. If the specified node does not exist, a value of undefined is returned.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --you can get the left hand as follows:\n\
   biped.getNode $ #lArm link:4\n\
</code></pre></blockquote>\n\
<p>The top level and their link nodes in a Biped are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Index</th>\n\
<th>Limb Name</th>\n\
<th>Link Nodes in Link Index Order</th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>1</td>\n\
<td>#larm</td>\n\
<td>L Clavicle</td>\n\
<td>L UpperArm</td>\n\
<td>L Forearm</td>\n\
<td>L Hand</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td>#rarm</td>\n\
<td>R Clavicle</td>\n\
<td>R UpperArm</td>\n\
<td>R Forearm</td>\n\
<td>R Hand</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td>#lfingers</td>\n\
<td>L Finger0</td>\n\
<td>L Finger01</td>\n\
<td>L Finger02</td>\n\
<td>L Finger1</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Finger11</td>\n\
<td>L Finger12</td>\n\
<td>L Finger2</td>\n\
<td>L Finger21</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Finger22</td>\n\
<td>L Finger3</td>\n\
<td>L Finger31</td>\n\
<td>L Finger32</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Finger4</td>\n\
<td>L Finger41</td>\n\
<td>L Finger42</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td>#rfingers</td>\n\
<td>R Finger0</td>\n\
<td>R Finger01</td>\n\
<td>R Finger02</td>\n\
<td>R Finger1</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Finger11</td>\n\
<td>R Finger12</td>\n\
<td>R Finger2</td>\n\
<td>R Finger21</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Finger22</td>\n\
<td>R Finger3</td>\n\
<td>R Finger31</td>\n\
<td>R Finger32</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Finger4</td>\n\
<td>R Finger41</td>\n\
<td>R Finger42</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td>#lleg</td>\n\
<td>L Thigh</td>\n\
<td>L Calf</td>\n\
<td>L HorseLink</td>\n\
<td>L Foot</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td>#rleg</td>\n\
<td>R Thigh</td>\n\
<td>R Calf</td>\n\
<td>R HorseLink</td>\n\
<td>R Foot</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td>#ltoes</td>\n\
<td>L Toe0</td>\n\
<td>L Toe01</td>\n\
<td>L Toe02</td>\n\
<td>L Toe1</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Toe11</td>\n\
<td>L Toe12</td>\n\
<td>L Toe2</td>\n\
<td>L Toe21</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Toe22</td>\n\
<td>L Toe3</td>\n\
<td>L Toe31</td>\n\
<td>L Toe32</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L Toe4</td>\n\
<td>L Toe41</td>\n\
<td>L Toe42</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td>#rtoes</td>\n\
<td>R Toe0</td>\n\
<td>R Toe01</td>\n\
<td>R Toe02</td>\n\
<td>R Toe1</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Toe11</td>\n\
<td>R Toe12</td>\n\
<td>R Toe2</td>\n\
<td>R Toe21</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Toe22</td>\n\
<td>R Toe3</td>\n\
<td>R Toe31</td>\n\
<td>R Toe32</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R Toe4</td>\n\
<td>R Toe41</td>\n\
<td>R Toe42</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td>#spine</td>\n\
<td>Spine</td>\n\
<td>Spine1</td>\n\
<td>Spine2</td>\n\
<td>Spine3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>Spine4</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td>#tail</td>\n\
<td>Tail</td>\n\
<td>Tail1</td>\n\
<td>Tail2</td>\n\
<td>Tail3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>Tail4</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td>#head</td>\n\
<td>Head</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td>#pelvis</td>\n\
<td>Pelvis</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>13</td>\n\
<td>#vertical</td>\n\
<td>Biped COM</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>14</td>\n\
<td>#horizontal</td>\n\
<td>Biped COM</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>15</td>\n\
<td>#turn</td>\n\
<td>Biped COM</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>16</td>\n\
<td>#footprints</td>\n\
<td>Footsteps</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>17</td>\n\
<td>#neck</td>\n\
<td>Neck</td>\n\
<td>Neck1</td>\n\
<td>Neck2</td>\n\
<td>Neck3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>Neck4</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>18</td>\n\
<td>#pony1</td>\n\
<td>Ponytail1</td>\n\
<td>Ponytail11</td>\n\
<td>Ponytail12</td>\n\
<td>Ponytail13</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>Ponytail14</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>19</td>\n\
<td>#pony2</td>\n\
<td>Ponytail2</td>\n\
<td>Ponytail21</td>\n\
<td>Ponytail22</td>\n\
<td>Ponytail23</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>Ponytail24</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>20</td>\n\
<td>#prop1</td>\n\
<td>Prop1</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>21</td>\n\
<td>#prop2</td>\n\
<td>Prop2</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>22</td>\n\
<td>#prop3</td>\n\
<td>Prop3</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>101</td>\n\
<td>#lfArmTwist</td>\n\
<td>L ForeTwist</td>\n\
<td>L ForeTwist1</td>\n\
<td>L ForeTwist2</td>\n\
<td>L ForeTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L ForeTwist4</td>\n\
<td>L ForeTwist5</td>\n\
<td>L ForeTwist6</td>\n\
<td>L ForeTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L ForeTwist8</td>\n\
<td>L ForeTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>102</td>\n\
<td>#rfArmTwist</td>\n\
<td>R ForeTwist</td>\n\
<td>R ForeTwist1</td>\n\
<td>R ForeTwist2</td>\n\
<td>R ForeTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R ForeTwist4</td>\n\
<td>R ForeTwist5</td>\n\
<td>R ForeTwist6</td>\n\
<td>R ForeTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R ForeTwist8</td>\n\
<td>R ForeTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>103</td>\n\
<td>#lUparmTwist</td>\n\
<td>L UpTwist</td>\n\
<td>L UpTwist1</td>\n\
<td>L UpTwist2</td>\n\
<td>L UpTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L UpTwist4</td>\n\
<td>L UpTwist5</td>\n\
<td>L UpTwist6</td>\n\
<td>L UpTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L UpTwist8</td>\n\
<td>L UpTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>104</td>\n\
<td>#rUparmTwist</td>\n\
<td>R UpTwist</td>\n\
<td>R UpTwist1</td>\n\
<td>R UpTwist2</td>\n\
<td>R UpTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R UpTwist4</td>\n\
<td>R UpTwist5</td>\n\
<td>R UpTwist6</td>\n\
<td>R UpTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R UpTwist8</td>\n\
<td>R UpTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>105</td>\n\
<td>#lThighTwist</td>\n\
<td>L ThighTwist</td>\n\
<td>L ThighTwist1</td>\n\
<td>L ThighTwist2</td>\n\
<td>L ThighTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L ThighTwist4</td>\n\
<td>L ThighTwist5</td>\n\
<td>L ThighTwist6</td>\n\
<td>L ThighTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L ThighTwist8</td>\n\
<td>L ThighTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>106</td>\n\
<td>#rThighTwist</td>\n\
<td>R ThighTwist</td>\n\
<td>R ThighTwist1</td>\n\
<td>R ThighTwist2</td>\n\
<td>R ThighTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R ThighTwist4</td>\n\
<td>R ThighTwist5</td>\n\
<td>R ThighTwist6</td>\n\
<td>R ThighTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R ThighTwist8</td>\n\
<td>R ThighTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>107</td>\n\
<td>#lCalfTwist</td>\n\
<td>L CalfTwist</td>\n\
<td>L CalfTwist1</td>\n\
<td>L CalfTwist2</td>\n\
<td>L CalfTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L CalfTwist4</td>\n\
<td>L CalfTwist5</td>\n\
<td>L CalfTwist6</td>\n\
<td>L CalfTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L CalfTwist8</td>\n\
<td>L CalfTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>108</td>\n\
<td>#rCalfTwist</td>\n\
<td>R CalfTwist</td>\n\
<td>R CalfTwist1</td>\n\
<td>R CalfTwist2</td>\n\
<td>R CalfTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R CalfTwist4</td>\n\
<td>R CalfTwist5</td>\n\
<td>R CalfTwist6</td>\n\
<td>R CalfTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R CalfTwist8</td>\n\
<td>R CalfTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>109</td>\n\
<td>#lHorseTwist</td>\n\
<td>L HorseTwist</td>\n\
<td>L HorseTwist1</td>\n\
<td>L HorseTwist2</td>\n\
<td>L HorseTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L HorseTwist4</td>\n\
<td>L HorseTwist5</td>\n\
<td>L HorseTwist6</td>\n\
<td>L HorseTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>L HorseTwist8</td>\n\
<td>L HorseTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>110</td>\n\
<td>#rHorseTwist</td>\n\
<td>R HorseTwist</td>\n\
<td>R HorseTwist1</td>\n\
<td>R HorseTwist2</td>\n\
<td>R HorseTwist3</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>R HorseTwist4</td>\n\
<td>R HorseTwist5</td>\n\
<td>R HorseTwist6</td>\n\
<td>R HorseTwist7</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td></td>\n\
<td>RHorseTwist8</td>\n\
<td>R HorseTwist9</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"biped-node-hierarchy-relatedmethods\">Biped Node Hierarchy RelatedMethods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.maxNumNodes &lt;biped | biped_ctrl&gt;</code></pre><p>Maximum nodes supported by Biped.</p>\n\
<p>See the description of <code>biped.getNode()</code> for a list of the top level nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.maxNumLinks &lt;biped | biped_ctrl&gt;</code></pre><p>Maximum link nodes supported by Biped.</p>\n\
<p>See the description of <strong><code>biped.getNode()</code></strong> for a list of the link nodes.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 0 [0,0,0]  arms:true  neckLinks:5\\\n\
   spineLinks:5 legLinks:4 tailLinks:5 ponyTail1Links:5 \\\n\
   ponyTail2Links:5 fingers:5 fingerLinks:3 toes:5\\\n\
   toeLinks:3 ankleAttach:0.3 trianglePelvis:True \\\n\
   prop1Exists:True prop2Exists:True prop3Exists:True \\\n\
   forearmTwistLinks:4\n\
\n\
   nn = biped.maxNumNodes bipObj\n\
   nl = biped.maxNumLinks bipObj\n\
   for i = 1 to nn do\n\
   (\n\
   anode = biped.getNode bipObj i\n\
   if anode != undefined do\n\
   (\n\
   format &quot;% :\\t%\\n&quot; i anode.name\n\
   for j = 1 to nl do\n\
   (\n\
   alink = biped.getNode bipObj i link:j\n\
   if alink != undefined do\n\
   format &quot;% : % \\t%\\n&quot; i j alink.name\n\
   )\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<p>The above example code will give you all of the Biped nodes, but it will NOT give you the Biped twisty nodes.</p>\n\
<p>In <strong>3ds Max 7</strong> it used to get the forearm twist nodes with ID 24 and 25, but that was all the twist nodes a Biped had.</p>\n\
<p>In <strong>3ds Max 8</strong>, twist nodes were added for the upper arms, calves, horse legs, and thighs.</p>\n\
<p><strong>maxNumNodes</strong> was changed to return 22 instead of 24, so one could no longer access the forearm twists.</p>\n\
<p>The IDs of the forearm twists were changed, and newIDs were added for all of the other twists, but there were no methods to allow users to access the twists.</p>\n\
<h2 id=\"twisty-bones-methods\">Twisty Bones Methods</h2><p>The following methods were added in <strong>3ds Max 9</strong> to allow user access to the twisty bones in a Biped. They each take a Biped controller as their only parameter:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Biped.maxTwistNodes  &lt;biped | biped_ctrl&gt;</code></pre><p>Number of twist node tracks supported by Biped.</p>\n\
<p>See the description of <code>biped.getNode()</code> for a list of the top level twist nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Biped.maxTwistLinks  &lt;biped | biped_ctrl&gt;</code></pre><p>Maximum number of link nodes for each twist track supported by Biped.</p>\n\
<p>See the description of biped. <code>biped.getNode()</code> for a list of the link nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Biped.getTwistStartId &lt;biped | biped_ctrl&gt;</code></pre><p>Starting id for the twist nodes.</p>\n\
<p>See the description of <code>biped.getNode()</code> for a list of the twist nodes and their ids.</p>\n\
<p>Below is an example which gets all of the twisty nodes in a Biped.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   nn = biped.maxTwistNodes bipObj\n\
   format &quot;num twist nodes: %\\n&quot; nn\n\
   nl = biped.maxTwistLinks bipObj\n\
   format &quot;max twist links: %\\n&quot; nl\n\
   ts = biped.getTwistStartId bipObj\n\
   format &quot;twist start id: %\\n&quot; ts\n\
\n\
   for i = ts to ts+nn-1 do\n\
   (\n\
       anode = biped.getNode bipObj i\n\
      if anode != undefined do\n\
       (\n\
           format &quot;% :\\t%\\n&quot; i anode.name\n\
          for j = 1 to nl do\n\
           (\n\
               alink = biped.getNode bipObj i link:j\n\
              if alink != undefined do\n\
               (\n\
                   format &quot;% : % \\t%\\n&quot; i j alink.name\n\
               )\n\
           )\n\
       )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-General-Topics.html\">Biped General Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";