var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-70F213AB-ED5E-4CCD-9DDE-D20C39F9061C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Biped Twist Poses</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.createTwistPose &lt;biped_ctrl&gt;      </code></pre><p>Creates a new twist pose for the specified biped limb.Corresponds to the &quot;Add&quot; button in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;biped.numTwistPoses &lt;biped_ctrl&gt;   </code></pre><p>Returns the number of twist poses in the specified biped limb.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setTwistPose &lt;biped_ctrl&gt;&lt;pose_index&gt; </code></pre><p>Sets the twist pose in the specified biped limb to the indexed pose. Corresponds to the &quot;Set&quot; button in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setDefaultTwistPoses &lt;biped_ctrl&gt; </code></pre><p>Resets the twist poses in the specified biped limb to the default poses and values, removes custom poses. Corresponds to pressing the &quot;Default&quot; button in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;biped.getTwistPoseTwist &lt;biped_ctrl&gt; &lt;pose_index&gt; </code></pre><p>Returns the twist value of the indexed twist pose in the specified biped limb.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setTwistPoseTwist &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;float_value&gt; </code></pre><p>Sets the twist value of the indexed twist pose in the specified biped limb to the given floating point value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;biped.getTwistPoseBias &lt;biped_ctrl&gt; &lt;pose_index&gt; </code></pre><p>Returns the bias value of the indexed twist pose in the specified biped limb.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setTwistPoseBias &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;float_value&gt; </code></pre><p>Sets the bias value of the indexed twist pose in the specified biped limb to the given floating point value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;name&gt;biped.getTwistPoseName &lt;biped_ctrl&gt; &lt;pose_index&gt; </code></pre><p>Returns the name of the indexed twist pose in the specified biped limb as a name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.setTwistPoseName &lt;biped_ctrl&gt; &lt;pose_index&gt; &lt;name_or_string&gt; </code></pre><p>Sets the name of the indexed twist pose in the specified biped limb to the given string or name value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">biped.deleteTwistPose &lt;biped_ctrl&gt; &lt;pose_index&gt; </code></pre><p>Deletes the indexed twist pose for the specified biped limb.Corresponds to the &quot;Delete&quot; button in the UI.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";