var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FB8F3E98-0A6A-439C-9D1B-C7F1F1735361\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Avoid_Behavior : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Avoid_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 18:0 - classID: #(1071803969, 1253206116) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Avoid_Behavior ... AvoidBehavior ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.brakePressure Floatdefault: 2.0 -- animatable; float; Brake_Pressure </code></pre><p>Determines how strongly the brakes are applied. Higher values induce more gradual and slower stops, but may cause brakes to &quot;pump&quot; in order to slow down.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.detourAngle Floatdefault: 360.0 -- animatable; float; Detour_Angle </code></pre><p>Maximum necessary turning angle relative to the direction of delegate&apos;s goal that the delegate will steer to avoid rather than slow down and wait.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.displayForce BooleanClass default: true -- boolean; Display_Force </code></pre><p>When true, force exerted on the delegate(s) by the Avoid behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.forceColor Colordefault: (color 255 0 0) -- RGB color; Force_Color </code></pre><p>Sets the color used to draw the Avoid force vector during the solution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.hardRadius Floatdefault: 1.0 -- animatable; float; Hard_Radius </code></pre><p>Distance from center of the delegate(s), where no penetration should occur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.lookAhead Integerdefault: 30 -- animatable; integer; Look_Ahead </code></pre><p>The number of frames in advance of the current frame that the software looks for potential collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.name Stringdefault: &quot;Avoid&quot; -- string </code></pre><p>The name of the behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.obstacles ArrayParameter default: #() -- node array; SubAnim </code></pre><p>Any object or objects that the delegates must keep away from. <strong>See Notes below</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.repelFalloff Floatdefault: 3.0 -- animatable; float; Repel_Falloff </code></pre><p>Higher values cause the repel to fall off to zero more rapidly with distance, thus focusing its effect closer to the delegate&apos;s hard radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.repelRadius Floatdefault: 3.0 -- animatable; float; Repel_Radius </code></pre><p>Distance from hard radius of delegate where &quot;repel&quot; avoidance is sensed and carried out.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.repelStrength Floatdefault: 0.2 -- animatable; float; Repel_Strength </code></pre><p>Determines the strength of the repelling force; higher values result in greater repulsion force.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.showHardRadius BooleanClass default: false -- boolean; Show_Hard_Radius </code></pre><p>Enables display of a wireframe sphere that depicts the extent of the <strong>.hardRadius</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.showLookAhead BooleanClass default: false -- boolean; Show_Look_Ahead </code></pre><p>When true, displays a sphere that shows the current distance used to check for potential collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.showPotentialCols BooleanClass default: false -- boolean; Show_Potential_Collisions </code></pre><p>When true, displays a green line from the delegate to the location of a potential collision.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.showRepelActivity BooleanClass default: false -- boolean; Show_Repel_Activity </code></pre><p>When true, displays a white line between the delegate and target when the repel force is in effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.showRepelRadius BooleanClass default: false -- boolean; Show_Repel_Radius </code></pre><p>When true, displays a wireframe sphere that depicts the extent of the <strong>.repelRadius</strong> setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.vfieldFalloff Floatdefault: 8.0 -- animatable; float; Vector_Field_Falloff </code></pre><p>Higher values cause vector field influence to fall off to zero more rapidly with distance, thus focusing its effect closer to the delegate&apos;s hard radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.vfieldStrength Floatdefault: 1.0 -- animatable; float;Vector_Field_Avoid_Strength </code></pre><p>Higher values result in more severe influence. Delegates will be directed to move perpendicular to the field.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;</code></pre><p>on all of the properties containing an ArrayParameter of objects listed below. You can also undo/redo these operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Avoid_Behavior&gt;.obstacles </code></pre><blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";