var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0741AB4C-6827-441D-96C6-5A80ED0FEAD0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Repel_Behavior :ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Repel_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 11:0 - classID: #(2016560612, 1924862305) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Repel_Behavior ... RepelBehavior ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.name String Default: &quot;Repel&quot; </code></pre><p>Get/set the name of the behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.repulsionSources ArrayParameter Default: #() -- node array </code></pre><p>See Notes below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.targetComp Integer Default: 0 </code></pre><p>0-Closest Source : Each delegate is repelled by the closest of the assigned sources. Use this to have delegates assigned a single Repel behavior move away from sources in different directions.</p>\n\
<p>1-Average of Sources : All delegates head to a common point determined by averaging all sources&apos; locations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.repelMethod Integer Default: 0 -- animatable </code></pre><p>0 - <strong>Angle</strong>: Applies a force to the delegate based on the angle between the delegate&apos;s current direction and the direction it would need to take in order to be moving directly away from the source. If the behavior&apos;s Weight is set to 1, the delegate will be given a force that points directly away from the source. If Weight is set to .5, the force will bisect the angle between its current direction and the direction opposite that of the source.</p>\n\
<p>1 - <strong>Force</strong>: Always applies a force directly away from the source, but at different magnitudes. If the behavior&apos;s Weight is 1, the magnitude of the force will be the average speed. If the Weight is .5, the magnitude of the force will be half the average speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.useRadiiBoolean Default: True </code></pre><p>When true, the behavior applies only to delegates closer to the target than the Outer Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.innerRadiusFloat Default: 0.0 -- animatable </code></pre><p>The distance from the target at which the force is applied at full strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.outerRadius Float Default: 10.0 - animatable </code></pre><p>The distance from the target at which the force begins to be applied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.falloff Float Default: 2.0 -- animatable </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.forceColor Color Default: (color 255 0 255) </code></pre><p>The color used to draw the Repel force vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.showRadii Boolean Default: True </code></pre><p>When true, the radii are displayed when the force is active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.displayForce Boolean Default: True </code></pre><p>When true, force exerted on the delegate(s) by the Repel behavior is drawn in the viewports as a vector during the simulation solution. If Use Radii is turned on, the radii are also displayed when the force is active.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;</code></pre><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Repel_Behavior&gt;.repulsionSources </code></pre><blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";