var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E9282D70-7388-4741-8A90-D6EB4042BE5F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Surface_Arrive_Behavior :ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Surface_Arrive_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 26:0 - classID: #(942174387, 1612215883) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Surface_Arrive_Behavior ... SurfaceArriveBehavior ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.name String Default: &quot;Surface Arrive&quot; </code></pre><p>Get/set the name of the behavior.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.surfaces ArrayParameter Default: #() -- node array </code></pre><p>See Notes below</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.disableAfterArriving Boolean Default: True </code></pre><p>When true, turns off the Surface Arrive behavior after the delegate arrives at the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.rate Float Default: 0.5 -- animatable </code></pre><p>A multiple of the delegate&apos;s Max Accel setting that specifies the acceleration with which it will try to arrive. A value of 1.0 uses the full acceleration of the delegate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.rateDeviation Float Default: 0.0 -- animatable </code></pre><p>Adds a variation to the to the rate setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.speed Float Default: 0.0 -- animatable </code></pre><p>The speed at which to arrive and relative to the speed of the target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.speedDeviationFloat Default: 0.0 -- animatable </code></pre><p>Adds a variation to the to the speed setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.distance Float Default: 1e+008 -- animatable </code></pre><p>The maximum radial distance from the target within which the behavior will be active. Until the delegate is within this radius, the behavior will have no influence.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.distanceDeviation Float Default: 0.0 -- animatable </code></pre><p>Adds a variation to the to the distance setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.offset Float Default: 0.0 -- animatable </code></pre><p>Specifies a consistent distance from the calculated arrival point, based on the surface normal, for the delegate to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.facing Boolean Default: False -- animatable </code></pre><p>When true, the delegate will try to arrive only at points on triangles on the surface that are facing it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.random_closest Integer Default: 0 </code></pre><p>0 - <strong>Random</strong>: The software chooses a random point on the target surface as the arrival point.</p>\n\
<p>1 - <strong>Closest</strong>: The software chooses the closest point on the target surface as the arrival point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.everyFrame Boolean Default: False -- animatable </code></pre><p>When true, the software chooses arrival points for delegates at every frame. Available only when Closest is chosen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.displayOffset Boolean Default: False </code></pre><p>When true, shows the Offset distance as lines emanating from each vertex in the surface object, perpendicular to the surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.height Float Default: 0.0 -- animatable </code></pre><p>Specifies a distance from the arrival point along its face normal. This is the point that the delegate will go to first before descending to the arrival point.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.heightDeviation Float Default: 0.0 -- animatable </code></pre><p>Adds random variation to the to the Height setting. See introduction for the formula used to calculate the deviation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.descentStart Float Default: 0.0 -- animatable </code></pre><p>Specifies the distance between the delegate and the arrival point at which the descent should start.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Be careful that Descent Start is set high enough that the delegate won&apos;t overshoot when descending because its speed is too high and deceleration too low, compared to when it should start descending.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.descentstartDeviation Float Default: 0.0 -- animatable </code></pre><p>Adds a variation to the to the Descent Start setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.useNormal Boolean Default: False Alias: Off_This_Normal </code></pre><p>When true, use vector specified in the <code>.xNormal</code> , <code>.yNormal</code> , and <code>.zNormal</code> to specify the angle at which the final approach occurs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.xNormal Float Default: 0.0 -- animatable; Alias: X_Normal </code></pre><p>Specify the final approach X value for the vector in world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.yNormal Float Default: 0.0 -- animatable; Alias: Y_Normal </code></pre><p>Specify the final approach Y value for the vector in world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.zNormal Float Default: 1.0 -- animatable; Alias: Z_Normal </code></pre><p>Specify the final approach Z value for the vector in world coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.seed Integer Default: 1 -- animatable </code></pre><p>Affects the random numbers used to calculate the Deviation settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.targetColor Color Default: (color 0 0 127.5) </code></pre><p>The color used to draw the target icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.displayTarget Boolean Default: True </code></pre><p>When true, displays the target icon which appears during the solution when a new interim goal is calculated for the delegate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.targetScal e Float Default: 5.0 -- animatable </code></pre><p>Specifies the overall size of the target icon.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SurfaceArriveBhvr.Getstate &lt;Surface_Arrive_Behavior&gt; &lt;delegate_node&gt; </code></pre><p>Returns an integer value giving the state the delegate is in with respect to the Surface_Arrive_Behavior. A return value of -1 means that the delegate isn&apos;t active for that state, 0 means that the delegate is outside the distance radius and so isn&apos;t arriving, 1 means that the delegate is in the process of arriving, and 2 means that the delegate has arrived. If &apos;Disable After Arriving&apos; is TRUE, the delegates will never reach state 2.</p>\n\
<p>The main purpose of this funtion is so that the &apos;State&apos; of a delegate as it arrives to a surface can be determined from MAXScript. It can be used for both the cognitive controller transitions as well as the script definable in MotionClips. See the <strong>ClipState Dialog</strong> and the <strong>Cognitive Controller</strong> topics in the <strong>character studio 3</strong> online reference for more details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Track View &gt; Global Tracks &gt; Block Control &gt; GlobalClip Properties &gt; Synthesis dialog &gt; State Tab &gt; New State &gt; Edit Properties &gt; ClipState dialog Select a Crowd helper. &gt; Modify panel &gt; Global Clip Controllers rollout &gt; New &gt; Choose GlobalClip object. &gt; Select object in list. &gt; Edit &gt; Synthesis dialog &gt; State Tab &gt; New State &gt; Edit Properties &gt; Clip State dialog</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Create panel &gt; Helpers &gt; Object Type rollout &gt; Crowd &gt; Setup rollout &gt; Cognitive Controllers Select a Crowd object. &gt; Modify panel &gt; Setup rollout &gt; Cognitive Controllers</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SurfaceArriveBhvr.getPos &lt;Surface_Arrive_Behavior&gt; &lt;delegate_node&gt; </code></pre><p>Returns a Point3 value of the position that the delegate is arriving to at the time the function is called.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;</code></pre><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Surface_Arrive_Behavior&gt;.surfaces </code></pre><blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set a Crowd/Behavior ArrayParameter element to undefined.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowds/Crowd-helper.html\">Crowd : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";