var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B5EF3010-1E3D-4AFA-A54A-E5BBA9AC5A4D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Architectural : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Architectural - superclass: material; super-superclass:MAXWrapper - 57:1 - classID: #(332471230, 1763586103) </code></pre><p><strong>Architectural</strong> is a material class providing simplified user interface for advanced material effects in <strong>3ds Max 6</strong> and higher.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Architectural ...      \n\
ArchitecturalMaterial ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.bumpMap UndefinedClass default: undefined -- texmap; Bump_Map </code></pre><p>Get/Set the Bump Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.bumpMapAmount Float default: 100.0 -- percentage; Bump_Map_Amount </code></pre><p>Get/Set the bump map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.bumpMapEnable BooleanClass default: true -- boolean; Bump_Map_Enable </code></pre><p>Enable/Disable the Bump Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.colorBleed Float default: 100.0 -- animatable; percentage; Color_Bleed_Scale; </code></pre><p>Get/Set the Color Bleeding amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.cutoutMap UndefinedClass default: undefined -- texmap; Cutout_Map </code></pre><p>Get/Set the Cutout Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.cutoutMapAmount Float default: 100.0 -- percentage; Cutout_Map_Amount </code></pre><p>Get/Set the cutout map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.cutoutMapEnable BooleanClass default: true -- boolean; Cutout_Map_Enable </code></pre><p>Enable/Disable the Cutout Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.diffuse Color default: (color 150 150 150) -- animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255)); \n\
&lt;Architectural&gt;.diffuseColor Color default: (color 255 255 255) -- animatable; alias for diffuse; Controller Scaling: ([1,1,1] : (color 255 255 255)); </code></pre><p>Get/Set the diffuse color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.diffuseMap UndefinedClass default: undefined -- texmap; Diffuse_Map </code></pre><p>Get/Set the Diffuse Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.diffuseMapAmount Float default: 100.0 -- percentage; Diffuse_Map_Amount </code></pre><p>Get/Set the diffuse map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.diffuseMapEnable BooleanClass default: true -- boolean; Diffuse_Map_Enable </code></pre><p>Enable/Disable the Diffuse Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.displacementMap UndefinedClass default: undefined -- texmap; Displacement_Map </code></pre><p>Get/Set the Displacement Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.displacementMapAmount Float default: 100.0 -- percentage; Displacement_Map_Amount </code></pre><p>Get/Set the displacement map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.displacementMapEnable BooleanClass default: true -- boolean; Displacement_Map_Enabled </code></pre><p>Enable/Disable the Displacement Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.emitLuminance BooleanClass default: false -- boolean; Emit_Luminance </code></pre><p>Enable/Disable the Luminance Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.exposureControlInvertReflection BooleanClass default: false -- boolean </code></pre><p>Enable/Disable Inverted Reflections in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.exposureControlInvertRefraction BooleanClass default: false -- boolean </code></pre><p>Enable/Disable Inverted Refractions in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.exposureControlInvertSelfIllum BooleanClass default: false -- boolean </code></pre><p>Enable/Disable Inverted Self Illumination in Exposure Control. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.noExposureControl BooleanClass default: false -- boolean </code></pre><p>When set to true, the material will not be processed by Exposure Controls. <strong>NOT EXPOSED IN THE UI</strong>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.filterMap UndefinedClass default: undefined -- texmap; Filter_Map </code></pre><p>Get/Set the Filter Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.indirectBumpAmount Float default: 100.0 -- animatable; percentage; Indirect_Bump_Scale; Controller Scaling: (1 : 100.0); </code></pre><p>Get/Set the Indirect Bump Amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.intensityMap UndefinedClass default: undefined -- texmap; Intensity_Map </code></pre><p>Get/Set the intensity map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.intensityMapAmount Float default: 100.0 -- percentage; Intensity_Map_Amount </code></pre><p>Get/Set the intensity map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.intensityMapEnable BooleanClass default: true -- boolean; Intensity_Map_Enable </code></pre><p>When set to <code>True</code> , the intensity map will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.ior Float default: 1.5 -- animatable; float </code></pre><p>Get/Set the Index Of Refraction value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.luminance Float default: 0.0 -- float </code></pre><p>Get/Set the luminance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.luminanceMap UndefinedClass default: undefined -- texmap; Luminance_Map </code></pre><p>Get/Set the Luminance Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.luminanceMapEnable BooleanClass default: true -- boolean; Luminance_Map_Enable </code></pre><p>Enable/Disable the Luminance Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.mapAmounts ArrayParameter default: #(100.0, 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 100.0, 100.0) -- percent array; Map_Amounts; SubAnim </code></pre><p>An array of all map amounts used by the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.maps ArrayParameter default: #(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined) -- texmap array; SubAnim </code></pre><p>An array of all maps used by the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.mapsEnables ArrayParameter default: #(true, true, true, true, true, true, true, true, true) -- bool array; Map_Enables; SubAnim </code></pre><p>An array of all map enable switches used by the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.rawDiffuseTexture BooleanClass default: false -- boolean; Raw_Diffuse_Texture </code></pre><p>Enable/Disable the raw diffuse texture option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.reflectanceScale Float default: 100.0 -- animatable; percentage; Refllectance_Scale; Controller Scaling: (1 : 100.0); </code></pre><p>Get/Set the reflectance scale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.sampler Integer default: 0 -- integer </code></pre><p>Get/Set the sampler by index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerAdaptOn BooleanClass default: false -- boolean; Sampler_Adapt_On </code></pre><p>Enable/Disable adaptive sampling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerAdaptThreshold Float default: 0.0 -- float; Sampler_Adapt_Threshold </code></pre><p>Get/Set the sampler adaptive threshold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerAdvancedOptions BooleanClass default: false -- boolean; Sampler_Advanced_Options </code></pre><p>Enable/Disable the advanced options.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerByName String default: &quot;&quot;Max 2.5 Star&quot;&quot; -- string; Sampler_By_Name </code></pre><p>Get/Set the the sampler by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerEnable BooleanClass default: false -- boolean; Sampler_Enabler </code></pre><p>Enable/Disable the sampler.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerQuality Float default: 0.1 -- float; Sampler_Quality </code></pre><p>Get/Set the sampler quality value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.samplerUseGlobal BooleanClass default: true -- boolean; Use_Global_Settings </code></pre><p>When set to true, the global sampler settings will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.shininess Float default: 0.0 -- percentage </code></pre><p>Get/Set the shininess value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.shininessMap UndefinedClass default: undefined -- texmap; Shininess_Map </code></pre><p>Get/Set the Shininess Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.shininessMapEnable BooleanClass default: true -- boolean; Shininess_Map_Enable </code></pre><p>Enable/Disable the Shininess Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.subSampleTextureOn BooleanClass default: true -- boolean; Subsample_Texture_On </code></pre><p>Enable/Disable sampling of maps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Architectural&gt;.supersampling Max_2_5_Star default: ReferenceTarget:Max_2_5_Star </code></pre><p>Get/Set the Supersampler object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.template String default: &quot;User Defined&quot; -- string </code></pre><p>Get/Set the template by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.textureHeight Float default: 40.0 -- animatable; world units; Texture_Height </code></pre><p>Get/Set the texture height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.textureUOffset Float default: 0.0 -- animatable; world units; Texture_U_Offset </code></pre><p>Get/Set the texture U offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.textureVOffset Float default: 0.0 -- animatable; world units; Texture_V_Offset </code></pre><p>Get/Set the texture V offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.textureWidth Float default: 40.0 -- animatable; world units; Texture_Width </code></pre><p>Get/Set the texture width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.translucency Float default: 0.0 -- percentage </code></pre><p>Get/Set the translucency value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.translucencyEnable BooleanClass default: true -- boolean; Translucency_Enable </code></pre><p>Enable/Disable the Transparency.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.translucencyMap UndefinedClass default: undefined -- texmap; Translucency_Map </code></pre><p>Get/Set the Translucency Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.transmittanceScale Float default: 100.0 -- animatable; percentage; Transmittance_Scale; Controller Scaling: (1 : 100.0); </code></pre><p>Get/Set the transmittance scale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.transparency Float default: 0.0 -- percentage </code></pre><p>Get/Set the transparency value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.transparencyMapEnable BooleanClass default: true -- boolean; Filter_Map_Enable </code></pre><p>Enable/Disable the Transparency Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.twoSided BooleanClass default: false -- boolean; Two_Sided </code></pre><p>Enable/Disable the two-sided option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.UserParam0 Float default: 0.0 -- float; User_Param0 </code></pre><p>User parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.UserParam1 Float default: 0.0 -- float; User_Param1 </code></pre><p>User parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Architectural&gt;.useTextureSize BooleanClass default: false -- boolean; Use_Texture_Size </code></pre><p>Enable/Disable texture size usage.</p>\n\
<h2 id=\"architectural-interfaces-\">Architectural interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ExposureMaterialControl </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.noExposureControl: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Exposure Controls will ignore the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertSelfIllum: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Self-Illumination values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertReflection: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Reflection values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertRefraction: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Refraction values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ArchMatMixin </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;averageColor &lt;&amp;color&gt;color [map:&lt;texturemap&gt;] </code></pre><p><code>color</code> is Out parameter</p>\n\
<p><code>map</code> default value: undefined</p>\n\
<p>Returns the average color of material or of the optional texture map in the by-reference color Out parameter. The method itself returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;convertMaterial&lt;material&gt;material [replace:&lt;boolean&gt;] </code></pre><p><code>replace</code> default value: false</p>\n\
<p>Converts the Architectural material to the supplied material by copying relevant properties. If the optional parameter replace is set to <code>true</code> , replaces all occurrences of the supplied material in the scene and the Material Editor with the Architectural material. Returns <code>true</code> on success.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";