var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AD4130D1-BFD1-4C10-9FE7-D35D1B1C7364\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DirectX_9_Shader : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DirectX_9_Shader - superclass: material; super-superclass:MAXWrapper - 6:0 - classID: #(249140708, 1630788338) </code></pre><p>The <strong>DirectX_9_Shader</strong> provides access to DirectX 9 shader files.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DirectX_9_Shader...      \n\
DxMaterial ...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.effectfile Stringdefault: &quot;None&quot; -- filename </code></pre><p>Get/Set the .FX effect file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.shaderfxgraph (ShaderFX_Graph) : string</code></pre><p>Get/set the ShaderFX graph as string.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.technique Integerdefault: 0 -- integer </code></pre><p>Get/Set the effect technique.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.renderEnabled BooleanClass default: false -- Boolean; Force_Software_Render </code></pre><p>Enable Software Rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.renderMaterial Standardmaterialdefault: Material #29:Standard -- material; SubAnim </code></pre><p>Get/Set the Standard Material corresponding to the directX shader.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.lightDir Integerdefault:0 </code></pre><p>Get/Set the Light Direction drop-down list selection. Default is 0 = Default Light. The possible values depend on the number of directional light sources (Spotlights, DirectLights etc.) in the scene which appear in the drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.k_a fRGBA colordefault:(color 119.85 119.85 119.85) </code></pre><p>Get/Set the shader&apos;s Ambient color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.k_d fRGBA colordefault:(color 119.85 119.85 119.85) </code></pre><p>Get/Set the shader&apos;s Diffuse color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.k_s fRGBA colordefault:(color 255 255 255) </code></pre><p>Get/Set the shader&apos;s Specular color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.n Integerdefault: 15 </code></pre><p>Get/Set the shader&apos;s Specular Power.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.renderStyle Integer default: 0 -- integer; Software_Rendering </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.renderShade Color default: (color 127.5 127.5 127.5) -- RGB color; Shaded_Color; </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.renderBitmap UndefinedClass default: undefined -- bitmap; Render_Bitmap </code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.parentMaterial String default: undefined -- alias: stingray_parent_material</code></pre><p>Get/Set the shader&apos;s parent material.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<h2 id=\"directx_9_shader-interfaces-\">DirectX_9_Shader interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IMtlRender_Compability_MtlBase </code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:IDxMaterial </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.effectFilename: string : Read|Write </code></pre><p>Get/Set the name of the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;DirectX_9_Shader&gt;.softwareBitmap: bitmap : Read|Write </code></pre><p>Get/Set the bitmap to be used by the software rendering.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;DirectX_9_Shader&gt;.reloadeffect() </code></pre><p>Reload the effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;DirectX_9_Shader&gt;.numberofbitmaps() </code></pre><p>Get thenumber ofbitmaps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitmap&gt;&lt;DirectX_9_Shader&gt;.geteffectbitmap &lt;integer&gt;index </code></pre><p>Get the bitmap of the specified indexed effect channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;DirectX_9_Shader&gt;.seteffectbitmap &lt;integer&gt;index &lt;bitmap&gt;bitmap </code></pre><p>Set the indexed effect channel to the specified bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;DirectX_9_Shader&gt;.bitmapmappingchannel &lt;index&gt;index </code></pre><p>Set the mapping channel of the indexed bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;DirectX_9_Shader&gt;.bitmapusage &lt;index&gt;index </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmapusage enums:{#Unknown|#DiffuseMap|#BumpMap|#OpacityMap|#DisplacementMap|#LightMap} </code></pre><p>Get the bitmap usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;DirectX_9_Shader&gt;.setmappingchannel &lt;index&gt;index &lt;integer&gt;mapChannel </code></pre><p>Set the mapping channel of the indexed bitmap to the integer value mapChannel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;DirectX_9_Shader&gt;.getNumberOfTechniques() </code></pre><p>Returns the number of techniques.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;DirectX_9_Shader&gt;.getTechniqueName &lt;index&gt;Index </code></pre><p>Returns the name of the indexed technique.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string array&gt;&lt;DirectX_9_Shader&gt;.getTechniqueList() </code></pre><p>Returns the technique list.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;DirectX_9_Shader&gt;.getCurrentTechniqueName() </code></pre><p>Returns the name of the current technique.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-globalDXDisplayManager.html\">Interface: globalDXDisplayManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";