var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DB5678BC-2FDA-454F-AE18-E9776A022F71\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>InkNPaint : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InkNPaint - superclass: material; super-superclass:MAXWrapper - classID: #(27793050, 1295605925) </code></pre><p>The InkNPaint Cartoon shading material uses the raytracer and provides a wide range of controls over inking and painting.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Certain advanced features of this material are accessible only through MAXScript.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InkNPaint...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.backface_error_color Color default: (color 0 255 255) </code></pre><p>Get/Set the backface error flag color.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.backface_error_on Boolean default: true -- boolean </code></pre><p>Enable/Disable the backface error coloring.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.bump_MapTextureMap default: undefined -- texmap </code></pre><p>Get/Set the bump map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.bump_map_amt Float default: 30.0 -- animatable; float </code></pre><p>Get/Set the bump map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.bump_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable bump mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.color1 Color default: (color 0 0 0) -- animatable; Ink_Color </code></pre><p>Get/Set the Ink Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.dsp_Map TextureMap default: undefined -- texmap; Dsp__Map </code></pre><p>Get/Set the displacement map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.dsp_map_amt Float default: 20.0 -- animatable; float; Dsp__Map_Amt </code></pre><p>Get/Set the displacement map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.dsp_map_on Boolean default: false -- boolean; Dsp__Map_On </code></pre><p>Enable/Disable displacement mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_ink_color Color default: (color 0 0 0) -- animatable; Internal_Ink_Color </code></pre><p>Get/Set the Ink Color for internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_ink_Map TextureMap default: undefined -- texmap; Internal_Map </code></pre><p>Get/Set the Ink Map for internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_ink_map_amt Float default: 100.0 -- animatable; float; Internal_Map_Amt </code></pre><p>Get/Set the Ink Map amount for internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_ink_map_on Boolean default: false -- boolean; Internal_Map_On </code></pre><p>Enable/Disable the Ink Map for internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_ink_on Boolean default: false -- boolean; Internal_Ink_On </code></pre><p>Enable/Disable Inking of internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.edge_ang_thresh Float default: 0.5 -- animatable; float; Edge_Ang__Thresh </code></pre><p>Get/Set the Edge Angle Threshold used to define internal edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.face_map_on Boolean default: false -- boolean </code></pre><p>Get/Set the Face Map state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.faceted_on Boolean default: false -- boolean </code></pre><p>Get/Set the Facetted state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.fog_bg Boolean default: false -- boolean; Fog_B_G </code></pre><p>Get/Set the &quot;Fog Background when not painting&quot; state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.init_fail_color Color default: (color 0 255 0) </code></pre><p>Get/Set the Initialization Failed flag color.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.init_fail_on Boolean default: true -- boolean </code></pre><p>Enable/Disable the marking of Initialization Failed error.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.ink_auto_vary_on Boolean default: false -- boolean </code></pre><p>Get/Set the Variable Width option in the Ink Controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.ink_on Boolean default: true -- boolean </code></pre><p>Enable/Disable Ink usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.ink_quality Integer default: 1 -- animatable; integer </code></pre><p>Get/Set the Ink Quality value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.ink_width_clamp_on Boolean default: false -- boolean </code></pre><p>Get/Set the Clamp option under Ink Controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.intersect_bias Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the Intersection Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.mat1 Material default: undefined -- material; Material_1 </code></pre><p>Get/Set the optional sub-material used for surface shading.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This feature is accessible through MAXScript only and is not exposed to the InkNPain UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.mat1_on Boolean default: false -- boolean; Material_1_Enabled </code></pre><p>Enable/Disable the optional sub-material</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_adj_req_on Boolean default: true -- boolean; MatID_Adj__Req__On </code></pre><p>When set to true, only adjacent faces with different Material IDs will be inked. Corresponds to the &quot;Only Adjacent Faces&quot; checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_ink_color Color default: (color 0 0 0) -- animatable </code></pre><p>Get/Set the Ink color used for Material ID borders.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_ink_on Boolean default: true -- boolean </code></pre><p>Enable/Disable the Inking of Material ID borders.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_intersect_bias Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the Material ID Ink Intersecion Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_Map TextureMap default: undefined -- texmap </code></pre><p>Get/Set the Material ID Ink Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Material ID Ink Map Amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.matid_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable the Material ID Ink Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.max_ink_width Float default: 4.0 -- animatable; float; Max__Ink_Width </code></pre><p>Get/Set the Max. Ink Width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.min_ink_width Float default: 2.0 -- animatable; float; Min__Ink_Width </code></pre><p>Get/Set the Min. Ink Width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.missed_rays_error_color Color default: (color 255 0 255) </code></pre><p>Get/Set the Color used to flag missed rays errors.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.missed_rays_error_on Boolean default: true -- boolean </code></pre><p>Enable/Disable flagging of missed rays errors.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.opaque_alpha_on Boolean default: false -- boolean </code></pre><p>Enable/Disable opaque alpha.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.out_ink_Map TextureMap default: undefined -- texmap </code></pre><p>Get/Set the Outline Ink map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.out_ink_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Outline Ink map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.out_ink_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable Outline Ink mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.out_ink_on Boolean default: true -- boolean </code></pre><p>Enable/Disable Outline Inking.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_color Color default: (color 79 165 210) -- animatable </code></pre><p>Get/Set the Paint color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_levels Integer default: 2 -- animatable; integer </code></pre><p>Get/Set the Paint Levels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_Map TextureMap default: undefined -- texmap </code></pre><p>Get/Set the Paint map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Paint map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable Paint mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.paint_on Boolean default: true -- boolean </code></pre><p>Enable/Disable Painting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.pixel_grid_on Boolean default: false -- boolean </code></pre><p>Enable/Disable the Pixel grid.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is an advanced feature accessible through MAXScript only and is not exposed to the standard InkNPain UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.pixel_sampler Integer default: 3 </code></pre><p>Get/Set the Pixel sampler by index.</p>\n\
<p>0 - Adaptive Halton</p>\n\
<p>1 - Adaptive Uniform</p>\n\
<p>2 - Hammersley</p>\n\
<p>3 - Max 2.5 Star (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.rayengine Ray_Engine default: ReferenceTarget:Ray_Engine </code></pre><p>Get the Ray Engine. This property cannot be set via MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.sampler Integer default: 3 -- integer; Pixel_Sampler </code></pre><p>Get/Set the Pixel sampler. Same as .sixel_sampler</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerAdaptOn Boolean default: true -- boolean; Adaptive_On </code></pre><p>Enable/Disable Adaptive sampling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerAdaptThreshold Float default: 0.1 -- float; Adaptive_Threshold </code></pre><p>Get/Set Adaptive sampling Threshold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerAdvancedOptions Boolean default: true -- boolean; Samper_Advanced_Options </code></pre><p>Enable/Disable the Sampler Advanced Options.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerByName String default: &quot;Max 2.5 Star&quot; -- string; Sampler_By_Name </code></pre><p>Get/Set the Pixel sampler by name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerEnable Boolean default: true -- animatable; boolean; Sampler_On </code></pre><p>Enable/Disable SuperSampling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerQuality Float default: 0.5 -- animatable; float; Sampler_Quality </code></pre><p>Get/Set the SuperSampling quality.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.samplerUseGlobal BooleanClass default: true -- boolean; Use_Global_Settings </code></pre><p>When set to <code>true</code> , the Global Sampler settings will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_bias Float default: 10.0 -- animatable; float </code></pre><p>Get/Set the Self-Overlapping Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_ink_color Color default: (color 0 0 0) -- animatable </code></pre><p>Get/Set the Self-Overlapping Ink Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_ink_Map TextureMap default: undefined -- texmap; Self_Overlap_Map </code></pre><p>Get/Set the Self-Overlapping Ink Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_ink_map_amtFloat default: 100.0 -- animatable; float; Self_Overlap_Map_Amt </code></pre><p>Get/Set the Self-Overlapping Ink Map amount</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_ink_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable Self-Overlapping Ink Mapping</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_overlap_ink_on Boolean default: true -- boolean </code></pre><p>Enable/Disable Self-Overlapping Inking.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_bias Float default: 10.0 -- animatable; float </code></pre><p>Get/Set the Self-Underlapping Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_ink_color Color default: (color 0 0 0) -- animatable </code></pre><p>Get/Set the Self-Underlapping Ink Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_ink_Map TextureMap default: undefined -- texmap; Self_Underlap_Map </code></pre><p>Get/Set the Self-Underlapping Ink Map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_ink_map_amt Float default: 100.0 -- animatable; float; Self_Underlap_Map_Amt </code></pre><p>Get/Set the Self-Underlapping Ink Map amount</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_ink_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable Self-Underlapping Ink Mapping</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.self_underlap_ink_on Boolean default: false -- boolean </code></pre><p>Enable/Disable Self-Underlapping Inking</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_amt Float default: 70.0 -- animatable; float </code></pre><p>Get/Set the Shade amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_amt_on Boolean default: true -- boolean; Shade_Amt__On </code></pre><p>Enable/Disable the Shade amount. When true, the amount will be used. When false, the shade_color will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_color Color default: (color 40 80 100) -- animatable </code></pre><p>Get/Set the Shade color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_color_Map TextureMap default: undefined -- texmap </code></pre><p>Get/Set the Shade color map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_color_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Shade color map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.shade_color_map_on Boolean default: false -- boolean </code></pre><p>Enable/Disable the Shade color map</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.smgroup_edge_ink_color Color default: (color 0 0 0) -- animatable; Sharp_Edge_Ink_Color </code></pre><p>Get/Set the Smoothing groups edge Ink color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.smgroup_edge_ink_on Boolean default: true -- boolean; Sharp_Edge_Ink_On </code></pre><p>Enable/Disable Smoothing groups edge Inking.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.smgroup_edge_Map TextureMap default: undefined -- texmap; Sharp_Edge_Map </code></pre><p>Get/Set the Smoothing groups edge map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.smgroup_edge_map_amt Float default: 100.0 -- animatable; float; Sharp_Edge_Map_Amt </code></pre><p>Get/Set the Smoothing groups edge map amoumt.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.smgroup_edge_map_on Boolean default: false -- boolean; Sharp_Edge_Map_On </code></pre><p>Enable/Disable Smoothing groups edge mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_color Color default: (color 255 255 255) -- animatable </code></pre><p>Get/Set the Specular color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_gloss Float default: 50.0 -- animatable; float </code></pre><p>Get/Set the Glossines value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_Map TextureMap default: undefined -- texmap; Spec__Map </code></pre><p>Get/Set the Specular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_map_amt Float default: 100.0 -- animatable; float; Spec__Map_Amt </code></pre><p>Get/Set the Specular map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_map_on Boolean default: false -- boolean; Spec__Map_On </code></pre><p>Enable/Disable Specular mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.spec_on Boolean default: false -- boolean; Spec__On </code></pre><p>Enable/Disable Specular highlights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.sub_mtl_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Sub-material amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.subSampleTextureOn Boolean default: true -- boolean; Sample_SubTexmaps_On </code></pre><p>Enable/Disable Texture SuperSampling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.two_side_on Boolean default: true -- boolean </code></pre><p>Enable/DisableDoubleSided rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.UserParam0 Float default: 0.0 -- float; Param_0 </code></pre><p>Get/Set a user parameter value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.UserParam1 Float default: 0.0 -- float; Param_1 </code></pre><p>Get/Set a user parameter value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.width_Map TextureMap default: undefined -- texmap </code></pre><p>Get/Set the Width map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.width_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Get/Set the Width map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InkNPaint&gt;.width_map_on Boolean default: false -- boolean </code></pre><p>Get/Set the Width mapping.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";