var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EDFC278E-CACD-43D6-A1ED-405C04937C94\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RayTraceMaterial : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RaytraceMaterial - superclass: material; super-superclass:MAXWrapper - classID: #(655953908, 849023086) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rayTraceMaterial...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Ambient_Color_On Boolean default: true -- animatable; boolean </code></pre><p>If Ambient_Color_On is false, <code>Ambient_Amount</code> is used, otherwise <code>Ambient</code> is used</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Ambient Color default: (color 0 0 0) -- animatable </code></pre><p>Sets the degree to which the material absorbs ambient light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Ambient_Amount Float default: 0.0 -- animatable; percentage </code></pre><p>The amount that the ambient map affects the material expressed as a percentage of full intensity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Luminosity_Color_On Boolean default: true -- animatable; boolean </code></pre><p>If Luminosity_Color_On is false, <code>Self_Illum__AmountA</code> is used, otherwise <code>Luminosity</code> is used</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Luminosity Color default: (color 0 0 0) -- animatable </code></pre><p>The self-illumination color of the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Self_Illum_Amount Float default: 0.0 -- animatable; percentage </code></pre><p>The amount that the self-illumination map affects the material expressed as a percentage of full intensity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Diffuse Color default: (color 127.5 127.5 127.5) -- animatable </code></pre><p>Sets the diffuse color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Transparency_Color_On Boolean default: true </code></pre><p>If Transparency_Color_On is false, <code>Transparency_Amount</code> is used, otherwise <code>Transparecy</code> is used</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Transparecy Color default: (color 0 0 0) -- animatable </code></pre><p>The filter color of the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Transparency_Amount Float default: 0.0 -- animatable; percentage </code></pre><p>The amount that the transparency map affects the material expressed as a percentage of full intensity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflect_Color_On Integer default: 1 -- animatable </code></pre><p>If Reflect_Color_On is false, <code>Reflect_Amount</code> is used, otherwise <code>Reflect</code> is used</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflect Color default: (color 0 0 0) -- animatable </code></pre><p>The specular reflection color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflect_amount Float default: 0.0 -- animatable; percentage </code></pre><p>The amount that the reflection map affects the material expressed as a percentage of full intensity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Index_of_Refraction Float default: 1.55 -- animatable; float </code></pre><p>The index of refraction (IOR) controls how severely the material refracts transmitted light. At 1.0, the IOR of air, the object behind the transparent object does not distort. At 1.5, the object behind distorts greatly, like a glass marble. At an IOR slightly less than 1.0, the object reflects along its edges, like a bubble seen from under water.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Spec__Color Color default: (color 255 255 255) -- animatable </code></pre><p>Sets the color of specular highlights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Specular_Level Float default: 50.0 -- animatable; percentage </code></pre><p>Sets the intensity of specular highlights. Set the Specular Level to a very high value for very strong, tight highlights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Glossiness Float default: 40.0 -- animatable; percentage </code></pre><p>Affects the size of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Soften Float default: 0.1 -- animatable </code></pre><p>Softens the effect of highlights formed by glancing light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Extra_Lighting Color default: (color 0 0 0) -- animatable </code></pre><p>Adds light to the surface of objects with the Raytrace material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.translucency Color default: (color 0 0 0) -- animatable </code></pre><p>Creates a translucent effect. The Translucency color is a non-directional diffuse reflection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fluorescence Color default: (color 0 0 0) -- animatable </code></pre><p>Creates an effect similar to black light on a black light poster. The light from a black light is largely ultraviolet, outside the visible spectrum. Under black light, fluorescent paints flare or glow. The fluorescence in Raytrace material takes whatever light it sees in the scene, applies the Bias to it, and then, regardless of the color of the lights in the scene, illuminates the fluorescent material as if it were lit by white light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fluorescence_Bias Float default: 70.0 -- animatable; percentage </code></pre><p>At 0.5, The Bias makes Fluorescence behave just like diffuse coloring. Bias values higher than 0.5 increase the fluorescent effect, making the object brighter than other objects in the scene. Bias values lower than 0.5 make the object dimmer than other objects in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Wire_Size Float default: 1.0 -- animatable; </code></pre><p>Sets the size of the wire in wireframe mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.wireUnits Integer default: 0 -- </code></pre><p>Sets the units to use with the <code>.wiresize</code> value:</p>\n\
<p>0- Pixels</p>\n\
<p>1- Units</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Color_Density_Enable Boolean default: false&amp;emdash;animatable </code></pre><p>Turns on/off the color density controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Color_Density_Start Float default: 0.0 -- animatable </code></pre><p>The position in the object where the density color begins to appear.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Color_Density_End Float default: 25.0 -- animatable </code></pre><p>The position in the object where the density color reaches its full Amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Color_Density_Amount Float default: 1.0 -- animatable </code></pre><p>The amount of density color. It can range from 0 to 1.0. Reducing this value reduces the density color effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Color_Density_Color Color default: (color 255 255 255) -- animatable </code></pre><p>Sets a transmission color based on thickness. While filter (Transparency) color tints objects behind the transparent object, the density color gives the appearance of color <em>within</em> the object itself, like tinted glass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fog_Enable Boolean default: false&amp;emdash;animatable </code></pre><p>Turn on/off the use of density fog in the raytrace material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fog_Start Float default: 0.0 -- animatable </code></pre><p>The position in the object where the density fog begins to appear.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fog_End Float default: 25.0 -- animatable </code></pre><p>The position in the object where the density fog reaches its full Amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fog_Amount Float default: 1.0 -- animatable </code></pre><p>Controls the amount of density fog. It can range from 0 to 1.0. Reducing this value reduces the density fog effect and makes the fog translucent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Fog_Color Color default: (color 0 0 0) -- animatable </code></pre><p>The color of the density fog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflection_Type Integer default: 0 -- animatable </code></pre><p>Set the type of reflection:</p>\n\
<p>1 - Default (Reflections are layered with the diffuse color)</p>\n\
<p>2 - Additive (Reelections are added to the diffuse color)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflection_Gain Float default: 0.5 -- animatable </code></pre><p>Controls reflection brightness. The lower the gain value, the brighter the reflection. At a gain of 1.0, no reflection is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Enable_Raytraced_Reflections Boolean default: true -- animatable </code></pre><p>Turns raytracing of reflective objects on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Enable_Raytraced_Refractions Boolean default: true -- animatable </code></pre><p>Turns raytracing of transparent objects on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflection_Falloff_Mode Integer default: 0 -- animatable </code></pre><p>When on, dims reflections to black at distance specified by Reflection_Falloff_End_Distance:</p>\n\
<p>0- Off (Turns off attenuation)</p>\n\
<p>1- Linear</p>\n\
<p>2- Inverse Square (Inverse square is the actual attenuation rate for light in the real world.)</p>\n\
<p>3- Exponential</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflection_Falloff_End_Distance Float default: 100.0 -- animatable </code></pre><p>The distance in world units where the reflected ray is fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Refraction_Falloff_Mode Integer default: 0 -- animatable </code></pre><p>Sets the falloff mode for refraction in the raytrace material:</p>\n\
<p>0- Off (Turns off attenuation)</p>\n\
<p>1- Linear</p>\n\
<p>2- Inverse Square (Inverse square is the actual attenuation rate for light in the real world.)</p>\n\
<p>3- Exponential</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Refraction_Falloff_End_Distance Float default: 100.0 -- animatable </code></pre><p>The distance in world units where the refracted ray is fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Bump_Map_Effect Float default: 1.0 -- animatable </code></pre><p>Adjusts the effect of bump maps on raytraced reflections and refractions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Override_Global_Antialiasing_Settings Boolean default: false&amp;emdash;animatable </code></pre><p>If Override_Global_Antialiasing_Settings = <code>false</code> , Global Antialiasing Settings are used. If <code>true</code> , the antialiaser is determined by <code>Adaptive_Antialiasing_On</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Adaptive_Antialiasing_On Boolean default: false&amp;emdash;animatable </code></pre><p>If Adaptive_Antialiasing_On = <code>true</code> , the Multiresolution Adaptive Antialiaser is used; otherwise the Fast Adaptive Antialiaser is used. This property only has an effect if <code>Override_Global_Antialiasing_Settings</code> = <code>true</code> .</p>\n\
<h3 id=\"the-following-properties-are-associated-with-the-options-dialog\">The following properties are associated with the Options dialog</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Raytracer_Enable Boolean default: true -- animatable </code></pre><p>Turns the raytracer on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Antialiasing_Enable Boolean default: true -- animatable </code></pre><p>Turns antialiasing on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Self_Reflect_Refract Boolean default: true -- animatable </code></pre><p>Turns self reflection/refraction on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Raytrace_Atmospherics Boolean default: true -- animatable </code></pre><p>Turns the raytracing of atmospheric effects on or off. Atmospheric effects include fire, fog, volume light, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Reflect_Refract_Material_ID_s Boolean default: true -- animatable </code></pre><p>When on, the material reflects effects assigned to material IDs in the renderer&#x2019;s G-Buffer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Raytrace_Objects_in_Glass Boolean default: true -- animatable </code></pre><p>Turns the raytracing of objects inside raytraced objects on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Raytrace_Atmospherics_in_Glass Boolean default: true -- animatable </code></pre><p>Turns the raytracing of atmospherics inside raytraced objects on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Options___Color_Density___Fog_Enable Boolean default: true -- animatable </code></pre><p>Turns the color density and fog features on or off.</p>\n\
<h3 id=\"the-following-properties-are-associated-with-the-antialiaser-configuration-dialogs-\">The following properties are associated with the Antialiaser configuration dialogs.</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Threshold Float default: 0.1 -- animatable </code></pre><p>The sensitivity of the adaption algorithm. This value can range from 0 to 1, where 0 always casts the maximum number of rays and 1 always casts only the minimum number of rays.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Min__Rays Integer default: 4 -- animatable </code></pre><p>The minimum number of rays that the algorithm casts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Max__Rays Integer default: 32 -- animatable </code></pre><p>The maximum number of rays the algorithm casts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Blur_Offset Float default: 0.0 -- animatable </code></pre><p>The sharpness or blurriness of reflections or refractions without regard to distance. This value is specified in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Blur_Aspect Float default: 1.0 -- animatable </code></pre><p>Changes the shape of the blur by changing the aspect ratio.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Defocus Float default: 0.0 -- animatable </code></pre><p>Blurs based on distance. Objects near the surface are not blurred, but objects farther away are blurred. The rays cast are spread as they leave the surface of the raytrace map object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Local_Defocus_Aspect Float default: 1.0 -- animatable </code></pre><p>Changes the shape of the defocusing by changing the aspect ratio.</p>\n\
<h3 id=\"the-following-properties-are-associated-with-the-maps-rollout-\">The following properties are associated with the Maps rollout.</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.ambientMap TextureMap default: undefined </code></pre><p>The map assigned to the ambient map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.ambientMapAmount Float default: 100.0 </code></pre><p>The relative strength of the ambient map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.ambientMapEnable Boolean default: false </code></pre><p>Turn on/off use of the ambient map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.bumpMap TextureMap default: undefined </code></pre><p>The map assigned to the bump map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.bumpMapAmount Float default: 100.0 </code></pre><p>The relative strength of the bump map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.bumpMapEnable Boolean default: false </code></pre><p>Turn on/off use of the bump map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffuseMap TextureMap default: undefined </code></pre><p>The map assigned to the diffuse map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffuseMapAmount Float default: 100.0 </code></pre><p>The relative strength of the diffuse map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffuseMapEnable Boolean default: false </code></pre><p>Turn on/off use of the diffuse map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.displacementMap TextureMap default: undefined </code></pre><p>The map assigned to the displacement map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.displacementMapAmount Float default: 100.0 </code></pre><p>The relative strength of the displacement map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.displacementMapEnable Boolean default: false </code></pre><p>Turn on/off use of the displacement map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.reflectionMap TextureMap default: undefined </code></pre><p>The map assigned to the reflection map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.reflectionMapAmount Float default: 100.0 </code></pre><p>The relative strength of the reflection map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.reflectionMapEnable Boolean default: false </code></pre><p>Turn on/off use of the reflection map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.refractionMap TextureMap default: undefined </code></pre><p>The map assigned to the refraction map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.refractionMapAmount Float default: 100.0 </code></pre><p>The relative strength of the refraction map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.refractionMapEnable Boolean default: false </code></pre><p>Turn on/off use of the refraction map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.glossinessMap TextureMap default: undefined </code></pre><p>The map assigned to the glossiness map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.glossinessMapAmount Float default: 100.0 </code></pre><p>The relative strength of the glossiness map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.glossinessMapEnable Boolean default: false </code></pre><p>Turn on/off use of the glossiness map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularLevelMapTextureMap default: undefined </code></pre><p>The map assigned to the specularLevel map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularLevelMapAmount Float default: 100.0 </code></pre><p>The relative strength of the specularLevel map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularLevelMapEnable Boolean default: false </code></pre><p>Turn on/off use of the specularLevel map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.luminosityMap TextureMap default: undefined </code></pre><p>The map assigned to the luminosity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.luminosityMapAmount Float default: 100.0 </code></pre><p>The relative strength of the luminosity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.luminosityMapEnable Boolean default: false </code></pre><p>Turn on/off use of the luminosity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transparencyMap TextureMap default: undefined </code></pre><p>The map assigned to the transparency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transparencyMapAmount Float default: 100.0 </code></pre><p>The relative strength of the transparency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transparencyMapEnable Boolean default: false </code></pre><p>Turn on/off use of the transparency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.environmentMap TextureMap default: undefined </code></pre><p>The map assigned to the environment map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.environmentMapAmount Float default: 100.0 </code></pre><p>The relative strength of the environment map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.environmentMapEnable Boolean default: false </code></pre><p>Turn on/off use of the environment map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transEnvMap TextureMap default: undefined </code></pre><p>The map assigned to the transEnv map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transEnvMapAmount Float default: 100.0 </code></pre><p>The relative strength of the transEnv map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.transEnvMapEnable Boolean default: false </code></pre><p>Turn on/off use of the transEnv map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.iorMap TextureMap default: undefined </code></pre><p>The map assigned to the ior map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.iorMapAmount Float default: 100.0 </code></pre><p>The relative strength of the ior map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.iorMapEnable Boolean default: false </code></pre><p>Turn on/off use of the ior map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.translucencyMap TextureMap default: undefined </code></pre><p>The map assigned to the translucency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.translucencyMapAmount Float default: 100.0 </code></pre><p>The relative strength of the translucency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.translucencyMapEnable Boolean default: false </code></pre><p>Turn on/off use of the translucency map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.extraLightingMap TextureMap default: undefined </code></pre><p>The map assigned to the extraLighting map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.extraLightingMapAmount Float default: 100.0 </code></pre><p>The relative strength of the extraLighting map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.extraLightingMapEnable Boolean default: false </code></pre><p>Turn on/off use of the extraLighting map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fluorescenceMap TextureMap default: undefined </code></pre><p>The map assigned to the fluorescence map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fluorescenceMapAmount Float default: 100.0 </code></pre><p>The relative strength of the fluorescence map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fluorescenceMapEnable Boolean default: false </code></pre><p>Turn on/off use of the fluorescence map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.colorDensityMap TextureMap default: undefined </code></pre><p>The map assigned to the colorDensity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.colorDensityMapAmount Float default: 100.0 </code></pre><p>The relative strength of the colorDensity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.colorDensityMapEnable Boolean default: false </code></pre><p>Turn on/off use of the colorDensity map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fogColorMap TextureMap default: undefined </code></pre><p>The map assigned to the fogColor map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fogColorMapAmount Float default: 100.0 </code></pre><p>The relative strength of the fogColor map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.fogColorMapEnable Boolean default: false </code></pre><p>Turn on/off use of the fogColor map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffusionMap TextureMap default: undefined </code></pre><p>The map assigned to the diffusion map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffusionMapAmount Float default: 100.0 </code></pre><p>The relative strength of the diffusion map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.diffusionMapEnable Boolean default: false </code></pre><p>Turn on/off use of the diffusion map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularMap TextureMap default: undefined </code></pre><p>The map assigned to the specular color map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularMapAmount Float default: 100.0 </code></pre><p>The relative strength of the specular color map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.specularMapEnable Boolean default: false </code></pre><p>Turn on/off use of the specular color map channel.</p>\n\
<h3 id=\"the-following-properties-are-associated-with-the-dynamics-properties-rollout-\">The following properties are associated with the Dynamics Properties rollout.</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Bounce_Coefficient Float default: 1.0 -- animatable </code></pre><p>Sets how far an object bounces after hitting a surface. The higher the value, the greater the bounce. A value of 1 represents a &quot;perfectly elastic collision&quot; or a bounce in which no kinetic energy is lost.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Static_Friction Float default: 0.0 -- animatable </code></pre><p>Sets how difficult it is for the object to start moving along a surface. The higher this value, the more difficult.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Sliding_Friction Float default: 0.0 -- animatable </code></pre><p>Sets how difficult it is for the object to keep moving over a surface. The higher this value, the more difficult for the object to keep moving.</p>\n\
<p>The following properties do not correspond to any user-interface items, but appear to be used by the raytracer. These properties appear to be similar to the corresponding properties for the <a href=\"./../../TextureMap-Material/TextureMap-Types/Raytrace-TextureMap.html\">Raytrace TextureMap</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Start Float default: 0.0 </code></pre><p>The distance in world units where attenuation begins.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Exponent Float default: 2.0 </code></pre><p>The distance in world units where the ray is fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Color_Mode Integer default: 0 </code></pre><p>This affects the behavior of light rays as they attenuate out:</p>\n\
<p>0 - <strong>Background</strong> (As the ray attenuates out, returns the background (either the scene&#x2019;s background or the background specified locally in the Raytracer Parameters rollout) rather than the actual color of what the reflected/refracted ray sees.)</p>\n\
<p>1 - <strong>Use Attenuation_Color</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Color Color default: (color 0 0 0) </code></pre><p>The color used for attenuation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Near Float default: 1.0 </code></pre><p>The strength of the reflected/refracted ray at the start range distance. This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Control_1 Float default: 0.6666 </code></pre><p>Controls the shape of the curve near the curve start.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Control_2 Float default: 0.3333 </code></pre><p>Controls the shape of the curve near the curve end.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Attenuation_Far Float default: 0.0 </code></pre><p>Sets the strength of the reflected/refracted ray at the end range distance. This is a normalized percentage that can range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Blur_Map Boolean default: false </code></pre><p>When on, the software uses a map to apply the Blur Offset value. That is, where the map is white, blur offset is fully applied, and where it is black, it is ignored. For example, if the map is a Checker map, blur offset is applied only in every other square. Values between black and white cause less blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Defocus_Map Boolean default: false </code></pre><p>When on, uses a map to apply the Defocus value. That is, where the map is white, Defocus is fully applied, and where it is black, it is ignored. For example, if the map is a Checker map, Defocus is applied only in every other square. Values between black and white cause less defocusing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Enable_Reflection_Falloff Boolean default: false </code></pre><p>Turns on/off falloff of reflection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Reflection_Falloff_Distance Float default: 0.0 </code></pre><p>The distance until the reflections are fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Enable_Refraction_Falloff Boolean default: false </code></pre><p>Turns on/off falloff of refraction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Refraction_Falloff_Distance Float default: 0.0 </code></pre><p>The distance until the refractions are fully attenuated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.supersample Boolean default: false </code></pre><p>Toggle Supersampling on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.ShaderType Integer default: 1 </code></pre><p>The shader index:</p>\n\
<p>1- Phong</p>\n\
<p>2- Metal</p>\n\
<p>3- Blinn</p>\n\
<p>4- Oren Nayar-Blinn</p>\n\
<p>5- Anisotropy</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.shaderByName String default: &quot;Phong&quot; </code></pre><p>Sets the type of shader with a string, rather than a number. Enter <code>&quot;phong&quot;</code> , <code>&quot;metal&quot;</code> , <code>&quot;blinn&quot;</code> , &quot; <code>ONB&quot;</code> or&quot; <code>Anisotropic&quot;</code></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>.shaderType</code> and <code>.shaderByName</code> are linked and will automatically change each others values.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.TwoSided Boolean default: false </code></pre><p>Turns on/off the 2-Sided property</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Wire Boolean default: false </code></pre><p>Turns on/off wireframe mode</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.FaceMap Boolean default: false </code></pre><p>Turns on/off face mapping</p>\n\
<p><strong>The following additional properties have been exposed since 3ds Max 5:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Anisotropy Float default: 50.0 -- animatable; percentage </code></pre><p>Get/Set the Anisotropy percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.Orientation Float default: 0.0 -- animatable; percentage </code></pre><p>Get/Set the Anisotropy Orientation percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.sampler_param_block SubAnim default: SubAnim:sampler_Param_Block -- SubAnim </code></pre><p>Read-only access to the Sampler Parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial.sampler_param_block&gt;.sampler_on Boolean default: false -- animatable </code></pre><p>Get/Set the Sampler enabled state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial.sampler_param_block&gt;.sampler_quality Float default: 0.5 -- animatable </code></pre><p>Get/Set the Sampler quality value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>MacroRecorder gives incorrect property names when changing SuperSampling rollout items.</p>\n\
<p>Some items in SuperSampling rollout are not scriptable.</p>\n\
<h2 id=\"raytracematerial-interfaces-\">RaytraceMaterial interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ExposureMaterialControl </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.noExposureControl: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Exposure Controls will ignore the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.exposureControlInvertSelfIllum: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Self-Illumination values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.exposureControlInvertReflection: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Reflection values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RaytraceMaterial&gt;.exposureControlInvertRefraction: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Refraction values from this material will be inverted.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";