var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B1A27E36-3F95-4491-8A1C-67FA4262EE61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Flex : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Flex - superclass: modifier; super-superclass:MAXWrapper - classID: #(-568876209, -1975393616) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flex ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.flex Float default: 1.0 -- animatable </code></pre><p>Sets the amount of flex and bend. Larger values increase the effect. Range=0 to 1000.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.strength Float default: 3.0 -- animatable </code></pre><p>Sets the spring strength. A value of 100 is rigid. Range=0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.sway Float default: 7.0 -- animatable </code></pre><p>Sets the time for the object to come to rest. Lower values increase the time for the object to come to rest. Range=0 to 100.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.chase Booleandefault: true </code></pre><p>Turns chase springs on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.center Boolean default: true </code></pre><p>Turns the use of weights on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.solver Integer default: 0 </code></pre><p>The type of solver that will be used:</p>\n\
<p>0- Euler Solver</p>\n\
<p>1- Mid-point solver</p>\n\
<p>2- Runnge Kutta</p>\n\
<p>The higher the solver number, the more accurate/stable it is, and the slower it will run.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.samples Integer default: 5 -- animatable </code></pre><p>The number of samples per frame that the solver will use. The higher the number, the more accurate and stable; at the cost of a slower system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.stretch Float default: 5.0 -- animatable </code></pre><p>This parameter is driven by the stretch strength/sway fields. It is normalized then copied to the strength/sway fields to prevent the system from becoming unstable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.stiffness Float default: 0.1 -- animatable </code></pre><p>This parameter is driven by the torque strength/sway fields. It is normalized then copied to the strength/sway fields to prevent the system from becoming unstable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.paintStrength Float default: 0.1 </code></pre><p>Sets the amount of weight that the brush leaves on the mesh. Higher values leave more weight. Range=-1 to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.paintRadius Float default: 36.0 </code></pre><p>Set the size of the brush in world units. Range=.001 to 99999.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.paintFeather Float default: 0.7 </code></pre><p>Set the hardness of the brush. A value of 1 is soft. Range=-1 to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.absolute Boolean default: false </code></pre><p>Turn on to change the value of the Vertex Weight parameter to assign absolute weights to the selected vertices. Turn off to add or remove weight based on the vertices current weight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.forceNode ArrayParameter default: #() --array containing Force Nodes; alias: Force_Nodes </code></pre><p>Assigns force effect to particle space warps identified in an array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.colliderNode ArrayParameter default: #() -- node array </code></pre><p>Array contains a list of collider objects that flex will use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.referenceFrame Integer default: 0 -- alias: Reference_Frame </code></pre><p>Flex will start computing at this frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.endFrame Integer default: 100 </code></pre><p>Flex will stop computing after this time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.enableEndFrame Boolean default: false </code></pre><p>Turns the end frame on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.affectAll Boolean default: false </code></pre><p>Forces flex to ignore any selection in the stack, causing it to flex the entire object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.enableAdvanceSprings Boolean default: false </code></pre><p>Enables the advance spring fields. When this is off, the Stretch and Torque parameters are driven by the Stretch and Stiffness parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.stretchStrength Float default: 0.2 -- animatable </code></pre><p>Controls the strength of stretch springs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.stretchSway Float default: 0.2 -- animatable </code></pre><p>Controls the sway of stretch springs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.torqueStrength Float default: 0.2 -- animatable </code></pre><p>Controls the strength of torque springs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.torqueSwayFloat default: 0.2 -- animatable </code></pre><p>Controls the sway of torque springs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.holdLength Boolean default: false </code></pre><p>Turns on/off the hold length parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.holdLengthPercent Float default: 25.0 </code></pre><p>The maximum percentage the spring can stretch/squash.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.addMode Integer default: 0 </code></pre><p>Flag to determine how springs will be added:</p>\n\
<p>0- Single spring across selected vertices</p>\n\
<p>1- Edge Springs</p>\n\
<p>2- Edge Springs across only selected vertices</p>\n\
<p>3- Hold Springs</p>\n\
<p>4- Hold Springs across only selected vertices</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.displaySprings Booleandefault: false </code></pre><p>Turns on/off the display of spring when in sub-object mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.holdRadius Float default: 50.0 </code></pre><p>The maximum distance that will be looked around when the hold springs are added.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.extraStrength ArrayParameter default: #(0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2) -- float array </code></pre><p>Control the strength of extra springs (those that belong to a group other than 0 [stretch] or 1 [torque]).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.extraSway ArrayParameter default: #(0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2, 0.2) -- float array </code></pre><p>Control the sway of extra springs (those that belong to a group other than 0 [stretch] or 1 [torque]).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.lazyEval Boolean default: false </code></pre><p>Turns on/off lazy evaluation, which causes the system to be reevaluated less at the expense of a less accurate display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.springColors ArrayParameter default: #([0,0,1], [0.909091,0,0], [0.818182,0,0], [0.727273,0,0], [0.636364,0,0], [0.545455,0,0], [0.454545,0,0], [0.363636,0,0], [0.272727,0,0], [0.181818,0,0], [0.0909091,0,0], [0,0,0]) -- point3 array</code></pre><p>The colors for the springs for each group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.customSpringDisplay ArrayParameter default: #(true, true, true, true, true, true, true, true, true, true, true, true) -- bool array </code></pre><p>This boolean array lets you turn on/off the display of the spring group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.createSpringDepth Integer default: 2 </code></pre><p>The number of times the system is recursed when using create soft body.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.createSpringMult Float default: 2.0 </code></pre><p>The amount the flex effect is multiplied after each recursion when using create soft body.</p>\n\
<p>The following property is defined by Flex, but is not used:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Flex&gt;.paintBackface Boolean default: true </code></pre><p><strong>Flex interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: flexOps </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.Paint &lt;flex&gt; </code></pre><p>Presses the paint button in the flex interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SetReference &lt;flex&gt; </code></pre><p>Presses the Set Reference button in the flex interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.Reset &lt;flex&gt; </code></pre><p>Presses the Reset button in the flex interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.AddForce &lt;flex&gt; &lt;force&gt; </code></pre><p>Adds a force to the force list.</p>\n\
<p><code>force</code> (node) - The force to be added to the force list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.RemoveForce &lt;flex&gt; &lt;force&gt; </code></pre><p>Removes a force to the force list.</p>\n\
<p><code>force</code> (integer) - The index of the force to be removed. If this index = -1 then the selected force will be removed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.NumberVertices &lt;flex&gt; </code></pre><p>Returns and integer containing the number of points in the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SelectVertices &lt;flex&gt; &lt;sel&gt; &lt;update&gt; </code></pre><p>Selects the vertices passed in <code>sel</code> .</p>\n\
<p><code>Sel</code> (bitarray) - The bitarray that holds the selection.</p>\n\
<p><code>Update</code> (boolean) - Determines whether the viewports get updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.GetSelectedVertices &lt;flex&gt; </code></pre><p>Returns bitarray containing the current selected vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.GetVertexWeight &lt;flex&gt; &lt;index&gt; </code></pre><p>Returns the weight of a specific vertex.</p>\n\
<p><code>index</code> (integer) - The index of the vertex you want to get the weight of.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SetVertexWeight &lt;flex&gt; &lt;Index_tab&gt; &lt;values_tab&gt; </code></pre><p>Sets the weight of vertices. These tables should be the same size.</p>\n\
<p><code>index_tab</code> (integer table) - A table of indices of the vertex you want to set the weight of.</p>\n\
<p><code>values_tab</code> (float table) - A table of values containing the weights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SetEdgeList &lt;flex&gt; &lt;sel&gt; &lt;update&gt; </code></pre><p>Sets the edges to <code>sel</code> .</p>\n\
<p><code>Sel</code> (bitarray) - The bitarray that holds the edge selection.</p>\n\
<p><code>Update</code> (boolean) - Determines whether the viewports get updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.GetEdgeList &lt;flex&gt; </code></pre><p>Returns bitarray containing the current edge selection list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.AddSpringFromSelection &lt;flex&gt; &lt;flag&gt; &lt;addDupes&gt; </code></pre><p>This creates one spring between 2 selected vertices that belong to a group.</p>\n\
<p><code>flag</code> (integer) - The group that this spring will belong to.</p>\n\
<p><code>addDupes</code> (boolean) - Will add duplicates if true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.addSpring &lt;flex&gt; &lt;a&gt; &lt;b&gt; &lt;flag&gt; &lt;addDupes&gt; </code></pre><p>This creates a spring between the 2 specified vertices.</p>\n\
<p><code>a</code> (integer) - Index of vertex of the start of the spring.</p>\n\
<p><code>b</code> (integer) - Index of the vertex of the end of the spring.</p>\n\
<p><code>flag</code> (integer) - Group springs belongs to (0 to12).</p>\n\
<p><code>addDupes</code> (boolean) - When true, if there is a duplicate spring it will be added.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.removeAllSprings &lt;flex&gt; </code></pre><p>Removes all the springs the in the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.addSpringButton &lt;flex&gt; </code></pre><p>Equivalent of hitting the Add Spring button in theuserinterface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.RemoveSpringButton &lt;flex&gt; </code></pre><p>Equivalent of hitting the Remove Spring button in theuserinterface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.optionsButton &lt;flex&gt; </code></pre><p>Equivalent of hitting the Options button in theuserinterface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.createSimpleSoftButton &lt;flex&gt; </code></pre><p>Equivalent of hitting the Create Simple Soft Bodies button in theuserinterface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.RemoveSpringByEnd &lt;flex&gt; &lt;a&gt; </code></pre><p>This removes all springs that are connected to a vertex.</p>\n\
<p><code>a</code> (integer) - The vertex index to be checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.removeSpringByEnds &lt;flex&gt; &lt;a&gt; &lt;b&gt; </code></pre><p>This removes all springs that are connected to both vertex a and b.</p>\n\
<p><code>a</code> (integer) - First vertex index.</p>\n\
<p><code>b</code> (integer) - Second vertex index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.removeSpringByIndex &lt;flex&gt; &lt;index&gt; </code></pre><p>Remove a spring from the list which is at index in the spring list.</p>\n\
<p><code>index</code> (integer) - Index of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.numberSprings &lt;flex&gt; </code></pre><p>Returns the number of springs in the system</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.getSpringGroup &lt;flex&gt; &lt;index&gt; </code></pre><p>Returns the group that the spring belongs to.</p>\n\
<p><code>index</code> (integer) - Index of the spring you want to examine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.setSpringGroup &lt;flex&gt; &lt;index&gt; &lt;group&gt; </code></pre><p>Sets the spring&#x2019;s groups.</p>\n\
<p><code>index</code> (integer) - Index of the spring.</p>\n\
<p><code>group</code> (integer) - The group number (0-12).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.getSpringLength &lt;flex&gt; &lt;index&gt; </code></pre><p>Gets the rest length of a particular spring.</p>\n\
<p><code>index</code> (integer) - Index of the spring that you want to examine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.setSpringLength &lt;flex&gt; &lt;index&gt; &lt;length&gt; </code></pre><p>Sets the rest length of a particular spring.</p>\n\
<p><code>index</code> (integer) - Index of the spring that you want to examine.</p>\n\
<p><code>length</code> (float) - The rest length of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.getIndex &lt;flex&gt; &lt;a&gt; &lt;b&gt; </code></pre><p>Returns the index of a spring that uses vertex a and b.</p>\n\
<p><code>a</code> (integer) - Index of the start vertex of the spring.</p>\n\
<p><code>b</code> (integer) - Index of the start end of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FlexOps Methods </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.GetNumberVertices &lt;Flex&gt; </code></pre><p>Returns the number of vertices in the object the Flex modifier is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.GetVertexWeight &lt;Flex&gt; &lt;vertex_index_integer&gt; </code></pre><p>Returns the weight of the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SelectVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt; | &lt;bitarray&gt;) </code></pre><p>Selects the specified vertices. Clears any previously selected vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.isEdgeVertex &lt;Flex&gt; &lt;vertex_index_integer&gt; </code></pre><p>Returns 0 if the specified vertex is not an edge vertex, 1 if it is an edge vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.ClearEdgeVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) </code></pre><p>Sets the specified vertices to not be edge vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SetEdgeVertices &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) </code></pre><p>Sets the specified vertices to be edge vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flexOps.SetVertexWeights &lt;Flex&gt; (&lt;vertex_index_integer&gt; | &lt;index_integer_array&gt;) (&lt;weight_integer&gt; | &lt;weight_integer_array&gt;) </code></pre><p>Assigns the specified weights to the specified vertices. If the vertices and weights are specified as arrays, the arrays must be of equal size.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If deferred plug-in loading is enabled, an instance of the Flex modifier must be created before these methods will be visible. This is because these methods are defined in the Flex modifier plug-in.</p>\n\
<p>You can&apos;t add deflectors to Flex through MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";