var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F5566C03-2601-4E67-BA73-522B2D07233E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PathDeform : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PathDeform - superclass: modifier; super-superclass:MAXWrapper - classID: #(2135386771, 731264007)</code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PathDeform ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.path Node default: undefined</code></pre><p>The selected path object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.Percent_along_path Float default: 0.0 -- animatable, percentage</code></pre><p>Moves the object along the gizmo path based on a percentage of the path length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.Stretch Float default: 1.0 -- animatable</code></pre><p>Scales the object along the gizmo path, using the object&#x2019;s pivot point as the base of the scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.rotation Float default: 0.0 -- animatable, angle</code></pre><p>Rotates the object about the gizmo path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.Twist Float default: 0.0 -- animatable, angle</code></pre><p>Twists the object about the path. The twist angle is based on the rotation of one end of the overall length of the path.</p>\n\
<p>Typically, the deformed object takes up only a portion of the path, so the effect can be subtle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.axis Integer default: 2</code></pre><p>The axus if the gizmo object which is aligned with the corresponding local axis of the path object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.Flip_deformation_axis Integer default: 0</code></pre><p>When on, reverses the gizmo path 180 degrees about the specified axis.</p>\n\
<p>0- Don&#x2019;t flip</p>\n\
<p>1- Flip</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform&gt;.gizmo SubAnim</code></pre><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the modifier.</p>\n\
<p>The PathDeform gizmo is a representation of the deforming path object, so transforming it determines which part of the path affects the modified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable</code></pre><p>The position of the pathdeform gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable</code></pre><p>The rotation of the pathdeform gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PathDeform.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable</code></pre><p>The scale of the pathdeform gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Other-SpacewarpModifiers/SpacePathDeform.html\">SpacePathDeform : SpacewarpModifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";