var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4E69E7E6-FDFB-4418-8C1C-ACF259A93B1A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bevel_Profile : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bevel_Profile - superclass: modifier; super-superclass:MAXWrapper - classID: #(2051146448, 295048994) </code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bevel_Profile...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Produce_Mapping_Coords Integer default: 0 </code></pre><p>When on, assigns UV coordinates.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Cap_Bottom Integer default: 1 </code></pre><p>When on, caps the end with the lowest local Z value (bottom) of the object. When turned off, the bottom is open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Cap_Top Integer default: 1 </code></pre><p>When on, caps the end with the highest local Z value (top) of the object. When turned off, the end is left open.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Cap_Type Integer default: 0 </code></pre><p>Cap type:</p>\n\
<p>0- Morph (Selects a deterministic method of capping that provides the same number of vertices for morphing between objects.)</p>\n\
<p>1- Grid (Creates gridded caps that are better for cap deformations.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Keep_Lines_From_Crossing Integer default: 0 </code></pre><p>When on, prevents beveled surfaces from self intersecting. This requires more processor calculation and can be time-consuming in complex geometry.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.Separation_Between_Lines Float default: 1.0 -- animatable </code></pre><p>The distance that sides should be kept apart to prevent intersections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile&gt;.profile_gizmo SubAnim </code></pre><p>You can move, scale, and rotate the gizmo to alter the effect of the bevel profile modifier on the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile.Profile_Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the profile gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile.Profile_Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the profile gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bevel_Profile.Profile_Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the profile gizmo.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There is no way to set the Profile shape using MAXScript in <strong>3ds Max</strong>.</div>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";