var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6B059C5-0A79-43BF-AD26-97305BF4B5D1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>STL_Check : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">STL_Check - superclass: modifier; super-superclass:MAXWrapper - classID: #(1120886685, 800331681)</code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">STL_Check ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;STL_Check&gt;.Selection_Type Integer default: 4</code></pre><p>Selects incorrect geometry specific to the following settings:</p>\n\
<p>0 - <strong>Open Edge</strong> (Checks for open edges.)</p>\n\
<p>1 - <strong>Double Face</strong> (Checks for faces that share the same 3D space.)</p>\n\
<p>2 - <strong>Spike</strong>(Checks for spikes, which are isolated faces that share only one edge with the object.)</p>\n\
<p>3 - <strong>Multiple Edge</strong> (Checks for faces that share more than one edge.)</p>\n\
<p>4 - <strong>Everything</strong> (Checks for all of the above.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;STL_Check&gt;.Select_Faces Integer default: 1</code></pre><p>These options specify the level of incorrect geometry that&#x2019;s selected, based on the settings for the <code>selection_type</code> value:</p>\n\
<p>0 - <strong>Don&#x2019;t Select</strong> (When on, STL Check doesn&#x2019;t select any part of objects in error.)</p>\n\
<p>1 - <strong>Select Faces</strong> (When on, STL Check marks the faces of any object in error by selecting them. The selection of erroneous faces is visible in viewports.)</p>\n\
<p>2 - <strong>Select Edges</strong> (When on, STL Check marks the edges of faces in error by selecting them. The selection of erroneous edges is visible in viewports.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;STL_Check&gt;.Check_Now Integer default: 0</code></pre><p>Turn on to perform the STL check. For complex objects, expect a pause between the time you turn this on, and the time you see the reported errors in the Status group.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;STL_Check&gt;.Change_MatID Integer default: 1</code></pre><p>When on, STL Check also marks faces in error by assigning them a unique material ID.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;STL_Check&gt;.Material_ID Integer default: 2</code></pre><p>The material ID that STL Check assigns to faces in error.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";