var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F55E55FE-A78F-431D-9B47-2670DAABEAB6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Data Channel Modifier Operator Classes</h1></div><p>The Data_Channel Modifier uses operators to build its operation stack. These operators all derive from the IDataChannelEngineClass, and are of three types: input, process, and output (although some input operators can be used as process operators). This topic covers the available operator classes.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#input-operators\">Input Operators</a><ul>\n\
<li><a href=\"#operator_colorelements-idatachannelengineclass-4bbc203f-0-\">Operator_ColorElements : IDataChannelEngineClass {4bbc203f,0}</a></li>\n\
<li><a href=\"#operator_componentspace-idatachannelengineclass-e11aa33-0-\">Operator_ComponentSpace : IDataChannelEngineClass {e11aa33,0}</a></li>\n\
<li><a href=\"#operator_curvature-idatachannelengineclass-e12bb44-0-\">Operator_Curvature : IDataChannelEngineClass {e12bb44,0}</a></li>\n\
<li><a href=\"#operator_deltamush-idatachannelengineclass-c8b201a3-0-\">Operator_DeltaMush : IDataChannelEngineClass {c8b201a3,0}</a></li>\n\
<li><a href=\"#operator_distort-idatachannelengineclass-11fa2bba-0-\">Operator_Distort : IDataChannelEngineClass {11fa2bba,0}</a></li>\n\
<li><a href=\"#operator_edgeinput-idatachannelengineclass-23300ccd-0-\">Operator_EdgeInput : IDataChannelEngineClass {23300ccd,0}</a></li>\n\
<li><a href=\"#operator_faceinput-idatachannelengineclass-24421ae-0-\">Operator_FaceInput : IDataChannelEngineClass {24421ae,0 }</a></li>\n\
<li><a href=\"#operator_maxscript-idatachannelengineclass-9acb27da-0-\">Operator_Maxscript : IDataChannelEngineClass {9acb27da,0}</a></li>\n\
<li><a href=\"#operator_nodeinfluence-idatachannelengineclass-cba6531d-0-\">Operator_NodeInfluence : IDataChannelEngineClass {cba6531d,0}</a></li>\n\
<li><a href=\"#operator_tensiondeform-idatachannelengineclass-4879315b-0-\">Operator_TensionDeform : IDataChannelEngineClass {4879315b,0}</a></li>\n\
<li><a href=\"#operator_transformelements-idatachannelengineclass-271928c8-0-\">Operator_TransformElements : IDataChannelEngineClass {271928c8,0}</a></li>\n\
<li><a href=\"#operator_vector-idatachannelengineclass-44e12ccd-0-\">Operator_Vector : IDataChannelEngineClass {44e12ccd,0}</a></li>\n\
<li><a href=\"#operator_velocity-idatachannelengineclass-e21bb55-0-\">Operator_Velocity : IDataChannelEngineClass {e21bb55,0}</a></li>\n\
<li><a href=\"#operator_vertexinput-idatachannelengineclass-da12aa01-0-\">Operator_VertexInput : IDataChannelEngineClass {da12aa01,0}</a></li>\n\
<li><a href=\"#engine-_local-_space-idatachannelengineclass-e11aa22-0-\">Engine_Local_Space : IDataChannelEngineClass {e11aa22,0}</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#process-operators\">Process Operators</a><ul>\n\
<li><a href=\"#operator_clamp-idatachannelengineclass-20e12bba-0-\">Operator_Clamp: IDataChannelEngineClass {20e12bba,0}</a></li>\n\
<li><a href=\"#operator_converttosubobjecttype-idatachannelengineclass-ac311ccd-0-\">Operator_ConvertToSubObjectType : IDataChannelEngineClass {ac311ccd,0}</a></li>\n\
<li><a href=\"#operator_curve-idatachannelengineclass-73e12bba-0-\">Operator_Curve : IDataChannelEngineClass {73e12bba,0}</a></li>\n\
<li><a href=\"#operator_decay-idatachannelengineclass-10fa2cc9-0-\">Operator_Decay : IDataChannelEngineClass {10fa2cc9,0}</a></li>\n\
<li><a href=\"#operator_geoquantize-idatachannelengineclass-1d9111c5-0-\">Operator_GeoQuantize : IDataChannelEngineClass {1d9111c5,0}</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#operator_invert-idatachannelengineclass-43aebba1-0-\">Operator_Invert: IDataChannelEngineClass {43aebba1,0}</a><ul>\n\
<li><a href=\"#operator_normalize-idatachannelengineclass-62ebba1-0-\">Operator_Normalize : IDataChannelEngineClass {62ebba1,0}</a></li>\n\
<li><a href=\"#operator-_point3-_to_float-idatachannelengineclass-43cceb55-0-\">Operator_Point3_To_Float : IDataChannelEngineClass {43cceb55,0}</a></li>\n\
<li><a href=\"#operator_scale-idatachannelengineclass-10e12bba-0-\">Operator_Scale : IDataChannelEngineClass {10e12bba,0}</a></li>\n\
<li><a href=\"#operator_smooth-idatachannelengineclass-93e12bba-0-\">Operator_Smooth : IDataChannelEngineClass {93e12bba,0}</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#outputs\">Outputs</a><ul>\n\
<li><a href=\"#operator_vertexoutput-idatachannelengineclass-abcdaa33-0-\">Operator_VertexOutput : IDataChannelEngineClass {abcdaa33,0}</a></li>\n\
<li><a href=\"#operator_faceoutput-idatachannelengineclass-323fa2e-0-\">Operator_FaceOutput : IDataChannelEngineClass {323fa2e,0}</a></li>\n\
<li><a href=\"#operator_edgeoutput-idatachannelengineclass-111aa3d-0-\">Operator_EdgeOutput : IDataChannelEngineClass {111aa3d,0}</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"input-operators\">Input Operators</h2><p>Input operators query data from the mesh and create a channel to flow down the stack.</p>\n\
<h3 id=\"operator_colorelements-idatachannelengineclass-4bbc203f-0-\">Operator_ColorElements : IDataChannelEngineClass {4bbc203f,0}</h3><p>Colors the elements of an object based on the stack information, a map, soft selection or vertex colors. Output can be randomized based on hue, luminance and saturation.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  .inputOption : integer</code></pre><p>The color data input, where:</p>\n\
<ul>\n\
<li>0 = Vertex Colors</li>\n\
<li>1 = Map</li>\n\
<li>2 = Soft Selection</li>\n\
<li>3 = From Stack</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mapChannel : integer</code></pre><p>The map channel, when <code>inputOption</code> = 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.map : texturemap</code></pre><p>The map, when <code>inputOption</code> = 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.vertColorChannel : integer</code></pre><p>The Vertex color channel, when <code>inputOption</code> = 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.colorOption : integer</code></pre><p>The color option, where</p>\n\
<ul>\n\
<li>0 = Face</li>\n\
<li>1 = Element</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useColors : Boolean</code></pre><p>Indicates whether to apply colors to luminance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.color1 : RGB color</code></pre><p>The luminance color 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.color2 : RGB color</code></pre><p>The luminance color 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.outputChannel : integer</code></pre><p>The output VC channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomize : Boolean</code></pre><p>Indicates whether to randomize the output.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.unused1 : float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.seed : integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.HRand : Boolean</code></pre><p>Indicates whether the <strong>randomizeHPercent</strong> value is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SRand : Boolean</code></pre><p>Indicates whether the <strong>randomizeSPercent</strong> value is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LRand : Boolean</code></pre><p>Indicates whether the <strong>randomizeLPercent</strong> value is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomizeHPercent : float</code></pre><p>The Hue luminance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomizeSPercent : float</code></pre><p>The Saturation luminance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomizeLPercent : float</code></pre><p>The Lightness luminance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useElementCenter : boolean</code></pre><p><code>Indicates whether to use the element center when inputOption is 1 (Map).</code></p>\n\
<h3 id=\"operator_componentspace-idatachannelengineclass-e11aa33-0-\">Operator_ComponentSpace : IDataChannelEngineClass {e11aa33,0}</h3><p>Copies the geometry&#x2019;s X, Y, or Z position to the stack to be processed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.component (Component_Space) : integer\n\
  .min : float</code></pre><p>The minimum value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.max : float</code></pre><p>The maximum value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.normalize : Boolean</code></pre><p>Indicates whether to normalize the values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.space (XYZ_Space) : integer</code></pre><p>The space dimension to use, where</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.node : node</code></pre><p>The node from which to take the component space.</p>\n\
<h3 id=\"operator_curvature-idatachannelengineclass-e12bb44-0-\">Operator_Curvature : IDataChannelEngineClass {e12bb44,0}</h3><p>Uses the local surface curvature of the mesh to define a float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.convex (Convex) : float</code></pre><p>The Curvature convex value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.flat (Flat) : float</code></pre><p>The Curvature flat value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.concave (Concave) : float</code></pre><p>The Curvature concave value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scale (Scale) : float</code></pre><p>The scale value applied to the convex, flat, and concave values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hardEdgesOnly (Hard_Only) : Boolean default: False</code></pre><p>Indicates whether to compute hard edges only.</p>\n\
<h3 id=\"operator_deltamush-idatachannelengineclass-c8b201a3-0-\">Operator_DeltaMush : IDataChannelEngineClass {c8b201a3,0}</h3><p>Uses the mesh&apos;s default pose to smooth the mesh when it is deformed while retaining the original detail of the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.strength : float default: 1.0</code></pre><p>The strength value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.iterations : integer default: 10</code></pre><p>The number of iterations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.pinBorders : Boolean default: True</code></pre><p>Indicates whether to pin the borders.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mask : boolean default: False</code></pre><p>Indicates whether to mask with vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.maskMapChannel : integer default: 2</code></pre><p>The map channel to use, if mask is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.outputMode : integer default: 0</code></pre><p>The deform setting, where:</p>\n\
<ul>\n\
<li>0 = Relaxed Base Mesh</li>\n\
<li>1 = Relaxed</li>\n\
<li>2 = Relaxed Delta</li>\n\
</ul>\n\
<h3 id=\"operator_distort-idatachannelengineclass-11fa2bba-0-\">Operator_Distort : IDataChannelEngineClass {11fa2bba,0}</h3><p>Uses a map to distort the vertex value.</p>\n\
<p>Uses a map to distort the vertex value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.map (Distort) : texturemap</code></pre><p>The map associated with the distort.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.amountBox (Amount) : float default: 1.0</code></pre><p>The strength value applied to the distort.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.holdTex (Distort) : texturemap</code></pre><p>Internal and renamed</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.holdMat (Distort) : material</code></pre><p>Internal and renamed</p>\n\
<h3 id=\"operator_edgeinput-idatachannelengineclass-23300ccd-0-\">Operator_EdgeInput : IDataChannelEngineClass {23300ccd,0}</h3><p>Adds edge data into the stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.input : integer</code></pre><p>The Edge Input mode, where:</p>\n\
<ul>\n\
<li>0 = Selection</li>\n\
<li>1 = Crease Weights</li>\n\
<li>2 = Edge Angle</li>\n\
</ul>\n\
<h3 id=\"operator_faceinput-idatachannelengineclass-24421ae-0-\">Operator_FaceInput : IDataChannelEngineClass {24421ae,0 }</h3><p>Adds face data to the stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.input : integer</code></pre><p>Selects the edge input, where:</p>\n\
<ul>\n\
<li>0 = Selection</li>\n\
<li>1 = Material ID</li>\n\
<li>2 = Smooth Group</li>\n\
<li>3 = Area</li>\n\
<li>4 = Normal</li>\n\
<li>5 = Planarity</li>\n\
</ul>\n\
<h3 id=\"operator_maxscript-idatachannelengineclass-9acb27da-0-\">Operator_Maxscript : IDataChannelEngineClass {9acb27da,0}</h3><p>Uses MAXScript to manipulate a channel&apos;s values. Possible return values are float or point3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.dataType : integer</code></pre><p>The output data type, where:</p>\n\
<ul>\n\
<li>0 = Float</li>\n\
<li>1 = Point3</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.elementType : integer</code></pre><p>The output element type, where:</p>\n\
<ul>\n\
<li>0 = Vertices</li>\n\
<li>1 = Faces</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.script : string</code></pre><p>Gets or sets the MAXScript file associated with this operator.</p>\n\
<h3 id=\"operator_nodeinfluence-idatachannelengineclass-cba6531d-0-\">Operator_NodeInfluence : IDataChannelEngineClass {cba6531d,0}</h3><p>Returns a float value based on the distance between a selected node and a mesh vertex or a mesh element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.node : node</code></pre><p>The node associated with the operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.minRange : float default: 1.0</code></pre><p>The minimum Radius setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.minValue : float default: 1.0</code></pre><p>The minimum value setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.maxRange : float default: 80.0</code></pre><p>The maximum Radius setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.maxValue : float default: 0.0</code></pre><p>The maximum range value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  .mode : integer</code></pre><p>The Influence mode, where:</p>\n\
<ul>\n\
<li>0 = By Vertex</li>\n\
<li>1 = By Element</li>\n\
<li>2 = By Object</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.hold (Hold_Frames) : integer</code></pre><p>The hold time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.falloffCurve (Falloff_Curve) : maxObject</code></pre><p>The curve controlling the weight falloff over time. This object is of type <code>CurveControl</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.radiusCurve (Radius_Curve) : maxObject    </code></pre><p>The curve controlling radius over time. This object is of type <code>CurveControl</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.strengthCurve (Strength_Curve) : maxObject</code></pre><p>The curve controlling strength over time. This object is of type <code>CurveControl</code>.</p>\n\
<h3 id=\"operator_tensiondeform-idatachannelengineclass-4879315b-0-\">Operator_TensionDeform : IDataChannelEngineClass {4879315b,0}</h3><p>Uses the mesh&#x2019;s deformation to compute squash and stretch to define a value. These values can be used to drive morph targets within the operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mode : integer</code></pre><p>The tension deform mode, where:</p>\n\
<ul>\n\
<li>0 = Edge Length Based</li>\n\
<li>1 = Edge Angle Based</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.enableDisplay : boolean</code></pre><p>Not used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.deformMesh : boolean</code></pre><p>Indicates whether to deform the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchColor (Stretch_Color) : color</code></pre><p>Not used.</p>\n\
<p><strong>Stretch Adjustment Settings:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretch : float</code></pre><p>The stretch value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchRange (Stretch_Range) : float</code></pre><p>The stretch range</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchGrowShrink (Stretch_Grow_Shrink) : float</code></pre><p>The stretch grow/shrink value.</p>\n\
<p><strong>Stretch Deform Settings:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchPush (Stretch_Push) : float</code></pre><p>The stretch deform push value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchRelax (Stretch_Relax) : integer</code></pre><p>The stretch relax value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchUseMorph : boolean</code></pre><p>Indicates whether the stretch deform uses a morph target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchTarget : node</code></pre><p>The node representing the stretch target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchMask : boolean</code></pre><p>Indicates whether to mask with vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.stretchMapChannel : integer</code></pre><p>The map channel to use for masking when <strong>stretchMask</strong> is True.</p>\n\
<p><strong>Squash Adjustment Settings:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashColor (Squash_Color) : color</code></pre><p>Not used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squash : float</code></pre><p>The squash amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashRange (Squash_Range) : float</code></pre><p>The squash range amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashGrowShrink (Squash_Grow_Shrink) : float</code></pre><p>The squash grow/shrink amount.</p>\n\
<p><strong>Squash Deform Settings:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashPush (Squash_Push) : float</code></pre><p>The squash deform push amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashRelax (Squash_Relax) : integer</code></pre><p>The squash relax value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashUseMorph : boolean</code></pre><p>Indicates whether to use a morph target, indicated by the <strong>squashTarget</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashTarget : node</code></pre><p>The squash target, used when <strong>squashUseMorph</strong> is True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashMask : boolean</code></pre><p>Indicates whether to mask with vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.squashMapChannel : integer</code></pre><p>The map channel to use if <strong>squashMask</strong> is true.</p>\n\
<p><strong>Channel Output Settings:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.outputSquash : boolean</code></pre><p>Indicates whether to output the squash value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.outputStretch : boolean</code></pre><p>Indicates whether to output the stretch value.</p>\n\
<h3 id=\"operator_transformelements-idatachannelengineclass-271928c8-0-\">Operator_TransformElements : IDataChannelEngineClass {271928c8,0}</h3><p>Uses channel information from the data channel&#x2019;s operator stack, soft selection or vertex color to transform the elements&#x2019; position, rotation or scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.inputChannel : integer default 0</code></pre><p>Gets or sets the input channel, where:</p>\n\
<ul>\n\
<li>0 = From Stack</li>\n\
<li>1 = Soft Selection</li>\n\
<li>2 = Vertex Color Luminance</li>\n\
<li>3 = Vertex Color as XYZ</li>\n\
<li>4 = None</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.transformType : integer default: 3</code></pre><p>The transform type, where:</p>\n\
<ul>\n\
<li>0 = Position</li>\n\
<li>2 = Rotation</li>\n\
<li>3 = Scale %</li>\n\
<li>4 = Scale % Uniform</li>\n\
</ul>\n\
<p><strong>Offsets Settings</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.XEnable : boolean\n\
.YEnable : boolean\n\
.ZEnable : boolean</code></pre><p>Indicates whether the x, y, or z offsets are enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.xoffset1 (XOffset) : float\n\
.yoffset1 (YOffset) : float\n\
.zoffset1 (ZOffset) : float</code></pre><p>The minimum x, y or z offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.xoffset2 (XOffset) : float\n\
.yoffset2 (YOffset) : float\n\
.zoffset2 (ZOffset) : float</code></pre><p>The maximum x, y, or z offset.</p>\n\
<p><strong>Point at Node Settings</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.pointAtNode : boolean</code></pre><p>Indicates whether to point at a node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.pointNode : node           </code></pre><p>The node to point to, if <code>pointAtNode</code> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.axisMode : integer           </code></pre><p>The axis mode, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.pointElements : boolean           </code></pre><p>Indicates whether to point at individual elements.</p>\n\
<p><strong>Randomize Settings</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomize : boolean</code></pre><p>Indicates whether to randomize the data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.randomize1 (RandomizePercent) : float \n\
 .randomize2 (RandomizePercent) : float</code></pre><p>The minimum and maximum randomize settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.seed : integer          </code></pre><p>The randomization seed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.phase : float           </code></pre><p>Controls the speed of the animation of the randomization function.</p>\n\
<h3 id=\"operator_vector-idatachannelengineclass-44e12ccd-0-\">Operator_Vector : IDataChannelEngineClass {44e12ccd,0}</h3><p>Allows you to combine an external vector with the stack data.</p>\n\
<p>.space : integer</p>\n\
<p>.dir : integer</p>\n\
<p>.node : node</p>\n\
<p>.x : float</p>\n\
<p>.y : float</p>\n\
<p>.z : float</p>\n\
<h3 id=\"operator_velocity-idatachannelengineclass-e21bb55-0-\">Operator_Velocity : IDataChannelEngineClass {e21bb55,0}</h3><p>Uses the mesh&apos;s velocity to return a Point3, where the (x,y,z) equates to the motion of the three axes.</p>\n\
<p>.timeOffset (Time_Offset) : integer</p>\n\
<p>.worldSpace (World_Space) : boolean</p>\n\
<p>.noTranslation (No_Translation) : boolean</p>\n\
<h3 id=\"operator_vertexinput-idatachannelengineclass-da12aa01-0-\">Operator_VertexInput : IDataChannelEngineClass {da12aa01,0}</h3><p>Uses channel information from the mesh as an input. Channels include, existing map channels, average normal, vertex position and vertex selection values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.input (Channel) : integer           </code></pre><p>The input type, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Average Normals</li>\n\
<li>2=Map Channel 1</li>\n\
<li>3=Map Channel 2</li>\n\
<li>4=Vertex Selection</li>\n\
<li>5+ = any additional populated data channels</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.internal (Channel_Num) : integer           </code></pre><p>Internal use only, do no use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.XYZ (Sub_Channel_Num) : integer           </code></pre><p>Indicates the axes to include in the data, where:</p>\n\
<ul>\n\
<li>0=XYZ</li>\n\
<li>1=X</li>\n\
<li>2=Y</li>\n\
<li>3=Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.deprecated (Name) : string           </code></pre><p>Deprecated, do not use.</p>\n\
<h3 id=\"engine_local_space-idatachannelengineclass-e11aa22-0-\">Engine_Local_Space : IDataChannelEngineClass {e11aa22,0}</h3><p>Copies the geometry&apos;s position on to the stack to be processed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.min : float \n\
.max : float  </code></pre><p>The minimum and maximum values to use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.normalize : boolean           </code></pre><p>Indicates whether to normalize the data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.space (XYZ_Space) : integer           </code></pre><p>The reference coordinate system to use, where:</p>\n\
<ul>\n\
<li>0=Local</li>\n\
<li>1=World</li>\n\
<li>2=Node</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .node : node           </code></pre><p>The node to use for the coordinate system, when <code>space = 2</code>.</p>\n\
<h2 id=\"process-operators\">Process Operators</h2><p>Process operators modify data by applying operations to the data flowing through the stack.</p>\n\
<h3 id=\"operator_clamp-idatachannelengineclass-20e12bba-0-\">Operator_Clamp: IDataChannelEngineClass {20e12bba,0}</h3><p>Limits the value of channel flowing through the stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.clampMin (Min) : float \n\
.clampMax (Max) : float \n\
</code></pre><p>Minimum and maximum clamp values.</p>\n\
<h3 id=\"operator_converttosubobjecttype-idatachannelengineclass-ac311ccd-0-\">Operator_ConvertToSubObjectType : IDataChannelEngineClass {ac311ccd,0}</h3><p>Copies the data from one sub object type to another.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.subObject : integer           </code></pre><p>The sub object type to convert to, which corresponds to the selected item position in the <strong>Convert To</strong> dropdown in the UI, and which depends on the incoming data type. For example, when the incoming data is from the vertex channel, 0 = Edge and 1 = Face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.vertex : integer           </code></pre><p>When the Convert To target is vertex, this corresponds to the Vertex Channel Type selection, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Normal</li>\n\
<li>2=Map</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mapChan : integer           </code></pre><p>When <code>vertex=2</code> (Map), this indicates the map channel.</p>\n\
<h3 id=\"operator_curve-idatachannelengineclass-73e12bba-0-\">Operator_Curve : IDataChannelEngineClass {73e12bba,0}</h3><p>Remaps the value of data in the channel based on a curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.curve : maxObject           </code></pre><p>The curve object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.normalize (Normalize) : boolean Engine_Decay (const MAXClass): decay           </code></pre><p>Indicates whether the curve is normalized.</p>\n\
<h3 id=\"operator_decay-idatachannelengineclass-10fa2cc9-0-\">Operator_Decay : IDataChannelEngineClass {10fa2cc9,0}</h3><p>Causes the changes in a channel to persist or decay over time.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.decay : float          </code></pre><p>The decay per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.samples : integer          </code></pre><p>The number of record samples.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.smooth : boolean          </code></pre><p>Indicates whether to apply smoothing.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.iterations : integer          </code></pre><p>The number of smoothing iterations, if <code>smooth=true</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.deprecated (Max_Crossing) : integer          </code></pre><p>Deprecated, do not use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.curve : maxObject          </code></pre><p>The custom decay curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useCurve (Use_Curve) : boolean          </code></pre><p>Indicates whether to apply a custom decay curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.resetType : integer          </code></pre><p>The Cache reset type where:</p>\n\
<ul>\n\
<li>0 = &quot;Use Frame For Reset Data&quot;</li>\n\
<li>1 = &quot;Reset Data To Zero&quot;</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.resetFrame (Reset_Frame) : integer          </code></pre><p>The reset frame, when resetType = 0, &quot;Use Frame For Reset Data&quot;.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Decay</code></pre><p>Provides access to the <code>Reset()</code> and <code>Record()</code> methods.</p>\n\
<h3 id=\"operator_geoquantize-idatachannelengineclass-1d9111c5-0-\">Operator_GeoQuantize : IDataChannelEngineClass {1d9111c5,0}</h3><p>Modifies the data based on geometry so that all vertices in an element share the same value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.mode : integer           </code></pre><p>The data source, where:</p>\n\
<ul>\n\
<li>0=By Vertex</li>\n\
<li>1=By Element</li>\n\
<li>2=By Object</li>\n\
</ul>\n\
<h2 id=\"operator_invert-idatachannelengineclass-43aebba1-0-\">Operator_Invert: IDataChannelEngineClass {43aebba1,0}</h2><p>Inverts the values in the data channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .invert (Invert) : boolean           </code></pre><p>Indicates whether to perform an inversion.</p>\n\
<h3 id=\"operator_normalize-idatachannelengineclass-62ebba1-0-\">Operator_Normalize : IDataChannelEngineClass {62ebba1,0}</h3><p>Normalizes the values in a channel to a range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.normalizeMin (Min) : float\n\
.normalizeMax (Max) : float          </code></pre><p>The minimum and maximum values to normalize to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rangeOverride (Use_Range) : boolean\n\
</code></pre><p>Indicates whether to limit normalization to values in a range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.rangeMin (Min_Range) : float\n\
.rangeMax (Max_Range) : float\n\
</code></pre><p>The range minimum and maximum to limit normalization to, if <strong>rangeOverride</strong> is true.</p>\n\
<h3 id=\"operator_point3_to_float-idatachannelengineclass-43cceb55-0-\">Operator_Point3_To_Float : IDataChannelEngineClass {43cceb55,0}</h3><p>Converts a Point3 channel to a float channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.floatType (Point3_To_Float) : integer\n\
</code></pre><p>The type of float to convert to, where:</p>\n\
<ul>\n\
<li>0=Length</li>\n\
<li>1=X</li>\n\
<li>2=Y</li>\n\
<li>3=Z</li>\n\
</ul>\n\
<h3 id=\"operator_scale-idatachannelengineclass-10e12bba-0-\">Operator_Scale : IDataChannelEngineClass {10e12bba,0}</h3><p>Multiplies a channel by a value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.scale : float</code></pre><p>The factor by which to scale the channel data.</p>\n\
<h3 id=\"operator_smooth-idatachannelengineclass-93e12bba-0-\">Operator_Smooth : IDataChannelEngineClass {93e12bba,0}</h3><p>Smooths the values of a channel based on their neighbor&apos;s value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.iteration : integer</code></pre><p>The number of smoothing iterations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.amount : float</code></pre><p>The smoothing amount to apply.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.deprecated (Geom) : boolean</code></pre><p>Deprecated parameter, do not use.</p>\n\
<h2 id=\"outputs\">Outputs</h2><p>Output operators output the stack data back to the mesh.</p>\n\
<h3 id=\"operator_vertexoutput-idatachannelengineclass-abcdaa33-0-\">Operator_VertexOutput : IDataChannelEngineClass {abcdaa33,0}</h3><p>Outputs the stack data to a specific geometry channel in the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.output (Channel) : integer</code></pre><p>The output data type, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Vertex Color</li>\n\
<li>2=Map Channel</li>\n\
<li>3=Normals</li>\n\
<li>4=Vertex Selection</li>\n\
<li>5=Vertex Crease</li>\n\
<li>6=VData</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.channelNum (Channel_Num) : integer</code></pre><p>When the output type is Map Channel or VData, this is the Channel Number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.XYZ (Sub_Map_Channel) : integer</code></pre><p>The X, Y, or Z setting, when the output type is Position, Vertex Color, Map Channel, or Normals, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.deprecated (Channel_Name) : string</code></pre><p>Deprecated parameter, do not use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.replace (Replace_Type) : integer</code></pre><p>The replacement method, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
<h3 id=\"operator_faceoutput-idatachannelengineclass-323fa2e-0-\">Operator_FaceOutput : IDataChannelEngineClass {323fa2e,0}</h3><p>Outputs the stack face data to the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.output : integer</code></pre><p>The data type to output where:</p>\n\
<ul>\n\
<li>0=Selection</li>\n\
<li>1=Material ID</li>\n\
<li>2=Smoothing Group</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.type : integer</code></pre><p>The type of output operation, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
<h3 id=\"operator_edgeoutput-idatachannelengineclass-111aa3d-0-\">Operator_EdgeOutput : IDataChannelEngineClass {111aa3d,0}</h3><p>Outputs the stack edge data to the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.output : integer</code></pre><p>The data type to output where:</p>\n\
<ul>\n\
<li>0=Selection</li>\n\
<li>1=Crease Weights</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.type : integer</code></pre><p>The type of output operation, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data_Channel-Modifier.html\">Data_Channel : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";