var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7E07D58C-5AC0-45E0-99A8-0AF0DEF93646\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Ripple : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Ripple - superclass: modifier; super-superclass:MAXWrapper - classID: #(69, 0) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Ripple ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.amplitude1 Float default: 5.0 -- animatable, alias: Amplitude_1 </code></pre><p>The amplitude of the first ripple.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.amplitude2 Float default: 5.0 -- animatable, alias: Amplitude_2 </code></pre><p>The amplitude of the second ripple, which is perpendicular to the first ripple.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.wavelength Float default: 25.0 -- animatable, alias: Wave_Length </code></pre><p>The distance between the peaks of the wave. The greater the length, the smoother and more shallow the ripple for a given amplitude.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Shifts the ripple pattern over the object. Positive numbers move the pattern inward, while negative numbers move it outward.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.decay Float default: 0.0 -- animatable </code></pre><p>Limits the effect of the wave generated from its center. A default decay of zero means that the wave will generate infinitely from its center. Increasing the decay value reduces the distance over which the wave is generated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.center Point3 default: [0,0,0] -- animatable </code></pre><p>At this sub-object level, you can translate and animate the center of the ripple effect, and thus the shape and positions of the ripples.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple&gt;.gizmo SubAnim </code></pre><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Ripple modifier. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple.gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The poosition of the ripple gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the ripple gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ripple.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the ripple gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";