var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9342A3BF-B2E6-4984-B210-1A9DA166D628\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shell : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shell - superclass: modifier; super-superclass:MAXWrapper - 21:0 - classID: #(1000020502, 1837426896) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p>The <strong>Shell modifier</strong> extrude the geometry surface procedurally, giving it thickness.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Shell ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.innerAmount Float default: 0.0 -- animatable; world units; Inner_Amount </code></pre><p>Get/Set the inner extrusion amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.outerAmount Float default: 1.0 -- animatable; world units; Outer_Amount </code></pre><p>Get/Set the outer extrusion amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.overrideMatID BooleanClass default: false -- boolean; Override_MatID </code></pre><p>When set to <code>true</code> , the Shell modifier will override the incoming Material IDs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.matID Integer default: 1 -- animatable; integer; Mat_ID </code></pre><p>Get/Set the Material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.overrideSmoothingGroup BooleanClass default: false -- boolean; Override_Smoothing_Group </code></pre><p>When set to <code>true</code> , the Shell modifier will override the incoming Smoothing groups.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.smoothGroup Integer default: 0 -- animatable; integer; Smooth_Group </code></pre><p>Get/Set the Smoothing Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.edgeMapping Integer default: 0 -- integer; Edge_Mapping </code></pre><p>Get/Set the Edge Mapping mode. Possible values are:</p>\n\
<p>0 - Copy</p>\n\
<p>1 - None</p>\n\
<p>2 - Strip</p>\n\
<p>3 - Interpolate</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.tvOffset Float default: 0.05 -- animatable; float; TV_Offset </code></pre><p>Get/Set the TV Offset value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.overrideInnerMatID BooleanClass default: false -- boolean; Override_Inner_MatID </code></pre><p>When set to <code>true</code> , the Shell modifier will override the inner Material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.matInnerID Integer default: 1 -- animatable; integer; Inner_MatID </code></pre><p>Get/Set the custom inner Materail ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.selectEdgeFaces BooleanClass default: false -- boolean; Select_Edges_Faces </code></pre><p>When set to <code>true</code> , the Shell modifier will select the edge faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.selectInnerFaces BooleanClass default: false -- boolean; Select_Inner_Faces </code></pre><p>When set to <code>true</code> , the Shell modifier will select the inner faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.segments Integer default: 1 -- animatable; integer </code></pre><p>Get/Set the number of segments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.straightenCorners BooleanClass default: false -- boolean; Straighten_Corners </code></pre><p>When set to <code>true</code> , the Shell modifier will straighten the corners.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.autoSmooth BooleanClass default: true -- boolean; Auto_Smooth </code></pre><p>When set to <code>true</code> , the Shell modifier will auto-smooth the resulting mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.autoSmoothAngle Float default: 45.0 -- animatable; float; Smooth_Group </code></pre><p>Get/Set the Auto-Smoothing angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.selectOuterFaces BooleanClass default: false -- boolean; Select_Outer_Faces </code></pre><p>When set to <code>true</code> , the Shell modifier will select the outer faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.overrideOuterMatID BooleanClass default: false -- boolean; Override_Outer_MatID </code></pre><p>When set to <code>true</code> , the Shell modifier will override the Outer Material IDs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.matOuterID Integer default: 3 -- animatable; integer; Outer_MatID </code></pre><p>Get/Set the custom Outer Material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.bevel BooleanClass default: false -- boolean </code></pre><p>When set to <code>true</code> , the Shell modifier will Bevel the edges based on the control shape assigned to the .bevelShape property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Shell&gt;.bevelShape UndefinedClass default: undefined -- node; Bevel_Shape </code></pre><p>Get/Set the bevel control shape.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";