var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9AF70FEC-8EC2-4827-8186-985CF1B6DD1F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Normalize_Spl - superclass: modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Normalize_Spl - superclass: modifier; super-superclass:MAXWrapper - 2:0 - classID: #(474287708, 772671746)</code></pre><p><img src=\"./images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">normalize_spl ... normalize_spline ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spl&gt;.Accuracy     Integer    default: 10   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Accuracy&quot;</strong> spinner.</p>\n\
<p>This value controls the accuracy of the spline interpolation.</p>\n\
<p>Valid values are in the range from 0 (lowest accuracy) to 20 (highest accuracy).</p>\n\
<p>Default is 10.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Normalize_Spl&gt;.Length Float default: 20.0 -- float</code></pre><p>Determines how many control points are added. Smaller values produce more control points; larger values produce fewer.</p>\n\
<p>The positions of the original vertices are disregarded. Vertices are set to regular intervals once the Normalize Spline modifier is applied.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>\n\
In versions prior <strong>3ds Max 4</strong>, this class was called <code>Normalize_Spline</code> . It has been rewritten to use ParamBlock2 but has retained the same ClassID and properties. Both the old and the new constructor will create an instance of <code>Normalize_Spl</code> class i n <strong>3ds Max 4</strong> and above. Loading old .MAX files with a <code>Normalize_Spline</code> modifier will create <code>a Normalize_Spl</code> modifier in the scene so handling is completely transparent to the user and will not break existing scripts. Testing the class of the modifier using classof against both the old and the new class name will return <code>true</code> .</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";