var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-053DF1BC-4DED-4FE7-A6B3-989F89D5112F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Path_Deform2 : Modfier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Deform2 - superclass: modifier; super-superclass:MAXWrapper - 34:0 - classID: #(2714319044L, 2976936815L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: An improved modifier that replaces the PathDeform WSM. This modifier includes driven rotation and scale parameters.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Path_Deform2() </code></pre><h2 id=\"general-properties\">General Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Spline UndefinedClass default: undefined -- node; </code></pre><p>The spline node that represents the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.percent_along_path Float default: 0.0 -- animatable; float; Percent</code></pre><p>The point along the path at which the deformed object is placed, as a percent of the overall spline length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Uniform BooleanClass default: true -- Boolean</code></pre><p>When true, the percent along the path value is calculated based on overall spline length, when false, the distance between knots is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Stretch Float default: 1.0 -- animatable; float</code></pre><p>The amount to stretch the deformed node, where 1.0 = 100%.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.auto_stretch BooleanClass default: false -- boolean; AutoStretch</code></pre><p>If true, a stretch amount is applied that stretches the node the full length of the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.auto_amount Float default: 1.0 -- animatable; float; AutoAmount</code></pre><p>The percent of the calculated auto stretch amount to apply; a value of 1.0 is the full amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.UsePivotPont BooleanClass default: false -- boolean; UsePivotPoint</code></pre><p>Gets or sets whether to use the pivot point rather than the origin as the point to use for constraining to the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.PreserveForm BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether to preserve the original node form. When true, the node is not deformed along the path, but simply has its origin constrained to the path.</p>\n\
<h2 id=\"path-deform-axis-parameters\">Path Deform Axis Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.axis Integer default: 2 -- radiobtnIndex</code></pre><p>The path deform axis, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Flip BooleanClass default: false -- Boolean</code></pre><p>If true, flips the node on the path along the path deform axis.</p>\n\
<h2 id=\"up-vector-parameters\">Up Vector Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.UpVector Integer default: 0 -- radiobtnIndex</code></pre><p>The up vector method, where:</p>\n\
<ul>\n\
<li>0 = Adaptive - up vectors are automatically calculated</li>\n\
<li>1 = Use Spline Normal - up vectors are calculated from the spline&apos;s normals</li>\n\
<li>2 = Look At - up vectors are calculated based on a separate look at node specified by the <strong>lookat</strong> parameter.</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.LookAtNode UndefinedClass default: undefined -- node</code></pre><p>When UpVector is 2, specifies a scene node to Look At.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.UseNormal BooleanClass default: false -- Boolean</code></pre><p>Indicates whether to use the spline normal to determine the up direction.</p>\n\
<h2 id=\"rotation-parameters\">Rotation Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.RotationAxis Integer default: 2 -- radiobtnIndex</code></pre><p>The axis of rotation, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.rotation Float default: 0.0 -- animatable; float</code></pre><p>The rotation amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.twist Float default: 0.0 -- animatable; float</code></pre><p>The twist amount - the rotation applied to one end of the node.</p>\n\
<h2 id=\"offset-parameters\">Offset Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.MoveBeforeRotation BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether the offset is applied before rotation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.x_offset Float default: 0.0 -- animatable; float; XOffset\n\
&lt;Path_Deform2&gt;.y_offset Float default: 0.0 -- animatable; float; YOffset\n\
&lt;Path_Deform2&gt;.z_offset Float default: 0.0 -- animatable; float; ZOffset\n\
</code></pre><p>Gets or sets the offset amount in the x, y, and z directions.</p>\n\
<h2 id=\"across-shapes-parameters\">Across Shapes Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.AcrossShapes Integer default: 0 -- radiobtnIndex</code></pre><p>The Across Shapes setting, where:</p>\n\
<ul>\n\
<li>0 = Jump</li>\n\
<li>1 = Stretch</li>\n\
<li>2 = Squeeze</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Loopback BooleanClass default: false -- Boolean</code></pre><p>Makes the deformed object loop back to the beginning of the spline.</p>\n\
<h2 id=\"material-id-parameters\">Material ID Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.AdoptMatID BooleanClass default: false -- Boolean</code></pre><p>Gets / sets whether to adopt the underlying spline&apos;s Material ID. In the case of multiple splines, the <strong>RoundMatID</strong> value is used to calculate the material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.RoundMatID Integer default: 0 -- radiobtnIndex</code></pre><p>The material ID rounding method, when <code>AdoptMatId</code> is true, where:</p>\n\
<ul>\n\
<li>0=Round Down</li>\n\
<li>1=Round Up</li>\n\
<li>2=Average</li>\n\
</ul>\n\
<h2 id=\"texture-co-ordinates-parameters\">Texture Co-ordinates Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.Apply_U BooleanClass default: false -- boolean; ApplyU\n\
&lt;Path_Deform2&gt;.Apply_V BooleanClass default: false -- boolean; ApplyV\n\
&lt;Path_Deform2&gt;.Apply_W BooleanClass default: false -- boolean; ApplyW\n\
</code></pre><p>Allows overwritting the texture U, V, and W coordinates based on the percent along the spline of the object&apos;s vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.channel Integer default: 1 -- integer</code></pre><p>The texture coordinates channel.</p>\n\
<h2 id=\"driven-rotation-and-scale-parameters\">Driven Rotation and Scale Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.RotationEnable BooleanClass default: false -- Boolean</code></pre><p>Gets or sets whether driven rotation is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.rotationCurve     CurveControl    default: ReferenceTarget:CurveControl   --  maxObject; SubAnim</code></pre><p>A curve that defines how driven rotation is applied along the spline. It has one property, <strong>.Curve_1</strong>, of type MAXCurve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.DrivingRotScale Float default: 1.0 -- animatable; float</code></pre><p>Gets or sets a rotation scale factor to apply to the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.ScaleEnable     BooleanClass    default: false   --  boolean</code></pre><p>Gets or sets whether to apply the driven scale value to the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.DrivingScaleScale     Float    default: 1.0   --  animatable; float</code></pre><p>Gets or sets a size scale factor to apply to the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.scaleCurve     CurveControl    default: ReferenceTarget:CurveControl   --  maxObject; SubAnim</code></pre><p>A curve that defines how driven scale is applied along the spline. It has one property, <strong>.Curve_1</strong>, of type MAXCurve.</p>\n\
<h2 id=\"paramters-not-in-the-ui\">Paramters not in the UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Path_Deform2&gt;.AdaptiveUpVector BooleanClass default: true -- boolean; AdaptiveUpVector</code></pre><p>Not used.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";