var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D00A65C6-679C-470D-8AA5-DF27964188FF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spline_Chamfer : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spline_Chamfer - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(1923908001L, 3670906848L)</code></pre><p>This modifier allows you to apply a fillet or chamfer to a spline shape.  The fillet or chamfer is calculated based on the incoming and outgoing vectors of a knot point.  Available <strong>in 3ds Max 2021.2 Update and higher.</strong></p>\n\
<h2 id=\"constructor\">Constructor</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spline_Chamfer ...</code></pre><h2 id=\"properties\">Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.amount     Float    default: 1.0   --  animatable; worldUnits</code></pre><p>Get/set the <strong>Amount</strong> value in world units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.bias     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the <strong>Bias</strong> value, in the range of 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.depth     Float    default: 0.5   --  animatable; float</code></pre><p>Get/set the <strong>Depth</strong> amount, in the range of -1.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.IgnoreCollinear     BooleanClass    default: true   --  boolean</code></pre><p>Get/set whether to ignore collinear knots (knots with a 0 angle between adjacent segments).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.limiteffect     BooleanClass    default: false   --  boolean</code></pre><p>Get/set whether to limit the chamfer effect to prevent the chamfer from travelling beyond knot points.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.ShowKnots     BooleanClass    default: false   --  boolean</code></pre><p>Get/set whether to display knots in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_Chamfer&gt;.UseSelection     BooleanClass    default: true   --  boolean</code></pre><p>Get/set whether to use soft selection from lower in the modifier stack to affect which knots are chamfered.  If no knots are selected, all knots are affected.</p>\n\
<h2 id=\"methods\">Methods</h2><p>None.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";