var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7E5B307-B97D-450F-8C59-002FDC5B3ABE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesh_Select : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Mesh_Select - superclass: modifier; super-superclass:MAXWrapper - classID: #(1943601043, 0) </code></pre><p><img src=\"./images/GUID-E596CD56-8AB4-402E-88A1-651950810FB5-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mesh_select ... MeshSelect ... </code></pre><p><strong>Properties</strong></p>\n\
<h3 id=\"mesh-select-parameters-rollout\">Mesh Select Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.byVertex BooleanClass default:false alias: By_Vertex   </code></pre><p>Get/Set the state of the <strong>By Vertex</strong> option.</p>\n\
<p>When set to true, selecting a vertex in Face, Polygon or Element mode will select all faces, polygons or elements sharing that vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.ignoreBackfacing BooleanClass default:false alias: Ignore_Backfacing </code></pre><p>Get/Set the state of the <strong>Ignore Backgfaces</strong> option.</p>\n\
<p>When set to true, only faces with normals facing the viewer can be selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.ignoreVisibleEdges BooleanClass default:false alias: Ignore_Visible_Edges </code></pre><p>Get/Set the state of the <strong>Ignore Visible Edges</strong> option.</p>\n\
<p>When set to true, selecting a face will also select all connected faces whose normals are within the specified planar threshold.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.planarThreshold Angle default: alias: Threshold </code></pre><p>Get/Set the <strong>Planar Thresh</strong>. value.</p>\n\
<p>It specifies the angle threshold used by the Ignore Visible Edges option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.materialID integer default:1 alias: Material_ID </code></pre><p>Get/Set the <strong>Material ID</strong> value in the &quot;Select by Material ID&quot; group of controls.</p>\n\
<h3 id=\"soft-selection-rollout\">Soft Selection Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.useSoftSelection BooleanClass default:false alias: Use_Soft_Selection </code></pre><p>Get/Set the state of the <strong>Use Soft Selection</strong> option.</p>\n\
<p>When set to true, the soft selection will be enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselUseEdgeDistance BooleanClass default:false alias: Use_Soft_Selection </code></pre><p>Get/Set the state of the <strong>Edge Distance</strong> option.</p>\n\
<p>When set to true, the Edge Distance value will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselEdgeDist Integer default:1 -- animatable; alias: Edge_Distance </code></pre><p>Get/Set the <strong>Edge Distance</strong> value.</p>\n\
<p>When <code>.softselUseEdgeDistance</code> is set to true, it specifies the number of edges to include in the soft selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselAffectBackfacing BooleanClass default:true alias: Affect_Backfacing </code></pre><p>Get/Set the state of the <strong>Affect Backfacing</strong> option.</p>\n\
<p>When set to true, the Vertices belonging to back-facing faces will also be affected if within the Soft Selection Falloff range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselFalloff world units default:20.0 -- animatable; alias: Falloff_type </code></pre><p>Get/Set the <strong>Falloff</strong> value.</p>\n\
<p>It specifies the falloff range until the soft selection reaches an influence of 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselPinch Float default:0.0 -- animatable; alias: Pinch </code></pre><p>Get/Set the <strong>Pinch</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesh_Select&gt;.softselBubble Float default:0.0 -- animatable; alias: Bubble </code></pre><p>Get/Set the <strong>Bubble</strong> value.</p>\n\
<p>See the <code>getVertSelection()</code> , <code>getFaceSelection()</code> , and <code>getEdgeSelection()</code> functions in <a href=\"./../../../../Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\">Editable_Mesh</a> for information about accessing the current selections in the Mesh_Select modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Selection-Modifiers.html\">Selection Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";