var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49746C1B-AA59-481D-BEFF-BDFCC78CBFA1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Poly_Select : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Poly_Select - superclass: modifier;super-superclass:MAXWrapper - 16:0 - classID: #(2095390827, 823661829) </code></pre><p><img src=\"./images/GUID-E596CD56-8AB4-402E-88A1-651950810FB5-low.gif\" alt></p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Poly_Select ... &apos;PolyMesh Select&apos;... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.useSoftSelection Boolean default: false -- boolean; Use_Soft_Selection </code></pre><p>Affects the action of Move, Rotate, and Scale functions within editable object or edit modifier, and the action of deformation modifiers applied to the object if they are operating on a sub-object selection. When on, <strong>3ds Max</strong> applies a spline curve deformation to the unselected sub-objects surrounding the selection that you transform. To take effect, this check box must be on before moving the selection.</p>\n\
<p>You can also use the keyboard shortcut <strong>Ctrl+S</strong> to toggle Use Soft Selection (while the Plug-In Keyboard Shortcut Toggle button is turned on).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselUseEdgeDistance Boolean default: false -- boolean; Use_Edge_Distance </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselEdgeDist Integer default: 1 -- animatable; integer; Edge_Distance </code></pre><p>This spinner setting limits the region affected by the number of edges between the selection and the affected vertices. The affected region is measured in terms of &quot;edge-distance&quot; space, along the surface, rather than real space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselAffectBackfacing Boolean default: false -- boolean; Affect_Backfacing </code></pre><p>When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they&apos;re attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence. Turn off Affect Backfacing when you want to pull faces of a thin object, such as a thin box, but don&apos;t want to affect faces on the other side of the object.</p>\n\
<p>You can also use the keyboard shortcut <strong>Ctrl+F</strong> to toggle Affect Backfacing (while the Plug-In Keyboard Shortcut Toggle button is turned on).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselFalloff Float default: 20.0 -- animatable; world units; Falloff </code></pre><p>Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry. Default=20.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> At the Vertex sub-object level, the region specified by the Falloff setting is depicted graphically in the viewports as a vertex-color gradient from the Sub-selection color (normally red) to the Vertex Ticks color (normally blue). In addition, this gradient is updated in real time as you change the Falloff setting.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselPinch Float default: 0.0 -- animatable; float; Pinch </code></pre><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis. Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.softselBubble Float default: 0.0 -- animatable; float; Bubble </code></pre><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region. Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.byVertex Boolean default: false -- boolean; Select_By_Vertex </code></pre><p>Get/set the state of the Select By Vertex option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.ignoreBackfacing Boolean default: false -- boolean; Ignore_Backfacing_in_Selections </code></pre><p>Get/set the state of the Ignore Backfaces option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.materialID Integer default: 1 -- integer; Material_ID </code></pre><p>Get/set the Material ID value.</p>\n\
<p><strong>The following properties have been added in 3ds Max7:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.lockSoftSel BooleanClass default: false -- boolean;Lock_Soft_Selection </code></pre><p>Get/set the Lock Soft Selection option. When set to true, the Soft Selection will not be recalculated dynamically based on the current &quot;hard selection&quot; and the procedural soft-selection parameters and will allow for painting custom soft-selection values using the brush.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.paintSelSize Float default: 20.0 -- float; Brush_Size </code></pre><p>Get/set the size of the paint brush.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.paintSelStrength Float default:1.0 -- float; Brush_Strength </code></pre><p>Get/set the strength of the paint brush.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.paintSelValue Float default: 1.0 -- float; Selection_Value </code></pre><p>Get/set the Selection Value to be applied by the brush.</p>\n\
<p><strong>The following properties have been added in 3ds Max 8:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.loopEdgeSel Integer default: 0 -- integer; Loop_Sel </code></pre><p>Get/set the loop edge selection value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Poly_Select&gt;.ringEdgeSel Integer default: 0 -- integer; Ring_Sel </code></pre><p>Get/set the ring edge selection value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Selection-Modifiers.html\">Selection Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly : Modifier</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";