var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2D879CE1-6EBC-4426-B039-8807D06571C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaterialByElement : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaterialByElement - superclass: modifier; super-superclass:MAXWrapper - classID: #(1501386990, 233576367) </code></pre><p><img src=\"./images/GUID-AE86E99B-9D57-4747-84DD-99D5408A5861-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">materialByElement ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.method Integer default: 1 </code></pre><p>Set method:</p>\n\
<p>0- Random Distribution (Assigns the materials at random to different elements in the object.)</p>\n\
<p>1- List Frequency (Determines an approximate relative weight (percentage) for each of up to eight material ID&#x2019;s)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID_Count Integer default: 2 -- animatable </code></pre><p>The minimum number of material IDs to assign. Because material ID assignment is random, setting it to the number of materials in the multi/sub-object material or higher doesn&#x2019;t guarantee that all materials get used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__1 Float default: 0.5 -- animatable </code></pre><p>Approximate relative weight (percentage) for first material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__2 Float default: 0.5 -- animatable </code></pre><p>Approximate relative weight (percentage) for second material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__3 Float default: 0.0 -- animatable </code></pre><p>Approximate relative weight (percentage) for third material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__4 Float default: 0.0 -- animatable </code></pre><p>Approximate relative weight (percentage) for fourth material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__5 Float default: 0.0 -- animatable </code></pre><p>Approximate relative weight (percentage) for fifth material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__6 Float default: 0.0 -- animatable </code></pre><p>Approximate relative weight (percentage) for sixth material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__7 Float default: 0.0 -- animatable</code></pre><p>Approximate relative weight (percentage) for seventh material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Material_ID__8 Float default: 0.0 -- animatable </code></pre><p>Approximate relative weight (percentage) for eighth material ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MaterialByElement&gt;.Random_Seed Integer default: 12345 </code></pre><p>The seed value for the (pseudo-)randomization of material ID assignments.</p>\n\
<p><code>Material_ID</code> values are shown aspercentagesin the <strong>3ds Max</strong> user interface, but stored as fractions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Surface-Modifiers.html\">Surface Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";