var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4ECCA029-BAF3-48F7-8A93-22CACC627279\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UVW_Xform : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">UVW_Xform - superclass: modifier; super-superclass:MAXWrapper - classID: #(1597169170, 0) </code></pre><p><img src=\"./images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">uvw_xform ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.U_Tile Float default: 1.0 -- animatable </code></pre><p>The tiling along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.U_Flip Integer default: 0 </code></pre><p>When on, reverses the direction of the map along the U-axis.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.V_Tile Float default: 1.0 -- animatable </code></pre><p>The tiling along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.V_Flip Integer default: 0 </code></pre><p>When on, reverses the direction of the map along the V-axis.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.W_Tile Float default: 1.0 -- animatable </code></pre><p>The tiling along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.W_Flip Integer default: 0 </code></pre><p>When on, reverses the direction of the map along the W-axis.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.U_Offset Float default: 0.0 -- animatable </code></pre><p>Offsets the map along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.V_Offset Float default: 0.0 -- animatable</code></pre><p>Offsets the map along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.W_Offset Float default: 0.0 -- animatable </code></pre><p>Offsets the map along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.Map_or_Vertex_Color Integer default: 0 </code></pre><p>Specifies whether to apply the transform to a mapping channel or a vertex color channel:</p>\n\
<p>0 - Map Channel</p>\n\
<p>1 - Vertex Color Channel</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.Map_Channel Integer default: 1 -- integer </code></pre><p>Get/Set the affected map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.Rotation_Angle Float default: 0.0 -- animatable; angle; </code></pre><p>Get/Set the rotation angle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UVW_Xform&gt;.Rotation_Center Integer default: 0 -- integer </code></pre><p>Get/Set the state of the &quot;Rotate about center&quot; checkbox.</p>\n\
<p>Possible values are</p>\n\
<p>0 - unchecked</p>\n\
<p>1 - checked.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UVW-Modifiers.html\">UVW Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";