var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D6F3322-41C7-4F3E-BA38-6438296B6BAF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Relax</h1></div><p>The following methods expose the Relax Tool of the UnwrapUVW Modifier to MAXScript.</p>\n\
<h2 id=\"relax-one-click\">Relax One Click</h2><p><img src=\"./images/GUID-0FA33099-12A7-4887-8E0A-89FD7D4C72F1-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RelaxOneClick()</code></pre><p>Equivalent to pressing the &quot;Relax Until Flat&quot; icon in the Edit UVs dialog.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<h2 id=\"relax-tool\">Relax Tool</h2><p><img src=\"./images/GUID-FBF56E95-63EA-4478-8608-1A8D2A3EF85F-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relax2dialog() </code></pre><p>Opens the Relax Tool dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRelaxIteration() </code></pre><p>Returns the relax iterations count.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxIteration &lt;integer&gt;amount </code></pre><p>Sets the relax iterations count to the specified value.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getRelaxAmount() </code></pre><p>Returns the relax amount.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxAmount &lt;float&gt;amount </code></pre><p>Sets the relax amount to the spacified value.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxBoundary() </code></pre><p>Get the Relax Boundary Points status.</p>\n\
<p>When <code>true</code> , the boundary points will remain fixed. Returns the state of the &quot;Keep Boundary Points Fixed&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBoundary &lt;boolean&gt;boundary </code></pre><p>Set the Relax Boundary Points status.</p>\n\
<p>When set to <code>true</code> , the boundary points will remain fixed. Affects the state of the &quot;Keep Boundary Points Fixed&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxSaddle() </code></pre><p>Get Relax saddle status.</p>\n\
<p>Returns the state of the &quot;Save Outer Corners&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxSaddle &lt;boolean&gt;saddle </code></pre><p>Set Relax saddle status.</p>\n\
<p>Affects the state of the &quot;Save Outer Corners&quot; checkbox in the Relax dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxByFaceAngle &lt;integer&gt;iterations &lt;float&gt;stretch &lt;float&gt;strength &lt;boolean&gt;lockBoundaries </code></pre><p>Performs a &quot;Relax By Face Angles&quot; operation without opening the Relax Tool dialog.</p>\n\
<p>The arguments correspond to the <strong>Iterations</strong> value, <strong>Stretch</strong> value, <strong>Amount</strong> value and <strong>Keep Boundary Points Fixed</strong> checkbox state found in the <strong>Relax Tool &gt; Relax By Face Angles</strong> mode.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxByEdgeAngle &lt;integer&gt;iterations &lt;float&gt;stretch &lt;float&gt;strength &lt;boolean&gt;lockBoundaries </code></pre><p>Performs a &quot;Relax By Edge Angles&quot; operation without opening the Relax Tool dialog.</p>\n\
<p>The arguments correspond to the <strong>Iterations</strong> value, <strong>Stretch</strong> value, <strong>Amount</strong> value and <strong>Keep Boundary Points Fixed</strong> checkbox state found in the <strong>Relax Tool&gt;Relax By Edge Angles</strong> mode.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relax2() </code></pre><p>Performs a &quot;Relax by Centers&quot; operation using the current settings.</p>\n\
<p>Same as pressing the Apply button in the Relax Dialog.</p>\n\
<p>Exposed via <code>unwrap3</code> interface in <strong>3ds Max 6 and higher</strong>.</p>\n\
<h2 id=\"relax-by-spring\">Relax By Spring</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringIteration() </code></pre><p>Returns the Iteration value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringIteration &lt;integer&gt;iteration </code></pre><p>Sets the Iteration value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringStretch() </code></pre><p>Returns the Stretch value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringStretch &lt;float&gt;stretch </code></pre><p>Sets the Stretch value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelaxBySpringUseOnlyVEdges() </code></pre><p>Returns the state of the Lock Bondaries checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelaxBySpringUseOnlyVEdges &lt;boolean&gt;useOnlyVEdges </code></pre><p>Sets the state of the Lock Bondaries checkbox.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relaxBySpring &lt;integer&gt;frames &lt;float&gt;stretch &lt;boolean&gt;useOnlyVEdges </code></pre><p>Performs the relax by spring without opening the dialog.</p>\n\
<p>The arguments correspond to the Iterations value, Stretch value and Lock Boundaries checkbox state.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"relax-by-angle\">Relax By Angle</h2><p><strong>Methods:</strong></p>\n\
<h2 id=\"other-obsolete-relax-method\">Other Obsolete Relax Method</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.relax &lt;integer&gt;iterations &lt;float&gt;strength &lt;boolean&gt;lockEdges &lt;boolean&gt;matchArea </code></pre><p>Performs the <strong>pre-3ds Max 6</strong> Relax operation using the provided arguments.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> In <strong>3ds Max 6 and higher</strong>, you should consider using the <code>Relax2()</code> method and related methods described below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;fitRelax &lt;integer&gt;iterations &lt;float&gt;strength </code></pre><p>Performs a Fit Relax.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";