var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FCC890DE-797D-4816-8717-54B4457D2D15\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Spline Mapping</h1></div><p>The following properties and methods expose the Spline Mapping functionality of the UnwrapUVW Modifier available in <strong>3ds Max 2009 and higher</strong>:</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_node UndefinedClass default: undefined -- node </code></pre><p>Get/set the Spline Mapping Shape node. Corresponds to the - Pick Spline - button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_projectiontype Integer default: 0 -- integer </code></pre><p>Get/set the Spline Mapping projection type. Corresponds to the &quot;Mapping&quot; drop-down list in the Spline Map Parameters dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Circlular</strong></p>\n\
<p>1 - <strong>Planar</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_manualseams BooleanClass default: false -- boolean </code></pre><p>Get/set the state of the Use Manual Seams checkbox in the Spline Mapping dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_resampleCount Integer default: 4 -- integer </code></pre><p>Get/set the Spline Mapping resample count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_display BooleanClass default: true -- boolean </code></pre><p>Enable/disable the Spline MappingGizmodisplay.When set to false, the cross-sections and the spline map gizmo will be hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_iterations Integer default: 16 -- integer </code></pre><p>Get/set the Spline Mapping iterations count.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_advanceMethod Integerdefault:1--integer </code></pre><p>Get/Set the advance method option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_uoffset Float default: 0.0 -- float </code></pre><p>Get/set the Spline Mapping U Offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_voffset Float default: 0.0 -- float </code></pre><p>Get/set the Spline Mapping V Offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_uscale Float default: 1.0 -- float </code></pre><p>Get/set the Spline Mapping U Scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.splinemap_vscale Float default: 1.0 -- float </code></pre><p>Get/set the Spline Mapping VScale.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Fit &lt;boolean&gt;fitAll &lt;float&gt;extraScale </code></pre><p>Fits the cross-sections.</p>\n\
<p>If the first argument is true, all cross-sections will be affected. If it is false, only the selected cross-sections will be affected.</p>\n\
<p>The second argument defines the extra scale of the cross-sections beyond the fitted size.</p>\n\
<p>Corresponds to pressing the Fit button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AddCrossSectionMode() </code></pre><p>Enters Add Cross-section Mode.</p>\n\
<p>Corresponds to pressing the Add button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Delete() </code></pre><p>Deletes the currently selected cross-sections.</p>\n\
<p>Corresponds to pressing the Remove button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignSectionCommandMode() </code></pre><p>Enters Align Section command mode.</p>\n\
<p>Corresponds to pressing the Section button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignCommandMode() </code></pre><p>Enters Align To Face command mode.</p>\n\
<p>Corresponds to pressing the Face button in the Spline Map Parameters dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Align &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;point3&gt;vec </code></pre><p>Aligns the indexed cross-section in the indexed spline to the given vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignSelected &lt;point3&gt;vec </code></pre><p>Aligns the selected cross-section to the given vector.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Resample &lt;integer&gt;samples </code></pre><p>Performs Resampling of the Spline Mapping to the given number of samples.</p>\n\
<p>Effectively inserts the specified number of cross-sections along the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.splineMap_numberSplines() </code></pre><p>Returns the number of mapping splines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_selectSpline &lt;index&gt;splineIndex &lt;boolean&gt;sel </code></pre><p>Sets the selected state of the indexed spline to thegiven boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.splineMap_isSplineSelected &lt;index&gt;splineIndex </code></pre><p>Returns true if the indexed spline is selected, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_ClearSelectSpline() </code></pre><p>Clears the Spline selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.splineMap_numberCrossSection &lt;index&gt;splineIndex </code></pre><p>Returns the number of cross-sections on the indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_selectCrossSection &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;boolean&gt;sel </code></pre><p>Sets the selected state of the indexed cross-section in the indexed spline to the given boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.splineMap_isCrossSectionSelected &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Returns true if the indexed cross-section in the indexed spline is selected, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_ClearSelectCrossSection() </code></pre><p>Clears the Cross-section selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3 by value&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_Pos &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Returns the Position of the indexed cross-section in the indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_Pos &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;point3&gt;pos </code></pre><p>Sets the Position of the indexed cross-section in the indexed spline to the given Point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_moveSelectedCrossSection &lt;float&gt;u </code></pre><p>Moves the selected cross-section by the given amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_ScaleX &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Returns the X Scale of the indexed cross-section in the indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_ScaleX &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;scaleX </code></pre><p>Sets the X Scale of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_ScaleY &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Returns the Y Scale of the indexed cross-section in the indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_ScaleY &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;scaleY </code></pre><p>Sets the Y Scale of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_scaleSelectedCrossSection &lt;point2&gt;scale </code></pre><p>Scales the X and Y axes of the selected cross-section by the given Point2 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;quat by value&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_Twist &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Returns the Twist value of the indexed cross-section in the indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_Twist &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;Twist </code></pre><p>Sets the Twist of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_rotateSelectedCrossSection &lt;float&gt;twist </code></pre><p>Rotates the selected cross-section about the spline&apos;s axis at the given twist amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_RecomputeCrossSections() </code></pre><p>Forces are rebuilding of the cross-sections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_InsertCrossSection &lt;index&gt;splineIndex &lt;float&gt;u </code></pre><p>Inserts a cross-section into the indexed spline at the given position along the spline.</p>\n\
<p>The u parameter is in the range from 0.0 to 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Copy() </code></pre><p>Copies theselected cross-sectiontotheclipboard.If multiple cross-sections are selected, the one with the lowest index will be copied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Paste() </code></pre><p>Pastes thecross-section from theclipboardonto the currently selected cross-sections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_PasteToSelected &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex </code></pre><p>Pastes the indexed cross-section of the indexed spline to the selected cross-sections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Dump() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap() </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";