var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-10977590-413F-4902-828D-10868459DA47\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mesher - superclass: GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Mesher - superclass: GeometryClass; super-superclass:node - 8:0 - classID: #(998877, 32670) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Mesher ...  particleMesher...  </code></pre><p>The Mesher compound object converts procedural objects to mesh objects on a per-frame basis so that you can apply modifiers such as Bend or UVW Map.</p>\n\
<p>It can be used with any type of object, but is designed primarily to work with particle systems.</p>\n\
<p>Mesher is also useful for low-overhead instancing of objects with complex modifier stacks.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.pick UndefinedClass default: undefined -- node </code></pre><p>Click this button and then select the object to be instanced by the Mesher object.</p>\n\
<p>After doing so, the name of the instanced object appears on the button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.renderTimeOnly Boolean default: false -- boolean </code></pre><p>When on, the Mesher mesh does not appear in the viewports, but only when you render the scene. Default=off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.extranodes ArrayParameter default: #() -- node array </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.time Float default: 0.0 -- float </code></pre><p>The number of frames ahead of or behind the original particle system that the Mesher&apos;s particle system will run. Default=0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.radius Float default: 10.0 -- float </code></pre><p>The size of the default Mesher icon when no source geometry has been picked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.useCustomBounds Boolean default: false -- boolean; Use_Custom_Bounds </code></pre><p>When on, Mesher replaces the dynamic bounding box derived from the particle system and modifier with a static bounding box of the user&apos;s choice.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.boundsMin Point3 default: [1,1,1] -- point3; BoundsA \n\
&lt;Mesher&gt;.boundsMax Point3 default: [-1,-1,-1] -- point3; BoundsB </code></pre><p>The coordinates of the opposite corners of the custom bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt;.useAllPFEvents BooleanClass default: true -- boolean; Use_All_PF_Events </code></pre><p>When set to <code>true</code> , all Particle Flow events will be used. When false, only events on the <code>.pfEventList</code> will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mesher&gt; . pfEventListArrayParameter default: #() -- node array; PF_Events </code></pre><p>When <code>useAllPFEvents</code> is set to <code>false</code> , only the Particle Flow events specified in this property will be used.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";