var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7894D0CE-D603-4ED9-895E-3A08FC5F393C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ShapeMerge : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShapeMerge - superclass: GeometryClass; super-superclass:node - classID:#(1787264003, 1737781638) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<p>ShapeMerge compound objects are <strong>not</strong> constructable by MAXScript.</p>\n\
<p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMerge&gt;.Operation_Type Integer default: 1   </code></pre><p>Set the shapemerge operation type:</p>\n\
<p>0- <strong>Cookie Cutter</strong> (Cuts the shape out of the mesh object&apos;s surface.)</p>\n\
<p>1- <strong>Merge</strong> (Merges the shape with the surface of the mesh object.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMerge&gt;.Remove_Interior_Exterior Integer default: 0 </code></pre><p>Reverses the effect of Cookie Cutter or Merge. With the Cookie Cutter option, the effect is obvious.</p>\n\
<p>When Invert is off, the shape is a hole in the mesh object.</p>\n\
<p>When Invert is on, the shape is solid and the mesh is missing.</p>\n\
<p>When you&apos;re using Merge, Invert reverses the sub-object mesh selection.</p>\n\
<p>0- <strong>Invert OFF</strong></p>\n\
<p>1- <strong>Invert ON</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMerge&gt;.Output_Sub_Mesh_Selection Integer default: 0 </code></pre><p>Sets which selection level is output:</p>\n\
<p>0- <strong>None</strong> (Outputs the full object.)</p>\n\
<p>1- <strong>Vertex</strong> (Outputs the vertices defined by the spline of the shape.)</p>\n\
<p>2- <strong>Edge</strong> (Outputs the edge of the merged shape.)</p>\n\
<p>3- <strong>Face</strong> (Outputs the faces within the merged shape.)</p>\n\
<p><strong>The following properties are available only after the ShapeMerge object has been created</strong>.</p>\n\
<p>The values shown for the properties are those for a ShapeMerge object created from a sphere and a circle.</p>\n\
<p>SubAnims similar to the Circle01 SubAnim would be created if additions operands were used.</p>\n\
<p>The operand transforms are in the local coordinate system of the ShapeMerge object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMerge&gt;.mesh__sphere01 SubAnim default: SubAnim:Mesh__Sphere01\n\
&lt;ShapeMerge&gt;.mesh_transform SubAnim default: SubAnim:Mesh_Transform\n\
&lt;ShapeMerge&gt;.shape_1__circle01 SubAnim default: SubAnim:Shape_1__Circle01\n\
&lt;ShapeMerge&gt;.shape_1_transform SubAnim default: SubAnim:Shape_1_Transform</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";