var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D4363452-CE3D-4FE1-956E-CB4D11879F19\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Terrain : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Terrain - superclass: GeometryClass; super-superclass:node - classID: #(914240495, 130049804) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Terrain ... </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.Form Integer default: 1 </code></pre><p>Set the terrain form:</p>\n\
<p>0 - <strong>Graded Surface</strong> (Creates a graded surface of the mesh over the contours.)</p>\n\
<p>1 - <strong>Graded Solid</strong> (Creates a graded surface with skirts around the sides and a bottom surface. This represents a solid that is visible from every direction.)</p>\n\
<p>2 - <strong>Layered Solid</strong> (Creates a &quot;wedding cake&quot; or laminated solid similar to cardboard architectural models.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.stitchBorder Boolean default: false </code></pre><p>Turn on/off stitch border.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.retriangulate Boolean default: false </code></pre><p>Turn on/off retriangulate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.display Integer default: 0 </code></pre><p>Select the type of display for the terrain object:</p>\n\
<p>0 - <strong>Terrain</strong> (Displays only the triangulated mesh over the contour line data.)</p>\n\
<p>1 - <strong>Contours</strong> (Displays only the contour line data of the terrain object.)</p>\n\
<p>2 - <strong>Both</strong> (Displays both the triangulated mesh and the contour line data of the terrain object.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.update Integer default: 0 </code></pre><p>Set update settings for the terrain object:</p>\n\
<p>0 - <strong>Always</strong> (Updates the terrain object immediately when you change an operand, including the original object of an instanced or referenced operand.)</p>\n\
<p>1 - <strong>WhenRendering</strong> (Updates the terrain object when you render the scene or when you force an update. With this option, viewports won&apos;t show current geometry unless you.)</p>\n\
<p>2 - <strong>Manually</strong> (Updates the terrain object when you force an update.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.numOps Integer default: 0 </code></pre><p>The number of contour operands. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.horizSimplification Integer default: 0 </code></pre><p>Get/set the horizontal simplification value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - No Simplification;</p>\n\
<p>1 - Use &#xBD; of Points;</p>\n\
<p>2 - Use &#xBC; of Points;</p>\n\
<p>3 - Interpolate Points * 2;</p>\n\
<p>4 - Interpolate Points * 4</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.vertSimplification Integer default: 0 </code></pre><p>Get/set the vertical simplification value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - No Simplification;</p>\n\
<p>Use &#xBD; of Lines;</p>\n\
<p>2 - Use &#xBC; of Lines</p>\n\
<p>The following properties are available only after the terrain object has been created.</p>\n\
<p>The values shown for the properties are those for a terrain object created from three circles.</p>\n\
<p>The operand transforms are in the local coordinate system of the terrain object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Terrain&gt;.Op_0__Circle01 SubAnim default: SubAnim:Op_0__Circle01\n\
&lt;Terrain&gt;.Op_0_Transform SubAnim default: SubAnim:Op_0_Transform\n\
&lt;Terrain&gt;.Op_1__Circle02 SubAnim default: SubAnim:Op_1__Circle02\n\
&lt;Terrain&gt;.Op_1_Transform SubAnim default: SubAnim:Op_1_Transform\n\
&lt;Terrain&gt;.Op_2__Circle03 SubAnim default: SubAnim:Op_2__Circle03\n\
&lt;Terrain&gt;.Op_2_Transform SubAnim default: SubAnim:Op_2_Transform</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.addOperand &lt;terrain&gt; &lt;node&gt; </code></pre><p>Appends a node as a contour operand to the terrain.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This is done in &apos;Move&apos; mode, so the the supplied <code>node</code> is deleted after the addition.</div>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> To simulate other modes, use appropriate MAXScript functions.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   terrainOps.addOperand $terrain01 (instance $line03)</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.deleteOperand &lt;terrain&gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed operand, <code>index_integer</code> is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.getOperand &lt;terrain&gt; &lt;index_integer&gt; </code></pre><p>Returns the indexed contour operand as a <strong>3ds Max</strong> base object (not a node), <code>index_integer</code> is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.getOperandTM &lt;terrain&gt; &lt;index_integer&gt; </code></pre><p>Returns the indexed operand&apos;s local transformation matrix as a Matrix3 value.</p>\n\
<p>This transformation matrix is relative to the terrain&apos;s node transformation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.setOperandTM &lt;terrain&gt; &lt;index_integer&gt; &lt;matrix3&gt; </code></pre><p>Sets the indexed operand&apos;s local transformation matrix.</p>\n\
<p>This transformation matrix is relative to the terrain&apos;s node transformation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">terrainOps.update &lt;terrain&gt; </code></pre><p>Forces a terrain update for those in manual update mode.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The above methods are defined in the Landform DLL and so will only be present if the Landform DLL has been loaded.</p>\n\
<p>In installations set up with delayed plugin loading enabled, this will happen automatically if there are any existing terrain objects in the scene or a terrain object is created in the user interface or via MAXScript.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";