var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-66A0DF32-BD24-45EF-8BAE-1AE128F2B3AE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RingWave : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RingWave - superclass: GeometryClass; super-superclass:node - classID: #(686038884, 306926354) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ringwave...   </code></pre><p><strong>Properties</strong>:</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Some of the properties can be entered using more than one syntax. They are listed together in the following list. Either syntax can be used, they are connected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;max diameter&apos; Float default: 500.0 -- animatable; alias: radius </code></pre><p>The outside radius of the ringwave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Radius Segs&apos; Integer default: 1 -- animatable; alias: radial_Segments </code></pre><p>The segment count between the inner and outer surfaces in the direction of radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;ring width&apos; Float default: 1.0 -- animatable; alias: Ring_Width </code></pre><p>The mean ring width as measured inward from the outer radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;ring segments&apos; Integer default: 200 -- animatable; alias: sides </code></pre><p>The number of segments in the circumferential direction for both the inner, outer, and end (cap) surfaces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.height Float default: 0.0 -- animatable </code></pre><p>The height of the ringwave along its major axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Height Segs&apos; Integer default: 1 -- animatable; alias: Height_Segments </code></pre><p>The number of segments in the direction of the height.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.Repeat Integer default: 2 -- animatable </code></pre><p>Repeat = 0 - Cyclic Growth;</p>\n\
<p>1 - Grow and Stay;</p>\n\
<p>2 - No Growth</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;time on&apos;  Integer default: 0 -- animatable; alias: Start_Time </code></pre><p>The time where the ringwave appears, and begins to grow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;time growing&apos; Integer default: 9600 -- alias: Grow_Time </code></pre><p>The time after <strong>.time on</strong> that the ringwave takes to reach full size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;display until&apos; Integer default: 16000 -- animatable; alias: End_Time </code></pre><p>The time after which the ringwave disappears.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Outer Edge Breakup&apos; Boolean default: false -- alias: Outer_Edge_Breakup </code></pre><p>Turns on breakup of the outer edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycles Outer&apos; Integer default: 1 -- alias: Outer_Edge_Major_Cycles </code></pre><p>The number of major waves around the outer edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycle Flux Outer&apos; Float default: 0.0 -- animatable; alias: Outer_Edge_Major_Flux </code></pre><p>The size of the major waves, expressed as a percentage of the unmodulated width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycle Flux Per Outer&apos; Integer default: 16000 -- animatable; alias: Outer_Edge_Major_Crawl_Time </code></pre><p>The time each major wave takes to move around the outer circumference of the RingWave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycles Outer&apos; Integer default: 1 -- alias: Outer_Edge_Minor_Cycles </code></pre><p>The number of random-sized smaller waves in each major cycle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycle Flux Outer&apos; Float default: 0.0 -- animatable; alias: Outer_Edge_Minor_Flux </code></pre><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycle Flux Per Outer&apos; Integer default: -16000 -- animatable; alias: Outer_Edge_Minor_Crawl_Time </code></pre><p>The time each minor wave takes to move across its respective major wave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Inner Edge Breakup&apos; Boolean default: true -- alias: Inner_Edge_Breakup </code></pre><p>Turns on the breakup of the inner edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycles Inner&apos; Integer default: 11 -- alias: Inner_Edge_Major_Cycles </code></pre><p>The number of major waves around the inner edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycle Flux Inner&apos; Float default: 25.0 -- animatable; alias: Inner_Edge_Major_Flux </code></pre><p>The size of the major waves, expressed as a percentage of the unmodulated width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Major Cycle Flux Per Inner&apos; Integer default: 19360 -- animatable; alias: Inner_Edge_Major_Crawl_Time </code></pre><p>The time each major wave takes to move around the inner circumference of the RingWave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycles Inner&apos; Integer default: 29 -- alias: Inner_Edge_Minor_Cycles </code></pre><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycle Flux Inner&apos; Float default: 10.0 -- animatable; alias: Inner_Edge_Minor_Flux </code></pre><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Minor Cycle Flux Per Inner &apos; Integer default: -4320 -- animatable; alias: Inner_Edge_Minor_Crawl_Time </code></pre><p>The time each minor wave takes to move across its respective major wave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.repeats Integer default: 2 -- radio button number </code></pre><p>The number of times the ringwave cycle repeats.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.&apos;Mapping Coords&apos; Boolean default: false </code></pre><p>When on, assigns mapping coordinates to the ringwave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RingWave&gt;.Smoothing Boolean default: false </code></pre><p>When on, smooths the surface of the ringwave.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";