var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-40DCD04A-7C91-4DE7-90CC-5E0D1165AB17\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>pxJoint : helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> pxJoint - superclass: helper; super-superclass:node - 37:1 - classID: #(1604510813, 25066142)</code></pre><p>This object represents the MassFX Joint Helper.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">pxJoint ...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"-quot-constraint-quot-rollout\">&quot;Constraint&quot; rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.body0 UndefinedClass default: undefined -- node</code></pre><p>Get/set the first node to constrain.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.body1 UndefinedClass default: undefined -- node</code></pre><p>Get/set the second node to constrain.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.breakable BooleanClass default: false -- animatable; boolean</code></pre><p>Get/set the breakable state of the joint. When set to true, the joint will break if the force exceeds the threshold specified by the <code>.maxForce</code> or <code>.maxTorque</code> property (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.maxForce Float default: 10.0 -- animatable; float</code></pre><p>Get/set the linear force threshold used when the <strong><code>.breakable</code></strong> property is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.maxTorque Float default: 10.0 -- animatable; float</code></pre><p>Get/set the angular force threshold used when the <strong><code>.breakable</code></strong> property is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.collision BooleanClass default: false -- animatable; boolean</code></pre><p>Get/set whether to calculate collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.projectionMode Integer default: 1 -- animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.projectionDist Float default: 0.1 -- animatable; float</code></pre><p>Get/set the projection distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.projectionAngle Float default: 0.0872 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.gearing BooleanClass default: false -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.gearRatio Float default: 1.0 -- animatable; float</code></pre><h2 id=\"-quot-swing-and-twist-quot-rollout\">&quot;Swing and Twist&quot; rollout</h2><h3 id=\"swing1-group-of-controls\">Swing1 group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_locked BooleanClass default: false -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_limited BooleanClass default: true -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_angle Float default: 10.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_rest Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_spring Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing1_damp Float default: 0.0 -- animatable; float</code></pre><h3 id=\"swing1-group-of-controls\">Swing1 group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_locked BooleanClass default: false -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_limited BooleanClass default: true -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_angle Float default: 10.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_rest Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_spring Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.swing2_damp Float default: 0.0 -- animatable; float</code></pre><h3 id=\"-quot-twist-quot-group-of-controls\">&quot;Twist&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twist_enbl BooleanClass default: false -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twist_rest Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twist_spring Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twist_damp Float default: 0.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twist_lmt BooleanClass default: true -- animatable; boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twistlow Float default: 10.0 -- animatable; float</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.twisthigh Float default: 10.0 -- animatable; float</code></pre><h2 id=\"-quot-translation-quot-rollout\">&quot;Translation&quot; rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.x_state Integer default: 1 -- animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.y_state Integer default: 1 -- animatable; integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;pxJoint&gt;.z_state Integer default: 1 -- animatable; integer</code></pre><h3 id=\"-quot-if-limited-specify-radius-quot-group-of-controls\">&quot;If Limited, specify Radius&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pxJoint&gt;.xlate_rad Float default: 45.0 -- animatable; float</code></pre><h2 id=\"-quot-display-properties-quot-rollout\">&quot;Display Properties&quot; rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;pxJoint&gt;.helpersize Float default: 0.001 -- animatable; float</code></pre><h2 id=\"pxjoint-interfaces-\">pxJoint interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Interface: IMtlRender_Compability_MtlBase </code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-MassFX.html\">Helper - MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"UConstraint-Helper.html\">UConstraint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"nvRagdoll-Helper.html\">nvRagdoll : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";