var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-068A69FD-0624-4FD9-88D6-747785BF8F6C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>InfluenceHelper : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InfluenceHelper - superclass: helper; super-superclass:node - 12:0 - classID: #(1959648626L, 2311833249L)</code></pre><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A helper that shows the boundaries of near and far parameters, which can be used in conjunction with the SplineInfluence modifier.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InfluenceHelper...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.bias     Float    default: 0.0   --  animatable; float</code></pre><p>A bias value applied to the falloff curve, used when <strong>EnableBias</strong> is true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.BiasSelected     BooleanClass    default: true   --  boolean</code></pre><p>Indicates that the bias value is applied to the falloff curve only when the helper is selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.EnableBias     BooleanClass    default: false   --  boolean</code></pre><p>When true, the <strong>bias</strong> value is applied to the falloff curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.FalloffType     Integer    default: 0   --  integer</code></pre><p>Indicates the type of falloff curve applied, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.farColor     Color    default: (color 255 140.25 0)   --  RGB color</code></pre><p>The color of the helper&apos;s far distance boundary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.farDist     Float    default: 10.0   --  animatable; float; Far</code></pre><p>The scale of the helper&apos;s far distance boundary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.invert     BooleanClass    default: false   --  boolean</code></pre><p>When true, the falloff curve is inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.nearColor     Color    default: (color 255 0 0)   --  RGB color</code></pre><p>The color of the helper&apos;s near distance boundary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.nearDist     Float    default: 1.0   --  animatable; float; Near</code></pre><p>The scale of the helper&apos;s near distance boundary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.on     BooleanClass    default: true   --  boolean</code></pre><p>Turns the influence helper on and off. When &quot;off&quot;, the boundaries are still visible in the viewport, but not colored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.showFar     BooleanClass    default: true   --  boolean</code></pre><p>Turns the far boundary visibility on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InfluenceHelper&gt;.showNear     BooleanClass    default: true   --  boolean</code></pre><p>Turns the near boundary visibility on or off.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineInfluence-Modifier.html\">SplineInfluence : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";