var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C6B47CD9-D091-4D1E-9730-731704BBEC49\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>LightMeter : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LightMeter - superclass: helper; super-superclass:node - 9:0 - classID: #(-2088554037, -1774534477)</code></pre><p>The <strong>LightMeterHelper</strong> allows the generation of lighting analysis data on a custom grid in world space. It works in conjunction with the <a href=\"./../../../../RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LightMeter...</code></pre><p><img src=\"./images/GUID-82025DF3-3C04-4540-97CC-DBFE03D3875E-low.gif\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"parameters\">Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.active BooleanClass default: true -- Boolean      </code></pre><p>Get/set the state of the On checkbox.</p>\n\
<h3 id=\"dimensions\">Dimensions</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.length Float default: 1.0 -- animatable; worldUnits      </code></pre><p>Get/set the Lengthof the LightMeter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.width Float default: 1.0 -- animatable; worldUnits   </code></pre><p>Get/set the Width of the LightMeter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.length_segs Integer default: 3 -- integer </code></pre><p>Get/set the Length Segments of the LightMeter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.width_segs Integer default: 3 -- integer </code></pre><p>Get/set the Width Segments of the LightMeter.</p>\n\
<h2 id=\"display\">Display</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.showOrientation BooleanClass default: true -- boolean; Show_Orientation </code></pre><p>Get/set the state of the Show Orientation checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.showPsuedoColor BooleanClass default: true -- boolean; Show_Pseudo_Color </code></pre><p>Get/set the state of the Show Pseudo Color checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.showViewportText BooleanClass default: true -- boolean; Show_Viewport_Text </code></pre><p>Get/set the state of the Show Viewport Text checkbox.</p>\n\
<h3 id=\"values-to-display\">Values To Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMeter&gt;.valuesToDisplay Integer default: 0 -- integer; Values_To_Display </code></pre><p>Get/set the selection of the Values To Display radio buttons list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Total Illuminance</strong>(default)</p>\n\
<p>1 - <strong>Direct Illuminance</strong></p>\n\
<p>2 - <strong>Indirect Illuminance</strong></p>\n\
<p>3 - <strong>Daylight Factor</strong></p>\n\
<h3 id=\"calculate-and-export-buttons\">Calculate and Export Buttons</h3><p>The functionality of the Calculate and Export to CSV buttons is exposed by the <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">Interface: LightMeterManager</a></p>\n\
<h2 id=\"lightmeter-interfaces-\">LightMeter interfaces:</h2><p>Interface:<strong>lightMeterInterface</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;illuminance \n\
illuminance is In and Out parameter</code></pre><p>GetstheTotalIlluminance at the given time and indexed point into the by-reference third parameter.Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDirectIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;directIlluminance \n\
directIlluminance is In and Out parameter</code></pre><p>Gets the Direct Illuminance at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetIndirectIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;indirectIlluminance \n\
indirectIlluminance is In and Out parameter</code></pre><p>Gets the Indirect Illuminance at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDaylightFactor &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;daylightFactor \n\
daylightFactor is In and Out parameter</code></pre><p>Gets the DaylightFactor at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetMeterTransform &lt;time&gt;time &lt;index&gt;index &lt;&amp;matrix3&gt;transform \n\
transform is In and Out parameter</code></pre><p>Gets the LightMeter Transformation Matrix at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetLocalMeterPosition &lt;index&gt;index &lt;&amp;point3&gt;position \n\
position is In and Out parameter</code></pre><p>Gets the Local Position of the indexed point into the by-reference second parameter. Returns true on success, false on failure.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Standard.html\">Helper - Standard</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">Interface: LightMeterManager</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";