var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B922014B-63FC-49EB-A625-FA8B960DB4E3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mr_Sky : light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mr_Sky - superclass: light; super-superclass:node - 11:0 - classID: #(653144912, 2040224598) </code></pre><p>The <strong>mr_Sky</strong> Photometric light provides physically-based skylight illumination, esp. in conjunction with the mr_Physical_Sky : textureMap environment shader and <a href=\"mr_Sun-Light.html\">mr_Sun : Light</a></p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mr_Sky...      \n\
mrPhysSkyLight...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"mr-sky-parameters\">mr Sky - Parameters</h2><p><img src=\"./images/GUID-5B41976D-F047-4608-8667-F06ACB7C8402-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.on BooleanClass default: true -- boolean &lt;mr_Sky&gt;.     enabled BooleanClass default: true -- alias for on   </code></pre><p>Get/set the state of the On (Enabled) checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.multiplier Float default: 1.0 -- animatable; float </code></pre><p>Get/set the Multiplier value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.GroundColor Color default: (color 51 51 51) -- animatable; fRGBA color; Ground_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); </code></pre><p>Get/set the Ground Color value.</p>\n\
<h2 id=\"mr-sky-haze\">mr Sky - Haze</h2><p><img src=\"./images/GUID-1E5452E3-327F-49CA-836C-C0AB6C9F9EDA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.Haze Float default: 0.0 -- animatable; float </code></pre><p>Get/set the Haze value.</p>\n\
<h2 id=\"perez-parameters\">Perez Parameters</h2><p><img src=\"./images/GUID-2BF784A0-470F-4ABA-892A-A6516E95FC9A-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDiffuseHorizIlluminanceUI Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Illuminance </code></pre><p>Get/set the Diffuse Horizontal Illuminance value exposed in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDirectNormalIlluminanceUI Float default: 10000.0 -- float; Perez_Direct_Normal_Illuminance_UI </code></pre><p>Get/set the Direct Normal Illuminance value exposed in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDirectNormalIlluminance Float default: 10000.0 -- float; Perez_Direct_Normal_Illuminance </code></pre><p>Get/set the internal Direct Normal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.Perez_Dew_Point_Temp Float default: 0.0 -- float; Dew_Point_Temp </code></pre><p>Get/set the internal Dew Point Temperature value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDiffuseHorizIlluminance Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Illuminance </code></pre><p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDiffuseHorizIrradiance Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Irradiance </code></pre><p>Get/set the internal Diffuse Horizontal Irradiance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.PerezDirectNormalIrradiance Float default: 10000.0 -- float; Perez_Direct_Normal_Irradiacne </code></pre><p>Get/set the internal Direct Normal Irradiance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<h2 id=\"mr-sky-cie-parameters\">mr Sky - CIE Parameters</h2><p><img src=\"./images/GUID-7FBAB789-2F91-4E18-A1D1-836026A6E896-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.CIEDiffuseHorizIlluminance Float default: 10000.0 -- float; CIE_Diffuse_Horiz__Illuminance </code></pre><p>Get/set the CIE Diffuse Horizontal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.CIEDiffuseHorizIlluminanceUI Float default: 10000.0 -- float; CIE_Diffuse_Horiz__Illuminance_UI </code></pre><p>Get/set the CIE Diffuse Horizontal Illuminance UI value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.CIEDirectNormalIlluminance Float default: 10000.0 -- float; CIE_Direct_Normal_Illuminance </code></pre><p>Get/set the CIE Direct Normal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.CIEDirectNormalIlluminanceUI Float default: 10000.0 -- float; CIE_Direct_Normal_Illuminance_UI </code></pre><p>Get/set the CIE Direct Normal Illuminance UI value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.CIEModel Integer default: 0 -- integer; CIE_Model </code></pre><p>Get/set the CIE Model drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Overcast sky</p>\n\
<p>1 - Clear sky</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<h2 id=\"mr-sky-advanced-parameters\">mr Sky - Advanced Parameters</h2><p><img src=\"./images/GUID-2B8A9B7A-A2DA-46AC-B024-E6924DC878BB-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.HorizonHeight Float default: 0.0 -- animatable; float; Saturation </code></pre><p>Get/set the Horizon Height value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.HorizonBlur Float default: 0.1 -- animatable; float; Horizon_Blur </code></pre><p>Get/set the Horizon Blur value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.NightColor Color default: (color 0 0 0) -- animatable; fRGBA color; Night_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); </code></pre><p>Get/set the Night Color value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.Redness Float default: 0.0 -- animatable; float </code></pre><p>Get/set the Red/Blue Tint value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.Saturation Float default: 1.0 -- animatable; float </code></pre><p>Get/set the Saturation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.UseAerialPerspective BooleanClass default: true -- boolean; Use_Aerial_Perspective </code></pre><p>Get/set the state of the Aerial Perspective checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mr_Sky&gt;.AerialPerspective Float default: 393701.0 -- animatable; float; Aerial_Perspective </code></pre><p>Get/set the Aerial Perspective value.</p>\n\
<h2 id=\"mr_sky-interfaces-\">mr_Sky interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:NaturalLightClass </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSun() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSky() </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";