var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7C52D9E1-B833-4665-8FC0-4B29DCD2D049\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Skylight : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skylight - superclass: light; super-superclass:node - classID: #(2079724664, 1378764549) </code></pre><p><img src=\"./images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\" alt></p>\n\
<p>The Skylight is a Natural light used to simulate outdoor illumination.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skylight...      \n\
TexSkyLight...      \n\
Texture_Sky... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.multiplier Float default: 1.0 -- animatable; float </code></pre><p>The light multiplier controls the intensity of the skylight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.color Color default: (color 242.25 242.25 255) -- animatable </code></pre><p>The sky color used by mode 1</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.on Boolean default: true -- boolean </code></pre><p>Toggle the light on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.sky_color_map TextureMap default: undefined -- texmap </code></pre><p>The map used to define the color of the sky</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.sky_color_map_on Boolean default: true -- animatable; boolean </code></pre><p>Toggle the color map usage on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.sky_color_map_amt Float default: 100.0 -- animatable; float </code></pre><p>Sets the opacity of the map. When it is 0, only the Sky Color is used. When it is 100, only the map is used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.sky_mode Integer default: 1 -- integer; Skylight_Mode </code></pre><p>Controls the sky mode:</p>\n\
<p>0 - Use Scene Environment</p>\n\
<p>1 - Sky Color</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.enabled Boolean default: true -- alias for on </code></pre><p>Toggle the light on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.rgb Color default: (color 255 255 255) -- animatable; alias for color </code></pre><p>The sky color used by mode 1</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.rays_per_sample Integer default: 20 -- animatable; integer </code></pre><p>Get/Set the number of rays per sample</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.ray_bias Float default: 0.005 -- animatable; float </code></pre><p>Get/Set the rays bias value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skylight&gt;.castShadows BooleanClass default: false -- animatable; boolean; Cast_Shadows </code></pre><p>Toggle shadow casting on/off.</p>\n\
<h2 id=\"skylight-interfaces-\">Skylight interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:NaturalLightClass </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSun() </code></pre><p>Returns <code>true</code> if the light is a Sun light. In the case of <code>Skylight</code> , it will return <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSky() </code></pre><p>Returns <code>true</code> if the light is a Sky light. In the case of <code>Skylight</code> , it will return <code>true</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Standard-Lights.html\">Standard Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";