var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B02FE4CC-4254-4E35-B787-615C448CCFF6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpaceFFDCyl : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpaceFFDCyl - superclass: SpacewarpObject; super-superclass:node - classID: #(-96010050, -1142402991)</code></pre><p><img src=\"./images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spaceFFDCyl...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.radius Float default: 0.0 -- animatable</code></pre><p>Sets the radius of the lattice.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.height Float default: 0.0 -- animatable</code></pre><p>Sets the height of the lattice.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.dispLattice Boolean default: true -- alias: Lattice</code></pre><p>When on, lines are drawn connecting the control points to make a grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.dispSource Boolean default: false -- alias: Source_Volume</code></pre><p>When on, the control points and lattice are displayed in their unmodified state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.deformType Integer default: 0</code></pre><p>Specifies which vertices are affected by the FFD:</p>\n\
<p>0 - <strong>Only In Volume</strong> (Only vertices that lie inside the source volume are deformed. Vertices outside the source volume are not affected.)</p>\n\
<p>1 - <strong>All Vertices</strong> (All vertices are deformed regardless of whether they lie inside or outside the source volume, depending on the <code>*.falloff*</code> value.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.falloff Float default: 0.0 -- animatable</code></pre><p>The distance from the lattice that the FFD effect will decrease to zero.</p>\n\
<p>When this spinner is set to 0, it&apos;s effectively turned off, and there is no falloff; that is, all vertices are affected regardless of their distance from the lattice.</p>\n\
<p>The units of the Falloff parameter are specified relative to the size of the lattice: A falloff of 1 means that the effect will go to 0 for points that are a lattice width/length/height away from the lattice (depending on which side they are on).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.tension Float default: 25.0 -- animatable</code></pre><p>Sets the tension of the deformation splines.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpaceFFDCyl&gt;.continuity Float default: 25.0 -- animatable</code></pre><p>Sets the continuity of the deformation splines.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceFFDCyl_node&gt;</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">conformToShape &lt;spaceFFDBox_node&gt;</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: conforms the control points of the SpaceFFDCyl to the node the SpaceFFDCyl is applied to. If an instance of the SpaceFFDCyl has been applied to more than one object, no action is performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">resetLattice &lt;spaceFFDBox_node&gt;</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: resets the control points of the SpaceFFDCyl to their default positions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getDimensions &lt;spaceFFDBox_node&gt;\n\
setDimensions &lt;spaceFFDBox_node&gt; &lt;Point3&gt;</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Get and set the number of control points for the SpaceFFDCyl. The first component value in the Point3 specifies the number of Width control points, the second the number of Length control points, and the third the number of Height control points. The minimum value for each component value is 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">animateAll &lt;spaceFFDBox_node&gt;</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Applies controllers to all control points of the SpaceFFDCyl.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The default number of control points in a SpaceFFDCyl created by MAXScript is 4x8x8.</p>\n\
<p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FFD_Binding</code></pre><p>This modifier is automatically created by the <code>*bindSpaceWarp()*</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The number of control points in a SpaceFFDCyl is always 4x8x4.</p>\n\
<p>There is no method for assigning controllers to the FFD control points, nor is there a method for assigning the number or accessing the number of Side, Radial, and Height points using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p>See also<a href=\"./../../../../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a> and <a href=\"./../../../../Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\">Scripting Vertex and Control Point Animation</a> for details on accessing the control points in an FFD.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Geometric-Deformable.html\">Spacewarp - Geometric/Deformable</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";