var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8D4BB647-2CDD-4821-8502-460EAC95063A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ZRenderElement : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ZRenderElement - superclass: MAXObject; super-superclass:Value -7:0 - classID: #(12, 0) </code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ZRenderElement ...      \n\
Z_Depth ...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.enabled Boolean default: true -- boolean </code></pre><p>Shows whether the element is enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.filterOn Boolean default: false -- boolean; FilteringOn </code></pre><p>When on, applies the active antialiasing filter to the rendered element. When off, the rendered element does not use the antialiasing filter. Default=on.</p>\n\
<p>The Filter Enabled column of the elements list shows whether or not the filter is enabled for an element.</p>\n\
<p>You choose the antialiasing filter in the Anti-Aliasing group of the <strong>3ds Max</strong> Default Scanline A-Buffer rollout.</p>\n\
<p>Disabling antialiasing can improve rendering time, although the rendered element that results might appear jagged.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.elementName String default: &quot;Z Depth&quot; -- string </code></pre><p>Shows the name of the element. You can change the default name of elements, in the Selected Element Parameters group.</p>\n\
<p>To select an element, click its name in the list. Use CTRL+click to select additional elements, or SHIFT+click to select a contiguous group of additional elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.bitmap UndefinedClass default: undefined -- bitmap </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.zMin Float default: 100.0 -- float; Z_Min </code></pre><p>The minimum distance to include in the Z-depth rendering.</p>\n\
<p>This is a value in <strong>3ds Max</strong> units.</p>\n\
<p>Default=0.0 (cannot be less than zero).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.zMax Float default: 300.0 -- float; Z_Max </code></pre><p>The maximum distance to include in the Z-depth rendering.</p>\n\
<p>This is a value in <strong>3ds Max</strong> units. Default=100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ZRenderElement&gt;.zUpdate BooleanClass default: false -- boolean; Z_depth_update </code></pre><p>Get/Setthe state of the Update option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Elements.html\">Render Elements</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Elements-1.html\">Render Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";