var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5FA9DF66-1AEC-4642-8C49-5D379123AC5B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ART_Renderer : RendererClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ART_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - 18:0 - classID: #(2980325325L, 2688898415L)</code></pre><p>ART Renderer is a path tracer rendering engine. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ART_Renderer...</code></pre><h2 id=\"properties-\">Properties:</h2><p><strong>Rendering Parameters Rollout</strong></p>\n\
<p>Render Quality Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.quality_db     Float    default: 20.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Target Quality&quot;</strong> value and slider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.enable_time     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Time&quot;</strong> checkbox.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the time specified by the following properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.time_in_seconds     Integer    default: 300   --  integer</code></pre><p>Get/set the time in seconds after which to stop the rendering if the <code>enable_time</code> property is set to True.</p>\n\
<p>This value is not directly exposed in the UI, but represents the combined values of (time_split_hours*3600+time_split_minutes*60+time_split_seconds).</p>\n\
<p>It can be used to set from MAXScript all three UI values by providing a single threshold in seconds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.time_split_hours     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Hours&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <code>.time_in_seconds</code> property documented above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.time_split_minutes     Integer    default: 5   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Minutes&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <code>.time_in_seconds</code> property documented above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.time_split_seconds     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Seconds&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <code>.time_in_seconds</code> property documented above.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.enable_iterations     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Iterations&quot;</strong> checkbox.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the time specified by the following properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.iterations     Integer    default: 50   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Iterations&quot;</strong> spinner.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the specified number of iterations has been reached.</p>\n\
<p>Lighting and Material Fidelity Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.render_method     Integer    default: 1   --  integer</code></pre><p>Get/Set the selection of the <strong>&quot;Rendering method&quot;</strong> drop-down list.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - <strong>AdvancedPath Tracing</strong></p>\n\
<p>1 - <strong>Fast Path Tracing</strong> (default)</p>\n\
<p><strong>Filtering Rollout</strong></p>\n\
<p>Noise Filtering Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.enable_noise_filter     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Enable&quot;</strong> checkbox.</p>\n\
<p>When set to True, noise filtering will be used - see the properties below for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.noise_filter_strength     Float    default: 0.5   --  float</code></pre><p>Get/set the noise filter value as a floating point value between 0.0 and 1.0.</p>\n\
<p>The <code>.noise_filter_strength_percentage</code> property will be set automatically to the corresponding percentage value in the 0.0 to 100.0 range (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.noise_filter_strength_percentage     Float    default: 50.0   --  float</code></pre><p>Get/set the noise filter value as a percentage value between 0.0 and 100.0.</p>\n\
<p>The <code>.noise_filter_strength</code> property will be set automatically to the corresponding floating value in the 0.0 to 1.0 range (see above).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   renderers.current.noise_filter_strength --get the noise filter float value - it defaults to 0.5\n\
   renderers.current.noise_filter_strength_percentage --check out the percentage value - default is 50.0\n\
   renderers.current.noise_filter_strength = 0.75 --set the noise filter to 75%\n\
   if renderSceneDialog.isOpen do renderSceneDialog.update() --force an update to the render dialog if needed\n\
   renderers.current.noise_filter_strength_percentage --see if the percentage was also updated\n\
</code></pre><p>   <strong>OUTPUT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   0.5\n\
   50.0\n\
   0.75\n\
   OK\n\
   75.0\n\
</code></pre></blockquote>\n\
<p>Anti-Aliasing Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.anti_aliasing_filter_diameter    Float    default: 3.0   --  float</code></pre><p>Get/set the value in pixels of the <strong>&quot;Filter Diameter&quot;</strong> spinner.</p>\n\
<p><strong>Advanced Rollout</strong></p>\n\
<p>Scene Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.point_light_diameter     Float    default: 0.393701   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Point Light Diameter&quot;</strong> spinner.</p>\n\
<p>The ART Renderer used spherical or disk lights to represent point light, and cylindrical or rectangular lights to represent linear lights.</p>\n\
<p>This value controls the diameter of point lights and the thickness or linear lights.</p>\n\
<p>The default value of 0.393701 inches (when System Units are set to 1 Generic Unit = 1 Inch) corresponds to 1 cm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.motion_blur_all_objects     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;All Objects Receive Motion Blur&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), all scene objects will be motion blurred, regardless of the Motion Blur settings in their Object Properties dialog.</p>\n\
<p>When set to False, only objects with Motion Blur enabled in the Object Properties dialog will be blurred.</p>\n\
<p>Note that the view must be set to a Physical Camera with &quot;Enable Motion Blur&quot; checked for this option to have any effect.</p>\n\
<p>Noise Pattern Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.enable_animated_noise     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Animate Noise Pattern&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the noise pattern will vary between frames to produce an effect similar to film grain.</p>\n\
<p>When set to False, the noise pattern will remain static between frames (recommended for low-quality draft renders).</p>\n\
<p><strong>Not Exposed In The UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.enable_outlier_clamp     BooleanClass    default: true   --  boolean</code></pre><p>When set to True (default), outlier values will be clamped automatically.</p>\n\
<p>When set to False, no clamping will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ART_Renderer&gt;.texture_bake_resolution     Integer    default: 1024   --  integer</code></pre><p>Get/set the texture baking resolution.</p>\n\
<h2 id=\"art_renderer-interfaces-\">ART_Renderer interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_Renderer</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";