var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-611E1342-F976-4E95-8F78-88175B329745\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CompositeTextureMap : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CompositeTextureMap - superclass: textureMap; super-superclass:material - classID: #(640, 0) </code></pre><p>The <strong>CompositeTextureMap</strong> has been reimplemented in <strong>3ds Max 2009</strong> but provides backwards compatibility with files containing the old version of the map.</p>\n\
<p><img src=\"./images/GUID-D98B4E19-29A4-40C5-BDAF-DCED86B9E42A-low.gif\" alt></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">compositeTextureMap...      \n\
compositeMap...      \n\
compositeTexture...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.blendMode ArrayParameter default: #(0) -- int array; Map_Blend_Mode </code></pre><p>Get/set the blend modes associated with all layers as an array of integers.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>#</th>\n\
<th>Blend Mode</th>\n\
<th>#</th>\n\
<th>Blend Mode</th>\n\
<th>#</th>\n\
<th>Blend Mode</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>0</strong></td>\n\
<td>Normal</td>\n\
<td><strong>9</strong></td>\n\
<td>Screen</td>\n\
<td><strong>18</strong></td>\n\
<td>Hard Mix</td>\n\
</tr>\n\
<tr>\n\
<td><strong>1</strong></td>\n\
<td>Average</td>\n\
<td><strong>10</strong></td>\n\
<td>Color Dodge</td>\n\
<td><strong>19</strong></td>\n\
<td>Difference</td>\n\
</tr>\n\
<tr>\n\
<td><strong>2</strong></td>\n\
<td>Addition</td>\n\
<td><strong>11</strong></td>\n\
<td>Linear Dodge</td>\n\
<td><strong>20</strong></td>\n\
<td>Exclusion</td>\n\
</tr>\n\
<tr>\n\
<td><strong>3</strong></td>\n\
<td>Subtract</td>\n\
<td><strong>12</strong></td>\n\
<td>Spotlight</td>\n\
<td><strong>21</strong></td>\n\
<td>Hue</td>\n\
</tr>\n\
<tr>\n\
<td><strong>4</strong></td>\n\
<td>Darken</td>\n\
<td><strong>13</strong></td>\n\
<td>Spotlight Blend</td>\n\
<td><strong>22</strong></td>\n\
<td>Saturation</td>\n\
</tr>\n\
<tr>\n\
<td><strong>5</strong></td>\n\
<td>Multiply</td>\n\
<td><strong>14</strong></td>\n\
<td>Overlay</td>\n\
<td><strong>23</strong></td>\n\
<td>Color</td>\n\
</tr>\n\
<tr>\n\
<td><strong>6</strong></td>\n\
<td>Color Burn</td>\n\
<td><strong>15</strong></td>\n\
<td>Soft Light</td>\n\
<td><strong>24</strong></td>\n\
<td>Value</td>\n\
</tr>\n\
<tr>\n\
<td><strong>7</strong></td>\n\
<td>Linear Burn</td>\n\
<td><strong>16</strong></td>\n\
<td>Hard Light</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>8</strong></td>\n\
<td>Lighten</td>\n\
<td><strong>17</strong></td>\n\
<td>Pin Light</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.dlgOpened ArrayParameter default: #(true) -- boolean array; Dialog_Opened </code></pre><p>Get/set the rollout open states of all composite layers as an array of booleans.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.layerName ArrayParameter default: #(undefined) -- string array; Name </code></pre><p>Get/set the names of all composite layers as an array of strings.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.mapEnabled ArrayParameter default: #(true) -- boolean array; Map_1_Enable </code></pre><p>Get/set the enabled states of all composite layers as an array of Boolean values.</p>\n\
<p>This property existed in the legacy version of the Composite Map prior to <strong>3ds Max 2009</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.mapList ArrayParameter default: #(undefined) -- texturemap array; Maps </code></pre><p>Get/set the maps of all composite layers as an array of Texture Maps.</p>\n\
<p>This property existed in the legacy version of the Composite Map prior to <strong>3ds Max 2009</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.mask ArrayParameter default: #(undefined) -- texturemap array; Map_Mask </code></pre><p>Get/set the mask of each composite layer as a Texture Map object element of the array.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.maskEnabled ArrayParameter default: #(true) -- boolean array; Map_1_Enable </code></pre><p>Get/set the mask enabled states of all composite layers as an array of Booleans.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CompositeTexturemap&gt;.opacity ArrayParameter default: #(100.0) --floatarray; Map_Opacity </code></pre><p>Get/set the opacity of all composite layers as an array of Integers.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Composite Texturemap interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: layers </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;add() </code></pre><p>Adds a new layer to the Composite Map. Equivalent to pressing the &quot;Add a New Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;delete &lt;integer&gt;index </code></pre><p>Deletes the indexed layer of the Composite Map. Equivalent to pressing the &quot;Delete This Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;duplicate &lt;integer&gt;index </code></pre><p>Duplicates the indexed layer of the Composite Map, creating an identical new layer. Equivalent to pressing the &quot;Duplicate This Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";