var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D3B44318-FA33-4F9E-B42A-568DA3E530A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Falloff : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">falloff - superclass: textureMap; super-superclass:material - classID: #(1858302732, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">falloff...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 </code></pre><p>Sets the first color for falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map1Amount Float default: 100.0 -- animatable, alias: Map_Amount_1 </code></pre><p>Relative strength of the first color in the falloff map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map1 TextureMap default: undefined -- alias: Map_1 </code></pre><p>Assigns a map to the first slot in the falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map1On Boolean default: true -- alias: Map_1_Enable </code></pre><p>When on, the selected maps are used in the falloff. When off, colors are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 </code></pre><p>Sets the second color for falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map2Amount Float default: 100.0 -- animatable, alias: Map_Amount_2 </code></pre><p>Relative strength of the second color in the falloff map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map2 TextureMap default: undefined -- alias: Map_1 </code></pre><p>Assigns a map to the second slot in the falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.map2On Boolean default: true -- alias: Map_2_Enable </code></pre><p>When on, the selected maps are used in the falloff. When off, colors are used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.type Integer default: 1 -- animatable, alias: Falloff_Type </code></pre><p>Sets the type of falloff:</p>\n\
<p>0- Towards/Away (Sets the angular falloff ranges between face normals that face toward (parallel to) the falloff direction and normals that face away from the falloff direction. The falloff range is based on a 180-degree change in face normal direction.)</p>\n\
<p>1- Perpendicular/Parallel (Sets the angular falloff ranges between face normals that are perpendicular to the falloff direction and normals that are parallel to the falloff direction. The falloff range is based on a 90-degree change in face normal direction.)</p>\n\
<p>2- Fresnel (Based on adjustments to the Index of Refraction (IOR). Results in dim reflections on surfaces facing the view, with much brighter reflections on angled faces, creating highlights like those on the sides of a glass.)</p>\n\
<p>3- Lit/Shadowed (Adjusts between two subtextures based on how much light is falling on the object.)</p>\n\
<p>4- Distance Blend (Adjusts between two subtextures based on Near Distance and Far Distance values. Uses include reducing aliasing on large terrain objects and controlling the shading in non-photorealistic environments.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.mtlIOROverride Boolean default: true -- alias: Mtl_IOR_Override_Enable </code></pre><p>When on, allows change to the Index of Refraction set by the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.ior Float default: 1.6 -- animatable, alias: Index_of_Refraction </code></pre><p>Sets a new Index of Refraction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.nearDistance Float default: 0.0 -- animatable, alias: Near_Distance </code></pre><p>The distance at which the blend effect begins.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.farDistance Float default: 100.0 -- animatable, alias: Far_Distance </code></pre><p>The distance at which the blend effect ends.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.extrapolateOn Boolean default: false -- alias: Distance_Blend_Extrapolate </code></pre><p>When on, allows the effect to continue beyond the Near and Far settings.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.direction Integer default: 0 -- animatable, alias: Falloff_Direction </code></pre><p>Sets the direction of the falloff:</p>\n\
<p>0 - <strong>Viewing Direction</strong> (Sets the falloff direction relative to the camera (or screen). Changing object orientation doesn&#x2019;t affect the falloff map.)</p>\n\
<p>1 - <strong>Object</strong>( Picks an object whose orientation determines the falloff direction,<strong>.node</strong>. The falloff direction is the direction from the point being shaded toward the object&#x2019;s center. Points on the side toward the object center get the Towards value, and those away from the object get the Away value.)</p>\n\
<p>2 - <strong>Local X Axis</strong> (Sets the falloff direction to the object&#x2019;s local X-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local X-axis of the object being shaded.)</p>\n\
<p>3 - <strong>Local Y Axis</strong> (Sets the falloff direction to the object&#x2019;s local Y-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local Y-axis of the object being shaded.)</p>\n\
<p>4 - <strong>Local Z Axis</strong> (Sets the falloff direction to the object&#x2019;s local Z-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local Z-axis of the object being shaded.)</p>\n\
<p>5 - <strong>World X Axis</strong> (Sets the falloff direction to the world coordinate system X-axis. Changing object orientation doesn&#x2019;t affect the falloff map.)</p>\n\
<p>6 - <strong>World Y Axis</strong> (Sets the falloff direction to the world coordinate system Y-axis. Changing object orientation doesn&#x2019;t affect the falloff map.)</p>\n\
<p>7 - <strong>World Z Axis</strong> (Sets the falloff direction to the world coordinate system Z-axis. Changing object orientation doesn&#x2019;t affect the falloff map.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.node Node default: undefined -- alias: Falloff_Direction_Object </code></pre><p>When <code>Falloff_Direction = 1</code> , this object will determine the falloff direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.texture_output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff&gt;.mixcurve SubAnim default: SubAnim:MixCurve </code></pre><p>This mix curve determines the falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Falloff.mixcurve&gt;.curve_1 SubAnim default: SubAnim:Curve_1 </code></pre><p>The <code>curve_1</code> SubAnim contains the mix curve points. You cannot create or access these points unless the point is animated. If a point is animated, you can access the point position using the <code>.Point_X</code> property of <code>curve_1</code> , where <code>X</code> in the point number.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";