var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5FD967A2-25A0-40DB-A4CB-5B327A0AD689\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MultiTile : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiTile - superclass: textureMap; super-superclass:material - 2:2 - classID: #(736L, 0L)</code></pre><p>This textureMap implements support for UDIM, custom, Z-Brush and Mudbox-compatible multi-tile textures. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MultiTile... MultiTileMap...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiTile&gt;.PatternFormat     Name    default: #ZBrush   --  enum</code></pre><p>Get/set the selection of the <strong>&quot;File Pattern Format&quot;</strong> drop-down list.</p>\n\
<p>Exposed by the MultiTile MixinInterface (see below).</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>#ZBrush</strong> (default)</p>\n\
<p>1 - <strong>#Mudbox</strong></p>\n\
<p>2 - <strong>#UDIM</strong></p>\n\
<p>3 - <strong>#Custom</strong></p>\n\
<p>Setting the property to the corresponding integer value from 0 to 3 is also supported.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MultiTile&gt;.ViewportQuality     Name    default: #low   --  enum</code></pre><p>Get/set the selection of the <strong>&quot;Viewport Quality&quot;</strong> drop-down list.</p>\n\
<p>Exposed by the MultiTile MixinInterface (see below).</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 - <code>#Low</code> (default)</li>\n\
<li>1 - <code>#Medium</code></li>\n\
<li>2 - <code>#High</code></li>\n\
</ul>\n\
<p>Setting the property to the corresponding integer value from 0 to 3 is also supported.</p>\n\
<h2 id=\"multitile-interfaces-\">MultiTile interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: MultiTiles</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.PatternFormat : enum : Read|Write\n\
PatternFormat enums: {#ZBrush|#Mudbox|#UDIM|#Custom}</code></pre><p>See the Properties: list above for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ViewportQuality : enum : Read|Write\n\
ViewportQuality enums: {#Low|#Middle|#High}</code></pre><p>See the Properties: list above for details.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setPatternedImageFile &lt;filename&gt;filePath</code></pre><p>Sets the filename and path to the Patterned Image File.</p>\n\
<p>Returns True on success, False on failure (for example, if file was not found or was not a valid patterned file).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setImageFile &lt;index&gt;tile index &lt;filename&gt;filePath</code></pre><p>Sets the bitmap image to the indexed tile from the Patterned Image File specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getTileUOffset &lt;index&gt;tileIndex</code></pre><p>Returns the U offset of the indexed tile.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTileUOffset &lt;index&gt;tileIndex &lt;integer&gt;uIndex</code></pre><p>Sets the U offset of the indexed tile to the offset specified by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getTileVOffset &lt;index&gt;tileIndex</code></pre><p>Returns the V offset of the indexed tile.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTileVOffset &lt;index&gt;tileIndex &lt;integer&gt;vIndex</code></pre><p>Sets the V offset of the indexed tile to the offset specified by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;texturemap&gt;getTileTexmap &lt;index&gt;tileIndex</code></pre><p>Returns a bitmapTexture map with the indexed tile.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setTileTexmap &lt;index&gt;tileIndex &lt;texturemap&gt;texmap</code></pre><p>Sets the indexed tile to the bitmapTexture map supplied as second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;tileCount()</code></pre><p>Returns the number of tiles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addTile()</code></pre><p>Adds a tile.</p>\n\
<p>Equivalent to pressing the &quot;Add Tile&quot; icon next to the &quot;Number Of Textures&quot; field in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deleteTile &lt;index&gt;tile index</code></pre><p>Deletes the indexed tile.</p>\n\
<p>Equivalent to pressing the &quot;Delete Tile&quot; icon next to the Tile name button in the UI.</p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";