var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6F8A8805-8427-40D9-A4C2-DFD16A577A8A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Thin_Wall_Refraction : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Thin_Wall_Refraction - superclass: textureMap; super-superclass:material - classID: #(-772429820, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thin_wall_refraction ...      \n\
thinWallRefraction...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.applyBlur Boolean default: true </code></pre><p>Turns on filtering to blur the maps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.blur Float default: 1.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring. Blur is primarily used to avoid aliasing.</p>\n\
<p>It&#x2019;s a good idea to use a small amount of blurring for all maps in order to avoid the scintillation or aliasing that can occur when pixel details are reduced off in the distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.frame Integer default: 0 </code></pre><p>Affects how the refraction should behave in animations:</p>\n\
<p>0- <strong>First Frame Only</strong> (Tells the renderer to create the refracted image only on the first frame.)</p>\n\
<p>1- <strong>Every Nth Frame</strong> (Tells the renderer to regenerate the refracted image based on <code>nthframe</code> .)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.nthFrame Integer default: 1 </code></pre><p>Sets the regeneration rate in animations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.useEnviroment Boolean default: true </code></pre><p>When off, environment maps are ignored by the refraction during rendering.</p>\n\
<p>It&#x2019;s useful to turn it this off when you have refractions in the scene and you&#x2019;re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment map types do, and will not render properly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.thicknessOffset Float default: 0.5 -- animatable, alias: Thickness_Offset </code></pre><p>Affects the size of the refractive offset, or jog effect. At 0, there&#x2019;s no offset, and the object can appear invisible in the rendered scene. At 10.0, the offset is at its greatest.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Thin_Wall_Refraction&gt;.bumpMapEffect Float default: 1.0 -- animatable, alias: Bump_Map_Effect </code></pre><p>Affects the magnitude of refraction due to the presence of a bump map.</p>\n\
<p>This parameter multiplies the current bump map Amount in the parent material.</p>\n\
<p>Reduce this value to reduce the effect of the secondary refraction; increase this value to increase the effect.</p>\n\
<p>If there is no bump map assigned, this value has no effect.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";