var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1C0FF8FC-4AB2-43E6-B2D0-EE272C72F27D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Logarithmic_Exposure_Control : ToneOperator</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Logarithmic_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1488218187, 1350530793) </code></pre><p>TheLogarithmic Exposure Control uses brightness, contrast, and whether the scene is outdoors in daylight to map physical values to RGB values. Logarithmic Exposure Control is better for scenes with a very high dynamic range.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>Logarithmic Exposure Control</strong> is the best type of exposure control for animations, since it doesn&apos;t use histograms.</div>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Logarithmic_Exposure_Control ... LightscapeExposureControl ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.active Boolean default: true -- boolean </code></pre><p>Enable/Disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.brightness Float default: 65.0 -- animatable; float </code></pre><p>Get/Set the Brightness value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation </code></pre><p>Get/Set the Chromatic Adaptation value of the Tone Operator. Corresponds to the Color Correction checkbox in the Tone Operator&#x2019;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation </code></pre><p>Get/Set the Color Differentiation value of the Tone Operator. Corresponds to the Desaturate Low Levels checkbox in the Tone Operator&#x2019;s rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; float </code></pre><p>Get/Set the Contrast value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.daylight Boolean default: true -- boolean </code></pre><p>Get/Set the Daylight switch of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.exterior Boolean default: false -- boolean </code></pre><p>Get/Set the Exterior switch of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.indirectOnly Boolean default: false -- boolean; Indirect_Only </code></pre><p>Get/Set the IndirectOnly switch of the Tone Operator. Corresponds to the&quot;Affect Indirect Only&quot;checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.midTones Float default: 1.0 -- animatable; float; Mid_Tones </code></pre><p>Get/Set the Exterior value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale </code></pre><p>Get/Set the physicalScale value of the Tone Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background </code></pre><p>Get/Set the state of the processBG value corresponding to the&quot;Process Background and Environment Maps&quot;checkbox in the Tone Operator&#x2019;s rollout. When set to <code>true</code> , the Tone Operator will affect the background.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; White_Color </code></pre><p>Get/Set the <code>whiteColor</code> value of the Tone Operator. When the <code>chromaticAdaptation</code> is set to <code>true</code> , the Tone Operator will shift all colors so that the color set in <code>whiteColor</code> appears as white.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.exteriorDaylight Boolean default: false -- boolean; Exterior_Daylight </code></pre><p>Set this property to true when working with exterior Daylight scenes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Logarithmic_Exposure_Control&gt;.useLegacyAlgorithm (Use_Legacy_Algorithm) : boolean </code></pre><p>When set to true, the exposure control will use the old algorithm (pre- <strong>3ds Max 9</strong>). When set to false (default), the new algorithm will be used.</p>\n\
<p>Thetone mapping algorithm used in the logaricthimic exposure control has been changed in <strong>3ds Max 9</strong>.</p>\n\
<p>The old algorithm would scale all three color components (R, G, B) in an identical manner, based on the perceptible luminance of the color. The algorithm produces results which were usually over-saturated, and yellowish.</p>\n\
<p>The new algorithm maps the three color components independently, and the perceptible luminance is not taken into account. This results in images which are much less saturated (more grey) and much more realistic.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Create a new Logarithmic Exposure Control Tone Operator instance\n\
   log_exposure =Logarithmic_Exposure_Control ()\n\
   --&gt; ReferenceTarget:Logarithmic_Exposure_Control\n\
   --Assign the new tone operator as the current exposure control\n\
   SceneExposureControl.exposureControl = log_exposure\n\
   --&gt; ReferenceTarget:Logarithmic_Exposure_Control\n\
   --Set the Brightness to 50.0\n\
   log_exposure.brightness = 50.0\n\
   --&gt; 50.0\n\
   --Enable the Color Correction of the current exposure control\n\
   SceneExposureControl.exposureControl.chromaticAdaptation = true\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ToneOperator-MAXWrapper.html\">ToneOperator: MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExposureControl.html\">Interface: SceneExposureControl</a></li>\n\
          <li><a class=\"link\" href=\"ToneOperator-MAXWrapper-1.html\">ToneOperator : MAXWrapper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";