var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E73B891-4616-49D9-A34C-FCC3206DDD92\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is the differences between Arrays and BitArrays?</h1></div><p>An Array in MAXScript can contain any number of elements, and each element can be of any type incl. integers, floats, strings, Point3 values, colors, and even other arrays.</p>\n\
<p>A BitArray on the other hand can contain only one type of information. As the name suggests, this type is a single bit, a binary digit. A bit can be either set (1, true) or not set (0, false). This means that a BitArray can only store binary information, any number of bits representing true or false values. Obviously, a bitArray is much more memory-efficient as it can store 8 values in a single byte, while a single element of a regular array requires multiple bytes to store a single value!</p>\n\
<p>A bitArray can be very useful when getting and setting face properties like selected status etc.</p>\n\
<p>You can convert a bitArray to an Array, and an Array containing only true and false values to bitArray.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Appending elements to a bitArray tends to be slower than appending elements to a regular array. Pre-defining a bitArray to the desired size first and then setting its elements by index is much, much faster.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray Values</a></li>\n\
          <li><a class=\"link\" href=\"../../How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\">How To ... Develop A Transform Lock Script</a></li>\n\
          <li><a class=\"link\" href=\"../Practical-Questions/Working-with-MAXScript-Values/How-do-I-create-a-multi.html\">How do I create a multi-dimensional array?</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";