var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D5308538-4740-4B1A-8783-7FD6EBD53117\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I change the Shadow type of a Light?</h1></div><p>In versions prior to <strong>3ds Max 5</strong>, there were only two possible shadow types - ShadowMap and Raytraced shadows. The type was controlled by a single boolean property which caused the respective ShadowGenerator to be assigned to the light implicitly.</p>\n\
<p>Starting with <strong>3ds Max 5</strong>, a larger number of possible shadow map generators have been introduced. The access to the shadow generation of all lights has been extended to allow explicit assignment of an instance of a shadow generator class.</p>\n\
<p>The shipping shadow generator classes are:</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/ShadowMap-Shadow.html\">ShadowMap : Shadow</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/RaytraceShadow-Shadow.html\">RaytraceShadow : Shadow</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Adv__Ray_traced-Shadow.html\">Adv__Ray_traced : Shadow</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Area_Shadows-Shadow.html\">Area_Shadows : Shadow</a></p>\n\
<p>In order to assign a shadow generator to a light, you have to create an instance of one of the above classes by calling the constructor with a pair of parentheses and assign the instance to the <code>.shadowGenerator</code> property of the light. Also see <a href=\"./../../MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\">When do I use () after a function?</a></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $Omni01.shadowGenerator = Area_Shadows()\n\
</code></pre></blockquote>\n\
<p>For more details, see the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Light-Common-Properties.html\">Light Common Properties, Operators, and Methods</a> topic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-Object-Properties.html\">Accessing Object Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";