var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1193B0E7-10DF-4D3F-A89F-29FF0A291646\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I align the UVW_Modifier&apos;s Gizmo to a selected face?</h1></div><p>The following code implements the &quot;Normal Align&quot; feature of the UVW_Map modifier. The &quot;Normal Align&quot; button is not directly accessible to MAXScript. This function can be used as a replacement, and might help you understand the usefulness of the Vector Cross Product.</p>\n\
<p><strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearListener()\n\
try(DestroyDialog AlignRollout)catch()\n\
Rollout AlignRollout &quot;Align Gizmo&quot;\n\
(    \n\
\n\
    button bn_test &quot;Align Gizmo&quot;\n\
\n\
     fn alignUVGizmo theObj theFace =\n\
     (         \n\
        -- First get the face normal vector.\n\
        local faceNormal = coordsys theObj (polyop.getFaceNormal theObj theFace)\n\
\n\
        -- Get the face center from the editable poly to put the gizmo at that place\n\
        local translation                 = [0,0,0]\n\
        local FaceVertexsIndicesArray    = (polyop.GetFaceVerts theObj theFace)\n\
        local numVerts = FaceVertexsIndicesArray.count\n\
        for i in FaceVertexsIndicesArray do(\n\
            translation += (theObj.GetVertex i)    --Assuming it&apos;s an editable poly object\n\
        )\n\
        translation /= numVerts\n\
\n\
        -- Create a matrix from the normal\n\
        local theMatrix = MatrixFromNormal faceNormal\n\
        theMatrix.translation = translation --Set our computed translation to be on the face\n\
\n\
        -- Create UVWMap modifier\n\
        theMap = Uvwmap()\n\
        -- Add it to the selection\n\
        modPanel.addModToSelection theMap ui:on\n\
        -- Set the transform on it\n\
        theMap.gizmo.transform = theMatrix\n\
    )\n\
\n\
\n\
    on bn_test pressed do\n\
    (\n\
        if (undefined != $)do\n\
        (\n\
            convertToPoly $        \n\
\n\
            -- Align the gizmo of the uv map modifier to the first face of the mesh\n\
            alignUVGizmo $ 2\n\
        )\n\
    )\n\
\n\
\n\
)\n\
CreateDialog AlignRollout\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Editable-Meshes.html\">Working with Editable Meshes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Point3 Values</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";