var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C854FDD7-9100-4191-850A-A6D38B4D8485\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do I display a value in a Rollout?</h1></div><p>The following script is a test bed for value display in different User Interface elements. It is intended to show how to update UI properties to give feedback to the user.</p>\n\
<p>Copy the code into a new Script Editor, press Ctrl+E to evaluate and press the &quot;Generate New RANDOM Value&quot; multiple times to see different methods to display the value in the Rollout.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test_digits &quot;Display Values&quot;\n\
   (\n\
     group &quot;Display&quot;\n\
     (\n\
       spinner spinner_item &quot;The Value:&quot; range:[0,1000,0] align:#center fieldwidth:50\n\
       edittext edit_text_item &quot;The Value:&quot; text:&quot;&quot;width:100 align:#center\n\
       button button_item &quot;No Value&quot; width:100 align:#center\n\
       label label_item &quot;No Value&quot; align:#center\n\
       progressbar progress_bar_item height:10 width:180 color:(color 255 100 100) orient:#horizontal\n\
       listbox list_box_item items:#()\n\
     )\n\
     button start_test &quot;Generate New RANDOM Value...&quot;\n\
     progressbar progress_bar2_item height:90 width:10 color:(color 255 100 100) orient:#vertical pos:[12,20]\n\
\n\
     on start_test pressed do\n\
     (\n\
       minValue = 0\n\
       maxValue = 100\n\
       theValue = random minValue maxValue\n\
       sliderTime = theValue\n\
\n\
       spinner_item.value = theValue\n\
       edit_text_item.text = theValue as string\n\
       button_item.text = theValue as string\n\
       label_item.text = theValue as string\n\
       progress_bar_item.value = 100.0*theValue/maxValue\n\
       progress_bar_item.color = color (255.0*theValue/maxValue) 128 0\n\
       progress_bar2_item.value = 100.0*theValue/maxValue\n\
       list_box_item.items = append list_box_item.items (&quot;Value is now &quot;+theValue as string)\n\
       list_box_item.selection = list_box_item.items.count\n\
     )--end on\n\
   )--end rollout\n\
   createDialog test_digits 200 300\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Working-with-Scripted-UI.html\">Working with Scripted UI</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";