var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0030AA3F-47D9-4FDD-8517-5F7902884B37\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How To Make It Faster?</h1></div><p>The following chapter discusses some general rules and approaches to get the maximum speed out of your code. A MAXScript could do the job as expected but it could do it very slowly or very quickly depending on the writing style of the developer.</p>\n\
<p>In addition, optimizing a script for speed often leads to a cleaner code that is easier to read by others and to maintain by the developer.</p>\n\
<h2 id=\"topics-\">Topics:</h2><p><a href=\"How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">Disable Viewport Redraws when making changes to scene objects</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Disable-Undo-system-when.html\">Disable Undo system when possible</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">Modify Panel can be slow - change to Create Panel when possible</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">Use the &#39;flagForeground&#39; node viewport state method</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">Never get a single pixel when you can get a whole line</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">Only calculate once if possible</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">Cache frequently used functions and objects</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">Dice your data into smaller pieces</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">Use bitArrays instead of Arrays when possible</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">Pre-initialize arrays when final size is known</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Recursive-functions-can-be.html\">Recursive functions can be faster</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern is faster than findString</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">Do not use return, break, exit or continue</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">Use StringStream to build large strings</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-name-values-instead-of.html\">Use name values instead of strings when possible</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">Try not to use Execute function if there is an alternative</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">For Loop Collect Vs For Loop Do Performance</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">Optimizing Particle Flow Script Operator For Loops For Speed</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Using Bsearch For Fast Table Lookup</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">Disable Viewport Redraws when making changes to scene objects</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Disable-Undo-system-when.html\">Disable Undo system when possible</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">Modify Panel can be slow - change to Create Panel when possible</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">Use the &#x27;flagForeground&#x27; node viewport state method</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">Never get a single pixel when you can get a whole line</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">Only calculate once if possible</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">Cache frequently used functions and objects</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">Dice your data into smaller pieces</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">Use bitArrays instead of Arrays when possible</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">Pre-initialize arrays when final size is known</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Recursive-functions-can-be.html\">Recursive functions can be faster</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern is faster than findString</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">Do not use return, break, exit or continue</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">Use StringStream to build large strings</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Use-name-values-instead-of.html\">Use name values instead of strings when possible</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">Try not to use Execute function if there is an alternative</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">For Loop By Index Vs For Loop Through Collection Performance</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">For Loop Collect Vs For Loop Do Performance</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">Optimizing Particle Flow Script Operator For Loops For Speed</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Using Bsearch For Fast Table Lookup</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Writing-Better-and-Faster.html\">Writing Better and Faster Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"How-To-Make-It-Better-.html\">How To Make It Better?</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";