var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D084C28-7F97-45D2-B0F2-5112C17D25C6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Use StringStream to build large strings</h1></div><p>If building strings, use a StringStream value to accumulate the string and then convert to a string.</p>\n\
<p>Each string addition creates a new string.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a =&quot;AAA&quot;\n\
   b = a + a + a +a + a + a\n\
   --Creates 6 strings of length 3, 6, 9, 12, 15, 18\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a =&quot;AAA&quot;\n\
   b = (a + a + a) + (a + a + a)\n\
   --Creates 6 strings of length 3, 6, 9, 6, 9, 18\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>TEST CASES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test5a =\n\
   (\n\
    local a =&quot;&quot;\n\
    for i = 1 to 100 do a += (i as string)\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test5b =\n\
   (\n\
    local ss = stringstream&quot;&quot;\n\
    for i = 1 to 100 do format &quot;%&quot;(i as string) to:ss\n\
    ss as string\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test5c =\n\
   (\n\
    local ss = stringstream&quot;&quot;,fmt =&quot;%&quot;\n\
    for i= 1 to 100 do format fmt (i as string) to:ss\n\
    ss as string\n\
   )\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn test5d =\n\
   (\n\
    local ss = stringstream&quot;&quot;,fmt =&quot;%&quot;\n\
    for i = 1 to 100 do format fmt ito:ss\n\
    ss as string\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test5a()     -- 58875 msec., 505 MB\n\
   test5b()     -- 54672 msec., 39.2 MB\n\
   test5c()     -- 41125 msec., 29.2 MB\n\
   test5d()     -- 13532 msec., 10.0 MB\n\
</code></pre></blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\"Do-not-use-return-break-exit-or.html\">Do not use return, break, exit or continue</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\"Use-name-values-instead-of.html\">Use name values instead of strings when possible</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">How To Make It Faster?</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";