var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7182D24-3579-496A-BB2B-80EA38C03D08\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Locale Information</h1></div><p>The <code>localeInfo</code> struct contains methods for accessing system locale information. Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; localeInfo.getLocale &lt;#LC_ALL | #LC_COLLATE | #LC_CTYPE | #LC_MONETARY | #LC_NUMERIC | #LC_TIME&gt;</code></pre><p>Gets the C runtime locale associated with the specified category.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; | &lt;false&gt; localeInfo.setLocale &lt;#LC_ALL | #LC_COLLATE | #LC_CTYPE | #LC_MONETARY | #LC_NUMERIC | #LC_TIME&gt; &lt;locale string&gt;</code></pre><p>Sets the C runtime locale with the specified category. If the local is successfully set, the previous locale is returned (as a string), or false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; localeInfo.getCPlusPlusLocale()</code></pre><p>Gets the C++ runtime locale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt; | &lt;false&gt; localeInfo.setCPlusPlusLocale &lt;locale string&gt;</code></pre><p>Sets the C++ runtime locale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; localeInfo.getPerThreadLocale()</code></pre><p>Returns whether per-thread locale is set for the current thread.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; localeInfo.setPerThreadLocale &lt;boolean&gt;</code></pre><p>Sets whether to use per-thread locale for the current thread. Returns the previous value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;array&gt; localeInfo.getDecimalChars()</code></pre><p>Returns an array containing the decimal separator character from the windows GetLocaleInfo(), the C runtime, the C++ runtime, and the .NET system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interaction-With-The-Operating.html\">Interaction With The Operating System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";