var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C1301180-A6AC-48F2-AD8E-9D7EA16D359A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxForm</h1></div><p>This dotNetObject is implemented by the MaxCustomControls Assembly and provides a DotNet Form with the 3ds Max Look-And-Feel including the current color scheme, 3ds Max icon, and others.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFrm = dotNetObject &quot;MaxCustomControls.MaxForm&quot;\n\
   theFrm.width = 225\n\
   theFrm.height = 145\n\
   theFrm.text = &quot;MaxForm&quot;\n\
   theBtn = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
   theBtn.text = &quot;Welcome to 3ds Max!&quot;\n\
   theBtn.width = 200\n\
   theBtn.height = 100\n\
   theBtn.location = dotNetObject &quot;System.Drawing.Point&quot; 10 10\n\
   theFrm.controls.add theBtn\n\
   thePtr = DotNetObject &quot;System.IntPtr&quot; (windows.getMAXHWND())\n\
   -- Win32HandleWrapper was removed in Max 2014:\n\
   -- theHwnd = DotNetObject &quot;MaxCustomControls.Win32HandleWrapper&quot; thePtr\n\
   -- Use System.Windows.Forms.NativeWindow.FromHandle instead:\n\
   theHwnd = (dotNetObject &quot;System.Windows.Forms.NativeWindow&quot;).FromHandle thePtr\n\
   theFrm.Show(theHwnd)\n\
</code></pre><p>   <img src=\"./images/GUID-70A8B8CA-BBD8-49DA-8CD2-224632929652-low.gif\" alt> <img src=\"./images/GUID-F0E64B5F-AE4E-47FA-9B00-33BA7359E7F2-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theFrm = dotNetObject &quot;System.Windows.Forms.Form&quot;\n\
   theFrm.width = 225\n\
   theFrm.height = 145\n\
   theFrm.text = &quot;DotNet Form&quot;\n\
   theBtn = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
   theBtn.text = &quot;Welcome to DotNet!&quot;\n\
   theBtn.width = 200\n\
   theBtn.height = 100\n\
   theBtn.location = dotNetObject &quot;System.Drawing.Point&quot; 10 10\n\
   theFrm.controls.add theBtn\n\
   thePtr = DotNetObject &quot;System.IntPtr&quot; (windows.getMAXHWND())\n\
   theHwnd = (dotNetObject &quot;System.Windows.Forms.NativeWindow&quot;).FromHandle thePtr\n\
   theFrm.Show(theHwnd)\n\
</code></pre></blockquote>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.MaxForm&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxCustomControls.MaxForm()\n\
</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AcceptButton : &lt;System.Windows.Forms.IButtonControl&gt;\n\
.AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only\n\
.AccessibleDefaultActionDescription : &lt;System.String&gt;\n\
.AccessibleDescription : &lt;System.String&gt;\n\
.AccessibleName : &lt;System.String&gt;\n\
.AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;\n\
.ActiveControl : &lt;System.Windows.Forms.Control&gt;\n\
.ActiveForm : &lt;System.Windows.Forms.Form&gt;, read-only, static\n\
.ActiveMdiChild : &lt;System.Windows.Forms.Form&gt;, read-only\n\
.AllowDrop : &lt;System.Boolean&gt;\n\
.AllowTransparency : &lt;System.Boolean&gt;\n\
.Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;\n\
.AutoScale : &lt;System.Boolean&gt;\n\
.AutoScaleBaseSize : &lt;System.Drawing.Size&gt;\n\
.AutoScaleDimensions : &lt;System.Drawing.SizeF&gt;\n\
.AutoScaleMode : &lt;System.Windows.Forms.AutoScaleMode&gt;\n\
.AutoScroll : &lt;System.Boolean&gt;\n\
.AutoScrollMargin : &lt;System.Drawing.Size&gt;\n\
.AutoScrollMinSize : &lt;System.Drawing.Size&gt;\n\
.AutoScrollOffset : &lt;System.Drawing.Point&gt;\n\
.AutoScrollPosition : &lt;System.Drawing.Point&gt;\n\
.AutoSize : &lt;System.Boolean&gt;\n\
.AutoSizeMode : &lt;System.Windows.Forms.AutoSizeMode&gt;\n\
.AutoValidate : &lt;System.Windows.Forms.AutoValidate&gt;\n\
.BackColor : &lt;System.Drawing.Color&gt;\n\
.BackgroundImage : &lt;System.Drawing.Image&gt;\n\
.BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;\n\
.BindingContext : &lt;System.Windows.Forms.BindingContext&gt;\n\
.Bottom : &lt;System.Int32&gt;, read-only\n\
.Bounds : &lt;System.Drawing.Rectangle&gt;\n\
.CancelButton : &lt;System.Windows.Forms.IButtonControl&gt;\n\
.CanFocus : &lt;System.Boolean&gt;, read-only\n\
.CanSelect : &lt;System.Boolean&gt;, read-only\n\
.Capture : &lt;System.Boolean&gt;\n\
.CausesValidation : &lt;System.Boolean&gt;\n\
.CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
.ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.ClientSize : &lt;System.Drawing.Size&gt;\n\
.CompanyName : &lt;System.String&gt;, read-only\n\
.Container : &lt;System.ComponentModel.IContainer&gt;, read-only\n\
.ContainsFocus : &lt;System.Boolean&gt;, read-only\n\
.ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt;\n\
.ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
.ControlBox : &lt;System.Boolean&gt;\n\
.Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only\n\
.Created : &lt;System.Boolean&gt;, read-only\n\
.CurrentAutoScaleDimensions : &lt;System.Drawing.SizeF&gt;, read-only\n\
.Cursor : &lt;System.Windows.Forms.Cursor&gt;\n\
.DataBindings : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only\n\
.DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
.DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
.DesktopBounds : &lt;System.Drawing.Rectangle&gt;\n\
.DesktopLocation : &lt;System.Drawing.Point&gt;\n\
.DialogResult : &lt;System.Windows.Forms.DialogResult&gt;\n\
.DisplayRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.Disposing : &lt;System.Boolean&gt;, read-only\n\
.Dock : &lt;System.Windows.Forms.DockStyle&gt;\n\
.DockPadding : &lt;System.Windows.Forms.ScrollableControl+DockPaddingEdges&gt;, read-only\n\
.Enabled : &lt;System.Boolean&gt;\n\
.Focused : &lt;System.Boolean&gt;, read-only\n\
.Font : &lt;System.Drawing.Font&gt;\n\
.ForeColor : &lt;System.Drawing.Color&gt;\n\
.FormBorderStyle : &lt;System.Windows.Forms.FormBorderStyle&gt;\n\
.Handle : &lt;System.IntPtr&gt;, read-only\n\
.HasChildren : &lt;System.Boolean&gt;, read-only\n\
.Height : &lt;System.Int32&gt;\n\
.HelpButton : &lt;System.Boolean&gt;\n\
.HorizontalScroll : &lt;System.Windows.Forms.HScrollProperties&gt;, read-only\n\
.Icon : &lt;System.Drawing.Icon&gt;\n\
.ImeMode : &lt;System.Windows.Forms.ImeMode&gt;\n\
.InvokeRequired : &lt;System.Boolean&gt;, read-only\n\
.IsAccessible : &lt;System.Boolean&gt;\n\
.IsDisposed : &lt;System.Boolean&gt;, read-only\n\
.IsHandleCreated : &lt;System.Boolean&gt;, read-only\n\
.IsMdiChild : &lt;System.Boolean&gt;, read-only\n\
.IsMdiContainer : &lt;System.Boolean&gt;\n\
.IsMirrored : &lt;System.Boolean&gt;, read-only\n\
.IsRestrictedWindow : &lt;System.Boolean&gt;, read-only\n\
.KeyPreview : &lt;System.Boolean&gt;\n\
.LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only\n\
.Left : &lt;System.Int32&gt;\n\
.Location : &lt;System.Drawing.Point&gt;\n\
.MainMenuStrip : &lt;System.Windows.Forms.MenuStrip&gt;\n\
.Margin : &lt;System.Windows.Forms.Padding&gt;\n\
.MaximizeBox : &lt;System.Boolean&gt;\n\
.MaximumSize : &lt;System.Drawing.Size&gt;\n\
.MdiChildren : &lt;System.Windows.Forms.Form[]&gt;, read-only\n\
.MdiParent : &lt;System.Windows.Forms.Form&gt;\n\
.Menu : &lt;System.Windows.Forms.MainMenu&gt;\n\
.MergedMenu : &lt;System.Windows.Forms.MainMenu&gt;, read-only\n\
.MinimizeBox : &lt;System.Boolean&gt;\n\
.MinimumSize : &lt;System.Drawing.Size&gt;\n\
.Modal : &lt;System.Boolean&gt;, read-only\n\
.ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
.MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
.MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
.Name : &lt;System.String&gt;\n\
.Opacity : &lt;System.Double&gt;\n\
.OwnedForms : &lt;System.Windows.Forms.Form[]&gt;, read-only\n\
.Owner : &lt;System.Windows.Forms.Form&gt;\n\
.Padding : &lt;System.Windows.Forms.Padding&gt;\n\
.Parent : &lt;System.Windows.Forms.Control&gt;\n\
.ParentForm : &lt;System.Windows.Forms.Form&gt;, read-only\n\
.PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
.ProductName : &lt;System.String&gt;, read-only\n\
.ProductVersion : &lt;System.String&gt;, read-only\n\
.RecreatingHandle : &lt;System.Boolean&gt;, read-only\n\
.Region : &lt;System.Drawing.Region&gt;\n\
.RestoreBounds : &lt;System.Drawing.Rectangle&gt;, read-only\n\
.Right : &lt;System.Int32&gt;, read-only\n\
.RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
.RightToLeftLayout : &lt;System.Boolean&gt;\n\
.ShowIcon : &lt;System.Boolean&gt;\n\
.ShowInTaskbar : &lt;System.Boolean&gt;\n\
.Site : &lt;System.ComponentModel.ISite&gt;\n\
.Size : &lt;System.Drawing.Size&gt;\n\
.SizeGripStyle : &lt;System.Windows.Forms.SizeGripStyle&gt;\n\
.StartPosition : &lt;System.Windows.Forms.FormStartPosition&gt;\n\
.TabIndex : &lt;System.Int32&gt;\n\
.TabStop : &lt;System.Boolean&gt;\n\
.Tag : &lt;System.Object&gt;\n\
.Text : &lt;System.String&gt;\n\
.Top : &lt;System.Int32&gt;\n\
.TopLevel : &lt;System.Boolean&gt;\n\
.TopLevelControl : &lt;System.Windows.Forms.Control&gt;, read-only\n\
.TopMost : &lt;System.Boolean&gt;\n\
.TransparencyKey : &lt;System.Drawing.Color&gt;\n\
.UseWaitCursor : &lt;System.Boolean&gt;\n\
.VerticalScroll : &lt;System.Windows.Forms.VScrollProperties&gt;, read-only\n\
.Visible : &lt;System.Boolean&gt;\n\
.Width : &lt;System.Int32&gt;\n\
.WindowState : &lt;System.Windows.Forms.FormWindowState&gt;\n\
.WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Activate()\n\
.AddOwnedForm &lt;System.Windows.Forms.Form&gt;ownedForm\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method\n\
.&lt;System.IAsyncResult&gt;BeginInvoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.BringToFront()\n\
.Close()\n\
.&lt;System.Boolean&gt;Contains &lt;System.Windows.Forms.Control&gt;ctl\n\
.CreateControl()\n\
 .&lt;System.Drawing.Graphics&gt;CreateGraphics()\n\
.&lt;System.Runtime.Remoting.ObjRef&gt;CreateObjRef &lt;System.Type&gt;requestedType\n\
.Dispose()\n\
 .&lt;System.Windows.Forms.DragDropEffects&gt;DoDragDrop &lt;System.Object&gt;data &lt;System.Windows.Forms.DragDropEffects&gt;allowedEffects\n\
.DrawToBitmap &lt;System.Drawing.Bitmap&gt;bitmap &lt;System.Drawing.Rectangle&gt;targetBounds\n\
.&lt;System.Object&gt;EndInvoke &lt;System.IAsyncResult&gt;asyncResult\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Windows.Forms.Form&gt;FindForm()\n\
.&lt;System.Boolean&gt;Focus()\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromChildHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Windows.Forms.Control&gt;FromHandle &lt;System.IntPtr&gt;handle\n\
 .[static]&lt;System.Drawing.SizeF&gt;GetAutoScaleSize &lt;System.Drawing.Font&gt;font\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt\n\
 .&lt;System.Windows.Forms.Control&gt;GetChildAtPoint &lt;System.Drawing.Point&gt;pt &lt;System.Windows.Forms.GetChildAtPointSkip&gt;skipValue\n\
 .&lt;System.Windows.Forms.IContainerControl&gt;GetContainerControl()\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Object&gt;GetLifetimeService()\n\
.&lt;System.Windows.Forms.Control&gt;GetNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward\n\
.&lt;System.Drawing.Size&gt;GetPreferredSize &lt;System.Drawing.Size&gt;proposedSize\n\
.&lt;System.Type&gt;GetType()\n\
.Hide()\n\
 .&lt;System.Object&gt;InitializeLifetimeService()\n\
.Invalidate()\n\
.Invalidate &lt;System.Drawing.Region&gt;region\n\
.Invalidate &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc\n\
.Invalidate &lt;System.Drawing.Rectangle&gt;rc &lt;System.Boolean&gt;invalidateChildren\n\
.Invalidate &lt;System.Drawing.Region&gt;region &lt;System.Boolean&gt;invalidateChildren\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method\n\
.&lt;System.Object&gt;Invoke &lt;System.Delegate&gt;method &lt;System.Object[]&gt;args\n\
.[static]&lt;System.Boolean&gt;IsKeyLocked &lt;System.Windows.Forms.Keys&gt;keyVal\n\
.[static]&lt;System.Boolean&gt;IsMnemonic &lt;System.Char&gt;charCode &lt;System.String&gt;text\n\
.LayoutMdi &lt;System.Windows.Forms.MdiLayout&gt;value\n\
.&lt;System.Boolean&gt;LoadState &lt;MaxCustomControls.ICustomizationState&gt;stateToLoad\n\
.PerformAutoScale()\n\
.PerformLayout()\n\
.PerformLayout &lt;System.Windows.Forms.Control&gt;affectedControl &lt;System.String&gt;affectedProperty\n\
.&lt;System.Drawing.Point&gt;PointToClient &lt;System.Drawing.Point&gt;p\n\
.&lt;System.Drawing.Point&gt;PointToScreen &lt;System.Drawing.Point&gt;p\n\
 .&lt;System.Windows.Forms.PreProcessControlState&gt;PreProcessControlMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.&lt;System.Boolean&gt;PreProcessMessage &lt;System.Windows.Forms.Message&amp;&gt;msg\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToClient &lt;System.Drawing.Rectangle&gt;r\n\
.&lt;System.Drawing.Rectangle&gt;RectangleToScreen &lt;System.Drawing.Rectangle&gt;r\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.Refresh()\n\
.RemoveOwnedForm &lt;System.Windows.Forms.Form&gt;ownedForm\n\
.ResetBackColor()\n\
.ResetBindings()\n\
.ResetCursor()\n\
.ResetFont()\n\
.ResetForeColor()\n\
.ResetImeMode()\n\
.ResetRightToLeft()\n\
.ResetText()\n\
.ResumeLayout()\n\
.ResumeLayout &lt;System.Boolean&gt;performLayout\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;SaveState()\n\
.Scale &lt;System.Drawing.SizeF&gt;factor\n\
.Scale &lt;System.Single&gt;ratio\n\
.Scale &lt;System.Single&gt;dx &lt;System.Single&gt;dy\n\
.ScrollControlIntoView &lt;System.Windows.Forms.Control&gt;activeControl\n\
.Select()\n\
.&lt;System.Boolean&gt;SelectNextControl &lt;System.Windows.Forms.Control&gt;ctl &lt;System.Boolean&gt;forward &lt;System.Boolean&gt;tabStopOnly &lt;System.Boolean&gt;nested &lt;System.Boolean&gt;wrap\n\
.SendToBack()\n\
.SetAutoScrollMargin &lt;System.Int32&gt;x &lt;System.Int32&gt;y\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height\n\
.SetBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height &lt;System.Windows.Forms.BoundsSpecified&gt;specified\n\
.SetDesktopBounds &lt;System.Int32&gt;x &lt;System.Int32&gt;y &lt;System.Int32&gt;width &lt;System.Int32&gt;height\n\
.SetDesktopLocation &lt;System.Int32&gt;x &lt;System.Int32&gt;y\n\
.Show()\n\
.Show &lt;System.Windows.Forms.IWin32Window&gt;owner\n\
 .&lt;System.Windows.Forms.DialogResult&gt;ShowDialog()\n\
 .&lt;System.Windows.Forms.DialogResult&gt;ShowDialog &lt;System.Windows.Forms.IWin32Window&gt;owner\n\
 .&lt;System.Windows.Forms.DialogResult&gt;ShowModal()\n\
.&lt;System.Windows.Forms.DialogResult&gt;ShowModal &lt;System.Windows.Forms.Form&gt;aForm\n\
.ShowModeless()\n\
.SuspendLayout()\n\
.&lt;System.String&gt;ToString()\n\
.Update()\n\
.UpdateColors()\n\
.&lt;System.Boolean&gt;Validate()\n\
.&lt;System.Boolean&gt;Validate &lt;System.Boolean&gt;checkAutoValidate\n\
.&lt;System.Boolean&gt;ValidateChildren()\n\
.&lt;System.Boolean&gt;ValidateChildren &lt;System.Windows.Forms.ValidationConstraints&gt;validationConstraints\n\
</code></pre><p><strong>Events:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">on &lt;control_name&gt; Activated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; AutoSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; AutoValidateChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BackgroundImageLayoutChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; BindingContextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CausesValidationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ChangeUICues &lt;System.Windows.Forms.UICuesEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Click &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ClientSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Closed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Closing &lt;System.ComponentModel.CancelEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ContextMenuStripChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlAdded &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ControlRemoved &lt;System.Windows.Forms.ControlEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; CursorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Deactivate &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Disposed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DockChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DoubleClick &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragDrop &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragEnter &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; DragOver &lt;System.Windows.Forms.DragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; EnabledChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Enter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; FontChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ForeColorChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; FormClosed &lt;System.Windows.Forms.FormClosedEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; FormClosing &lt;System.Windows.Forms.FormClosingEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GiveFeedback &lt;System.Windows.Forms.GiveFeedbackEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; GotFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleCreated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HandleDestroyed &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HelpButtonClicked &lt;System.ComponentModel.CancelEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; HelpRequested &lt;System.Windows.Forms.HelpEventArgs&gt;hlpevent do ( ... )\n\
on &lt;control_name&gt; ImeModeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; InputLanguageChanged &lt;System.Windows.Forms.InputLanguageChangedEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; InputLanguageChanging &lt;System.Windows.Forms.InputLanguageChangingEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Invalidated &lt;System.Windows.Forms.InvalidateEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyDown &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyPress &lt;System.Windows.Forms.KeyPressEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; KeyUp &lt;System.Windows.Forms.KeyEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Layout &lt;System.Windows.Forms.LayoutEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Leave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Load &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LocationChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; LostFocus &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MarginChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MaximizedBoundsChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MaximumSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MdiChildActivate &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MenuComplete &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MenuStart &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MinimumSizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseCaptureChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDoubleClick &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseDown &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseEnter &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseHover &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseLeave &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseMove &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseUp &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; MouseWheel &lt;System.Windows.Forms.MouseEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Move &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; PaddingChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Paint &lt;System.Windows.Forms.PaintEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ParentChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; PreviewKeyDown &lt;System.Windows.Forms.PreviewKeyDownEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryAccessibilityHelp &lt;System.Windows.Forms.QueryAccessibilityHelpEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; QueryContinueDrag &lt;System.Windows.Forms.QueryContinueDragEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RegionChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Resize &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ResizeBegin &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; ResizeEnd &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RightToLeftChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; RightToLeftLayoutChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Scroll &lt;System.Windows.Forms.ScrollEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Shown &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SizeChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; StyleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; SystemColorsChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabIndexChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TabStopChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; TextChanged &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validated &lt;System.EventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; Validating &lt;System.ComponentModel.CancelEventArgs&gt;e do ( ... )\n\
on &lt;control_name&gt; VisibleChanged &lt;System.EventArgs&gt;e do ( ... )\n\
</code></pre><p><strong>dotNetObject &quot;MaxCustomControls.FormCustomizationState&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxCustomControls.FormCustomizationState()\n\
</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.ChildrenCount : &lt;System.Int32&gt;, read-only\n\
.FormLocation : &lt;System.Drawing.Point&gt;\n\
.FormSize : &lt;System.Drawing.Size&gt;\n\
.FormWindowState : &lt;System.Windows.Forms.FormWindowState&gt;\n\
.ParentState : &lt;MaxCustomControls.ICustomizationState&gt;\n\
.StateName : &lt;System.String&gt;\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.&lt;System.Boolean&gt;AddChild &lt;MaxCustomControls.ICustomizationState&gt;stateObject\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;GetChildByIndex &lt;System.Int32&gt;index\n\
 .&lt;MaxCustomControls.ICustomizationState&gt;GetChildByName &lt;System.String&gt;name\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Type&gt;GetType()\n\
.&lt;System.Boolean&gt;LoadProperties &lt;System.Collections.Generic.Dictionary`2[[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089],[System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]]&gt;dictionary\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Boolean&gt;RemoveChildByIndex &lt;System.Int32&gt;index\n\
.&lt;System.Boolean&gt;RemoveChildByName &lt;System.String&gt;name\n\
 .&lt;System.Collections.Generic.Dictionary`2[System.String,System.String]&gt;SaveProperties()\n\
.&lt;System.String&gt;ToString()\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UI-Controls.html\">UI Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a></li>\n\
          <li><a class=\"link\" href=\"../../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../dotNet-Struct-Methods.html\">dotNet Struct Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";