var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A990055-4774-4EC8-B73E-AC2BFC37F741\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Saving Your Commands in a Script File</h1></div><p>So far, you have entered your commands into the Listener window. If you had to stop at some point, and couldn&#39;t finish some code in one session, you would have to start all over, entering the commands you already used in the previous session. MAXScript allows you to store your commands in an external file that you can load and run.</p>\n\
<p>The general procedure for storing commands in a script file is to click the <strong>New Script</strong> menu item in the MAXScript menu, and type commands in the Script Editor window that opens. Because you have already entered a lot of commands in the Listener window, you can copy them from that window into the Script Editor window.</p>\n\
<p><strong>To copy tutorial commands from the Listener into the script editor window:</strong></p>\n\
<ol>\n\
<li><p>Click the <strong>New Script</strong> menu item in the MAXScript menu in the <strong>3ds Max</strong> Main Menu bar.</p>\n\
<p>The Script Editor window appears with the title &quot;(Untitled) - MAXScript&quot;.</p>\n\
</li>\n\
<li><p>Position the Script Editor window side-by-side or below the Listener window so that you can copy and paste text between the two windows.</p>\n\
</li>\n\
<li><p>In the Listener window, select the black command line from the <a href=\"./../Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">Drawing a Box with MAXScript</a> topic (<code>mybox = box length:20 width:20 height:20</code>)</p>\n\
</li>\n\
<li><p>Press <strong>Ctrl+C</strong> on your keyboard to copy the text to the Clipboard.</p>\n\
</li>\n\
<li><p>Click the Script Editor window to place the cursor in it, and press <strong>Ctrl+V</strong> on your keyboard to paste the command into the Script Editor window.</p>\n\
<div class=\"note tip:\"><span class=\"tiptitle\">Tip:</span> You can also drag selected text from the Listener and drop it in the Script Editor, or vice versa.</div>\n\
</li>\n\
<li><p>Choose File &gt; Save in the Choose File Name for Save dialog, navigate to your \\Scripts directory. Name your script file <em>box_draw.ms</em> and click Save.</p>\n\
<p>Your script file is saved and the script editor window title changes to &quot;box_draw.ms - MAXScript.&quot;</p>\n\
</li>\n\
</ol>\n\
<p>You have now saved your first script file. MAXScript uses the .ms extension for script files. It is good general practice to save all of your script files into the scripts directory.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Loading-and-Running-Your-Script.html\">Loading and Running your Script File</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">Creating Your Own Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";