var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8079981C-344A-47C2-B5CB-4D03B6B68FDC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Listener Commands</h1></div><p><strong>Menu Bar Commands and Keyboard Shortcuts</strong></p>\n\
<p>The following menu bar commands and keyboard shortcuts are available in Listener. The edit commands listed are also available in the Listener right-click menu. The menu bar commands for Macro Recorder are described in <a href=\"The-Macro-Recorder.html\">The Macro Recorder</a>.</p>\n\
<h4 id=\"-em-file-gt-save-as-ctrl-s-em-\"><em>File &gt; Save As, CTRL+S</em></h4><p>Opens a common File Save dialog for choosing a file name to which the current contents of the active Listener pane is stored. All text in the active pane is saved to the specified file.</p>\n\
<h4 id=\"-em-file-gt-new-script-ctrl-n-em-\"><em>File &gt; New Script, CTRL+N</em></h4><p>Opens a new MAXScript Editor window used for writing a new script.</p>\n\
<h4 id=\"-em-file-gt-open-script-ctrl-o-em-\"><em>File &gt; Open Script, CTRL+O</em></h4><p>Opens a common File Open dialog for choosing an existing script file. A new MAXScript Editor window displays the contents of the selected script file.</p>\n\
<h4 id=\"-em-file-gt-run-script-ctrl-r-em-\"><em>File &gt; Run Script, CTRL+R</em></h4><p>Opens a common File Open dialog for choosing an existing script file. The selected script file contents are executed.</p>\n\
<h4 id=\"-em-edit-gt-undo-ctrl-z-em-\"><em>Edit &gt; Undo, CTRL+Z</em></h4><p>If the last change made to the Listener’s content was an edit, undoes that edit. Only one level of undo is supported. If the last change was a command evaluation, removes all the text printed in Listener by that command, making it easy to remove large print-outs. Pressing <em>Ctrl+Z</em> a second time restores the removed text and also selects it. This feature can be used as a quick way to cut or copy a command&#39;s output.</p>\n\
<h4 id=\"-em-edit-gt-cut-ctrl-x-em-\"><em>Edit &gt; Cut, CTRL+X</em></h4><p>Copies the selected text to the cut/paste buffer and deletes the text.</p>\n\
<h4 id=\"-em-edit-gt-copy-ctrl-c-em-\"><em>Edit &gt; Copy, CTRL+C</em></h4><p>Copies the selected text to the cut/paste buffer.</p>\n\
<h4 id=\"-em-edit-gt-paste-ctrl-v-em-\"><em>Edit &gt; Paste, CTRL+V</em></h4><p>Places the text in the cut/paste buffer at the cursor. If text is selected when executing this command, the selected text is replaced with the cut/paste buffer contents.</p>\n\
<h4 id=\"-em-edit-gt-delete-del-em-\"><em>Edit &gt; Delete, DEL</em></h4><p>Deletes the selected text.</p>\n\
<h4 id=\"-em-edit-gt-clear-all-em-\"><em>Edit &gt; Clear All</em></h4><p>Deletes all text in the active Listener pane.</p>\n\
<h4 id=\"-em-edit-gt-select-all-ctrl-a-em-\"><em>Edit &gt; Select All, CTRL+A</em></h4><p>Selects all text in the active Listener pane.</p>\n\
<h4 id=\"-em-search-gt-find-ctrl-f-em-\"><em>Search &gt; Find, CTRL+F</em></h4><p>Displays Find dialog. Performs search in the active Listener pane for the Find What text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters as the Find What text. If matching text is found, the text is selected.</p>\n\
<h4 id=\"-em-search-gt-find-next-ctrl-g-em-\"><em>Search &gt; Find Next, CTRL+G</em></h4><p>Repeats the last Search &gt; Find by finding and selecting the next occurrence of the Find What text in the active Listener pane.</p>\n\
<h4 id=\"-em-search-gt-replace-ctrl-h-em-\"><em>Search &gt; Replace, CTRL+H</em></h4><p>Displays Replace dialog. Performs search in the active Listener pane for the Find What text, and replaces the matching text with the Replace With text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters is the specified text.</p>\n\
<h4 id=\"-em-help-gt-help-em-\"><em>Help &gt; Help</em></h4><p>Displays the MAXScript Online Reference.</p>\n\
<h4 id=\"-em-help-gt-about-maxscript-em-\"><em>Help &gt; About MAXScript</em></h4><p>Displays About MAXScript dialog.</p>\n\
<h4 id=\"-em-ctrl-b-em-\"><em>CTRL+B</em></h4><p>Selects the text in the current brackets. Bracket balancer lets you check bracket balancing in long pieces of code. The balancer works with any of the following: (), [], and {}. To use it, place the cursor anywhere in the script text and press CTRL+B. If the cursor is next to a bracket, the code bracketed by it and its matching bracket will be selected and highlighted. If the cursor is not next to a bracket, the closest bracketed code containing the cursor will be selected. If you press <em>Ctrl+B</em> again, the next outer bracketed fragment is selected, and so on. You can keep pressing <em>Ctrl+B</em> to move out through bracket nestings. If at any point there is a bracket mismatch, the balancer will beep and not select any text.</p>\n\
<h4 id=\"-em-end-of-text-commands-em-\"><em>End-Of-Text Commands</em></h4><p>The simplest way to use the MAXScript Listener is to enter commands at the end of the existing text and press <em>ENTER</em> . This is called the <em>end-of-text compilation</em>. After each command is executed and any results are printed to the output pane, you can enter another command and press <em>ENTER</em> , and so on. When you write new commands at the end of the text in Listener, pressing <em>ENTER</em> executes the last line and inserts a new line.</p>\n\
<h4 id=\"-em-editing-and-executing-mid-text-commands-em-\"><em>Editing and Executing Mid-Text Commands</em></h4><p>When you want to use or edit existing text in Listener, you can differentiate between inserting new lines and executing the current line as follows:</p>\n\
<ul>\n\
<li><p>Press <em>ENTER</em> to insert a new line at the current cursor position.</p>\n\
</li>\n\
<li><p>Press Number-Pad <em>ENTER</em> to execute the line that contains the cursor. When you re-execute an existing line, its output and any Error Messages are inserted after the current line if the output pane is active, or at the current edit cursor location in the output pane if the Macro Recorder pane is active.</p>\n\
</li>\n\
</ul>\n\
<p>If you do not have a number pad on your keyboard, <em>SHIFT+ENTER</em> is an alternative to the Number-Pad <em>ENTER</em> key.</p>\n\
<h4 id=\"-em-selecting-and-executing-commands-em-\"><em>Selecting and Executing Commands</em></h4><p>You can select multiple text lines and press <em>SHIFT+ENTER</em> to execute all of the selected lines. Each command in the selection is executed in the order it appears in the selection and any output is inserted after the entire selection. You can also select a portion of text within a line and press <em>SHIFT+ENTER</em> to evaluate it, as long as it constitutes a valid MAXScript expression. For example, you can display the value of a sub-expression in a long equation by selecting and executing only that sub-expression within a line. The output is inserted after the current line if the output pane is active, or at the current edit cursor location in the output pane if the Macro Recorder pane is active.</p>\n\
<h4 id=\"-em-executing-code-blocks-em-\"><em>Executing Code Blocks</em></h4><p>MAXScript commands may be single or multiline commands, or Block Expressions. If you want to enter a block expression or a multiline command within existing text in the MAXScript Listener window, press <em>ENTER</em> to insert each line. Then drag-select all the lines in the command or block and press <em>SHIFT+ENTER</em> to execute the lines.</p>\n\
<p>If you enter multiline commands or a block expression at the end of the text in the MAXScript Listener window, remember that each line is compiled when you press <em>ENTER</em> . The multiline command is not executed until the end of the command is entered, nor are block expressions executed until the block is closed. While you cannot edit a faulty previous line within the multiline commands or block expression that has already been compiled but not yet executed, you can edit any text within the current line before you press <em>ENTER</em> . You can abort the current end-of-text compilation by pressing the <em>ESC</em> key to start over if necessary.</p>\n\
<h4 id=\"-em-installing-code-blocks-as-macro-scripts-em-\"><em>Installing Code Blocks as Macro Scripts</em></h4><p>You can select one or more text lines and drag them to a <em>3ds Max</em> toolbar to create a Macro Script containing the selected lines. For more information, see Defining Macro Scripts.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-Symbol.html\">Using the &#x27;?&#x27; Symbol</a></li>\n\
          <li><a class=\"link\" href=\"Turning-On-the-Listener-Log.html\">Turning On the Listener Log</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Listener.html\">Controlling the Listener Contents and the Insertion Point</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";