var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9CF9AE1B-CDB5-4120-96C0-BCE410572CC9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Scripting Menu</h1></div><p>MAXScript related items appear on the Scripting pull-down menu of the Main Menu bar. This menu also provides access to other scripting related features, such as Max Creation Graph. In addition, MAXScript functionality can be accessed from the <a href=\"The-MAXScript-Utility-Panel.html\">MAXScript Utility</a> in the Utilities Panel.</p>\n\
<p>To access MAXScript features, click on the Scripting item in the Main Menu:</p>\n\
<p><img src=\"./images/GUID-60876DBC-44ED-416E-92AD-9856823E8A16-low.gif\" alt=\"\"></p>\n\
<p>The following options appear in the Scripting menu:</p>\n\
<h4 id=\"new-script\">New Script</h4><p>Opens a new tab with an Untitled script in the MAXScript Editor window. A new Editor window tab is also opened by choosing &#39;New Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; New Script</em> in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see The MAXScript Editor Windows.</p>\n\
<h4 id=\"open-script-\">Open Script...</h4><p>Opens a common File Open dialog for choosing an existing script. A new tab in the MAXScript Editor window then displays the selected script. A script file can also be opened by choosing &#39;Open Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; Open Script</em> in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see The MAXScript Editor Windows.</p>\n\
<h4 id=\"run-script-\">Run Script...</h4><p>Opens a common File Open dialog for choosing an existing script. MAXScript then reads and executes the selected script. Any output is printed to the Listener window. A script file can also be run by choosing &#39;Run Script&#39; in the MAXScript Utility in the Utilities Panel, or <em>File &gt; Run Script</em> in the Listener window menu bar.</p>\n\
<p>For more information, see Running Scripts.</p>\n\
<h4 id=\"maxscript-listener\">MAXScript Listener</h4><p>Toggles the MAXScript Listener window.The Listener window can also be opened by right-clicking in the Mini Listener in the <em>3ds Max</em> status bar and choosing Open Listener Window; by choosing &#39;Open Listener&#39; in the MAXScript Utility in the Utilities Panel, or by pressing F11.</p>\n\
<p>For Listener window features and commands, see The MAXScript Listener Window.</p>\n\
<h4 id=\"maxscript-editor\">MAXScript Editor</h4><p>Toggles the MAXScript Editor window. This menu item was added in <em>3ds Max 2008</em> and allows the revealing and hiding of the Editor without losing its content. All saved scripts opened in tabs will be stored and restored even between <em>3ds Max</em> sessions.</p>\n\
<h4 id=\"macro-recorder\">Macro Recorder</h4><p>Toggles the MAXScript Macro Recorder. The Macro Recorder generates script code in a separate pane of the MAXScript listener based on the actions of the user.</p>\n\
<p>For Macro Recorder features, see the Macro Recorder.</p>\n\
<h4 id=\"visual-maxscript-editor\">Visual MAXScript Editor</h4><p>Opens the Visual MAXScript Editor. It is used to create new and edit existing User Interfaces for your scripted rollouts, utilities and floaters.</p>\n\
<p>For Visual MAXScript Editor features, see Visual MAXScript</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";