var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-96D3ABE3-32CA-491D-9CAD-0A0576346E54\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor Autocomplete</h1></div><p>The SCITE editor that the MAXScript editor is built on supports autocomplete, which you can enable for recognized MAXScript.</p>\n\
<p>3ds Max generates an API keyword list automatically to support MAXScript autocomplete. In previous versions, users need to generate this list themselves, save it to a file, and add an entry for it in the MAXScript Editor configuration file. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>The configuration for autocomplete is located in the MAXScript Editor and MAXScript properties files.</p>\n\
<p>In MXS_Editor.properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#autocomplete\n\
autocompleteword.automatic=1\n\
autocomplete.choose.single=0</code></pre><p>In MAXScript.properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#autocomplete\n\
autocomplete.MAXScript.ignorecase=1\n\
autocomplete.MAXScript.start.characters=$(chars.alpha)$(chars.numeric)_#.\n\
autocomplete.MAXScript.useautogeneratedapi=1</code></pre><p>To disable autocomplete, change <code>autocomplete.MAXScript.useautogeneratedapi</code> to 0.</p>\n\
<p>You can generate the API list yourself using the <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">generateAPIList()</a> function:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ss = stringstream &quot;&quot;\n\
generateAPIList ss</code></pre><p>For more information about these and other properties, see <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">MaxScript Editor Properties File Settings</a> and <a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\">MAXScript-Specific Language Settings</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">The MAXScript Editor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";