var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88C6920B-65FD-4D94-A71C-CD7D287F5719\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Legacy Editor Commands</h1></div><p>The following menu bar commands and keyboard shortcuts were available in the <a href=\"The-MAXScript-Legacy-Editor.html\">Legacy MAXScript Editor</a>.</p>\n\
<p>The edit commands listed below were also available in the MAXScript Editor right-click menu.</p>\n\
<h4 id=\"-em-file-gt-new-ctrl-n-em-\"><em>File &gt; New,CTRL+N</em></h4><p>Opens a new MAXScript Editor window for writing a new script.</p>\n\
<h4 id=\"-em-file-gt-open-ctrl-o-em-\"><em>File &gt; Open,CTRL+O</em></h4><p>Opens a common File Open dialog for choosing an existing script. A new MAXScript Editor window then displays the selected script.</p>\n\
<h4 id=\"-em-file-gt-close-ctrl-w-em-\"><em>File &gt; Close,CTRL+W</em></h4><p>Saves the contents of the MAXScript Editor to the current file name, and then closes the Editor window. If there is not a current file name (that is, the MAXScript Editor window was opened with File &gt; New), a common File Save dialog is opened.</p>\n\
<h4 id=\"-em-file-gt-save-ctrl-s-em-\"><em>File &gt; Save,CTRL+S</em></h4><p>Saves the contents of the MAXScript Editor to the current file name. If there is not a current file name (that is, the MAXScript Editor window was opened with File &gt; New), a common File Save dialog is opened.</p>\n\
<h4 id=\"-em-file-gt-save-as-em-\"><em>File &gt; Save As</em></h4><p>Opens a common File Save dialog for choosing a new file name used to store the existing script.</p>\n\
<h4 id=\"-em-file-gt-evaluate-all-ctrl-e-em-\"><em>File &gt; Evaluate All,CTRL+E</em></h4><p>Evaluates the entire contents of the MAXScript Editor. This is similar to selecting all text, and then pressing <em>SHIFT+ENTER</em>. It has the advantage that the window&#39;s scroll position does not change.</p>\n\
<h4 id=\"-em-edit-gt-undo-ctrl-z-em-\"><em>Edit &gt; Undo,CTRL+Z</em></h4><p>Undoes the last change made to the MAXScript Editor’s content.</p>\n\
<h4 id=\"-em-edit-gt-undo-ctrl-y-em-\"><em>Edit &gt; Undo,CTRL+Y</em></h4><p>Redoes the undone changes made to the MAXScript Editor’s content.</p>\n\
<h4 id=\"-em-edit-gt-cut-ctrl-x-em-\"><em>Edit &gt; Cut,CTRL+X</em></h4><p>Copies the selected text to the cut/paste buffer and deletes the text.</p>\n\
<h4 id=\"-em-edit-gt-copy-ctrl-c-em-\"><em>Edit &gt; Copy,CTRL+C</em></h4><p>Copies the selected text to the cut/paste buffer.</p>\n\
<h4 id=\"-em-edit-gt-paste-ctrl-v-em-\"><em>Edit &gt; Paste,CTRL+V</em></h4><p>Places the text in the cut/paste buffer at the cursor. If text is selected when executing this command, the selected text is replaced with the cut/paste buffer contents.</p>\n\
<h4 id=\"-em-edit-gt-delete-del-em-\"><em>Edit &gt; Delete, DEL</em></h4><p>Deletes the selected text.</p>\n\
<h4 id=\"-em-edit-gt-select-all-ctrl-a-em-\"><em>Edit &gt; Select All,CTRL+A</em></h4><p>Selects all text in the MAXScript Editor.</p>\n\
<h4 id=\"-em-search-gt-find-ctrl-f-em-\"><em>Search &gt; Find,CTRL+F</em></h4><p>Displays Find dialog. Performs search in the MAXScript Editor for the Find What text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters as the Find What text. If matching text is found, the text is selected.</p>\n\
<h4 id=\"-em-search-gt-find-next-ctrl-g-em-\"><em>Search &gt; Find Next,CTRL+G</em></h4><p>Repeats the last Search &gt; Find by finding and selecting the next occurrence of the Find What text.</p>\n\
<h4 id=\"-em-search-gt-replace-ctrl-h-em-\"><em>Search &gt; Replace,CTRL+H</em></h4><p>Displays Replace dialog. Performs search in the MAXScript Editor for the Find What text, and replaces the matching text with the Replace With text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters in the specified text.</p>\n\
<h4 id=\"-em-help-gt-help-em-\"><em>Help &gt; Help</em></h4><p>Displays the MAXScript Online Reference.</p>\n\
<h4 id=\"-em-help-gt-about-maxscript-em-\"><em>Help &gt; About MAXScript</em></h4><p>Displays About MAXScript dialog.</p>\n\
<h4 id=\"-em-tab-ctrl-i-em-\"><em>TAB,CTRL+I</em></h4><p>Indents selected lines of text by one tab width.</p>\n\
<h4 id=\"-em-shift-tab-shift-ctrl-i-em-\"><em>SHIFT+TAB, SHIFT+CTRL+I</em></h4><p>Unindents selected lines of text by one tab width.</p>\n\
<h4 id=\"-em-shift-enter-em-\"><em>SHIFT+ENTER</em></h4><p>A MAXScript Editor can send code selections to Listener for evaluation. Select some text in MAXScript Editor and press <em>SHIFT+ENTER</em> to send the selected text to Listener. Listener compiles and evaluates it and prints out the result at the end of the current text in Listener. If you press <em>SHIFT+ENTER</em> with no text selected, the line containing the cursor is sent to Listener for evaluation. This behavior is similar to using <em>SHIFT+ENTER</em> in Listener, except that the results of the evaluations are printed in the Listener, not inserted into the MAXScript Editor text.</p>\n\
<p>If you have a number pad on your keyboard, the Number-Pad <em>ENTER</em> key is an alternative to <em>SHIFT+ENTER</em> and can be used to execute commands. You may find the Number-Pad <em>ENTER</em> key faster and easier to use.</p>\n\
<h4 id=\"-em-ctrl-right-click-em-\"><em>CTRL+Right-Click</em></h4><p>Displays a pop-up menu of all the utility, structure, user-interface item, function, handler, plug-in, tool, Macro Script, and rcmenu definitions that exist in the current script. Select one of the items in the pop-up menu to position that definition at the top of the MAXScript Editor window. This simplifies large script navigation.</p>\n\
<p><img src=\"./images/GUID-1F5103F0-EA4B-4E0E-BD7E-DF011FAA6889-low.gif\" alt=\"\"></p>\n\
<h4 id=\"-em-ctrl-b-em-\"><em>CTRL+B</em></h4><p>Selects the text in the current bracket. Bracket balancer lets you check bracket balancing in long bits of code. The balancer works with any of the following: (), [], and {}. To use it, place the cursor anywhere in the script text and press <em>CTRL+B</em>. If the cursor is next to a bracket, the code bracketed by it and its matching bracket will be selected and highlighted. If the cursor is not next to a bracket, the closest bracketed code containing the cursor will be selected. If you press <em>CTRL+B</em> again, the next outer bracketed fragment is selected, and so on. You can keep pressing <em>CTRL+B</em> to move out through bracket nestings. If at any point there is a bracket mismatch, the balancer will beep and not select any text.</p>\n\
<h4 id=\"-em-ctrl-d-em-\"><em>CTRL+D</em></h4><p>Performs a simple <em>syntax coloring scheme</em> in the MAXScript Editor. Each time you press <em>CTRL+D</em>, the window is redrawn with comments in green, MAXScript reserved words in blue, and string literals in dark red. This often helps in reading large, complex programs. New text is always colored black and you have to press <em>CTRL+D</em> at some point to recolor the script. Syntax coloring is a programming aid and does not effect script execution.</p>\n\
<p>Script files will be automatically syntax colored when opened. Automatic syntax coloring as you type in the Editor will also be performed, but only on single line basis. Comments and strings spanning multiple lines will not be colored properly - please use <em>Ctrl+D</em> in such cases to force a manual update.</p>\n\
<h4 id=\"-em-ctrl-r-em-\"><em>CTRL+R</em></h4><p>Places the cursor at the location where it was previously placed with a mouse click or a find operation. Consecutive uses of <em>CTRL+R</em> cycle through the last eight cursor positions. This feature is useful if you edit at one location, move the cursor elsewhere with find or scroll operations, and then want to return to the edit location. This feature allows you to quickly review the code pieces you recently worked on.</p>\n\
<h4 id=\"-em-ctrl-j-em-\"><em>CTRL+J</em></h4><p>Opens a modal &quot;Go To Line Or Character&quot; dialog which lets you enter a line and/or character position to jump to. This feature could be used for example with the line and character numbers found in the output of the Debugger or in an error message in the Listener in <em>3ds Max 8 and higher</em>. The default values in the dialog will be set to the current cursor position.</p>\n\
<p><img src=\"./images/GUID-BC07756B-98D6-4A89-B408-EB46F23CA470-low.gif\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Legacy-Editor-Windows.html\">MAXScript Legacy Editor Windows</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";