var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5901C70F-60C6-4EE9-93B3-2E5093AB1F42\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NoValue Value</h1></div><p>The <strong>NoValue</strong> class implements a void and silent value returned by setListenerSel() to prevent &quot;OK&quot; from being printed to the listener.</p>\n\
<p>There is one distinguished instance of the <strong>NoValue</strong> class in the reserved system variable <code>silentValue</code>.</p>\n\
<p>You can return <code>silentValue</code> from a function and it will prevent anything from being printed in the listener, including an concluding &quot;OK&quot; and any output sent to <code>format()</code> or <code>print()</code>.</p>\n\
<blockquote>\n\
<p>   <strong>For Example</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn loudFunc = (    format &quot;I&apos;m printing something&quot;)\n\
   fn quietFunc = (format &quot;I won&apos;t print anything&quot;; return silentValue)\n\
\n\
   loudFunc()\n\
   quietFunc()\n\
\n\
   --&gt; output:\n\
   loudFunc()\n\
   quietFunc()\n\
   I&apos;m printing somethingOK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Special-Data-Values.html\">Special Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";