var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E49C3CAE-B730-48AF-B0EC-275D2BCF466E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Changes to Undeclared Implicit Global Variables</h1></div><h2 id=\"changes-to-undeclared-implicit-global-variables-since-3ds-max-4\">Changes to Undeclared Implicit Global Variables since 3ds Max 4</h2><p>In releases prior to <strong>3ds Max 4</strong>, the MAXScript compiler was treating any <strong>undeclared</strong> variables used in rollout and plug-in and macroScript handlers as <strong>implicitly global</strong>.</p>\n\
<p>This was at variance with the use of undeclared variables inside ordinary functions and for-loop bodies and also at variance with the MAXScript documentation.</p>\n\
<p>It was also preventing the new stack-based MAXScript memory management system from achieving maximum effect in handler execution.</p>\n\
<p><strong>All undeclared variables</strong> in handler code are now <strong>implicitly declared as locals</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Definition-Constructs-Can.html\">Definition Constructs Can Include Global Variable Declarations At Top Level</a></li>\n\
          <li><a class=\"link\" href=\"Scope-of-Variables.html\">Scope of Variables</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";