var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7DA4342B-6D1A-438B-9F1F-BCD48D742F19\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Adobe Acrobat ActiveX Control</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&quot;Adobe Acrobat Control for ActiveX&quot; &quot;PDF.PdfCtrl.5&quot; &quot;{CA8A9780-280D-11CF-A24D-444553540000}&quot; </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the PDF ActiveX control is registered on your system.</p>\n\
<p><img src=\"./images/GUID-DE145650-A904-4D2C-B4FA-B90DFDC49932-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.src : string   </code></pre><p>Get/Set the source PDF file.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LoadFile fileName:string </code></pre><p>Load a new PDF file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setShowToolbar On:Boolean </code></pre><p>When the argument is false, the toolbar will be hidden. When the argument is true, the toolbar will be displayed.</p>\n\
<p><img src=\"./images/GUID-D11E115D-8D0F-4DC7-A67C-9CB4B73FDA8E-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.gotoFirstPage() </code></pre><p>Positions the PDF document at the first page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.gotoLastPage() </code></pre><p>Positions the PDF document at the last page.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.gotoNextPage() </code></pre><p>Moves to the next page in the PDF document.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.gotoPreviousPage() </code></pre><p>Moves to the previous page in the PDF document.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setCurrentPage n:integer </code></pre><p>Sets the current page of the PDF document to the supplied integer argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.goForwardStack() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.goBackwardStack() </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setPageMode pageMode:string </code></pre><p>Set the page mode to the supplied string argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setLayoutMode layoutMode:string </code></pre><p>Set the layout mode to the supplied string argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setNamedDest namedDest:string </code></pre><p>Set a named destination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Print() </code></pre><p>Print the PDF document.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.printWithDialog() </code></pre><p>Open the Print... dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setZoom percent:float </code></pre><p>Set the Zoom to the specified float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setZoomScroll percent:float left:float top:float </code></pre><p>Set Zoom and Scroll to the specified float values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setViewview Mode:string </code></pre><p>Set the view to the specified view mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setViewScroll viewMode:string offset:float </code></pre><p>Set the view to the specified view mode and the offset to the specified float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setViewRect left:float top:float width:float height:float </code></pre><p>Set the view to the rectangular area defined by the upper left corner, width and height values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.printPages from:integer to:integer </code></pre><p>Print a range of pages.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.printPagesFit from:integer to:integer shrinkToFit:boolean </code></pre><p>Print a range of pages with optional fitting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.printAll() </code></pre><p>Print all pages.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.printAllFit shrinkToFit:Boolean </code></pre><p>Print a all pages, shrinking them to fit the paper format when the supplied argument is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.setShowScrollbars On:Boolean </code></pre><p>Enable/Disable the Scrollbars display.</p>\n\
<p><img src=\"./images/GUID-5DD0AC4B-5944-4664-80BA-364B216B750F-low.gif\" alt> <img src=\"./images/GUID-1EDA6A86-3C02-443B-AFDE-B9B7DD172B7B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.AboutBox() </code></pre><p>Open the About box. (Does not work at the moment)</p>\n\
<p><strong>Events</strong></p>\n\
<p>No events exposed by this control.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-ActiveX-Control-Examples.html\">Other ActiveX Control Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";