var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D84D283E-F722-48EB-A712-C893ACB53C30\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shockwave Flash ActiveX Object Events</h1></div><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\"./../../../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example might not work unless the used ActiveX control is installed on your system.</p>\n\
<p>Here is a sample script that creates a text object and sets the text to FSCommand event argument value sent by Shockwave Flash objects:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout rFlash &quot;Shockwave Flash Object&quot;\n\
   (\n\
   local txtObj\n\
   fn checkTextObject =\n\
   (\n\
   if $text01 == undefined then\n\
   (\n\
   txtObj = text text:&quot;&quot; name:&quot;text01&quot;\n\
   addModifier txtObj (extrude amount:10)\n\
   txtObj.wirecolor = red\n\
   rotate txtObj 90 x_axis\n\
   )\n\
   else ( txtObj = $text01 )\n\
   )\n\
   activeXControl axFlash &quot;{D27CDB6E-AE6D-11CF-96B8-444553540000}&quot; height:200 width:300 align:#left\n\
   on axFlash OnReadyStateChange arg1 do format &quot;handler: OnReadyStateChange : %\\n&quot; arg1\n\
   on axFlash OnProgress arg1 do format &quot;handler: OnProgress : %\\n&quot; arg1\n\
   on axFlash FSCommand arg1 arg2 do\n\
   (\n\
   checkTextObject()\n\
   txtObj.text = arg1 + &quot;+&quot; + arg2\n\
   max tool zoomextents all\n\
   )\n\
   on rFlash open do\n\
   (\n\
   axFlash.movie = &quot;e:\\\\Movie1.swf&quot;\n\
   axFlash.movie = &quot;e:\\\\Movie1.swf&quot; -- need to load 2nd time sometimes\n\
   checkTextObject();\n\
   )\n\
   )\n\
   flashFloater = newRolloutFloater &quot;Shockwave Flash Object&quot; 350 300 10 10\n\
   addRollout rFlash flashFloater\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-97BD59B5-0CF4-4DCF-B8AB-6A3E424DD1F0-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-ActiveX-Control-Examples.html\">Other ActiveX Control Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../ActiveX-Controls-in-MAXScript-1.html\">ActiveX Controls in MAXScript Rollouts</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";