var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4C8D01B5-5AD3-4A73-BD8A-5C3609B6AFEA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Shape Plug-ins</h1></div><p>Scripted Shape plug-ins can only extend existing Shape plug-ins.</p>\n\
<p>A scripted Shape plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>shape</code> .</p>\n\
<p>If a <code>create</code> tool is specified, it will override the delegate&apos;s create tool.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin shape Extended_Rect\n\
   name:&quot;Rectangle2&quot;\n\
   classID:#(0x133067, 0x54375)\n\
   extends:rectangle version:1\n\
   category:&quot;Splines&quot;\n\
   (\n\
     tool create\n\
     (\n\
       local startPoint\n\
       on mousePoint click do\n\
         case click of\n\
         (\n\
           1: startPoint = nodeTM.translation = gridPoint\n\
           3: #stop\n\
         )\n\
       on mouseMove click do\n\
         case click of\n\
         (\n\
           2: (delegate.width= abs gridDist.x\n\
           delegate.length= abs gridDist.y\n\
           nodeTM.translation = startpoint + gridDist/2.\n\
           )\n\
           3: delegate.corner_radius = amax 0 -gridDist.x\n\
         )\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";