var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7BCF183F-F45E-4AD3-8179-2BEE2154F1FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Custom User Interface Files</h1></div><p>The following methods exposed via the <a href=\"./../../Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\">cui Struct</a> provide access to Custom User Interface (CUI) files.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getDir()      </code></pre><p>Returns the directory of the currently active CUI file as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.getConfigFile()   </code></pre><p>Returns the currently active CUI file name as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.setConfigFile &lt;filename_string&gt; </code></pre><p>Sets the currently active CUI file to the specified file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.saveConfig() </code></pre><p>Saves the current CUI configuration data to the active .cui file</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.saveConfigAs &lt;filename_string&gt; </code></pre><p>Saves current CUI configuration data to the specified file. The specified file is made the current CUI file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.loadConfig &lt;filename_string&gt; </code></pre><p>Loads the CUI configuration data from supplied file. The specified file is made the current CUI file.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Customize/Load Custom UI Scheme menu item is implemented as a macroScript. This macroScript is called <strong>macro_uischeme.mcr</strong> in the <strong>\\ui\\macroscripts</strong> directory. <code>cui.loadConfig</code> is only part of what needs to be done to switch over to a new UI scheme. The aforementioned macroScript will guide you through the other actions that also need to be performed.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-Scene-Files-Access.html\">3ds Max Scene Files Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Interacting-with-the-3ds-Max/Menu-Manager/Menu-and-CUI-Loading.html\">Menu and CUI Loading</a></li>\n\
          <li><a class=\"link\" href=\"../../Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\">CUI Struct - UI Customization</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";