var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F7577416-051E-478C-BB5D-81243BAAC8EC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max System Directories</h1></div><p>The following methods allow you to access the <strong>3ds Max</strong> system directories:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GetDir &lt;filetype_name&gt;      </code></pre><p>Returns as a string the directory specified in the Customize &gt; Configure Paths dialog for the specified file type.</p>\n\
<p>The valid <code>&lt;filetype_name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Value</th>\n\
<th>Available in 3ds Max Versions</th>\n\
<th>US English Defaults And Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#systemImage</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\images</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#systemPhotometric</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\photometric</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#systemSound</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\sceneassets\\sounds</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#macroScripts</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\macroScripts</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#web</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\web</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxSysIcons</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\ui_ln\\icons</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#pageFile</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td>C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp`</td>\n\
</tr>\n\
<tr>\n\
<td><code>#hardwareShadersCache</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\en-US\\plugcfg</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#plugcfg_ln</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\plugcfg_ln</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ui_ln</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\ui_ln</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#autodeskcloud</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td>C:\\Users&lt;UserName&gt;\\AppData\\Local\\Autodesk\\Autodesk Sync\\Cloud&lt;a360 UserName&gt;</td>\n\
</tr>\n\
<tr>\n\
<td><code>#privateExchangeStoreInstallPath</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Roaming\\Autodesk\\ApplicationPlugins\\</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#publicExchangeStoreInstallPath</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\ProgramData\\Autodesk\\ApplicationPlugins\\</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#userStartupTemplates</code></td>\n\
<td><strong>3ds Max 2017</strong></td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\startuptemplates</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#animations</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\animations</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#archives</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\archives</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#autoback</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\autoback</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#autodeskCloud</code></td>\n\
<td><strong>3ds Max 2014</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\Autodesk Sync\\Cloud\\&lt;LoginName&gt;</code>Returns empty string `` if the user is not logged in Autodesk 360.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#defaults</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\en-US\\defaults\\MAX</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#downloads</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\downloads</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#drivers</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\drivers</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#export</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\export</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#font</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\fonts</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#help</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\help</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#image</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\images</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#import</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\import</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#matlib</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\materiallibraries</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxData</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxroot</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#maxstart</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\scenes</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#pageFile</code></td>\n\
<td><strong>3ds Max 2010</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#photometric</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\photometric</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#plugcfg</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\en-US\\plugcfg</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#preview</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\previews</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#presets</code></td>\n\
<td><strong>3ds Max 2022</strong> and higher</td>\n\
<td>Default system particle flow presets.  For internal use only.</td>\n\
</tr>\n\
<tr>\n\
<td><code>#proxies</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\proxies</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#renderassets</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\renderassets</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#renderPresets</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\renderpresets</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#renderoutput</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\renderoutput</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scene</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\scenes</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#scripts</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\scripts</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#sound</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\sceneassets\\sounds</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#startupScripts</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\scripts\\startup</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#temp</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\temp</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ui</code></td>\n\
<td>All versions</td>\n\
<td><code>C:\\Program Files\\Autodesk\\3ds Max &lt;ReleaseNumber&gt;\\en-US\\UI\\</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#userMacros</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\usermacros</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#userScripts</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\scripts</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#userStartupScripts</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\scripts\\startup</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#userIcons</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\AppData\\Local\\Autodesk\\3dsMax\\&lt;ReleaseNumber&gt; - 64bit\\ENU\\usericons</code></td>\n\
</tr>\n\
<tr>\n\
<td><code>#vpost</code></td>\n\
<td><strong>3ds Max 9</strong> and higher</td>\n\
<td><code>C:\\Users\\&lt;UserName&gt;\\Documents\\3dsMax\\vpost</code></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SetDir &lt;filetype_name&gt; &lt;string&gt; </code></pre><p>Sets the directory specified in string. Replicated in the Customize &gt; Configure Paths dialog for the specified file type.</p>\n\
<p>The valid <code>&lt;filetype_name&gt;</code> values are the same as for <code>GetDir</code> .</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if not. Does not check to see if <code>&lt;string&gt;</code> is a valid path. Any change made through this function is immediately reflected in the 3dsmax.ini file and so is persistent. Use with caution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ConvertDirIDToInt &lt;filetype_name&gt; </code></pre><p>Returns an Integer corresponding to the given system directory name.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ConvertIntToDirID &lt;integer&gt;</code></pre><p>Returns the system directory name that corresponds to the given integer.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Int</th>\n\
<th>Name</th>\n\
<th>Int</th>\n\
<th>Name</th>\n\
<th>Int</th>\n\
<th>Name</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>0</td>\n\
<td><code>#font</code></td>\n\
<td>19</td>\n\
<td><code>#ui</code></td>\n\
<td>39</td>\n\
<td><code>#ui_ln</code></td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td><code>#Scene</code></td>\n\
<td>20</td>\n\
<td><code>#maxroot</code></td>\n\
<td>40</td>\n\
<td><code>#autodeskcloud</code></td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td><code>#import</code></td>\n\
<td>21</td>\n\
<td><code>#renderoutput</code></td>\n\
<td>41</td>\n\
<td><code>#privateExchangeStoreInstallPath</code></td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td><code>#Export</code></td>\n\
<td>22</td>\n\
<td><code>#animations</code></td>\n\
<td>42</td>\n\
<td><code>#publicExchangeStoreInstallPath</code></td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td><code>#help</code></td>\n\
<td>23</td>\n\
<td><code>#archives</code></td>\n\
<td>41</td>\n\
<td><code>#privateExchangeStoreInstallPath</code></td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td><code>#expression</code></td>\n\
<td>24</td>\n\
<td><code>#Photometric</code></td>\n\
<td>42</td>\n\
<td><code>#publicExchangeStoreInstallPath</code></td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td><code>#preview</code></td>\n\
<td>25</td>\n\
<td><code>#renderassets</code></td>\n\
<td>43</td>\n\
<td><code>#userStartupTemplates</code></td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td><code>#image</code></td>\n\
<td>26</td>\n\
<td><code>#userScripts</code></td>\n\
<td>44</td>\n\
<td><code>#systemImage</code></td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td><code>#Sound</code></td>\n\
<td>27</td>\n\
<td><code>#userMacros</code></td>\n\
<td>45</td>\n\
<td><code>#systemPhotometric</code></td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td><code>#plugcfg</code></td>\n\
<td>28</td>\n\
<td><code>#userStartupScripts</code></td>\n\
<td>46</td>\n\
<td><code>#systemSound</code></td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td><code>#maxstart</code></td>\n\
<td>29</td>\n\
<td><code>#temp</code></td>\n\
<td>47</td>\n\
<td><code>#fluidSimulations</code></td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td><code>#vpost</code></td>\n\
<td>30</td>\n\
<td><code>#userIcons</code></td>\n\
<td>48</td>\n\
<td><code>#userSettings</code></td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td><code>#drivers</code></td>\n\
<td>31</td>\n\
<td><code>#maxData</code></td>\n\
<td>49</td>\n\
<td><code>#userTools</code></td>\n\
</tr>\n\
<tr>\n\
<td>13</td>\n\
<td><code>#autoback</code></td>\n\
<td>33</td>\n\
<td><code>#downloads</code></td>\n\
<td>50</td>\n\
<td><code>#plugindata</code></td>\n\
</tr>\n\
<tr>\n\
<td>14</td>\n\
<td><code>#matlib</code></td>\n\
<td>34</td>\n\
<td><code>#proxies</code></td>\n\
<td>51</td>\n\
<td><code>#presets</code></td>\n\
</tr>\n\
<tr>\n\
<td>15</td>\n\
<td><code>#scripts</code></td>\n\
<td>35</td>\n\
<td><code>#assemblies</code></td>\n\
<td>100</td>\n\
<td><code>#macroScripts</code></td>\n\
</tr>\n\
<tr>\n\
<td>16</td>\n\
<td><code>#startupScripts</code></td>\n\
<td>36</td>\n\
<td><code>#pageFile</code></td>\n\
<td>101</td>\n\
<td><code>#web</code></td>\n\
</tr>\n\
<tr>\n\
<td>17</td>\n\
<td><code>#defaults</code></td>\n\
<td>37</td>\n\
<td><code>#hardwareShadersCache</code></td>\n\
<td>102</td>\n\
<td><code>#maxSysIcons</code></td>\n\
</tr>\n\
<tr>\n\
<td>18</td>\n\
<td><code>#renderPresets</code></td>\n\
<td>38</td>\n\
<td><code>#plugcfg_ln</code></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>The following methods let you get, add or delete Bitmap and XRef paths, corresponding to the Bitmaps and XRefs tabs in the Configure Paths dialog in <strong>3ds Max</strong>. Any changes made through these functions are immediately reflected in the <strong>3dsmax.ini</strong> file and so are persistent.</p>\n\
<h3 id=\"map-path-methods-\">Map Path Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.add &lt;path_string&gt; </code></pre><p>Appends the specified path to the list of Bitmap search paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.count() </code></pre><p>Returns the number of Bitmap search paths defined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.get &lt;index&gt; </code></pre><p>Returns the indexed Bitmap search path as a string. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.delete &lt;index&gt; </code></pre><p>Deletes the indexed Bitmap search path. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapPaths.getFullFilePath &lt;filename&gt; </code></pre><p>Resolves the filename using map paths, returns fully qualified filename if the file is found. Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<p>   mapPaths.getFullFilePath &quot;fir.tga&quot;</p>\n\
</blockquote>\n\
<h3 id=\"xref-path-methods-\">Xref Path Methods:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefPaths.add &lt;path_string&gt; </code></pre><p>Appends the specified path to the list of XRef search paths.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefPaths.count() </code></pre><p>Returns the number of XRef search paths defined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefPaths.get &lt;index&gt; </code></pre><p>Returns the indexed XRef search path as a string. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefPaths.delete &lt;index&gt; </code></pre><p>Deletes the indexed XRef search path. The index is 1-based.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">xrefPaths.getFullFilePath &lt;filename&gt; </code></pre><p>Resolves the filename using xref paths, returns fully qualified filename if the file is found.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   xrefPaths.getFullFilePath &quot;delme.max&quot;</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-System-Directories.html\">3ds Max System Directories</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"PathConfig-Struct.html\">PathConfig Struct</a></li>\n\
          <li><a class=\"link\" href=\"pluginPaths-Struct.html\">pluginPaths Struct</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";