var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21C944F4-850F-4879-BBB7-A4794C4D1B08\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Plug-In Manager</h1></div><p>The Plug-in Manager lets you manage plug-ins dynamically without any initialization required. The Plug-in Manager provides a list of all plug-ins found in the <strong>3ds Max</strong> plug-in directories, including the plug-in description, type (object, helper, modifier, and so on), status (loaded or deferred), size, and path. The Plug-in Manager provides options to load or tag as deferred, any particular plug-in, regardless where they reside on disk.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Plug-In Manager does not list scripted or .NET plug-ins.</div>\n\
<p>When you start the Plug-in Manager, it scans through all the loaded plug-ins and lists them in the Plug-in Manager dialog. 3ds Max looks for plug-ins in a couple of places:</p>\n\
<ul>\n\
<li>Paths from Plugin.ini (in the 3ds Max install directory)</li>\n\
<li>Paths from Plugin.UserSettings.ini (in the user&#39;s AppData\\Local directory)</li>\n\
<li>The Autodesk\\ApplicationPlugins directory (typically in %PROGRAMDATA%\\Autodesk\\ApplicationPlugins, but this location can vary, see &quot;Packaging Plug-ins&quot; in the 3ds Max Developer Help).</li>\n\
</ul>\n\
<p>To use the Plug-in Manager via MAXScript, see the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">Interface: pluginManager</a> topic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">Interacting with the 3ds Max User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";