var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C5C79044-8CED-4FC9-88ED-93D57BC33A27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Renderer Preferences</h1></div><p><img src=\"./images/GUID-E06CF2E2-7C98-463E-B53F-2933E46B19BF-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendVidCorrectMethod -- integer      </code></pre><p>Get/set the video color check method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Flag with black</p>\n\
<p>2 - Scale Luma</p>\n\
<p>3 - Scale Saturation</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendNTSC_PAL -- integer   </code></pre><p>Get/set the video color check NTSC or PAL setting.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - NTSC</p>\n\
<p>2 - PAL</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendDitherTrue -- boolean </code></pre><p>Get/set the renderer&apos;s dither true color flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendDither256 -- boolean </code></pre><p>Get/set the renderer&apos;s dither 256 color flag. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendFieldOrder -- integer </code></pre><p>Get/set the rendering field order.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Even</p>\n\
<p>2 - Odd</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendSuperBlackThresh -- integer </code></pre><p>Get/set the Super Black Threshold value. Range 0 to 255. Default is 15.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendNThSerial -- boolean </code></pre><p>Get/set the output file sequencing nth serial numbering setting. TRUE = on; FALSE = off</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.maximumGBufferLayers </code></pre><p>Get/set an Integer value that specifies the maximum number of g-buffer layers generated during a render.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">rendMultiThread -- boolean </code></pre><p>Get/set the renderer&apos;s multi-threaded flag. TRUE = on; FALSE = off</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-Scanline-A-Buffer.html\">3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";