var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D16DA2E-6A1C-451E-9ACF-1BD4C536AA09\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Documentation Changes in 3ds Max 2009</h1></div><p>The following changes have been made to the MAXScript Online Reference for the <strong>3ds Max 2008</strong> update:</p>\n\
<h2 id=\"fixed-errors\">Fixed Errors</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/thehold.html\">TheHold</a></p>\n\
<p>Fixed errors in theHold documentation - <code>isHolding()</code> returns Boolean values and not integers, <code>theHold.SuperLevel()</code> is the correct name of the method formerly listed as <code>theHold.getSupperLevel()</code></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Topology.html\">Unwrap6Interface</a></p>\n\
<p>Fixed the names of all methods operating on a specific node by adding the missing &quot;ByNode&quot; suffix.</p>\n\
<h2 id=\"additions\">Additions</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></p>\n\
<p>Added notes to both the <code>setVert()</code> and <code>meshop.setVert()</code> methods that only the latter supports vertex animation at the Editable Mesh level.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#set-key-mode\">maxOps Se tKey Mode</a></p>\n\
<p>Added example and notes to the description of the <code>maxOps.getDefaultTangentType()</code> and <code>maxOps.setDefaultTangentType()</code> methods.</p>\n\
<h3 id=\"mental-ray\">mental ray</h3><p>A large number of mental ray shaders have been included to allow interoperability with other Autodesk products supporting mental ray.</p>\n\
<p>This is a list of mental ray shaders implementing <strong>3ds Max</strong> maps and volumetic effects. These shaders provide identical results in mental ray to the native <strong>3ds Max</strong> maps and effects rendered in the Default Scanline renderer.</p>\n\
<h3 id=\"color-values\">Color Values</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\">Color Values</a></p>\n\
<p>Added a note on Alpha display, Addition and Multiplication of Color Values.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point4-Values.html\">Point4 Values</a></p>\n\
<p>The <strong>Point4 Value class</strong> was implemented in <strong>3ds Max 6</strong> but never documented. It can be used to manipulate floating point color values without implicit conversion from/to 0-255 range.</p>\n\
<h2 id=\"formatting\">Formatting</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sun-Light.html\">mr_Sun : Light</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sky-light.html\">mr_Sky : light</a></p>\n\
<p>Reformatted the documentation of the two lights, added UI screenshots and ordered the properties in the same order as the parameters in the rollout for easier navigation.</p>\n\
<p>Arch___Design__mi: material</p>\n\
<p>mr_Physical_Sky : textureMap</p>\n\
<p>Reformatted the documentation of the two shaders, added UI <strong>screenshots with clickable hotspots</strong> and ordered the properties in the same order as the parameters in the rollout for easier navigation.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-11.html\">What was New in MAXScript in 3ds Max 2009</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";