var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-31E273C4-9248-49A0-B357-4B8F8023385D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2012</h1></div><p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2012</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <a href=\"Documentation-Changes-in-3ds-Max.html\">Documentation Changes in 3ds Max 2012</a>.</p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><h3 id=\"nitrous-graphics-system\">Nitrous Graphics System</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Core Interface</a> exposes the controls of the new viewports graphics manager to MAXScript. In addition, it provides script-only access to all parameters of all Non-Photorealistic Rendering styles which are not exposed to the <strong>3ds Max</strong> User Interface yet. The topic also contains a fully functioning script example implementing the dynamic dialog generation from the exposed parameters including the options to save and load presets for each rendering style.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OGSDiagnostics.html\">OGSDiagnostics Core Interface</a> provides a property to access a graphics hardware-related report.</p>\n\
<h3 id=\"massfx-dynamics-simulation\">MassFX Dynamics Simulation</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface : nvpx</a>  exposes the MassFX system settings to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\">PhysXPanel : ReferenceTarget</a> exposes the settings of the MassFX control panel and its controls to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\">UConstraint : Helper</a> is used to define constraints in the MassFX system.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : Helper</a> object is used to define joints in the MassFX system.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : Helper</a> object is used to introduce animated characters as Kinematic Skeleton objects to drive MassFX simulations.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/nvRagdoll-Helper.html\">nvRagdoll : Helper</a> is used to define a ragdoll rig in the MassFX system.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody : Modifier</a> is used by the MassFX system to define the properties of a rigid body object.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom box-shaped shell for physical simulation.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom capsule-shaped shell for physical simulation.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom spherical shell for physical simulation.</p>\n\
<h3 id=\"particle-flow-operators\">Particle Flow Operators</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_File-Helper.html\">Birth_File : Helper</a> implements the loading of particle simulations files in the <strong>Autodesk Maya</strong> Nucleus Particle Cache format saved out of <strong>Autodesk Softimage ICE</strong>.</p>\n\
<h3 id=\"substance-texture-maps\">Substance Texture Maps</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance-textureMap.html\">Substance textureMap</a> exposes the Substance procedural 2D maps loader to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The SubstanceShader textureMap implements the mental ray shader of the Substance loader.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance_Output-textureMap.html\">Substance_Output textureMap</a> serves as an output selector to the Substance textureMap - this allows you to connect a single Substance textureMap to multiple Substance_Output nodes in the Slate Material Editor to extract various outputs.</p>\n\
<h3 id=\"vector-displacement-texture-maps\">Vector Displacement Texture Maps</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>max_vector displacement : textureMap</code> class exposes the Vector Displacement map used to load displacement data generated in Autodesk Mudbox.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>max_vdm : textureMap</code> class implements the mental ray shader for rendering the Vector Displacement maps generated in Autodesk Mudbox.</p>\n\
<h3 id=\"iray-renderer\">iRay Renderer</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The iRay_Renderer : RendererClass provides access to the iRay path tracer used for physically correct lighting simulation using the CPUs and any available GPUs.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The iRay String Options provide access to some advanced features currently not exposed to the renderer&#39;s User Interface.</p>\n\
<h3 id=\"animation\">Animation</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AutoTangentMan.html\">AutoTangentMan Core Interface</a> provides access to the AutoTangent algorithm used by <strong>3ds Max</strong>, including the new unified AutoTangent implementation found in <strong>Autodesk 3ds Max</strong>, <strong>Autodesk Maya</strong> and <strong>Autodesk Softimage</strong>.</p>\n\
<h3 id=\"help-system\">Help System</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\">HelpSystem Core Interface</a> provides access to the online and local product help systems.</p>\n\
<h2 id=\"improvements-to-existing-features\">Improvements to Existing Features</h2><h3 id=\"quicksilver-hardware-renderer\">Quicksilver Hardware Renderer</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer</a> has been updated to use the new Nitrous Graphics System, resulting in significant changes to both the User Interface controls and the MAXScript exposure of the corresponding features.</p>\n\
<h3 id=\"unwrap-uvw-modifier\">Unwrap UVW Modifier</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW Modifier</a> has been significantly improved in <strong>3ds Max 2012</strong>:</p>\n\
<ul>\n\
<li>A new <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\">Least Squares Conformal Mapping (LSCM) unwrap method</a> has been introduced, allowing the fast peeling of the Mapping Coordinates.</li>\n\
<li>A new set of <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Regular.html\">Regular Mapping</a> functions has been added to the existing unwrap6 MixinInterface of the modifier.</li>\n\
<li>A new set of <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Group.html\">Grouping</a> functions have been added to the UI and to MAXScript.</li>\n\
<li>A new set of Cluster Rescaling and Aligning functions has been added to the UI and to MAXScript.</li>\n\
<li>A set of new functions for <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\"#custom-toolbars-and-floaters\">adding custom toolbars and floaters</a> to the Edit UVWs Floater has been added to MAXScript. These custom UI elements can be defined manually via a dedicated .INI configuration file to expose additional tools.</li>\n\
<li>The User Interface of the Unwrap_UVW Modifier, both in the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Command.html\">Command Panel</a> and in the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\">Edit UVWs Floater</a>, has been redesigned for faster access to often used features.</li>\n\
<li>The documentation of the Unwrap_UVW Modifier which had grown over the last decade to one of the biggest topics in the MAXScript Reference has been split into a large number of sub-topics covering related tools. These sub-topics are easily accessible through the main <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW Modifier</a> topic.</li>\n\
</ul>\n\
<h2 id=\"retired-removed-and-unavailable-features\">Retired, Removed and Unavailable Features</h2><h3 id=\"interface-viewportssb\">Interface: ViewportSSB</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <strong><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\">ViewportSSB Interface</a></strong> is not available by default in <strong>3ds Max 2012</strong> because the Viewports are set to use the Nitrous Graphics System. You must switch the Viewports to the Direct3D driver to access this interface.</p>\n\
<h3 id=\"legacy-dynamics\">Legacy Dynamics</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The properties <code>.bounce</code> , <code>.staticFriction</code> and <code>.slidingFriction</code> have been removed from the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/StandardMaterial-Material.html\">Standard</a> Material due to the complete removal of the legacy Dynamics system introduced back in <strong>3ds Max 2</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The following SpacewarpObjects have been removed from <strong>3ds Max 2012</strong> due to the complete removal of the legacy Dynamics system introduced back in <strong>3ds Max 2</strong>:</p>\n\
<ul>\n\
<li><code>SDynaFlect : SpacewarpObjects</code></li>\n\
<li><code>UDynaflect : SpacewarpObjects</code></li>\n\
<li><code>UDynaDeflector : SpacewarpObjects</code></li>\n\
</ul>\n\
<h3 id=\"reactor-dynamics\">Reactor Dynamics</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">All reactor interfaces, modifiers and objects have been removed from <strong>3ds Max 2012</strong> due to the complete removal of the <strong>reactor dynamics system</strong> introduced back in <strong>3ds Max 5</strong>.</p>\n\
<h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2><h3 id=\"maxclass-dll-related-properties\">maxClass DLL-Related Properties</h3><p>To reduce the initial memory footprint and to speed up the startup process, <strong>3ds Max 2012</strong> increases the number of plugins that can be deferred and loaded on demand.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">Two new read-only properties</a> - <code>.dllName</code> and <code>.dllIsLoaded</code> - have been added to maxClass to query the DLL it was defined in and to check whether that DLL has been already loaded.</p>\n\
<h3 id=\"macroscript-multi-threaded-loading\">MacroScript Multi-Threaded Loading</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MacroScripts are now processed on <strong>3ds Max</strong> startup using multiple threads.</p>\n\
<h3 id=\"custom-attributes-version-number-support-on-loading\">Custom Attributes Version Number Support On Loading</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In previous versions, Custom Attribute definitions loaded from a file always replced the definitions in the scene. Starting with <strong>3ds Max 2012</strong>, this will only happen if the version number of the definition from the loaded scene is higher than the current definition&#39;s version number. <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Version-Number.html\">See this topic for implementation details</a>.</p>\n\
<h3 id=\"resource-string-replacement\">Resource String Replacement</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> To simplify localization of scripts, it is now possible to <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Resource-String-Replacement.html\">replace hard-coded strings with Resource IDs</a> defined in external .res files.</p>\n\
<h3 id=\"stringstream-value\">StringStream Value</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>append()</code> method is now implemented by the <a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">StringStream Value class</a>, allowing for memory-efficient appending of a String value to an existing StringStream.</p>\n\
<h3 id=\"free-method\">Free() Method</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <code>free()</code> method has been implemented since <strong>3ds Max 9</strong> but has remained undocumented. This method frees the memory used by the value without waiting for a garbage collection to occur. It is implemented for the following classes: <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String Value</a>, <a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">StringStream Value</a>, <a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream Value</a>, <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">BitMap Value</a>, <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Value</a>, <a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray Value</a>, Mesh Value</p>\n\
<h3 id=\"rollout-help-event\">Rollout Help Event</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <code>on &lt;rollout&gt; help do()</code> <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.htmlCODEBLOCK_CB374BB1FFC848A1A312C9BA44F6DB7D\">event handler can be specified in rollouts</a> to handle F1 pressed while a rollout has focus.</p>\n\
<h3 id=\"rollout-and-ui-control-caption\">Rollout and UI Control Caption</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Non-Local-Variables-As-Captions.html\">Caption construction parameter of Rollouts and UI Controls</a> used to be required as string literal, now it can be a non-local variable (global or top-level local variable in struct or plugin definitions)</p>\n\
<h3 id=\"radiobutton-tooltips\">Radiobutton Tooltips</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Tooltops have been added to <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">radiobutton user interface controls</a> - either a single string for all labels, or one tooltip per label.</p>\n\
<h3 id=\"test-framework-assert-functions\">Test Framework Assert Functions</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new <a href=\"./../../../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\"#test-framework-assert-functions\">Assert functions and an AssertReporter</a> struct to manage their message log have been exposed to MAXScript and are now used internally by Autodesk for unit tests during the development of <strong>3ds Max</strong>.</p>\n\
<h3 id=\"crt-debug-functions\">CRT Debug Functions</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several <a href=\"./../../../MAXScript-Introduction/The-MAXScript-Debugger/CRT-Debug-Functions.html\">C Run-Time Debug Functions</a> have been exposed to MAXScript and are provided as examples in the SDK. They are meant for hard-core programmers and allow the corruption of the MAXScript Heap, the check for Heap validity and the generating of C-level asserts.</p>\n\
<h3 id=\"changes-to-existing-features-\">Changes To Existing Features:</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The previously broken methods <code>GetEulerQuatAngleRatio()</code> and <code>GetMatQuatAngleRatio()</code> documented in the <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">EulerAngles Values topic</a> have been fixed to output correct values using arrays, eulerAngles or by-reference variables.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">Viewport Drawing Methods</a> must be wrapped in a <a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport Redraw Callback</a> function when the Nitrous Graphics Manager is active. Otherwise the gw. methods will not be executed due to the progressive refinement approach used by the Nitrous system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-7.html\">What was New in MAXScript in 3ds Max 2012</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";