var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F47C350F-32B6-4C5C-8518-070D754DEF27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Documentation Changes in 3ds Max 2011</h1></div><p>The following noteworthy changes and updates have been made to the MAXScript Reference for the <strong>3ds Max 2011</strong> release in addition to the topics covering new features listed in the <a href=\"What-is-New-in-MAXScript-in-3ds.html\">What is New in MAXScript in 3ds Max 2011</a> page:</p>\n\
<h2 id=\"previously-undocumented-features\">Previously Undocumented Features</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Command.html\"#tweak-mode-button\">Unwrap_UVW TweakMode</a></p>\n\
<p>Unwrap_UVW UV Align And Space</p>\n\
<p>Unwrap_UVW UV Loop And Ring</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added documentation of the previously undocumented <code>.uvLoop()</code> , <code>.uvRing()</code> , <code>.Align()</code> , <code>.Space()</code> , <code>.getTweakMode()</code> , <code>.setTweakMode()</code> , methods exposed by the UnwrapUVW Modifier&#39;s <code>unwrap6</code> interface.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted_Plugin_#filename Parameters As Assets</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added documentation of the existing Parameter type <code>#filename</code> which requires an additional keyword option specifying the Asset Type of the file since 3ds Max 2010.</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom.html\">MAXScript Editor - Defining Custom Keywords</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added examples of defining custom keywords and changing their style and color.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array Values</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3 Values</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added notes and examples of comparing Arrays and Matrix3 values which normally do not perform per-component equality comparison.</p>\n\
<p><a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls DotNet Assembly</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new chapter with several topics overviewing some of the DotNet objects and controls implemented by the MaxCustomControls Assembly shipping with <strong>3ds Max</strong>. These include various components of the Scene Explorer and the Material Explorer as well as a custom <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxForm.html\">MaxForm</a> that matches the Look-And-Feel of <strong>3ds Max</strong> dialogs and can be easily parented to the main <strong>3ds Max</strong> window, a <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxTextBox.html\">MaxTextBox</a> control and a floating <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/ProgressDialog.html\">ProgressDialog</a>.</p>\n\
<h2 id=\"how-to-tutorials-and-faq\">How To Tutorials And FAQ</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new How To... Tutorials Quick Navigation Index has been added to all Tutorial pages and the Quick Navigation Main Index for fast access to the topics.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new MAXScript F.A.Q. Quick Navigation Index has been added to all FAQ pages and the Quick Navigation Main Index for fast access to the topics.</p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Generate-Hash-Checksums.html\">How_To_..._Generate_Hash_Checksums_Using_DotNet</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Print-Using-DotNet.html\">How To ... Print Using DotNet</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new topics related to the use of DotNet have been added.</p>\n\
<h2 id=\"changes-to-existing-topics\">Changes To Existing Topics</h2><p><a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Number-Literals.html\">Number Literals</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\">Number Values</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Edited the Number Literals and Values pages to include the complete Syntax Definition of Numbers which was missing the signature of Double, Integer64 and IntegerPtr.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Edited and reformatted the Scope Of Variables topic and most other topics in the Variables - Assignment and Scope chapter to provide more cross-linking to related topics added over the years, including <a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\">CUI Struct - UI Customization</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new page documenting the complete CUI struct, while preserving the original pages providing details about specific areas of application like dockable windows, command panel access etc.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">ImgTag</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new example and explanation of the Flags second argument to ImgTag event handlers describing the buttons&#39; pressed state.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Scene Dialog</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Updated the documentation to include the Advanced Lighting properties exposed by the RadiosityPreferences Interface and made the detail images jump back to the main map on top of the page for much faster navigation.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/rendererClass.html\">rendererClass</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">The documentation of the RendererClass superclass was incorrectly listing the class as &quot;Renderer&quot;. This has been corrected. The page has been updated with an example of using the RendererClass.classes to determine the list of renderer plugins installed on the current system.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\">renderElements</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">Interface: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Updated the documentation of the Render Elements and the Render Elements Manager Interface and added more cross-linking for easier navigation.</p>\n\
<p><a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\">When do I use () after a function?</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">This FAQ entry has been expanded with more examples and better explanations.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">Mesh Vertex Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\">Meshop Vertex Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Data-Methods.html\">Meshop Vertex Data Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Edge-Methods.html\">Mesh Edge Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\">Meshop Edge Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\">Mesh Face Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">Meshop Face Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Methods.html\">Mesh Methods</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\">Meshop General Mapping Methods</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Reformatted the above topics for easier access and added sub-topics with local Topic Navigation and Quick Navigation icons.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly Methods</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Reformatted the above topic for easier access and added sub-topics with local Topic Navigation and Quick Navigation icons.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">Interface: EditablePoly</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Mapping-Methods.html\">Editable_Poly Mapping Methods</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Added Topic Navigation and back to Topic Navigation icons.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">Node Common Properties Operators and Methods</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Added Topic Navigation and back to Topic Navigation icons.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\">LightMeter : Helper</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Fixed the image map which was not implemented correctly.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">Environment And Effects Dialog</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new topic to document the access to the Environment Dialog including Image Map navigation.</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Moved the description of <strong>3ds Max</strong> system global variables and methods related to the Environment dialog from the <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Working-with-Atmospherics.html\">Working with Atmospherics</a> topic which is now dedicated only to the examples of using MAXScript to add Atmospheric effects to the list.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">Reformatted the topics related to Atmospheric effects and added more See Also links to ensure access to all relevant pages from every one of them.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\">Render Effects Dialog</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new topic to document the access to the Render Effects tab on the Environment and Effects Dialog including Image Map navigation.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">Reformatted the topics related to Render Effects and added more See Also links to ensure access to all relevant pages from every one of them.</p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">Drawing a Box with MAXScript</a></p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">Modifying the Box</a></p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\">Applying Standard Transformations</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">Updated the Learning MAXScript topics, replaced the illustrations with new, partially animated screenshots.</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Error-Messages.html\">Error Messages</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Replaced obsolete screenshots and examples (from 3ds Max 2!) with new ones. Reworked the topic content and added cross-links to related topics as well as boxes explaining how to avoid the specific errors presented in the examples.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max File Loading and Saving</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Copied the related System Globals <code>maxFileName</code> and <code>maxFilePath</code> to this topic since they are relevant and were difficult to find otherwise (according to user feedback).</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Updated all index keyword targets to link directly to the variable&#39;s description. In the process, refreshed all referenced pages.</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript System Globals</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">Reformatted the topic and added example screenshot demonstrating custom Listener colors and fonts.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units Struct - Accessing System and Display Units</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">Updated the topic with examples of using the <code>units.decodeValue()</code> and <code>units.formatValue()</code> methods.</p>\n\
<h2 id=\"chm-compiler-changes\">CHM Compiler Changes</h2><p>The MAXScript Reference for the <strong>3ds Max 2011</strong> release has been compiled using a different authoring software. As result, there are several changes in the Help behavior compared to previous releases:</p>\n\
<ul>\n\
<li><p>The MAXScript Reference will now remember its last location and size between sessions.</p>\n\
</li>\n\
<li><p>The Index tab&#39;s keywords required rebuilding - they have been partially updated and re-sorted.</p>\n\
</li>\n\
<li><p>Some larger script examples are now placed in tables with relative instead of absolute width, allowing them to scale horizontally as the Help Viewer is resized and display the code without word wrapping.</p>\n\
</li>\n\
<li><p>The toolbar buttons of the Help Viewer has been updated to use the Home button to return to the startup page of the Help, with two custom buttons to navigate to the web sites of ScriptSpot.com and Autodesk.com for external resources related to MAXScript and <strong>3ds Max</strong>.</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-9.html\">What was New in MAXScript in 3ds Max 2011</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"What-is-New-in-MAXScript-in-3ds.html\">What is New in MAXScript in 3ds Max 2011</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";