var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BF9CE45E-BE3D-48BC-B21B-0C541C2E6E47\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Populate : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Populate : FloatController {288863b5,4a7e7d67}</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Populate</strong> FloatController is part of the Populate toolset.</p>\n\
<p>It is assigned automatically to the Populate track under the Populate Global Track.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p>This controller is created internally - see the <a href=\"./../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop Core Interface</a> for Flow creation methods.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.numFrames : integer</code></pre><p>Get/set the number of frames in the simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.showEnvObjs : boolean</code></pre><p>Get/set the visibility of the environment objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.showChars : boolean</code></pre><p>Get/set the visibility of the characters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.pedFlows : node array</code></pre><p>Get/set the array of pedestrian flow nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.idleAreas  : node array</code></pre><p>Get/set the array of Idle Area nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.peds : maxObject array</code></pre><p>Get/set the array of pedestrian character objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.idlers : maxObject array</code></pre><p>Get/set the array of idling character objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.sitters : maxObject array</code></pre><p>Get/set the array of sitting character objects</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.showDebugInfo : boolean</code></pre><p>Get/set the state of the show debug info switch.</p>\n\
<p>When set to True, debug information will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.compressAnim : boolean</code></pre><p>Get/set the state of the animation compression option.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.realWorldScale : float</code></pre><p>Get/set the real world scale value.</p>\n\
<p>This value can be used to scale the Populate system up and down relative to the scene units.</p>\n\
<p>Default is 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Populate&gt;.internalScale : float</code></pre><p>Get/set the internal scale value.</p>\n\
<p>This is the factor which converts the Scene System Units to the internal units of the Populate system which operates in Centimeters.</p>\n\
<p>For example, when the scene System Units are set to 1 GU = 1 Inch, the .internalScale value will be 0.393701 because 0.393701*2.54 = 1.0.</p>\n\
<p>Changing the System Units to 1 GU = 1 Centimeter will cause the .internalScale value to change automatically to 1.0.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Float-Controllers.html\">Float Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Flow-GeometryClass.html\">Flow : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/IdleAreaObj-GeometryClass.html\">IdleAreaObj : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/PopCharacter-ReferenceTarget.html\">PopCharacter : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";