var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A8C9BD34-35D5-4F1F-8B90-CC677F25DA7F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point3Reactor - superclass: Point3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point3Reactor - superclass: Point3Controller; super-superclass:MAXWrapper - 0:0 - classID: #(419957000, 996243513) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Point3Reactor...      \n\
Point3_Reactor...   </code></pre><p><strong>Point3Reactor interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: reactions </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.editStateMode : boolean : Read|Write </code></pre><p>Get/set the edit state of the reactor controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.useCurve : boolean : Read|Write </code></pre><p>Get/set whether the reactor controller uses the curve control.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.createMode : boolean : Read|Write </code></pre><p>Enable/Disable the Create mode.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;reactTo &lt;maxObject&gt;object </code></pre><p>Set the react-to object of the reactor controller.Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;createname :&lt;string&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name default value: &quot;scriptCreated&quot; </code></pre><p>Create a new reaction with the specified name. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;delete &lt;index&gt;index </code></pre><p>Delete the indexed reaction. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getCount () </code></pre><p>Returns the number of reactions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;select &lt;index&gt;index </code></pre><p>Select the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getSelected () </code></pre><p>Returns the selected reaction&#x2019;s index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setStateToCurrent &lt;index&gt;index </code></pre><p>Sets the indexed reaction&#x2019;s state to the current state. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setFloatState &lt;index&gt;index &lt;float&gt;state </code></pre><p>Sets the state of the indexed reaction in a float reactor controller to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setVectorState &lt;index&gt;index &lt;point3&gt;state </code></pre><p>Sets the state of the indexed reaction in a point3 reactor controller to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setRotationState &lt;index&gt;index &lt;quat&gt;state </code></pre><p>Sets the state of the indexed reaction in a rotation reactor controller to the specified float value</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueToCurrent &lt;index&gt;index </code></pre><p>Sets the value of the indexed reaction to the current value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsFloat &lt;index&gt;index &lt;float&gt;value </code></pre><p>Sets the value of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsVector &lt;index&gt;index &lt;point3&gt;value </code></pre><p>Sets the value of the indexed reaction to the specified point3 value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setValueAsQuat &lt;index&gt;index &lt;quat&gt;value </code></pre><p>Sets the value of the indexed reaction to the specified quaternion value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setInfluence &lt;index&gt;index &lt;float&gt;influence </code></pre><p>Sets the influence of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setStrength &lt;index&gt;index &lt;float&gt;strength </code></pre><p>Sets the strength of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setFalloff &lt;index&gt;index &lt;float&gt;influence </code></pre><p>Sets the falloff of the indexed reaction to the specified float value. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setName &lt;index&gt;index &lt;string&gt;name </code></pre><p>Sets the name of the indexed reaction to the specified string. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getName &lt;index&gt;index </code></pre><p>Returns the name of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getInfluence &lt;index&gt;index </code></pre><p>Returns the influence of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getStrength &lt;index&gt;index </code></pre><p>Returns the strength of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getFalloff &lt;index&gt;index </code></pre><p>Returns the falloff of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;getType () </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTypeenums: {#floatReaction|#positionalReaction|#rotationalReaction|#scaleReaction} </code></pre><p>Returns the falloff of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getState &lt;index&gt;index </code></pre><p>Returns the state of the indexed reaction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;getValue &lt;index&gt;index </code></pre><p>Returns the value of the indexed reaction.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Point3-Controllers.html\">Point3 Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Reactor-Controllers/Reactor-controller.html\">Reactor controller</a></li>\n\
          <li><a class=\"link\" href=\"../Reactor-Controllers/Reactor-Controllers-1.html\">Reactor Controllers</a></li>\n\
          <li><a class=\"link\" href=\"../Float-Controllers/FloatReactor-superclass.html\">FloatReactor - superclass: FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../Position-Controllers/PositionReactor-superclass.html\">PositionReactor - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/Rotation_Reactor.html\">Rotation_Reactor : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../Scale-Controllers/Scale_Reactor-ScaleController.html\">Scale_Reactor : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-reactionMgr.html\">Interface: reactionMgr</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";