var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-60C2F166-93C0-4061-B12D-3616AE38B922\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bake Elements</h1></div><p>The following list containsthe BakeElement classes shipping with <strong>3ds Max</strong>.</p>\n\
<p>They implement the rendering to texture (a.k.a. &quot;texture baking&quot;).</p>\n\
<p>You can bake multiple maps in a single pass by applying more than one BakeElement to a geometry scene object using the <a href=\"./../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INodeBakePropertiesinterface</a>:</p>\n\
<h2 id=\"bake-element-classes-\">Bake Element Classes:</h2><p><a href=\"AlphaMap-BakeElement.html\">AlphaMap : BakeElement</a></p>\n\
<p><a href=\"Ambient_Occlusion-BakeElement.html\">Ambient_Occlusion : BakeElement</a></p>\n\
<p><a href=\"BlendMap-BakeElement.html\">BlendMap : BakeElement</a></p>\n\
<p><a href=\"CompleteMap-BakeElement.html\">CompleteMap : BakeElement</a></p>\n\
<p><a href=\"diffuseMap-BakeElement.html\">diffuseMap : BakeElement</a></p>\n\
<p><a href=\"HeightMap-BakeElement.html\">HeightMap : BakeElement</a></p>\n\
<p><a href=\"LightingMap-BakeElement.html\">LightingMap: BakeElement</a></p>\n\
<p><a href=\"Missing_Texture_Bake_Element.html\">Missing_Texture_Bake_Element : BakeElement</a></p>\n\
<p><a href=\"NormalsMap-BakeElement.html\">NormalsMap : BakeElement</a></p>\n\
<p><a href=\"ShadowsMap-BakeElement.html\">ShadowsMap : BakeElement</a></p>\n\
<p><a href=\"specularMap-BakeElement.html\">specularMap : BakeElement</a></p>\n\
<p>All Bake Elements expose the <a href=\"./../Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">BakeElementProperties</a> interface.</p>\n\
<p>The Render To Texture utility itself is implemented in MAXScript. To learn more about Texture Baking using MAXScript, see <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-To-Texture/Render-To-Texture-Using.html\">Render To Texture Using MAXScript</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BakeElement.html\">BakeElement</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">Interface : INode</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/RTT_Methods-Render-To-Texture.html\">RTT_Methods : Render To Texture Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-To-Texture/Render-To-Texture-Using.html\">Render To Texture Using MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";