var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF07FD32-30D2-4E95-9141-700644C23015\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>JPEG interfaces:</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">JPEG - superclass: BitmapIO; super-superclass:MAXWrapper - classID: #(12, 0)</code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">JPEG jpegio</code></pre><p><strong>JPEG interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ijpegio</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getQuality ()</code></pre><p>This method returns the quality level of the output image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setQuality &lt;integer&gt;quality</code></pre><p>This method allows you to set the quality level of the output image.</p>\n\
<p><code>quality:</code> The quality level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSmoothing ()</code></pre><p>This method returns the smoothing level of the output image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setSmoothing &lt;integer&gt;smoothing</code></pre><p>This method allows you set the smoothing level of the output image.</p>\n\
<p><code>smoothing:</code> The smoothing level.</p>\n\
<p>The methods in this interface can be accessed by specifying the class, interface, and method. For example: <code>jpeg.ijpegio.getType()</code> .</p>\n\
<p>MAXScript will automatically search through a class&#x2019; interfaces for a property or method name if the name isn&#x2019;t found as a class method or property. This allows you to say: <code>jpeg.getType()</code> .</p>\n\
<p>Providing the fully qualified name of the method results in faster script execution. Providing the fully qualified name is also safer, as at some point in time another interface could be specified for the class, and a method or property with the same name could be defined in that interface. Which method or property is used would then be dependent on the order in which the interfaces were searched for the method or property name.</p>\n\
<p>See Also Class IBitmapIO_Jpeg, in the SDK Help file accompanying this product.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
          <li><a class=\"link\" href=\"BMP-interfaces-.html\">BMP interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Portable_Network_Graphics.html\">Portable_Network_Graphics interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Targa-interfaces-.html\">Targa interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"TIF-interfaces-.html\">TIF interfaces:</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";