var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3918909-2B4D-4D14-9E54-255FB3272A14\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Cut Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.cutVert &lt;Poly poly&gt; &lt;int start_vert&gt; &lt;point3 destination&gt; &lt;point3 projdir&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, <code>&lt;destination&gt;</code> and <code>&lt;projdir&gt;</code> are in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, <code>&lt;destination&gt;</code> and <code>&lt;projdir&gt;</code> are in the poly&apos;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or <code>undefined</code> if no vertex is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.cutFace &lt;Poly poly&gt; &lt;int face&gt; &lt;point3 start&gt; &lt;point3 destination&gt; &lt;point3 projdir&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, <code>&lt;start&gt;</code>, <code>&lt;destination&gt;</code>, and <code>&lt;projdir&gt;</code> are in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, <code>&lt;start&gt;</code>, <code>&lt;destination&gt;</code>, and <code>&lt;projdir&gt;</code> are in the poly&apos;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or <code>undefined</code> if no vertex is created.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.cutEdge &lt;Poly poly&gt; &lt;int edge1&gt; &lt;float prop1&gt; &lt;int edge2&gt; \\\n\
&lt;float prop2&gt;&lt;point3 projdir&gt; node:&lt;node=unsupplied&gt;</code></pre><p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, <code>&lt;projdir&gt;</code> is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, <code>&lt;projdir&gt;</code> is in the poly&apos;s local coordinate system.</p>\n\
<p>Returns the index of the new vertex if created, or undefined if no vertex is created.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";