var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B1D330E-8895-4DD8-B06F-81AC742EDF68\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Detach Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.detachFaces &lt;Poly poly&gt; &lt;facelist&gt; delete:&lt;boolean=true&gt; \\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Detaches the specified faces.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>true</code> , the faces are deleted after being detached.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , the faces are detached as a separate node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>false</code> , the faces are detached as an element in the poly.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , <code>&lt;name&gt;</code> specifies the name of the new node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> and <code>&lt;poly&gt;</code> is an Editable Poly (not a node), <code>&lt;node&gt;</code> must be specified.</p>\n\
<p>Returns <code>true</code> if the operation is successful.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --The following script explodes an EditablePoly object to elements,\n\
   --each polygon becomes one element\n\
   macroScript PolyToElements category:&quot;Help_Examples&quot;\n\
   (\n\
   on isEnabled return\n\
   selection.count == 1 and classof selection[1].baseobject == Editable_Poly\n\
   on execute do\n\
   (\n\
   obj = selection[1]\n\
   for p = polyop.getNumFaces obj to 1 by -1 do\n\
   polyOp.detachFaces obj #{p}\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.detachEdges &lt;Poly poly&gt; &lt;edgelist&gt; delete:&lt;boolean=true&gt;\\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Detaches the faces used by the specified edges.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>true</code> , the faces are deleted after being detached.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , the faces are detached as a separate node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>false</code> , the faces are detached as an element in the poly.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , <code>&lt;name&gt;</code> specifies the name of the new node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is true and <code>&lt;poly&gt;</code> is an Editable Poly (not a node), <code>&lt;node&gt;</code> must be specified.</p>\n\
<p>Returns <code>true</code> if the operation is successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.detachVerts &lt;Poly poly&gt; &lt;vertlist&gt; delete:&lt;boolean=true&gt; \\\n\
asNode:&lt;boolean=false&gt; name:&lt;string=&quot;Object01&quot;&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Detaches the faces used by the specified vertices.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>true</code> , the faces are deleted after being detached.</p>\n\
<p>If <code>&lt;delete&gt;</code> is <code>false</code> , the faces are not deleted.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , the faces are detached as a separate node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>false</code> , the faces are detached as an element in the poly.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> , <code>&lt;name&gt;</code> specifies the name of the new node.</p>\n\
<p>If <code>&lt;asNode&gt;</code> is <code>true</code> and <code>&lt;poly&gt;</code> is an Editable Poly (not a node), <code>&lt;node&gt;</code> must be specified.</p>\n\
<p>Returns <code>true</code> if the operation is successful.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";