var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7639886-071A-4291-A3F4-4A78C2155D07\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Identifying and Accessing MAXScript Classes and Properties</h1></div><p>The largest set of classes and functions in MAXScript are those that provide access to the elements in the <strong>3ds Max</strong> application and in your scene. This section has several topics that discuss the use of these <strong>3ds Max</strong>-specific classes and functions. One important family of classes is the <a href=\"./../MAXWrapper-Value/MAXWrapper-Value-1.html\">MAXWrapper Value</a> class that give you access to the scene objects, lights, cameras, modifiers, controllers, materials, etc., in <strong>3ds Max</strong> scenes.</p>\n\
<p><strong>The topics in this section are:</strong></p>\n\
<ul>\n\
<li><a href=\"superclasses-read-only-global.html\">superclasses Global Variable</a></li>\n\
<li><a href=\"Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
<li><a href=\"getClassInstances.html\">getClassInstances Function</a></li>\n\
<li><a href=\"Dynamic-Properties.html\">Dynamic Properties</a></li>\n\
<li><a href=\"Indexed-Access-to-Animatable.html\">Indexed Access to Animatable Properties</a></li>\n\
<li><a href=\"AnimHandle-System.html\">AnimHandle System</a></li>\n\
<li><a href=\"Third-Party-Plug-In-Classes.html\">Third-Party Plug-In Classes</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Identifying-and-Accessing.html\">Identifying and Accessing MAXScript Classes and Properties</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";