var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5994F8B6-E408-4970-B9F6-3DD3B85A8CF4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Alembic_Export : ExporterPlugin</h1></div><p>Exposes the Alembic Exporter plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Alembic_Export\n\
AlembicExport\n\
</code></pre><p><strong>Alembic_Export interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: AlembicExport</code></pre><p><strong>Properties:</strong></p>\n\
<p>Several properties have been renamed, are new, or have been removed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name in 2019</th>\n\
<th>Name in 2018</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>AnimTimeRange</td>\n\
<td>CacheTimeRange</td>\n\
</tr>\n\
<tr>\n\
<td>StartFrame</td>\n\
<td>StartFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>EndFrame</td>\n\
<td>EndFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>Removed</td>\n\
<td>StepFrameTime</td>\n\
</tr>\n\
<tr>\n\
<td>SamplesPerFrame</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Hidden</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>UVs</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Normals</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>VertexColors</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>ExtraChannels</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Velocity</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>MaterialIDs</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>Visibility</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>LayerName</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>MaterialName</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectID</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>CustomAttributes</td>\n\
<td>new in 2019</td>\n\
</tr>\n\
<tr>\n\
<td>ParticleAsMesh</td>\n\
<td>same name</td>\n\
</tr>\n\
<tr>\n\
<td>ShapeSuffix</td>\n\
<td>ShapeName</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.CoordinateSystem : enum : Read|Write\n\
CoordinateSystem enums: {#Max|#Maya|#ZUp|#YUp}\n\
</code></pre><p>Sets the coordinate system of the exported Alembic file.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#Max</strong> (or <strong>#ZUp</strong>) (default) - Z-up, right-handed coordinate system used by Autodesk 3dsMax</li>\n\
<li><strong>#Maya</strong> (or <strong>#YUp</strong>) - Y-up, right-handed coordinate system used by Autodesk Maya</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.ArchiveType : enum : Read|Write\n\
ArchiveType enums: {#HDF5|#Ogawa}\n\
</code></pre><p>Sets the archive type of the exported Alembic file.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#HDF5</strong> (default) - the original storage format of Alembic version 1.0</li>\n\
<li><strong>#Ogawa</strong> - the improved storage format introduced in Alembic version 1.5</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.ParticleAsMesh : boolean : Read|Write\n\
</code></pre><p>Sets whether particle shapes are exported as meshes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.AnimTimeRange : enum : Read|Write\n\
   CacheTimeRange enums: {#CurrentFrame|#TimeSlider|#StartEnd}\n\
</code></pre><p>Sets how the animation is saved.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#CurrentFrame</strong> - saves the current frame.</li>\n\
<li><strong>#TimeSlider</strong> (default) - saves the active time segments on the time slider.</li>\n\
<li><strong>#StartEnd</strong> - saves a range specified by the Step</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.StartFrame : integer : Read|Write\n\
</code></pre><p>Sets the start frame for an animation range, when <code>CacheTimeRange</code> is <strong>#StartEnd</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.EndFrame : integer : Read|Write\n\
</code></pre><p>Sets the end frame for an animation range, when <code>CacheTimeRange</code> is <strong>#StartEnd</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.ShapeSuffix : boolean : Read|Write\n\
</code></pre><p>When set to true, appends the string &quot;Shape&quot; to the name of each exported mesh. This property is set to false by default.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.SamplesPerFrame : integer : Read|Write     </code></pre><p>Sets the number of animation samples per frame for AnimTimeRange #TimeSlider and #StartEnd.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.Hidden : boolean : Read|Write     </code></pre><p>When true, export the hidden geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.UVs : boolean : Read|Write     </code></pre><p>When true, export the mesh UV map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.Normals : boolean : Read|Write     </code></pre><p>When true, export the mesh normals.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.VertexColors : boolean : Read|Write     </code></pre><p>When true, export the mesh vertex color map 0 and the current vertex color display data when it differs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.ExtraChannels : boolean : Read|Write     </code></pre><p>When true, export the mesh extra map channels (map channels greater than channel 1).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.Velocity : boolean : Read|Write     </code></pre><p>When true, export the mesh vertex and particle velocity data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.MaterialIDs : boolean : Read|Write     </code></pre><p>When true, export the mesh material IDs as Alembic face sets.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.Visibility : boolean : Read|Write     </code></pre><p>When true, export the node visibility data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.LayerName : boolean : Read|Write     </code></pre><p>When true, export the node layer name as an Alembic object property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.MaterialName : boolean : Read|Write     </code></pre><p>When true, export the geometry node material name as an Alembic object property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.ObjectID : boolean : Read|Write     </code></pre><p>When true, export the geometry node g-buffer object ID as an Alembic object property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> AlembicExport.CustomAttributes : boolean : Read|Write     </code></pre><p>When true, export the node and its modifiers custom attributes into an Alembic object compound property.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">    &lt;void&gt;setDefaults()\n\
       setDefaults - no automatic redraw after invoked</code></pre><p>Reset all AlembicExport properties to their default values.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noprompt --reset the scene\n\
   c = cone() --create a Cone primitive\n\
   b = bend() --create a Bend modifier\n\
   addModifier c b --add the Bend to the Cone\n\
   with animate on (--enable animation\n\
     at time 100 ( --and set on frame 100\n\
       b.angle = 90 --the Bend Angle to 90\n\
       c.pos = [10,20,30] --and move the Cone\n\
     )--end time context\n\
   )--end animate on context\n\
   AlembicExport.ArchiveType = #hdf5 --force the old file format\n\
   AlembicExport.CoordinateSystem = #max --force Z up coordinates\n\
   --Export the file without opening the dialog\n\
   --The explicit using: argument is not necessary as the export plugin \n\
   --needed will be resolved automatically based on the file extension:\n\
   exportFile (GetDir #export +&quot;\\\\alembictest_hdm5_max.abc&quot;) #noPrompt using:AlembicExport\n\
\n\
   AlembicExport.ArchiveType = #ogawa --force the new file format\n\
   AlembicExport.CoordinateSystem = #maya --force Y up coordinates\n\
   --Export the file without opening the dialog\n\
   --This time we will ommit the explicit using: argument:\n\
   exportFile (GetDir #export +&quot;\\\\alembictest_ogawa_maya.abc&quot;) #noPrompt\n\
\n\
   --RESULT: We now have two files, one using Max Z up and HDF5 storage, \n\
   --and one using Maya Y up and the newer Ogawa storage.\n\
\n\
   --See the AlembicImport:ImporterPlugin topic for an example\n\
   --of importing these files back into 3ds Max.\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">Import and Export Filters</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Alembic_Import-ImporterPlugin.html\">Alembic_Import : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/Camera-Node/AlembicCamera-Camera.html\">AlembicCamera : Camera</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\">AlembicObject : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers/Controller-Types/Matrix3-Controllers/AlembicXform-Matrix3Controller.html\">AlembicXform : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";