var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F6EA6F9E-9443-44A7-B516-2D815BE5C5B5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FlightStudioExport</h1></div><p>The <strong>FlightStudioExport Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to Flight Studio data export filter.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;FlightStudioExport.GetMatrixEpsilon()      </code></pre><p>Get the Matrix Epsilon value as float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioExport.SetMatrixEpsilon &lt;float&gt;MatrixEpsilon   </code></pre><p>Set the Matrix Epsilon value to the given float.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudioExport.GetAutoGroup() </code></pre><p>Get the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioExport.SetAutoGroup &lt;boolean&gt;AutoGroup </code></pre><p>Set the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudioExport.GetAutoObject() </code></pre><p>Get the state of the Auto Object checkbox in the Flight Studio Exporter dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioExport.SetAutoObject &lt;boolean&gt;AutoObject </code></pre><p>Set the state of the Auto Group checkbox in the Flight Studio Exporter dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudioExport.GetCopyTextures() </code></pre><p>Get the state of the Copy Textures To Output Directory checkbox in the Flight Studio Exporter dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioExport.SetCopyTextures &lt;boolean&gt;CopyTextures </code></pre><p>Set the state of the Copy Textures To Output Directory checkbox in the Flight Studio Exporter dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudio.html\">Interface: FlightStudio</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioImport.html\">Interface: FlightStudioImport</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioImage.html\">Interface: FlightStudioImage</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";