var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-83D06FF9-3C21-4048-9328-D4F1A62252FC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: FlightStudioImport</h1></div><p>The <strong>FlightStudioImport Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to Flight Studio data import filter.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;FlightStudioImport.GetVertexThreshold()      </code></pre><p>Get the Vertex Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetVertexThreshold &lt;float&gt;VertexThreshold   </code></pre><p>Set the Vertex Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;FlightStudioImport.GetTrivialArea() </code></pre><p>Get the Trivial Area value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetTrivialArea &lt;float&gt;TrivialArea </code></pre><p>Set the Trivial Area value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudioImport.GetReadXRefs() </code></pre><p>Get the state of the Read External References option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetReadXRefs &lt;boolean&gt;KeepFaces </code></pre><p>Set the state of the Read External References option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;FlightStudioImport.GetKeepFaces() </code></pre><p>Get the state of the Keep Faces option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetKeepFaces &lt;boolean&gt;KeepFaces </code></pre><p>Get the state of the Keep Faces option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetIgnoreMaterials &lt;boolean&gt;IgnoreMaterials </code></pre><p>Set the state of the Ignore Materials option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetIgnoreTextures &lt;boolean&gt;IgnoreTextures </code></pre><p>Set the state of the Ignore Textures option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetIgnoreBead &lt;string&gt;Opcode &lt;boolean&gt;IgnoreBead </code></pre><p>Set the state of the Ignore Bead option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;FlightStudioImport.SetMapFacesToSelections &lt;boolean&gt;MapFacesToSelections </code></pre><p>Set the state of the Map Faces To Selection option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FlightStudioImport.GetStats() </code></pre><p>Returns the import statistics as a string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;FlightStudioImport.GetTextureStats() </code></pre><p>Returns the texture statistics as a string.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudio.html\">Interface: FlightStudio</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioExport.html\">Interface: FlightStudioExport</a></li>\n\
          <li><a class=\"link\" href=\"Interface-FlightStudioImage.html\">Interface: FlightStudioImage</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";