var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5D39DCC6-AF9E-4605-AFBE-AC5945383A60\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: particleFlowUtility</h1></div><p>The <strong>particleFlowUtility Core Interface</strong> is included in <strong>3ds Max 2010 and higher</strong> mainly for backwards compatibility with scripts written for use with the Orbaz Particle Flow Tools Box #1.</p>\n\
<p>The same functionality is now implemented by the <a href=\"./../../../../MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow Global Interface_TOPIC_1271</a> and is exposed directly in the Particle View menu.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;particleFlowUtility.cleanUpParticleFlow &lt;boolean&gt;doReport      </code></pre><p>Cleans up the Particle Flow by removing unused items.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of &quot;dirty&quot; Particle Flow items removed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlowUtility.repairCacheSystem &lt;boolean&gt;doReport   </code></pre><p>Resets the Particle View.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;particleFlowUtility.synchronizeLayers &lt;boolean&gt;doReport </code></pre><p>Moves Particle Flow items to the same layer as the Particle Flow Emitter object.</p>\n\
<p>When a Particle Flow Emitter object is moved to another layer via the Layer Manager, other related objects like all Particle Flow Operator Helpers and some internal objects are not moved to the same layer automatically. This can cause the flow to misbehave for example if a layer is turned off.</p>\n\
<p>This method performs the synchronization to ensure all objects are on the same layer.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<p>Returns the number of synchronized layers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlowUtility.resetParticleView() </code></pre><p>Repairs the Cache System.</p>\n\
<p>If the argument is passed as true, shows the result of the operation as a popup dialog. If false, performs the operation silently.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;particleFlowUtility.presetManager() </code></pre><p>Opens the Preset Manager dialog.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow Global Interface</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";