var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-454AF9C4-F272-4FD2-A8F4-0BC6BD1FB600\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: INodeBakeProperties</h1></div><p>This represents the Node Interface to the node&#x2019;s Texture Baking properties.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.bakeEnabled : boolean : Read|Write      </code></pre><p>Enables/Disables Texture Baking for the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.bakeChannel : integer : Read|Write   </code></pre><p>Gets/Sets the Texure Baking channel of the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.nDilations : integer : Read|Write </code></pre><p>Gets/Sets the nDilation value of the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.flags: integer : Read|Write </code></pre><p>Gets/Sets the Texture Baking flags.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.surfaceArea : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Surface Area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.areaScale : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Area Scaling.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.activeOriginX : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Active Origin X coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.activeOriginY : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Active Origin Y coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.activeWidth : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Active Width.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Node&gt;.activeHeight : float : Read|Write </code></pre><p>Gets/Sets the Texture Baking Active Height.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Node&gt;.addBakeElement &lt;maxObject&gt;element </code></pre><p>Adds a Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Node&gt;.removeBakeElement &lt;maxObject&gt;element </code></pre><p>Removes a Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Node&gt;.removeBakeElementByIndex &lt;integer&gt;elementIndex </code></pre><p>Removes the indexed Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Node&gt;.removeBakeElementByName &lt;string&gt;elementName </code></pre><p>Removes the Bake Element specified by the name string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Node&gt;.removeAllBakeElements() </code></pre><p>Removes all BakeElements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.numBakeElements() </code></pre><p>Returns the number of Bake Elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;Node&gt;.getBakeElement &lt;integer&gt;index </code></pre><p>Returns the indexed Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.findByName &lt;string&gt;elementName </code></pre><p>Returns the index of the named Bake Element .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.renderWidth() </code></pre><p>Returns the rendering width in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.renderHeight() </code></pre><p>Returns the rendering height in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Node&gt;.effectiveEnable() </code></pre><p>Returns the enabled state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.nParams() </code></pre><p>Returns the number of available parameters in the Bake Element.</p>\n\
<p>The following methods provide indexed access to Bake Element parameters. Using these methods, a script can manipulate the state of specific Bake Element properties without knowledge of the classes of the separate Bake Elements.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.numElementParams &lt;maxObject&gt;element </code></pre><p>Returns the number of available parameters in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Node&gt;.paramName &lt;maxObject&gt;element&lt;integer&gt;paramIndex </code></pre><p>Returns the name of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.paramType &lt;maxObject&gt;element&lt;integer&gt;paramIndex </code></pre><p>Returns the type of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;&lt;Node&gt;.paramValue &lt;maxObject&gt;element&lt;integer&gt;paramIndex </code></pre><p>Returns the value of the indexed parameter in the Bake Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Node&gt;.setParamValue &lt;maxObject&gt;element &lt;integer&gt;paramIndex &lt;value&gt;paramValue </code></pre><p>Sets the value of the indexed parameter in the Bake Element to the supplied value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;&lt;Node&gt;.paramValueMin &lt;maxObject&gt;element &lt;index&gt;paramIndex </code></pre><p>Returns the min. value of the indexed parameter in the Bake Element. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;&lt;Node&gt;.paramValueMax &lt;maxObject&gt;element &lt;index&gt;paramIndex </code></pre><p>Returns the max. value of the indexed parameter in the Bake Element. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Node&gt;.findParam &lt;maxObject&gt;element &lt;string&gt;paramName </code></pre><p>Returns the index of the named parameter in the Bake Element.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- create a new BlendMap Bake Element\n\
   be = BlendMap()\n\
   --&gt; ReferenceTarget:BlendMap\n\
   -- create a new Box object and get its INodeBakeProperties interface\n\
   bx = Box()\n\
   bi = bx.INodeBakeProperties\n\
   --&gt; &lt;MixinInterface:INodeBakeProperties&gt;\n\
   -- add the new BakeElement to the node\n\
   bi.addBakeElement be\n\
   --&gt; true\n\
   -- get the number of available parameters\n\
   bi.numElementParams be\n\
   --&gt; 8\n\
   -- output the name, type and value of all 8 parameters\n\
   for i = 1 to 8 do format &quot;% % %\\n&quot; (bi.paramName be i) (bi.paramType be i) (bi.paramValue be i)\n\
   --&gt; Lighting 1 1\n\
   --&gt; Shadows 0 1\n\
   --&gt; Diffuse 0 1\n\
   --&gt; Ambient 0 1\n\
   --&gt; Specular 0 1\n\
   --&gt; Self-Illum 0 1\n\
   --&gt; Reflection 0 1\n\
   --&gt; Refraction 0 1\n\
   --&gt; OK\n\
   -- check the value of paramter 1 (Lighting) - 1 means True\n\
   bi.paramValue be 1\n\
   --&gt; 1\n\
   -- check the actual Lighting property &amp;endash; it is really True\n\
   be.Lighting\n\
   --&gt; true\n\
   -- to change the Lighting to False, set the parameter value to 0\n\
   bi.setParamValue be 1 0\n\
   --&gt; OK\n\
   -- check to see the new value\n\
   bi.paramValue be 1\n\
   --&gt; 0\n\
   -- check to see that the property of the BakeElement has changed...\n\
   be.Lighting\n\
   --&gt; false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">Interface: BakeElementProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../../BakeElement/Bake-Elements.html\">Bake Elements</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";