var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-29F1E943-8CA0-48EB-AE1B-D5C7ECC9D536\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SchematicView</h1></div><p>The <strong>SchematicView MixinInterface</strong> is returned by the <code>getView()</code> method and the <code>.current</code> property in the <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\">SchematicViews Interface</a> and provides access to properties and methods of a specific existing Schematic View.</p>\n\
<h2 id=\"interfaces-\">Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: SchematicView </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   SchematicViews.open &quot;My Schematic View&quot;\n\
   --&gt; True\n\
   sv = schematicviews.current\n\
   --&gt; &lt;MixinInterface:SchematicView&gt;\n\
   sv.syncSelection\n\
   --&gt; True\n\
   sv.syncSelection = False\n\
   --&gt; False\n\
</code></pre></blockquote>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.syncSelection : boolean : Read|Write   </code></pre><p>Get/Set the Sync. Selection option state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.alwaysArrange : boolean : Read|Write </code></pre><p>Get/Set the state of the Always Arrange option switch.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.showGrid : boolean : Read|Write </code></pre><p>Get/Set the visibility of the Grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.gridSnap : boolean : Read|Write </code></pre><p>Get/Set the state of the Grid Snap option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.gridSpacing : integer : Read|Write </code></pre><p>Get/Set the spacing of the Grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.showBackgroundImage : boolean : Read|Write </code></pre><p>Enable/Disable the display of the background image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.backgroundImageLock : boolean : Read|Write </code></pre><p>Lock/Unlock the background image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.syncSelectionType : enum : Read|Write \n\
\n\
syncSelectionType enums: {#viewports|#everything} </code></pre><p>Get/Set the Sync Selection Type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.arrangeMethod : enum : Read|Write \n\
\n\
arrangeMethod enums: {#stacked|#horiz|#vert} </code></pre><p>Get/Set the Arrange Method Type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.linkStyle : enum : Read|Write \n\
\n\
linkStyle enums: {#bezier|#straight|#circuit|#none} </code></pre><p>Get/Set the Link Style.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.moveChildren : boolean : Read|Write </code></pre><p>Get/Set whether children are moved with the parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.doubleBuffer : boolean : Read|Write </code></pre><p>Controls the state of &quot;Double Buffer &quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to true (default), double-buffer technique will be used to redraw the Schematic View. When set to false, the display will flicker noticeably.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.panToNodes : boolean : Read|Write </code></pre><p>Controls the state of &quot;Pan to Added Node &quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.useWireframeColor : boolean : Read|Write </code></pre><p>Controls the state of the &quot;Use Wireframe Color&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to True, the wireframe color will be used to display the node in Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.zoomMousePoint : boolean : Read|Write </code></pre><p>Controls the state of &quot;Zoom About Mouse&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to true, the zoom is performed with the mouse point as center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.layoutWarning : boolean : Read|Write </code></pre><p>Controls the state of the &quot;Display Layout Warning&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.updateOnFocus : boolean : Read|Write </code></pre><p>Controls the state of the &quot;Only Updates on Focus&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.showTooltips : boolean : Read|Write </code></pre><p>Controls the state of &quot;Show Tooltips&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.snapFloaters : boolean : Read|Write </code></pre><p>Controls the state of &quot;Snap Floaters&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.relativeFloaters : boolean : Read|Write </code></pre><p>Controls the state of &quot;Relative Floaters&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MixinInterface:SchematicView&gt;.showShrink : boolean : Read|Write </code></pre><p>Get/Set the Shrink mode. This value is also controlled by the Layout &gt; Toggle Shrink option in the Schematic View menu.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getName() </code></pre><p>Returns the name of the Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.setName &lt;string&gt;name </code></pre><p>Sets the name of the Schematic View to the specified string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.beginEdit() </code></pre><p>Begins edit, increases the internal edit counter by one and returns it as integer. This prevents Schematic View from traversing the scene and generating new Schematic View Nodes. This guarantees that locally stored Schematic View Node IDs remain valid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.endEdit() </code></pre><p>Ends edit, decreases the internal edit counter by one and returns it as integer. Failure to call endEdit() after the corresponding beginEdit() will prevent Schematic View from updating based on scene changes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.updateView &lt;boolean&gt;fullTraverse </code></pre><p>Updates the Schematic View. When the parameter is set to true, the node hierarchy will be fully traversed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeID &lt;value&gt;anim </code></pre><p>Returns the Schematic View Node ID for the supplied sub-anim.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt --reset the max scene\n\
   --&gt; OK\n\
   teapot () --create a new teapot\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   SchematicViews.open &quot;Pots&quot; --open a new Schematic View\n\
   --&gt; True --yes, it worked!\n\
   --Get the ID of the Teapot node\n\
   SchematicViews.current.getSVNodeID $Teapot001\n\
   --&gt; 0 --it is ID 0\n\
   --Get the ID of the Visibility track of the Teapot node\n\
   SchematicViews.current.getSVNodeID $Teapot001[1]\n\
   --&gt; -1 --no such SV node, returns -1\n\
   --Now get the ID of the Transformation track of the Teapot\n\
   SchematicViews.current.getSVNodeID $Teapot001[3]\n\
   --&gt; 1 --it is ID 1\n\
   --Get the ID of the Position track of the Teapot\n\
   SchematicViews.current.getSVNodeID $Teapot001[3][1]\n\
   --&gt; 2 --it is ID 1\n\
   --Get the ID of the Object track of the Teapot\n\
   SchematicViews.current.getSVNodeID $Teapot001[4]\n\
   --&gt; 11 --it is ID 1\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeIDTab &lt;value&gt;anim </code></pre><p>Returns the Schematic View Node ID Tab as an array of integers. If <code>anim</code> is an instanced object, the array of Schematic View Node IDs corresponds to the Node IDs for that instanced object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeAnim &lt;integer&gt;svNodeID </code></pre><p>Returns the sub-anim object corresponding to the specified Schematic View Node ID</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt --reset the max scene\n\
   --&gt; OK\n\
   teapot () --create a new teapot\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   SchematicViews.open &quot;Pots&quot; --open a new Schematic View\n\
   --&gt; True --yes, it worked!\n\
   --Get the object node of the Teapot by ID (see example above)\n\
   SchematicViews.current.getSVNodeAnim 0\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   --Now get the sub-anim of the Transformation track of the Teapot\n\
   SchematicViews.current.getSVNodeAnim 1\n\
   --&gt; Controller:Position_Rotation_Scale\n\
   --Get the sub-anim of the Position track of the Teapot\n\
   SchematicViews.current.getSVNodeAnim 2\n\
   --&gt; Controller:Position_XYZ\n\
   --Get the sub-anim of the Object track of the Teapot\n\
   SchematicViews.current.getSVNodeAnim 11\n\
   --&gt; Teapot\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeName &lt;integer&gt;svNodeID </code></pre><p>Returns the Schematic View Node Name by ID</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   resetMaxFile #noPrompt\n\
   --&gt; OK\n\
   teapot()\n\
   --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
   SchematicViews.open &quot;Pots&quot;\n\
   --&gt; True\n\
   SchematicViews.current.getSVNodeName 0\n\
   --&gt; &quot;Teapot001&quot;\n\
   SchematicViews.current.getSVNodeName 1\n\
   --&gt; &quot;Position/Rotation/Scale (Transform)&quot;\n\
   SchematicViews.current.getSVNodeName 2\n\
   --&gt; &quot;Position XYZ (Position)&quot;\n\
   SchematicViews.current.getSVNodeName 11\n\
   --&gt; &quot;Teapot (Object)&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumSVNodes() </code></pre><p>Returns the number of Schematic View nodes as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.selectSVNode &lt;integer&gt;svNodeID [selectChildren:&lt;boolean&gt;] \n\
\n\
selectChildren default value: false </code></pre><p>Selects the node by ID. If the optional <code>selectChildren:</code> argument is set to <code>true</code> , the children of the node are also selected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deselectSVNode &lt;integer&gt;svNodeID [selectChildren:&lt;boolean&gt;] \n\
\n\
selectChildren: default value: false </code></pre><p>Deselects the node by ID. If the optional <code>selectChildren</code> is set to <code>true</code> , the children of the node are also deselected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectAll() </code></pre><p>Selects all nodes in the Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.deselectAll() </code></pre><p>Deselects all nodes in the Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectInvert() </code></pre><p>Inverts the current selection in the Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.selectChildren [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Selects the children of all selected nodes. If the optional svNodeId is supplied and is not -1, only children of the specified node will be selected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deselectChildren svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 </code></pre><p>Deselects the children of all selected nodes. If the optional svNodeId is supplied and is not -1, only children of the specified node will be deselected. The parent itself will not be deselected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectToScene() </code></pre><p>Synchronizes the Schematic View selection to the Scene - Selects the scene nodes that are selected in Schematic View.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectFromScene() </code></pre><p>Synchronizes the Schematic View selection from the Scene - Selects the Schematic View nodes that are selected in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSelectedSVNodes() </code></pre><p>Returns an array of svNodeID integers - one for each selected node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.isSelected &lt;integer&gt;svNodeID </code></pre><p>Returns true if the node specified by ID is selected, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.numChildren &lt;integer&gt;svNodeID </code></pre><p>Returns the number of children nodes in the node specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getChildSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;childNum </code></pre><p>Returns the svNodeID of the Nth child of the node specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.numParents [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Returns the number of parents. If the optional svNodeID is specified as in not -1, the number of parent nodes of the node specified by ID will be returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getParentSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;parentNum </code></pre><p>Returns the Nth parent&apos;s svNodeID of the child specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getFocus() </code></pre><p>Returns the svNodeID of the node that is in focus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.hidesvNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 </code></pre><p>Hides all selected nodes and their children. If the optional svNodeID is supplied and is not -1, only the specified node and its children will be hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.unHide &lt;integer&gt;svNodeID </code></pre><p>Unhides the node specified by ID. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.collapseSVNodes [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Collapses all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.hideAll() </code></pre><p>Hides all Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showAll() </code></pre><p>Unhides all Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.expandSVNodes [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Expands all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.shrink [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Shrinks all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.unShrink [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Unshrinks all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.unShrinkAll() </code></pre><p>Expands all Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.arrangeSVNode [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Arranges all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.arrangeChildren [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Arranges the children of all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.freeSVNode [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Frees all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <code>true</code> on success, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.freeAll() </code></pre><p>Frees all Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.zoomExtents() </code></pre><p>Zooms the Schematic View to fit all nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.zoomSelectedExtents() </code></pre><p>Zoom the Schematic View to fit the selected nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.panToSelected() </code></pre><p>Pans the Schematic View to the Selected Nodes without changing the Zoom factor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.zoomToSVNode &lt;integer&gt;svNodeID </code></pre><p>Zooms the Schematic View to show the Schematic View Node specified by ID. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.panToSVNode &lt;integer&gt;svNodeID </code></pre><p>Pans the Schematic View to show the Schematic View Node specified by ID. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;filename&gt;&lt;MixinInterface:SchematicView&gt;.getBackgroundImageName() </code></pre><p>Returns the background image name as filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.setBackgroundImageName &lt;filename&gt;name </code></pre><p>Sets the background image name to the specified filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.addBookmark &lt;string&gt;name </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.nextBookmark() </code></pre><p>Goes to the next Bookmark.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.prevBookmark() </code></pre><p>Goes to the previous Bookmark.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setSVNodePos &lt;integer&gt;svNodeID &lt;boolean&gt;children &lt;point2&gt;point </code></pre><p>Sets the position of the Schematic View Node specified by ID to the supplied Point2 value. If the children parameter is set to <code>True</code> , the Children of the specified node will be repositioned too. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodePos &lt;integer&gt;svNodeID </code></pre><p>Returns the position of the Schematic View Node specified by ID as a Point2 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.translateSVNode &lt;integer&gt;svNodeID &lt;boolean&gt;children &lt;point2&gt;point </code></pre><p>Translates the Schematic View Node specified by ID with the supplied Point2 value. If the children parameter is set to <code>True</code> , the Children of the specified node will be repositioned too. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.translateSelected &lt;point2&gt;point </code></pre><p>Translates the selected Schematic View Nodes by the supplied Point2 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.canAssignController svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 </code></pre><p>Returns <code>True</code> if a controller can be assigned to the Schematic View Node specified by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.showAssignControllerDialog svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 </code></pre><p>Opens the Assign Controller Dialog for the Schematic View Node specified by ID. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deleteSelected() </code></pre><p>Deletes the selected Schematic View Nodes. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.showProperties [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 </code></pre><p>Opens the Properties dialog for the Schematic View Node specified by ID. Returns <code>True</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeWidth() </code></pre><p>Returns the width of the Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeHeight() </code></pre><p>Returns the height of the Schematic View nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testSVNodeState &lt;integer&gt;svNodeID &lt;enum&gt;state \n\
\n\
state enums: {#selected | #visible | #displayed | #inode | #localRoot | #animated | #instanced | #shrink | #freeMove | #freeMoveParent | #inactive} </code></pre><p>Returns <code>true</code> if the node supplied by ID is in the specified state. <code>#inactive</code> tests for frozen or hidden nodes, <code>#localRoot</code> tests if the Schematic View Node is the root of a hierarchy (no parents), and <code>#inode</code> tests if the Schematic View Node is a Node object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeOwner &lt;integer&gt;svNodeID </code></pre><p>Returns the scene object owning the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeAnimID &lt;integer&gt;svNodeID </code></pre><p>Returns the sub-anim ID of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.doubleClickSVNode &lt;integer&gt;svNodeID </code></pre><p>Performs a double-click over the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumOutputRelationships &lt;integer&gt;svNodeID </code></pre><p>Returns the number of output relationships of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getOutputRelationshipType &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
\n\
getOutputRelationshipType enums: {#unknown | #paramwire | #constraint | #light | #modifier | #controller) </code></pre><p>Returns the type of the specified output relationship of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getOutputRelationshipSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;relIndex </code></pre><p>Returns the Schematic View node ID of the specified output relationship of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumInputRelationships &lt;integer&gt;svNodeID </code></pre><p>Returns the number of input relationships of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getInputRelationshipType &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
\n\
getInputRelationshipType enums: {#unknown | #paramwire | #constraint | #light | #modifier | #controller) </code></pre><p>Returns the type of the specified input relationship of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getInputRelationshipSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;relIndex </code></pre><p>Returns the Schematic View node ID of the specified input relationship of the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.canMakeSVNodeUnique &lt;integer&gt;svNodeID </code></pre><p>Returns <code>true</code> if the Schematic View node supplied by ID can be made unique.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.makeSVNodeUnique &lt;integer&gt;svNodeID </code></pre><p>Makes the Schematic View node supplied by ID unique, returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setShowRelationships &lt;integer&gt;svNodeID &lt;boolean&gt;show </code></pre><p>Controls the relationships display for the Schematic View node supplied by ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.getShowRelationships &lt;integer&gt;svNodeID </code></pre><p>Returns <code>true</code> if the relationships display for the Schematic View node supplied by ID is enabled, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showPreferencesDialog() </code></pre><p>Opens the Preferences dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showDisplayFloater &lt;boolean&gt;show </code></pre><p>Opens/closes the Preferences dialog. When the supplied parameter is <code>true</code> , the dialog will be opened, when <code>false</code> , it will be closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showRelationshipDialog &lt;boolean&gt;all </code></pre><p>Opens the Relationships dialog. When the supplied parameter is <code>true</code> , all relationships will be shown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showInstancesDialog &lt;boolean&gt;all </code></pre><p>Opens the Instances dialog. When the supplied parameter is <code>true</code> , all instances will be shown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showObjectOccurrenceDialog() </code></pre><p>Opens the Object Occurrence dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showListViewDialog &lt;&amp;integer array&gt;svNodes [title:&lt;string&gt;] [id:&lt;integer&gt;] \n\
\n\
svNodes is In and Out parameter \n\
title: default value: undefined \n\
id: default value: 1 </code></pre><p>Opens the ListView dialog displaying the nodes specified by an array of ID passed by reference. The ID parameter is useful for enabling menu items specific to your custom List View content.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.hideListViewDialog() </code></pre><p>Closes the ListView dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSelectedListViewSVNodes() </code></pre><p>Returns the nodes currently selected in the ListView dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogType() \n\
\n\
getListViewDialogType enums: {#unknown | #relationship | #instance | #occurrence | #userDefined) </code></pre><p>Returns the current type of the ListView dialog. <code>#userDefined</code> is returned for List Views created with the <code>showListViewDialog</code> method.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogID() </code></pre><p>Returns the ID of the ListView dialog as integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogTitle() </code></pre><p>Returns the title of the ListView dialog as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setMode &lt;enum&gt;mode \n\
\n\
mode enums: {#select | #connect | #paramwire | #pan | #zoom | #zoomregion} </code></pre><p>Sets the current Schematic View mode. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getMode() \n\
\n\
getMode enums: {#select | #connect | #paramwire | #pan | #zoom | #zoomregion) </code></pre><p>Returns the current Schematic View mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setLayoutMode &lt;enum&gt;mode \n\
\n\
mode enums: {#reference | #hierarchy} </code></pre><p>Sets the current Schematic View layout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getLayoutMode() \n\
\n\
getLayoutMode enums: {#reference | #hierarchy) </code></pre><p>Returns the current Schematic View layout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} </code></pre><p>Sets the specified Display Floater Filter. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.clearDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} </code></pre><p>Clears the specified Display Floater Filter. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} </code></pre><p>Tests the state of the specified Display Floater Filter. Returns <code>True</code> if the Filter is set, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} </code></pre><p>Sets the specified Display Floater Include Filter. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> <code>#pointControllerContainers</code> was called <code>#masterPoint</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.clearIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} </code></pre><p>Clears the specified Display Floater Include Filter. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> <code>#pointControllerContainers</code> was called <code>#masterPoint</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} </code></pre><p>Tests the state of the specified Display Floater Include Filter. Returns <code>True</code> if the Include Filter is set, <code>False</code> otherwise.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> <code>#pointControllerContainers</code> was called <code>#masterPoint</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getBaseSVNodeID &lt;integer&gt; </code></pre><p>Returns the SVNodeID of the base SVNode (the INode).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getRootSVNodeID &lt;integer&gt; </code></pre><p>Returns the SVNodeID of the local root for the SVNode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point2&gt;&lt;MixinInterface:SchematicView&gt;.screenToSV &lt;Point2&gt; </code></pre><p>Converts a screen coordinate into schematic view coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Array of Integers&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeIDByPoint &lt;Point2&gt; </code></pre><p>Will return an array of the graphnodes under the sv coordinate passed in as Point2.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-Interfaces-1.html\">Other Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\">Interface: SchematicViews</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";