var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8178D378-C160-4E9F-BC90-A84BD85A92B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATBoneDataMatrix3Controller : Matrix3Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATBoneDataMatrix3Controller : Matrix3Controller {1f781be7,19707e49} </code></pre><p>This Controller is part of <strong>3ds Max CAT</strong>. It holds the data of the bone including its ID, size, segments etc.</p>\n\
<p>In versions prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><code>CATBoneData : FloatController</code></strong> with the same ClassID and properties.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATBoneDataMatrix3Controller\n\
CATBoneData     \n\
BoneData  </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATBoneDataMatrix3Controller&gt;.Limb (CATLimbData) : maxObject </code></pre><p>Get/set the <a href=\"CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object of the Bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.BoneID : index </code></pre><p>Contains the BoneID index of the Bone.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.Length : float </code></pre><p>Get/set the length of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.Width : float </code></pre><p>Get/set the width of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.Depth : float </code></pre><p>Get/set the depth of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.NumSegs : integer </code></pre><p>Get/set the number of segments of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.TwistWeight : float </code></pre><p>Get/set the twist weight value of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATBoneDataMatrix3Controller&gt;.BoneSegs: maxObject array </code></pre><p>Contains an array of <a href=\"./../CAT-Transform-Controllers/CATBoneSegTrans.html\">bone segment controller objects</a></p>\n\
<h2 id=\"catbonedatamatrix3controller-interfaces-\">CATBoneDataMatrix3Controller interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:CATControlInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:CATNodeControlFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-17.html\">Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ExtraRigNodesInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ExtraRigNodesInterface.html\">Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:CATGroupManagerFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-16.html\">Interface: CATGroupManagerFPInterface</a> for properties and methods.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Data-Controllers.html\">CAT Data Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";