var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9B00A75C-6402-493B-8205-D509B58EE7AD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATSpineData2 : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATSpineData2 : ReferenceTarget {1d473a0e,3b151c9d} </code></pre><p>This object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>In versions prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><code>CATSpineData2 : FloatController</code></strong> with the same ClassID and properties.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATSpineData2      \n\
SpineData2 </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.BaseHub(TipController) : maxObject </code></pre><p>Get/set the HubTrans controller defining the base of theSpine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.TipHub(TipController) : maxObject </code></pre><p>Get/set the HubTrans controller defining the tip of theSpine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.SpineID: index </code></pre><p>Contains the ID of the Spine.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.NumBones: integer </code></pre><p>Get/set the number of bones in the Spine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.Bones: maxObject array </code></pre><p>Contains an array of all <a href=\"./../CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\">CATSpineTrans2 controllers</a> in the Spine.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.SpineWeight: float </code></pre><p>Get/set the Spine Weigth value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CATSpineData2&gt;.ProjectionVector: matrix3 </code></pre><p>Contains the Projection Vector of the Spine.</p>\n\
<h2 id=\"catspinedata2-interfaces-\">CATSpineData2 interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ICATControlFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-ICATControlFPInterface.html\">Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:CATGroupManagerFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-16.html\">Interface: CATGroupManagerFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:SpineFPInterface </code></pre><p>See <a href=\"./../../CAT-Interfaces/Interface-SpineFPInterface.html\">Interface: SpineFPInterface</a> for properties and methods. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Data-Controllers.html\">CAT Data Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";