var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FCCB15F0-917E-4162-AACE-ADFBF3EC129F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Garment_Maker : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Garment_Maker-SuperClass:modifier; super-superclass:MAXWrapper -classID:#(940967468, 1610249612) </code></pre><p>The <strong>Garment_Maker</strong> modifier turns a shape into a garment panel to be used in cloth simulations. It provides optimal meshing for achieving wrinkles and cloth-like behavior.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Garment_Maker...      \n\
Garmentize2 ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.density Float default: 1.0 -- float </code></pre><p>Get/Set the value of the <strong>&quot;Density&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.autoMesh BooleanClass default: true -- boolean </code></pre><p>Get/Set the state of the <strong>&quot;Auto mesh&quot;</strong> checkbox. When true (default), the meshing is performed automatically. When false, the meshing is performed manually by either pressing the Mesh It button in the UI or by calling the gmakerOps.meshit() method documented below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.preserve BooleanClass default: true -- boolean </code></pre><p>Get/Set the state of the <strong>&quot;Preserve&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.relax BooleanClass default: false -- boolean </code></pre><p>Get/Set the state of the <strong>&quot;Relax&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.outputType Integer default: 0 -- integer; Output_Type </code></pre><p>Get/Set the output type radio buttons state. Possible values are:</p>\n\
<p>0 - Arranged Panels</p>\n\
<p>1 - Preserved Surface</p>\n\
<p>2 - Flat Panels</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.figure UndefinedClassdefault: undefined -- node </code></pre><p>Get/Set the Figure object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.stretchMapping BooleanClass default: true -- boolean; Stretch_Mapping </code></pre><p>Get/Set the state of the <strong>&quot;Stretch Mapping Coordinates&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.striptexturescale Float default: 0.1 -- float; Stip_Texture_Scale </code></pre><p>Get/Set the strip texture scale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.stripwidth Float default: 0.5 -- float; Strip_Width </code></pre><p>Get/Set the strip width value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.showMesh BooleanClass default: false -- boolean; Show_Mesh </code></pre><p>Get/set whether to show the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Garment_Maker&gt;.showSeams BooleanClass default: true -- boolean; Show_Seams </code></pre><p>Get/set whether to show the seams.</p>\n\
<h2 id=\"garment-maker-interfaces-\">Garment Maker Interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: gmakerOps </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;generateDescription() </code></pre><p>Generates a new MAXScript description of the currently selected object and outputs it to a new MAXScript Editor window.</p>\n\
<blockquote>\n\
<p>   <strong>SAMPLE OUTPUT CAN LOOK LIKE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $.modifiers[#garmentmaker].setDensity 0.364000\n\
   $.modifiers[#garmentmaker].setSeamTolerance 0.060000\n\
   $.modifiers[#garmentmaker].setPanelMatrix 1 (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000] )\n\
   $.modifiers[#garmentmaker].setFlatPanelMatrix 1 (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000] )\n\
   $.modifiers[#garmentmaker].setPanelParams 1 1.000000 0 0.001000 0 1\n\
   $.modifiers[#garmentmaker].meshIt()\n\
</code></pre></blockquote>\n\
<h3 id=\"object-rollout\">Object Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setDensity &lt;float&gt;density </code></pre><p>Sets the cloth density.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getDensity() </code></pre><p>Returns the cloth density.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;meshIT() </code></pre><p>Corresponds to pressing the <strong>&quot;Mesh It!&quot;</strong> button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;meshItPreserve() </code></pre><p>Corresponds to pressing the <strong>&quot;Mesh It and Preserve&quot;</strong> button.</p>\n\
<h3 id=\"panels-rollout\">Panels Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelParams&lt;index&gt;panel &lt;float&gt;density &lt;integer&gt;deform_type &lt;float&gt;curvature &lt;integer&gt;axis &lt;integer&gt;MatID </code></pre><p>Sets all parameters of the indexed panel to the specified values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getPanelDeformType &lt;index&gt;panel </code></pre><p>Returns the deformation type of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Curved</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelDeformType &lt;index&gt;panel &lt;integer&gt;deform_type </code></pre><p>Sets the deformation type of the indexed panel to the specified value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Curved</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getPanelDensity &lt;index&gt;panel </code></pre><p>Returns the density of the indexed panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelDensity &lt;index&gt;panel &lt;float&gt;density </code></pre><p>Sets the density of the indexed panel to the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getPanelMatID &lt;index&gt; panel </code></pre><p>Returns the Material ID of the indexed panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelMatID &lt;index&gt;panel &lt;integer&gt;MatID </code></pre><p>Sets the Material ID of the indexed panel to the specified ID.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getPanelCurvature &lt;index&gt;panel </code></pre><p>Returns the Curvature of the indexed panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelCurvature &lt;index&gt;panel &lt;float&gt;curvature </code></pre><p>Sets the Curvature of the indexed panel to the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getPanelAxis &lt;index&gt;panel </code></pre><p>Returns the Axis of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X-axis</p>\n\
<p>1 - Y-axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelAxis &lt;index&gt;panel &lt;integer&gt;axis </code></pre><p>Sets the Axis of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X-axis</p>\n\
<p>1 - Y-axis</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getPanelFromSpline &lt;index&gt;spline </code></pre><p>Returns the index of the panel defined by the supplied indexed spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;getPanelMatrix &lt;index&gt;panel </code></pre><p>Returns the matrix of the indexed panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setPanelMatrix &lt;index&gt;panel &lt;matrix3&gt;matrix </code></pre><p>Sets the matrix of the indexed panel to the supplied matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;getFlatPanelMatrix &lt;index&gt;panel </code></pre><p>Returns the matrix of the indexed flat panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setFlatPanelMatrix &lt;index&gt;panel &lt;matrix3&gt;matrix </code></pre><p>Sets the matrix of the indexed flat panel to the supplied matrix3 value.</p>\n\
<h3 id=\"curves-andseams-rollouts\">Curves andSeams Rollouts</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setSeamParamsByIndex &lt;index&gt;seam &lt;float&gt;bend_angle &lt;float&gt;bend_stiffness &lt;boolean&gt;enabled &lt;float&gt;sewing_stiffness </code></pre><p>Set all parameters of the indexed seam to the supplied values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ButtonCreateSeam() </code></pre><p>Corresponds to pressing the <strong>&quot;Create Seam&quot;</strong> button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;selectSplines &lt;bitArray&gt;sel </code></pre><p>Selects the splines specified by bits set in the supplied bitArray.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theSpline = Donut()\n\
   addModifier theSpline (Garment_Maker())\n\
   select theSpline\n\
   subObjectLevel = 1--change to Spline SO mode\n\
   theSpline.Garment_Maker.selectSplines #{1}--select the outer spline\n\
   sleep 1--wait a second\n\
   theSpline.Garment_Maker.selectSplines #{2}--select the inner spline\n\
   sleep 1--wait another second\n\
   theSpline.Garment_Maker.selectSplines #{1,2}--select both splines\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;createSeamFromSplines &lt;index&gt;spline1 &lt;index&gt;spline2 &lt;integer&gt;orientation </code></pre><p>Creates a seam from the supplied two indexed splines with the given orientation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;makeMultiSegmentFromSplines&lt;int array&gt;indices </code></pre><p>Corresponds to pressing the <strong>&quot;Make MultiSegment&quot;</strong> button for the indexed splines specified in the supplied array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getSeamTolerance() </code></pre><p>Returns the seam tolerance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setSeamTolerance &lt;float&gt;tolerance </code></pre><p>Sets the seam tolerance to the specified value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Cloth.html\">MAXScript Extensions for Cloth</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Cloth-Modifier.html\">Cloth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-for-Cloth.html\">MAXScript Extensions for Cloth</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";