var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CF8F64FA-C1FB-4FDD-9AE1-9B70FC6CA9A0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mCloth : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mCloth - superclass: modifier; super-superclass:MAXWrapper - 65:0 - classID:#(685326, 452282) </code></pre><p>The <strong>mCloth modifier</strong> implements the MassFX compatible component of the Cloth system of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mCloth...      </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"mcloth-simulation-rollout\">mCloth Simulation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.behavior  Integer default: 0; Cloth_behavior</code></pre><p>Get/set the state of the <strong>&quot;Cloth Behavior&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Dynamic</strong></p>\n\
<p>1 - <strong>Kinematic</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.untilframeenable  Boolean default: False; until_frame</code></pre><p>Get/set the state of the <strong>&quot;Unit Frame&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.kinematic_until_frame  Float default: 0</code></pre><p>Get/set the value of the <strong>&quot;Unit Frame&quot;</strong> spinner</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.inherit_velocity  Boolean default: False</code></pre><p>Get/set the state of the <strong>&quot;Inherit Velocity&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.enablelivedrag  Boolean default: False; Enable_Live_Drag</code></pre><p>Get/set the state of the <strong>&quot;Live Drag&quot;</strong> checkbutton.</p>\n\
<p>Currently no effect.</p>\n\
<h2 id=\"forces-rollout\">Forces Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_gravity  Boolean default: True</code></pre><p>Get/set the state of the <strong>&quot;Use Global Gravity&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Gravity settings of the MassFX Dialog will be used.</p>\n\
<p>When set to False, the global Gravity will be ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.forceList  Array default: #()</code></pre><p>Get/set the list of Scene Forces to apply to the Cloth simulation.</p>\n\
<h2 id=\"capture-states-rollout\">Capture States Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.showCurrentState  Boolean default: False; Show_Current_State</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.showTargetState  Boolean default: False; Show_Target_State</code></pre><h2 id=\"physical-fabric-properties-rollout\">Physical Fabric Properties Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.gravity  Float default: 1.0</code></pre><p>Get/set the value of the <strong>&quot;Gravity Scale&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.density  Float default: 50.0</code></pre><p>Get/set the value of the <strong>&quot;Density&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.stretchiness  Float default: 0.0; Stretching_Stiffness</code></pre><p>Get/set the value of the <strong>&quot;Stretchiness&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.bendiness  Float default: 0.0; Bend_Stiffness</code></pre><p>Get/set the value of the <strong>&quot;Bendiness&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_bending_ortho  Boolean default: True</code></pre><p>Get/set the state of the <strong>&quot;Use Ortho Bending&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.damping_coefficient  Float default: 0.5; Damping</code></pre><p>Get/set the value of the <strong>&quot;Damping&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.friction  Float default: 0.5</code></pre><p>Get/set the value of the <strong>&quot;Friction&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.compressions_limit  Float default: 1.0; compression_limit</code></pre><p>Get/set the value of the <strong>&quot;Compression &gt; Limit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.compressions_stiffness  Float default: 1.0; compression_stiffness</code></pre><p>Get/set the value of the <strong>&quot;Compression &gt; Stiffness&quot;</strong> spinner.</p>\n\
<h2 id=\"volume-properties-rollout\">Volume Properties Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_pressure  Boolean default: False</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.pressure  Float default: 0.0</code></pre><h2 id=\"interaction-rollout\">Interaction Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.self_collision  Boolean default: True; enable_self_collision</code></pre><p>Get/set the state of the <strong>&quot;Self Collisions&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.self_thickness  Float default: 0.2; Self_Collision_Thickness</code></pre><p>Get/set the value of the <strong>&quot;Self Thickness</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.enable_collision  Boolean default: True</code></pre><p>Get/set the state of the <strong>&quot;Collide To Rigid Objects&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.thickness  Float default: 0.01</code></pre><p>Get/set the value of the <strong>&quot;Thickness&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.two_way_collision  Boolean default: True; do_two_way_collisions</code></pre><p>Get/set the state of the <strong>&quot;Push Rigid Objects&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.attachToCollide  Boolean default: False; Attach_to_Collide</code></pre><p>Get/set the state of the <strong>&quot;Attach To Colliders&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.attachment_response_coefficient  Float default: 0.2; attachment_response_coeff</code></pre><p>Get/set the value of the <strong>&quot;Influence&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.attachment_tear_factor  Float default: 1.5</code></pre><p>Get/set the value of the <strong>&quot;Detach Past&quot;</strong> spinner.</p>\n\
<h2 id=\"tearing-rollout\">Tearing Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.tearable  Boolean default: False</code></pre><p>Get/set the state of the <strong>&quot;Allow Tearing&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.tear_factor  Float default: 1.5</code></pre><p>Get/set the value of the <strong>&quot;Tear Past&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.weldMethod  Integer default: 1; Weld_Method</code></pre><p>Get/set the state of the <strong>&quot;Weld Prior To Tearing&quot;</strong> radio buttons control.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vertices</strong></p>\n\
<p>1 - <strong>Normals</strong></p>\n\
<p>2 - <strong>Don&apos;t Weld</strong></p>\n\
<h2 id=\"visualize-rollout\">Visualize Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.showTension  Boolean default: False; Show_Tension</code></pre><p>Get/set the state of the <strong>&quot;Tension&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.tensionScale  Float default: 1.0; Tension_Scale</code></pre><p>Get/set the value of the <strong>&quot;Tension&quot;</strong> spinner.</p>\n\
<h2 id=\"advanced-rollout\">Advanced Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_hard_stretch_limitation  Boolean default: False</code></pre><p>Get/set the state of the <strong>&quot;Anti-Stretch&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.hard_stretch_limitation  Float default: 1.0</code></pre><p>Get/set the value of the <strong>&quot;Limit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.com_damping  Boolean default: False; do_com_damping</code></pre><p>Get/set the state of the <strong>&quot;Use COM Damping&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.hardware  Boolean default: False; do_hardware_simulation</code></pre><p>Get/set the state of the <strong>&quot;Hardware Acceleration&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.solver_iterations  Integer default: 5</code></pre><p>Get/set the value of the <strong>&quot;Solver Iter.&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.Hierarchical_Solver_Iterations  Integer default: 2</code></pre><p>Get/set the value of the <strong>&quot;Hier. Sol. Iter.&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.hierarchical_Levels  Integer default: 0</code></pre><p>Get/set the value of the <strong>&quot;Hier. Levels&quot;</strong> spinner.</p>\n\
<h2 id=\"not-exposed-to-the-ui\">Not Exposed To The UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.cacheFile  String default: undefined; Cache_File</code></pre><p>Get/set the cache file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.simOnRender  Boolean default: False; Simulate_on_Render</code></pre><p>Get/set the simulate on render option. Default is False. When set to True, mCloth simulation can be performed before rendering if necessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_bending  Boolean default: True</code></pre><p>Get/set the state of the Do Bending option. Default is True. When set to False, no bending will be simulated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_damping  Boolean default: True</code></pre><p>Get/set the state of the Do Damping option. Default is True. When set to False, no damping will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_untangling  Boolean default: False</code></pre><p>Get/set whether to perform untangling. Default is False. When set to True, the mCloth will attempt to untangle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_inter_collision  Boolean default: False</code></pre><p>Get/set whether to perform inter-collisions. Default is False. When set to True, the mCloth will calculate inter-collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_adhere  Boolean default: False</code></pre><p>Get/set the enabled state of the Adhere option. Default is False. When set to True, the cloth will adhere to rigid bodies it collided with.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.min_adhere_velocity  Float default: 1.0</code></pre><p>Get/set the minimum adhere velocity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.do_fluid_collision  Boolean default: False</code></pre><p>Get/set the state of the Fluid Collision option. Default is False. When set to True, fluid collisions will be calculated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.disable_dynamic_ccd  Boolean default: True</code></pre><p>Get/set the disabled state of Dynamic Continuous Collision Detection option. Default is True. When set to False, dynamic CCD will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.collision_response_coefficient  Float default: 1.0</code></pre><p>Get/set the Collision Response coefficient. This can be used to scale up and down the response to collisions.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.to_fluid_response_coefficient  Float default: 1.0; to_fluid_response_coeff</code></pre><p>Get/set the Collision Response To Fluid coefficient.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.from_fluid_response_coefficient  Float default: 1.0; from_fluid_response_coeff</code></pre><p>Get/set the Collision Response From Fluid coefficient.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.is_static  Boolean default: False</code></pre><p>Get/set the Static state of the mCloth. Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.visualization  Boolean default: False</code></pre><p>Get/set the enabled state of the Visualization.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mCloth&gt;.validbounds  Boolean default: False; do_valid_bounds</code></pre><p>Get/set whether to validate bounds.</p>\n\
<h2 id=\"default-group-properties\">Default Group Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.useSoftSelection Boolean default: False; Use_Soft_Selection</code></pre><p>Get/set the state of the Soft-Selection <strong>&quot;Use Soft-Selection&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselUseEdgeDistance Boolean default: False; Use_Edge_Distance</code></pre><p>Get/set the state of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselEdgeDist Integer default: 1; Edge_Distance</code></pre><p>Get/set the value of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselAffectBackfacing Boolean default: True; Affect_Backfacing</code></pre><p>Get/set the state of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselFalloff Float default: 20.0; Falloff</code></pre><p>Get/set the value of the Soft-Selection <strong>&quot;Falloff&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselPinch Float default: 0.0; Pinch</code></pre><p>Get/set the value of the Soft-Selection <strong>&quot;Pinch&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.softselBubble Float default: 0.0; Bubble</code></pre><p>Get/set the value of the Soft-Selection <strong>&quot;Bubble&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.useTextureMap Boolean default: False; Use_Texture_Map</code></pre><p>Get/set the state of the Soft-Selection <strong>&quot;Use Texture Map&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.texture Map default: undefined; TextureMap</code></pre><p>Get/set the texture map of the Soft-Selection .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.map Integer default: 0; Map_Channel_Type</code></pre><p>Get/set the state of the Soft-Selection <strong>&quot;Mapping Channel&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Map</strong></p>\n\
<p>1 - <strong>Vertex Color</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.mapChannel Integer default: 1; Map_Channel</code></pre><p>Get/set the value of the Soft-Selection <strong>&quot;Map&quot;</strong> spinner.</p>\n\
<h2 id=\"named-point-group-properties\">Named Point Group Properties</h2><p>When a named Point Group is created in the mCloth modifier, it will appear as a property of the mCloth with the same name as the group definition, e.g Group001.</p>\n\
<p>Alternatively, you can use the mClothOps Interface&apos;s method <code>&lt;mCloth&gt;.getGroupParamBlock &lt;GroupName&gt;</code> to get the Parameter Block of the Group by name and access its properties.</p>\n\
<p><strong>A Group exposes the following properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Active Boolean default: True</code></pre><p>Get/set the state of the Group Constraint&apos;s <strong>&quot;On&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Is_Soft Boolean default: False</code></pre><p>Get/set the state of the Group Constraint&apos;s <strong>&quot;Soft Constraint&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Strength Float default: 100.0</code></pre><p>Get/set the value of the Group Constraint&apos;s <strong>&quot;Strength&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Damping Float default: 10.0</code></pre><p>Get/set the value of the Group Constraint&apos;s <strong>&quot;Damping&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Use_Edge_Distance Boolean default: False</code></pre><p>Get/set the state of the Group Constraint&apos;s <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Edge_Distance Integer default: 1</code></pre><p>Get/set the value of the Group&apos;s Soft-Selection <strong>&quot;Edge Distance&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Affect_Backfacing Boolean default: True</code></pre><p>Get/set the state of the Group Constraint&apos;s <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Falloff Float default: 20.0</code></pre><p>Get/set the value of the Group&apos;s Soft-Selection <strong>&quot;Falloff&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Pinch Float default: 0.0</code></pre><p>Get/set the value of the Group&apos;s Soft-Selection <strong>&quot;Pinch&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Bubble Float default: 0.0</code></pre><p>Get/set the value of the Group&apos;s Soft-Selection <strong>&quot;Bubble&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Use_Texture_Map Boolean default: False</code></pre><p>Get/set the state of the <strong>&quot;Use Texture Map&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Map_Channel_Type Integer default: 0 </code></pre><p>Get/set the Group&apos;s Mapping Channel Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Map</strong></p>\n\
<p>1 - <strong>Vertex Color</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.mapChannel Integer default: 1; Map_Channel</code></pre><p>Get/set the Group&apos;s Map Channel. Valid values are in the range from 1 to 99.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Group_Name String default: &quot;Group001&quot;</code></pre><p>Get/set the name of the group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Offset Float default: 1.0</code></pre><p>Get/set the Offset value.</p>\n\
<p>Unexposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Offset_is_Relative Boolean default: True</code></pre><p>Get/set whether the offset is relative or absolute.</p>\n\
<p>Unexposed to the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mClothGroup&gt;.Use_Vertex_Colors Boolean default: False</code></pre><p>Unexposed to the UI.</p>\n\
<h2 id=\"interface-mclothops\">Interface: mclothOps</h2><p><strong>Methods:</strong></p>\n\
<h3 id=\"mcloth-paramblock2-access\">mCloth ParamBlock2 Access</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;paramBlock2&gt;&lt;mCloth&gt;.getObjectParamBlock &lt;node&gt;node</code></pre><p>Returns the ParamBlock2 of the mCloth applied to the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;paramBlock2&gt;&lt;mCloth&gt;.getGroupParamBlock &lt;string&gt;groupname</code></pre><p>Returns the ParamBlock2 of the specified named Point Group.</p>\n\
<h3 id=\"point-group-methods\">Point Group Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;mCloth&gt;.numberVertices &lt;node&gt;node</code></pre><p>Returns the vertex count of the node the mCloth is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.selectVertices &lt;bitArray&gt;sel &lt;node&gt;node</code></pre><p>Sets the vertex selection to the bitarray specified by the first argument. The second argument is the node the mCloth is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;mCloth&gt;.getSelectedVertices &lt;node&gt;node</code></pre><p>Returns the vertex selection as a bitarray. The argument is the node the mCloth is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;mCloth&gt;.makePointGroup &lt;bitArray&gt;vertex_sel &lt;node&gt;node &lt;string&gt;name</code></pre><p>Creates a Point Group from the specified vertex selection in the given node and assigns it the name specified by the third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.makeConstraint &lt;string&gt;groupname &lt;string&gt;type &lt;node&gt;target_node</code></pre><p>Creates a Constraint from the specified group of the given type using the given node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.initPointgroup &lt;string&gt;groupname</code></pre><p>Initializes the named Point Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.detachPointgroup &lt;string&gt;groupname</code></pre><p>Detaches the named Point Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.deletePointgroup &lt;string&gt;groupname</code></pre><p>Deletes the named Point Group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.makeGroupConstraint &lt;string&gt;groupname &lt;string&gt;target_group</code></pre><p>Constrains the group specified by name in the first argument to the target group specified by name in the second argument.</p>\n\
<h3 id=\"simulation-methods\">Simulation Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.simulate &lt;boolean&gt;show_dialog</code></pre><p>Simulates the mCloth. The boolean argument controls whether the simulation dialog should be shown or not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.simulateLocal &lt;integer&gt;stop_condition &lt;float&gt;param &lt;boolean&gt;damped</code></pre><p>Performs a local simulation with the stop condition specified by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.stopLocalSimulation()</code></pre><p>Stops the local simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.eraseSimulation()</code></pre><p>Erases the simulation data.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.truncateSimulation()</code></pre><p>Truncates the simulation.</p>\n\
<h3 id=\"capture-state-methods\">Capture State Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.setInitialState &lt;node&gt;node</code></pre><p>Sets the node&apos;s Initial State.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.resetState &lt;node&gt;node</code></pre><p>Resets the node&apos;s state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.grabState &lt;node&gt;node</code></pre><h3 id=\"cache-methods\">Cache Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.delObjectCache &lt;node&gt;node</code></pre><p>Deletes the object cache of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.exportCache &lt;node&gt;node &lt;string&gt;filename</code></pre><p>Exports the cache of the specified node to the file provided by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.importCache &lt;node&gt;node &lt;string&gt;filename</code></pre><p>Imports the cache specified by the second argument into the node given by the first argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.loadCache &lt;node&gt;node</code></pre><p>Loads the cache of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.loadAllCaches()</code></pre><p>Loads all caches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.saveCache &lt;node&gt;node</code></pre><p>Saves the cache of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.saveExtraCache &lt;node&gt;node</code></pre><p>Saves the extra cache of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.saveAllCaches()</code></pre><p>Saves the caches of all nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.saveAllExtraCaches()</code></pre><p>Saves the extra caches of all nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;&lt;mCloth&gt;.getObjectProperty &lt;node&gt;node &lt;string&gt;property</code></pre><p>Returns the given node&apos;s property value. The second argument specifies the property name as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.createKeys()</code></pre><p>Bakes the simulation to keys.</p>\n\
<h2 id=\"future-methods-currently-missing-implementation\">Future Methods - Currently Missing Implementation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.setObjectType &lt;node&gt;node &lt;integer&gt;type &lt;boolean&gt;updateSim</code></pre><p>Set the Object Type of the specified node to the integer passed as second argument. If the third argument is True, the simulation will be updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;mCloth&gt;.getObjectType &lt;node&gt;node</code></pre><p>Get the Object Type as Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.setObjectProperty &lt;node&gt;node &lt;string&gt;property &lt;value&gt;value</code></pre><p>Set the Object Property with name specified by the second argument in the node given by the first argument to the value provided by the third argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TSTR array&gt;&lt;mCloth&gt;.showObjectProperties()</code></pre><p>Show the Object Properties of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.addForceField &lt;node&gt;node</code></pre><p>Add Force Field to the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.removeForceField &lt;node&gt;node</code></pre><p>Remove Force Field from the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.flagParticles &lt;bitArray&gt;sel</code></pre><p>Flag the particles specified by the vertex selection bitarray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;mCloth&gt;.makeTear &lt;bitArray&gt;vertex_sel &lt;node&gt;node &lt;string&gt;name</code></pre><p>Create a Tear using the specified vertex selection bitarray in the node given by the second argument and name the tear using the third argument.   </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;mCloth&gt;.clearTears &lt;node&gt;node</code></pre><p>Clear the Tears definitions in the specified node.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Cloth.html\">MAXScript Extensions for Cloth</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";