var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F55F480F-FC4B-4427-8423-C99C75B09044\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Body_Cutter : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Body_Cutter - superclass: GeometryClass; super-superclass:node - 11:6 - classID: #(399379502, 1556289495)</code></pre><p>The Body_Cutter object introduced in <strong>3ds Max 2011</strong> is used to perform cut operation on <a href=\"Body_Object-GeometryClass.html\">Body Objects</a>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"body-cutter-parameters\">Body Cutter Parameters</h2><p><img src=\"./images/GUID-D621BD34-F8BD-4717-9E39-AF9E2C4DE966-low.gif\" alt></p>\n\
<h3 id=\"conversion\">Conversion</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">convertToBodyCutter &lt;node&gt; </code></pre><p>Converts the specified geometry to a <code>Body_Cutter</code>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.AutoExtract (Auto_Extract) : boolean</code></pre><p>Get/set the state of the Auto Extract Body Objects checkbox.</p>\n\
<p>When set to true, picking a Stock will automatically extract the result of the cutting as a new <a href=\"Body_Object-GeometryClass.html\">Body Object</a>.</p>\n\
<p>When set to false (default), the result of the cutting will remain a Body_Cutter object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.GroupResults (Group_Results) : boolean</code></pre><p>Get/set the state of the Group Extracted Results checkbox.</p>\n\
<p>When set to true, the extracted Body Objects will be grouped.</p>\n\
<p>When set to false (default), the extracted Body Objects will remain independent.</p>\n\
<h3 id=\"cutting-options\">Cutting Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.StockOutside (Stock_Outside_Cutters) : boolean</code></pre><p>Get/set the state of the Stock Outside Cutters checkbox.</p>\n\
<p>When set to true (default), the stock outside the cutter will be in the result of the cutting operation.</p>\n\
<p>When set to false, the stock outside the cutter will not be in the result of the cutting operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.StockInside (Stock_Inside_Cutters) : boolean</code></pre><p>Get/set the state of the Stock Inside Cutters checkbox.</p>\n\
<p>When set to true, the stock inside the cutter will be in the result of the cutting operation.</p>\n\
<p>When set to false (default), the stock inside the cutter will not be in the result of the cutting operation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.CutterOutside (Cutter_Ouside_Stocks) : boolean</code></pre><p>Get/set the state of the CutterInside Stock checkbox.</p>\n\
<p>When set to true, the cutter outside the stock will be in the result of the cutting operation.</p>\n\
<p>When set to false (default), the cutter outside the stock will not be in the result of the cutting operation.</p>\n\
<h2 id=\"operator-parameters\">Operator Parameters</h2><p><img src=\"./images/GUID-5A96167A-092A-4437-BE16-D24B770F7F77-low.gif\" alt></p>\n\
<h3 id=\"display\">Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.ShowResultOP (Show_Result__Hide_Ops) : boolean</code></pre><p>Get/set the state of the Result checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.ShowAllOperandsOP (Show_Ops__Hide_Result) : boolean</code></pre><p>Get/set the state of the All Operands checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.ShowSelectedOperandsOP (Show_Selected_Operands) : boolean</code></pre><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean\n\
&lt;Body_Cutter&gt;.SaveBrepsOP (Save_NURBS_Breps) : boolean\n\
&lt;Body_Cutter&gt;.FastEditOP (Fast_Edit) : boolean\n\
\n\
&lt;Body_Cutter&gt;.OP_NOT_USED1 (Update_Radio) : integer\n\
&lt;Body_Cutter&gt;.OP_NOT_USED2 (Update_Now) : boolean\n\
&lt;Body_Cutter&gt;.OP_NOT_USED3 (Save_Render_Mesh) : boolean\n\
&lt;Body_Cutter&gt;.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean</code></pre><h2 id=\"rendering-approximation\">Rendering Approximation</h2><p><img src=\"./images/GUID-3FA3C3DC-FA15-4D21-A9C0-DFC18F751AEE-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.RenderViewportMeshRA (Render_Viewport_Mesh) : boolean</code></pre><p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<h3 id=\"render-mesh-generation\">Render Mesh Generation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.RenderRadioRA (Render_Radio) : integer</code></pre><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx.</p>\n\
<h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.LowQualityRA (LowQuality) : boolean</code></pre><p>Get/set the state of the Draft checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.MediumQualityRA (MediumQuality) : boolean</code></pre><p>Get/set the state of the Good checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.HighQualityRA (HighQuality) : boolean</code></pre><p>Get/set the state of the Production checkbutton.</p>\n\
<h3 id=\"approximation\">Approximation</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.FaceApproxAngleRA (Face_Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.EdgeApproxAngleRA (Edge_Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.FaceChordRA (Face_Chord) : float</code></pre><p>Get/set the Face Chors %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.EdgeChordRA (Edge_Chord) : float</code></pre><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.MaxEdgeRA (Edge_Length_Rendering) : float</code></pre><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<h3 id=\"misc-options\">Misc. Options</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.WeldAndSmoothRA (Weld_and_Smooth) : boolean</code></pre><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.SaveRenderMeshRA (Save_Render_Mesh) : boolean</code></pre><p>Get/set the state of the Save Render Mesh checkbox.</p>\n\
<h2 id=\"viewport-display-settings\">Viewport Display Settings</h2><p><img src=\"./images/GUID-38C5CD04-07A8-4382-B249-AC4687DC822D-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.DisplayRadioVDS (Display_Radio) : integer</code></pre><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.LowQualityVDS (LowQuality) : boolean</code></pre><p>Get/set the state of the Coarse checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.MediumQualityVDS (MediumQuality) : boolean</code></pre><p>Get/set the state of the Medium checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.HighQualityVDS (HighQuality) : boolean</code></pre><p>Get/set the state of the Fine checkbutton.</p>\n\
<h3 id=\"mesh-display\">Mesh Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.CleanMeshVDS (CleanMesh) : boolean</code></pre><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.FaceApproxAngleVDS (Face_Approx__Angle) : float</code></pre><p>Get/set the Face Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.EdgeApproxAngleVDS (Edge_Approx__Angle) : float</code></pre><p>Get/set the Edge Approx. Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.FaceChordHeightVDS (Face_Chord_Height) : float</code></pre><p>Get/set the Face Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.EdgeChordHeightVDS (Edge_Chord_Height) : float</code></pre><p>Get/set the Edge Distance % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.MaxEdgeLengthPctVDS (Edge_Length) : float</code></pre><p>Get/set the Max.Edge Len. % value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.SmoothingPassesVDS (Smoothing_Passes) : float</code></pre><p>Get/set the Smoothing Passes value.</p>\n\
<h3 id=\"curve-display\">Curve Display</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.ULinesVDS (U_Lines) : float</code></pre><p>Get/set the Lines U value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.VLinesVDS (V_Lines) : float</code></pre><p>Get/set the Lines V value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean</code></pre><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.IsoAngleDS (Iso_Angle) : float</code></pre><p>Get/set the Approx value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.IsoChordHeightVDS (Iso_Chord) : float</code></pre><p>Get/set the Curve Distance value.</p>\n\
<h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.SubDMeshVDS (SubDMesh) : boolean\n\
 &lt;Body_Cutter&gt;.VDS_NOT_USED1 (Update) : boolean</code></pre><h2 id=\"face-display-parameters\">Face Display Parameters</h2><p><img src=\"./images/GUID-AD1B2284-F0E7-4B60-8F80-BEB8446F06A0-low.gif\" alt></p>\n\
<p>No Properties Exposed.</p>\n\
<h2 id=\"not-exposed-to-ui\">Not Exposed To UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.FilletAllEdgesFAO : boolean\n\
&lt;Body_Cutter&gt;.FirstOrEndEdgesFAO : boolean\n\
&lt;Body_Cutter&gt;.SecondOrSideEdgesFAO : boolean\n\
&lt;Body_Cutter&gt;.ThirdOrStartEdgesFAO : boolean\n\
&lt;Body_Cutter&gt;.FilletRadiusFAO : float\n\
&lt;Body_Cutter&gt;.ApproximateArcFAO : boolean\n\
&lt;Body_Cutter&gt;.ConstantDistanceFAO : boolean\n\
&lt;Body_Cutter&gt;.LinearCrossSectionFAO : boolean\n\
&lt;Body_Cutter&gt;.ShellStartFaceFAO : boolean\n\
&lt;Body_Cutter&gt;.ShellEndFaceFAO : boolean\n\
&lt;Body_Cutter&gt;.ShellRadioFAO : integer\n\
&lt;Body_Cutter&gt;.OffsetRadiusFAO : float\n\
&lt;Body_Cutter&gt;.CornerExtensionFAO (Corner_Extension) : boolean\n\
&lt;Body_Cutter&gt;.SectionTypeFAO : integer\n\
&lt;Body_Cutter&gt;.BlendStrengthFAO : float\n\
&lt;Body_Cutter&gt;.FAO_NOT_USED1 : boolean\n\
&lt;Body_Cutter&gt;.FAO_NOT_USED2 : boolean\n\
&lt;Body_Cutter&gt;.FAO_NOT_USED3 : boolean\n\
&lt;Body_Cutter&gt;.FAO_NOT_USED4 : boolean</code></pre><h2 id=\"surface-analysis-not-exposed-to-ui-\">Surface Analysis(Not Exposed To UI)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.DisplayControlPointsSA (Display_Control_Points) : boolean\n\
 &lt;Body_Cutter&gt;.DisplayControlMeshSA (Display_Control_Mesh) : boolean\n\
 &lt;Body_Cutter&gt;.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean\n\
 &lt;Body_Cutter&gt;.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer\n\
 &lt;Body_Cutter&gt;.CurvatureScaleSA (Curvature_Scale) : float\n\
 &lt;Body_Cutter&gt;.CurvatureDensitySA (Curvature_Density) : float\n\
 &lt;Body_Cutter&gt;.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean\n\
 &lt;Body_Cutter&gt;.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer\n\
 &lt;Body_Cutter&gt;.StdDevMultiplesSA (Std__Dev__Multiples) : float\n\
 &lt;Body_Cutter&gt;.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean\n\
 &lt;Body_Cutter&gt;.StdDevMinRangeSA (Std__Dev__Min_Range) : float\n\
 &lt;Body_Cutter&gt;.StdDevMaxRangeSA (Std__Dev__Max_Range) : float\n\
 &lt;Body_Cutter&gt;.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean</code></pre><h2 id=\"nq-not-exposed-to-ui-\">NQ(Not Exposed To UI)</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Body_Cutter&gt;.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean\n\
&lt;Body_Cutter&gt;.ExtrToNURBSNQ (Extr_To_Nurbs) : boolean\n\
&lt;Body_Cutter&gt;.ExtrToCurveNQ (Extr_To_Curve) : boolean\n\
&lt;Body_Cutter&gt;.NQ_NOT_USED1 (Flip_All) : boolean\n\
&lt;Body_Cutter&gt;.NQ_NOT_USED2 (Flip_Selected) : boolean\n\
&lt;Body_Cutter&gt;.NQ_NOT_USED3 (Extract_To_Spline) : boolean\n\
&lt;Body_Cutter&gt;.NQ_NOT_USED4 (Show_Counts) : boolean\n\
&lt;Body_Cutter&gt;.NQ_NOT_USED5 (Extract_To_CShape) : boolean</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Solid.html\">MAXScript Extensions for Solid Bodies</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Body_Object-GeometryClass.html\">Body_Object : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Join_Bodies-GeometryClass.html\">Join_Bodies : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body_Utility-GeometryClass.html\">Body_Utility : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Body-Objects.html\">Body Objects</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";