var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-82D61E0F-772E-40FB-A43C-81359CF26405\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>InputCustom : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InputCustom - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313538, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>InputCustom</strong> Particle Data View sub-operator copies data from a channel created by Output New operator.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InputCustom...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Set/set the Data Channel source sub-operator object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Data_Handle     Integer    default: 0   --  integer</code></pre><p>Get/set the Data Handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Use_Proxy_Particles     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use O1 As Proxy Particles&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Use_I2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use I2 As Particle IDs&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.I3_Usage     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the &quot;Proxy System Indexing&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single Proxy System</strong> (default)</p>\n\
<p>1 - <strong>Use I3 As System Index</strong></p>\n\
<p>2 - <strong>Use I3 As Compound Index</strong></p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input 1 (Object) sub-operator providing the Proxy particle system when <strong><code>.Use_Proxy_Particles</code></strong> is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input 2 (Integer) sub-operator providing the Particle ID when <strong><code>.Use_I2</code></strong> is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input 3 (Integer) sub-operator providing the System Index or Compound Index when <strong><code>.I3_Usage</code></strong> is set to 2 or 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;InputCustom&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the boolean output sub-operator controlling when the InputCustom will be evaluated.</p>\n\
<p>Setting this property to a sub-operator with boolean output will effectively wire it to the InputCustom sub-operator&apos;s Filter socket.</p>\n\
<p>Setting it to undefined will remove the Filter wiring.</p>\n\
<h2 id=\"inputcustom-interfaces-\">InputCustom interfaces:</h2><p><strong>The following common interface is exposed by the InputCustom Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";