var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E087E212-0516-46C9-9D1C-08BCD953EE44\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ObjectParameter : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ObjectParameter - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1137313562, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>ObjectParameter</strong> Particle Data View sub-operator acquires parameter data from a reference object.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ObjectParameter...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"object-group-of-controls\">Object group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.object     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the scene object to access parameters from.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Currently there is no way to set the parameter to be read using MAXScript.</div>\n\
<h2 id=\"parameter-group-of-controls\">Parameter group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.Subframe_Sampling     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Subframe Sampling&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list used when <code>.Use_As_Speed_Or_Spin_Rate</code> is set to True.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.Input     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the first Input socket of the ObjectParameter sub-operator.</p>\n\
<p>It provides the Timing control input when the <code>.Subframe_Sampling</code> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ObjectParameter&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the ObjectParameter sub-operator.</p>\n\
<h2 id=\"objectparameter-interfaces-\">ObjectParameter interfaces:</h2><p><strong>The following common interface is exposed by the ObjectParameter Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";