var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-05F97365-A4C7-4888-B91A-5B043610C6F1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>geometryReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">geometryReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 27:0 - classID: #(1137313555, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>geometryReferenceTarget</strong> Particle Data View sub-operator acquires properties from reference objects with geometry.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">geometryReferenceTarget...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"object-property-group-of-controls\">Object Property group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Object By Surface</strong> (default)</p>\n\
<p>1 - <strong>Closest Object By Vertex</strong></p>\n\
<p>2 - <strong>Closest Point By Surface</strong></p>\n\
<p>3 - <strong>Closest Point Distance</strong></p>\n\
<p>4 - <strong>Closest Vertex</strong></p>\n\
<p>5 - <strong>Collision Point</strong></p>\n\
<p>6 - <strong>Face Area</strong></p>\n\
<p>7 - <strong>Face Selection</strong></p>\n\
<p>8 - <strong>Inside Objects</strong></p>\n\
<p>9 - <strong>Object Number Of Faces</strong></p>\n\
<p>10 - <strong>Object Number Vertices</strong></p>\n\
<p>11 - <strong>Object Size</strong></p>\n\
<p>12 - <strong>Object Surface</strong></p>\n\
<p>13 - <strong>Object Volume</strong></p>\n\
<p>14 - <strong>Point Color</strong></p>\n\
<p>15 - <strong>Point Color 3D</strong></p>\n\
<p>16 - <strong>Point Color Gradient</strong></p>\n\
<p>17 - <strong>Point Color Gradient 3D</strong></p>\n\
<p>18 - <strong>Point Self-Illumination</strong></p>\n\
<p>19 - <strong>Point Mapping</strong></p>\n\
<p>20 - <strong>Point Mapping Gradient</strong></p>\n\
<p>21 - <strong>Point Material Index</strong></p>\n\
<p>22 - <strong>Point Normal</strong></p>\n\
<p>23 - <strong>Point Opacity</strong></p>\n\
<p>24 - <strong>Point Position</strong></p>\n\
<p>25 - <strong>Point Soft Selection</strong></p>\n\
<p>26 - <strong>Point Speed</strong></p>\n\
<p>27 - <strong>Random Surface Point</strong></p>\n\
<p>28 - <strong>Random Volume Point</strong></p>\n\
<p>29 - <strong>Vertex Color</strong></p>\n\
<p>30 - <strong>Vertex Illum</strong></p>\n\
<p>31 - <strong>Vertex Normal</strong></p>\n\
<p>32 - <strong>Vertex Opacity</strong></p>\n\
<p>33 - <strong>Vertex Position</strong></p>\n\
<p>34 - <strong>Vertex Selection</strong></p>\n\
<p>35 - <strong>Vertex Speed</strong></p>\n\
<p>36 - <strong>Closest Point By Normal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_Sub_Material     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Sub-Material #&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Sub_Material_Index     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Sub-Material #&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Map_Channel_Index     Integer    default: 1   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Map Channel #&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Gradient_Delta     Float    default: 0.1   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Gradient Delta&quot;</strong> spinner.</p>\n\
<h2 id=\"objects-group-of-controls\">Objects group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Static_Objects     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Static Objects&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Animated_Surface     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Animated Surface&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Geometry_Safe_Mode     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Geometry Safe Mode&quot;</strong> checkbox.</p>\n\
<h2 id=\"subframe-sampling-group-of-controls\">Subframe Sampling group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Subframe_Placement     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Placement&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Subframe_Geometry     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Geometry&quot;</strong> checkbox.</p>\n\
<h2 id=\"separate-indexing-for-group-of-controls\">Separate Indexing For group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Separate_Group_Members     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Group Members&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Separate_Children     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Children&quot;</strong> checkbox.</p>\n\
<h2 id=\"data-wiring-group-of-controls\">Data Wiring group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_T2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;T2 As Object Timing&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_I3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I3 Designates Objects&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_V4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;V4 As Particle Position&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_V5     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;V4 As Particle Speed&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_R6     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;R6 As Gradient Delta&quot;</strong> checkbox.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Random_Seed     Integer    default: 39558   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Use_E7     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the seven Input sockets of the Geometry sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;geometryReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter input socket of the Geometry sub-operator.</p>\n\
<h2 id=\"geometryreferencetarget-interfaces-\">geometryReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the geometryReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";