var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D7895CDF-2CE6-4E29-A65B-E2F64C3EB029\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DeleteParticles : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteParticles - superclass: helper; super-superclass:node - 4:0 - classID: #(1962490645, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>DeleteParticles</strong> operator is used to remove particles from the particle system. By default, particles live <strong>&apos;forever&apos;</strong>, that is, for the duration of the animation. The <strong>DeleteParticles</strong> operator lets you give them a finite life span. This is useful for eliminating particles once they&apos;ve served their purpose in the animation.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteParticles... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;deleteHelper&gt;.Type Integer default: 0 -- integer </code></pre><p>Controld the state of the <strong>Remove</strong> radio buttons in the UI. Possible values are:</p>\n\
<p>0: <strong>All Particles</strong> - Deletes all particles in the event immediately.</p>\n\
<p>1: <strong>Selected Particles Only</strong> - Deletes particles selected at the Particle sub-object level in the event immediately.</p>\n\
<p>2: <strong>By Particle Age</strong> - Deletes particles in the event after they&apos;ve existed for a specific length of time, with an optional random variation. Choosing this makes the Life Span and Variation settings available.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;deleteHelper&gt;.Life_Span Integer default: 9600 -- integer </code></pre><p>Get/Set the number of ticks the particles will live. After this period, particles are deleted.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> 9600 <a href=\"./../../../../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a> equal 2 seconds or 60 frames at 30 fps. This value is exposed as frames in the UI. The default UI value is 60 frames.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;deleteHelper&gt;.Variation Integer default: 1600 -- integer </code></pre><p>Get/Set the maximum amount by which Life Span may vary. To get each particle&apos;s actual life span, this value is multiplied by a random number between -1.0 and 1.0, and then added to Life Span.</p>\n\
<p><strong>Note</strong> : The UI value is exposed as frames and defaults to 10 frames which is 1/3 second at 30 fps, or 1600 <a href=\"./../../../../../../MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\">ticks</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;deleteHelper&gt;.Random_Seed Integer default: 12345 -- integer </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"deleteparticles-interfaces-\">deleteParticles Interfaces:</h2><p><strong>The following Interfaces are exposed by the deleteHelper Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";