var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D84EB009-7442-45B1-9E5A-9B6A0E9E5B04\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Material_Frequency : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Frequency - superclass: helper super-superclass:node - classID: #(1962490664, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Frequency</strong> operator lets you assign a material to an event, and specify the relative frequency with which each sub-material appears. Typically, the material is a Multi/Sub-Object material, and you specify the frequency by setting a percentage for each of up to 10 different sub-materials (or material ID). The software assigns IDs to particles in a random sequence, based on these percentages. You can also use other materials that use sub-materials, such as Double Sided and Top/Bottom.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Material_Frequency... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Assign_Material Boolean default:true </code></pre><p>When set to True, the operator assigns a material to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Material Material default:undefined </code></pre><p>Get/set the Material to be assigned to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Assign_Material_ID Boolean default:false </code></pre><p>When set to True, the operator defines a material ID number for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Show_In_Viewport Boolean default:false </code></pre><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Mtl_ID_1 Float default:50.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_2 Float default:50.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_3 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_4 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_5 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_6 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_7 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_8 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_9 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_10 Float default:0.0 --percentage </code></pre><p>Specify the relative likelihood of particles to be assigned the corresponding material ID.</p>\n\
<p>Assign values for all IDs, or sub-materials, in the material that you want to have applied to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Material_Frequency&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"material_frequency-interfaces-\">Material_Frequency Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-and-Mapping.html\">Material and Mapping</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";