var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F86FC8CC-96B3-453D-9200-484EBF4B17E5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Stop_Gradually : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Stop_Gradually - superclass: Helper; super-superclass:node - 10:0 - classID: #(1509449986, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Stop_Gradually</strong> operator slows down particle movement and spinning to complete stop. Once a particle loses all speed and spinning, it satisfies the test and is sent to the next event. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Stop_Gradually...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"stop-type-group-of-controls\">Stop Type group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Position     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of <strong>&quot;Position&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Linear motion will be stopped gradually.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Rotation     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Angular motion will be stopped gradually.</p>\n\
<h2 id=\"slowdown-start-time-group-of-controls\">Slowdown Start Time group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Timing_Start_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Timing&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong></p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Slow_Down_Start_Time     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time&quot;</strong>/ <strong>&quot;Age&quot;</strong> / <strong>&quot;Event Time&quot;</strong> spinner depending on the state of the <code>.Timing_Start_Type</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Start_Time_Variation     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner.</p>\n\
<h2 id=\"stop-time-group-of-controls\">Stop Time group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Use_Different_Types     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Different Timing Type&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Stop Time will be set to use a different Timing option.</p>\n\
<p>When set to False (default), the same timing option as the Start Time will be used for the Stop Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Stop_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Timing&quot;</strong> drop-down list.</p>\n\
<p>It will be used only when <code>.Use_Different_Types</code> is set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong></p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Stop_Time     Integer    default: 2400   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time&quot;</strong>/ <strong>&quot;Age&quot;</strong> / <strong>&quot;Event Time&quot;</strong> spinner - the name depends on the selection of the <code>.Timing_Start_Type</code> or <strong><code>.Stop_Type</code></strong> property (the latter is used when <code>.Use_Different_Types</code> is set to True).</p>\n\
<p>The value is in Ticks. The default 2400 Ticks are equal to Half Second, which at 30 FPS is 15 frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Stop_Time_Variation     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Stop_Gradually&gt;.Random_Seed     Integer    default: 21074   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<h2 id=\"stop_gradually-interfaces-\">Stop_Gradually Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Speed.html\">Speed</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";