var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-809C2220-CDA3-4B88-AF15-A50C3603949F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_InterCollision : helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_InterCollision - superclass: helper; super-superclass:node - 8:0 - classID: #(1935830277, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_InterCollision</strong> test is used to track collisions between particles as triggers for sending the particles to the next event.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_InterCollision...\n\
PhysXInterCollision... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"collision-registration-with-group-of-controls\">Collision Registration With group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Scope_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Collision Registration With&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particles In Current Event</strong> (default)</p>\n\
<p>1 - <strong>Particles In Events</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Selected_Events     ArrayParameter    default: #()   --  int array; SubAnim</code></pre><p>Get/set the list of Event objects to register collisions with.</p>\n\
<h2 id=\"test-true-if-particle-group-of-controls\">Test True If Particle group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Test_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Test True If Particles&quot;</strong> radio buttons:</p>\n\
<p>0 - <strong>Collides</strong> (default)</p>\n\
<p>1 - <strong>Is Slow After Collision(s)</strong></p>\n\
<p>2 - <strong>Is Fast After Collision(s)</strong></p>\n\
<p>3 - <strong>Collided Multiple Times</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Min_Speed     Float    default: 1.0   --  animatable; worldUnits; TempSub</code></pre><p>Get/set the value of the <strong>&quot;Speed Min&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Max_Speed     Float    default: 1000.0   --  animatable; worldUnits; TempSub</code></pre><p>Get/set the value of the <strong>&quot;Speed Max&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Collision_Count     Integer    default: 5   --  integer; TempSub</code></pre><p>Get/set the value of the <strong>&quot;# Times&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Report_To_Data_Operator     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of <strong>&quot;Report To Data Operator&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_InterCollision&gt;.Additive_Count     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of <strong>&quot;Additive Count&quot;</strong> checkbox.</p>\n\
<h2 id=\"mp_intercollision-interfaces-\">mP_InterCollision interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_InterCollision Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\">Interface: integrator</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";