var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9692946B-A3A8-4BB1-A605-504D00D78AA6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Shape : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Shape - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830274, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Shape</strong> operator defines the particle shape for collisions.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Shape...\n\
PhysXShape... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Collide_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Collide As&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1 - <strong>Capsule</strong></p>\n\
<p>2 - <strong>Convex Hull</strong></p>\n\
<p>3 - <strong>Sphere</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Display_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Display As&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>None</strong> (default)</p>\n\
<p>1 - <strong>Shaded</strong></p>\n\
<p>2 - <strong>Wireframe</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Color     Color    default: (color 255 255 0)   --  RGB color</code></pre><p>Get/set the value of the Color Swatch.</p>\n\
<h2 id=\"collision-shape-size-group-of-controls\">Collision Shape Size group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Conform_To_Particle_Shape     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the value of the <strong>&quot;Conform To Particle Shape&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Shape_Length     Float    default: 1.0   --  worldUnits; Length</code></pre><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Shape_Width     Float    default: 1.0   --  worldUnits; Width</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Shape_Height     Float    default: 1.0   --  worldUnits; Height</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Scale_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the Scale Type radio buttons.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Scale %</strong></p>\n\
<p>1 - <strong>Use Shape Scale Factor</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Scale     Float    default: 100.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Scale %&quot;</strong> spinner.</p>\n\
<h2 id=\"convex-hull-generation-group-of-controls\">Convex Hull Generation group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Weld_Threshold     Float    default: 0.01   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Weld Threshold&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Inflate_Width     Float    default: 0.01   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Inflate Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Scale_Margin     Float    default: 1.0   --  percent</code></pre><p>Get/set the value of the <strong>&quot;Scale Margin %&quot;</strong> spinner.</p>\n\
<h2 id=\"bounce-and-friction-group-of-controls\">Bounce And Friction group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Restitution     Float    default: 0.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Restitution&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Static_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Static Friction&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Dynamic_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Dynamic Friction&quot;</strong> spinner.</p>\n\
<h2 id=\"mass-group-of-controls\">Mass group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Mass_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the Mass Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>By Value</strong></p>\n\
<p>1 - <strong>By Density</strong> (default)</p>\n\
<p>2 - <strong>From Mass Channel</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Mass     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;By Value&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Density     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;By Density&quot;</strong> spinner.</p>\n\
<h2 id=\"shape-interpenetration-group-of-controls\">Shape Interpenetration group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Interpenetration_Tolerance     Float    default: 0.01   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Tolerance&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Generate_Tolerance_Channel     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the value of the <strong>&quot;Generate Data Channel&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Shape&gt;.Collision_Group     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Collision Group&quot;</strong> spinner.</p>\n\
<h2 id=\"mp_shape-interfaces-\">mP_Shape interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Shape Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";