var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D6C178C1-2622-4EF8-849D-FD216CE9E3C3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FootSteps : Matrix3 Controller</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Footsteps : MAXWrapper {3011,0} </code></pre><p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Access:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt; = $&apos;Bip01 Footsteps&apos;.transform.controller </code></pre><p>or:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt; = $&apos;Bip01 Footsteps&apos;.controller </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This controller is attached to the transform track of the named Biped footstep object.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.freeFormMode Boolean Default: False </code></pre><p>false - Edit Footsteps</p>\n\
<p>true - Edit Free Form (no physics)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.dispNumType Integer Default: 0 </code></pre><p>0 - Start and End Frame</p>\n\
<p>1 - Start Frame</p>\n\
<p>2 - Duration</p>\n\
<p>3 - Double Support</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.dispAirDur Boolean Default: False </code></pre><p>Displays the foot air duration. This is the number of frames each foot is in the air in the lower part of each footstep&apos;s portion of the track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.dispNoSupport Boolean Default: False </code></pre><p>Displays the number of frames when both feet are off the ground, directly above the areas without footsteps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.rootName String Default: Varies </code></pre><p>Contains the root name of the Biped using the Foootsteps Controller. Changing the value of this property also changes the root name of the Biped.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;footsteps_ctrl&gt;.rootNode Node Default: Varies -- Read-only </code></pre><p>The root node (COM) of the Biped system to which this footstep_ctrl belongs.</p>\n\
<p>The following example accesses the footstep controller, sets several values, and then displays all of its properties.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   bipObj = biped.createNew 100 -90 [0,0,0]\n\
   fsCont=$&apos;Bip001 Footsteps&apos;.transform.controller\n\
   fsCont.freeFormMode= true \n\
   fsCont.dispNumType= 3 \n\
   fsCont.dispAirDur= false \n\
   fsCont.dispNoSupport= false \n\
   showProperties fsCont \n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Controllers.html\">Biped Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Biped-Footsteps-and-Footprints/Biped-Footprints.html\">Biped Footprints</a></li>\n\
          <li><a class=\"link\" href=\"../Biped-Keys.html\">Biped Keys</a></li>\n\
          <li><a class=\"link\" href=\"../../Biped-MAXScript-Extensions.html\">Biped MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";