var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E70D3CFB-21A8-4432-BBCD-7F6A19B26F9A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Note Track Access</h1></div><p>All MAXWrapper objects can have one or more note tracks assigned to them.</p>\n\
<p>These note tracks are visible in Track View as children of the MAXWrapper object.</p>\n\
<p>Note tracks provide a way for plug-ins to attach data to any <strong>3ds Max</strong> object in a scene, such as nodes, materials, modifiers, controllers, etc., that is permanently stored with that object in the <strong>3ds Max</strong> scene file.</p>\n\
<p>This data is stored in note keys, and a note track can contain any number of note keys.</p>\n\
<p>The structure of note tracks is similar to the structure of key-able animation controllers.</p>\n\
<p>A note track is an instance of the class, and has a property called <code>keys</code> .</p>\n\
<p>The value returned by accessing the <code>keys</code> property is a <code>MAXNoteKeyArray</code> .</p>\n\
<p>The <code>MAXNoteKeyArray</code> contains the note keys.</p>\n\
<p>The keys themselves are accessed as if the <code>MAXNoteKeyArray</code> was an array.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">Note Track Access</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Notetrack-Values.html\">Notetrack Values</a></li>\n\
          <li><a class=\"link\" href=\"MAXNoteKeyArray-Values-1.html\">MAXNoteKeyArray Values</a></li>\n\
          <li><a class=\"link\" href=\"MAXNoteKey-Values.html\">MAXNoteKey Values</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Note-Tracks.html\">Working with Note Tracks</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";