var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-57F5EBBA-5F54-4CD4-8993-0B07A3571293\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>StandardMaterial : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Standardmaterial - superclass: material; super-superclass:MAXWrapper - classID: #(2, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">standardMaterial...      \n\
standard...   </code></pre><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#the-following-properties-were-associated-with-the-dynamics-properties-rollout-available-from-3ds-max-2-to-3ds-max-2011-\">The following properties were associated with the Dynamics Properties rollout available from 3ds Max 2 to 3ds Max 2011.</a></li>\n\
<li><a href=\"#shader-types-phong-metal-blinn-oren-nayar-blinn-anisotropic-translucent\">Shader Types: Phong; Metal; Blinn; Oren-Nayar-Blinn; Anisotropic; Translucent</a></li>\n\
<li><a href=\"#the-following-additional-properties-are-applicable-to-the-oren-nayar-blinn-shader-\">The following additional properties are applicable to the Oren-Nayar-Blinn shader:</a></li>\n\
<li><a href=\"#the-following-additional-properties-are-applicable-to-the-anisotropic-shader-\">The following additional properties are applicable to the Anisotropic shader:</a></li>\n\
<li><a href=\"#the-following-additional-properties-are-applicable-to-the-translucent-shader-\">The following additional properties are applicable to the Translucent shader:</a></li>\n\
<li><a href=\"#shader-type-multi-layer\">Shader Type: Multi-Layer</a></li>\n\
<li><a href=\"#shader-type-strauss\">Shader Type: Strauss</a><ul>\n\
<li><a href=\"#standardmaterial-interfaces-\">Standardmaterial interfaces:</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Properties</strong></p>\n\
<p>The properties of a standard material vary based on the shader type. The following properties are applicable to all shader types:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.shaderType Integer default: 1 -- alias: Shader_Type </code></pre><p>Sets the shader type:</p>\n\
<p>0- Anisotropic</p>\n\
<p>1- Blinn</p>\n\
<p>2- Metal</p>\n\
<p>3- Multi-Layer</p>\n\
<p>4- Oren-Nayar-Blinn</p>\n\
<p>5- Phong</p>\n\
<p>6- Strauss</p>\n\
<p>7-Translucent</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.shaderByName String default:&quot;Blinn&quot;&amp;emdash;alias: Shader_Name </code></pre><p>Sets the type of shader with a string, rather than a number. Enter &quot; <code>anisotropic</code> &quot;,&quot; <code>blinn</code> &quot;,&quot; <code>metal</code> &quot;,&quot; <code>multi-layer</code> &quot;,&quot; <code>oren-nayar-blinn</code> &quot;,&quot; <code>phong</code> &quot;,&quot; <code>strauss</code> &quot;or&quot; <code>Translucent Shader</code> &quot;</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>.shaderType</code> and <code>.shaderByName</code> are linked and will automatically change each others values.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;standard&gt;.wire Boolean default: false -- boolean </code></pre><p>When on, the material will be rendered in wireframe mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.twoSided Boolean default: false -- alias: Two_sided </code></pre><p>When on, the material will be applied to both sides of the selected faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.faceMap Boolean default: false -- alias: Face_Map </code></pre><p>Applies the material to the faces of the geometry. If the material is a mapped material, it requires no mapping coordinates. The map is automatically applied to each facet of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.faceted Boolean default: false </code></pre><p>Renders each face of a surface as if it were flat.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.adTextureLock Boolean default: true -- alias: Ambient_Diffuse_Texture_Lock </code></pre><p>When on, ambient and diffuse texture maps will be locked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;standard&gt;.adLock Boolean default: true -- alias: Ambient_Diffuse_Lock </code></pre><p>When on, ambient and diffuse colors will be locked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityType Integer default: 0 -- alias: Opacity_Type </code></pre><p>Sets the type of opacity:</p>\n\
<p>0- Filter</p>\n\
<p>1- Subtractive</p>\n\
<p>2- Additive</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacity Float default: 100.0 -- animatable, percentage </code></pre><p>Sets the opacity/transparency of the material as a percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.filterColor Color default: (color 127.5 127.5 127.5) -- animatable, alias: Filter_Color </code></pre><p>The color transmitted through transparent or semi-transparent materials such as glass.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityFallOffType Integer default: 0, -- alias: Falloff_Type </code></pre><p>Sets the fallof type:</p>\n\
<p>0- In (Increases transparency towards the inside of the object, as in a glass bottle.)</p>\n\
<p>1- Out (Increases transparency towards the outside of the object, as in a cloud of smoke.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityFallOff Float default: 0.0 -- animatable, percentage, alias: Falloff </code></pre><p>Specifies the amount of transparency at the outside or inside extreme.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.ior Float default: 1.5 -- animatable, alias: Index_of_Refraction </code></pre><p>Sets the index of refraction (IOR) used by refraction maps and raytracing. The IOR controls how severely the material refracts transmitted light. Left at 1.0, the IOR of air, the object behind the transparent object does not distort. At 1.5 the object behind distorts greatly, like a glass marble. At an IOR slightly less than 1.0, the object reflects along its edges, like a bubble seen from under water.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.wireSize Float default: 1.0 -- animatable, alias: Wire_Size </code></pre><p>Sets the size of the wire inwireframe mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.wireUnits Integer default: 0 -- alias: Wire_Units </code></pre><p>Sets the units to use with the <code>.wiresize</code> value:</p>\n\
<p>0- Pixels</p>\n\
<p>1- Units</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.applyReflectionDimming Boolean default: false -- alias: Apply_Reflection_Dimming </code></pre><p>Turn on to use reflection dimming. When off, the reflection-mapped material is not affected by the presence or absence of direct light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.dimLevel Float default: 0.0 -- animatable, alias: Dim_Level </code></pre><p>The amount of dimming that takes place in shadow. At 0.0, the reflection map is completely dark in shadow. At 0.5, the reflection map is half dimmed. At 1.0, the reflection map is not dimmed and the material appears as if Apply were turned off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.reflectionLevel Float default: 3.0 -- animatable, alias: Reflection_Level </code></pre><p>Affects the intensity of the reflection that is <em>not</em> in shadow. The Reflection Level value multiplies the illumination level of the lit area of the reflection, to compensate for dimming.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.sampler Integer default: 3 -- alias: Pixel_Sampler </code></pre><p>Sets the sampler type:</p>\n\
<p>0 - <strong>Adaptive Halton</strong> (Spaces samples along both X and Y axes according to a scattered, &quot;quasi random&quot; pattern. Depending on Quality, the number of samples can range from 4 to 40. )</p>\n\
<p>1 - <strong>Adaptive Uniform</strong> (Spaces samples regularly, from a minimum quality of 4 samples to a maximum of 36. The pattern is not square, but skewed slightly to improve accuracy in the vertical and horizontal axes. )</p>\n\
<p>2 - <strong>Hammersley</strong> (Spaces samples regularly along the X axis, but along the Y axis it spaces them according to a scattered, &quot;quasi random&quot; pattern. Depending on Quality, the number of samples can range from 4 to 40.)</p>\n\
<p>3 - <strong>Max 2.5 Star</strong> (The sample at the center of the pixel is averaged with 4 samples surrounding it. The pattern is like the fives on dice.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerByName String default: &quot;Max 2.5 Star&quot; -- string; Sampler_Name </code></pre><p>Sets the sampler type by name. Enter <strong>&quot;Adaptive Halton&quot;,</strong>&quot;<strong>Adaptive Uniform&quot;</strong>, &quot;<strong>Hammersley&quot;</strong>, or &quot;<strong>Max 2.5 Star&quot;</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerEnable Boolean default: false -- animatable, alias: Sampler_Enable </code></pre><p>When on, applies supersampling to the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.subSampleTextureOn Boolean default: true -- animatable, alias: SubSample_Textures </code></pre><p>When on, the maps applied to the material are supersampled as well. When off, the supersampler uses pixel averages for maps.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerQuality Float default: 0.5 -- animatable, alias: Sampler_Enable </code></pre><p>Adjusts the quality of supersampling by controlling the number of samples used for each pixel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerAdaptOn Boolean default: true -- alias: Adaptive_On </code></pre><p>When on, these methods take fewer samples than the Quality specifies unless samples show a change in color greater than the Threshold value. In that case, they take all the samples specified by the Quality. Turning on Adaptive On can reduce the amount of time required to supersample.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerAdaptThreshold Float default: 0.1 -- alias: Adaptive_Threshold </code></pre><p>Controls the Adaptive methods. A change in color greater than the Threshold value causes the adaptive methods to take the full number of samples specified by the Quality. If the color does not change as much, the adaptive method takes fewer samples and does not require as much processing time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.samplerAdvancedOptions Boolean default: true -- alias: Advanced_Options </code></pre><p>The samplerAdvancedOptions property is defined as a property, but is not used by the Standard material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;standard&gt;.UserParam0 Float default: 0.0 -- alias: Optional_Param0 \n\
&lt;standard&gt;.UserParam1 Float default: 0.0 -- alias: Optional_Param1 </code></pre><p>The UserParam0 and UserParam1 properties are defined as properties, but are not used by the Standard material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.maps ArrayParameter default: #(undefined, undefined, ... , undefined, undefined) \n\
&lt;Standard&gt;.mapEnables ArrayParameter default: #(false, false, ... , false, false) -- alias: Map_Enables \n\
&lt;Standard&gt;.mapAmounts ArrayParameter default: #(100.0, 100.0, ... , 100.0, 100.0) -- animatable, alias: Map_Amounts </code></pre><p>The three map arrays each have 24 elements and store data related to the material&#x2019;s maps. The <code>maps</code> array stores the textureMap for each channel, the <code>mapEnables</code> array stores whether the that map channel is enabled, and the <code>mapAmounts</code> array stores the amount value for each channel. The meaning of each map channel depends on the shaderType value. Table <a href=\"StandardMaterial-Material.html\">Map Channels for Standard Material Shaders</a> shows the meaning of each map channel for each shader. For example, for the Blinn shader type element 5 of the map arrays correspond to the Glossiness map channel. The names in this table also reflect property aliases that have been defined for easier access to the map channels. Again for the Blinn shader type, array element 4, the property aliases for the 3 map arrays are: <code>GlossinessMap</code> (maps[5]), <code>GlossinessMapEnable</code> (mapEnables[5]), and <code>GlossinessMapAmount</code> (mapAmounts[5]). A textureMap needs to be assigned to a <code>maps</code> array element (or alias) before the corresponding <code>mapAmounts</code> property (or alias) can be animated.</p>\n\
<h3 id=\"the-following-properties-were-associated-with-the-dynamics-properties-rollout-available-from-3ds-max-2-to-3ds-max-2011-\">The following properties were associated with the Dynamics Properties rollout available from 3ds Max 2 to 3ds Max 2011.</h3><p>These properties have been <strong>removed</strong> together with the old Dynamics system introduced in <strong>3ds Max 2</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.bounce Float default: 1.0 -- animatable, alias: Bounce_Coefficient </code></pre><p>Sets how far an object bounces after hitting a surface. The higher the value, the greater the bounce. A value of 1 represents a &quot;perfectly elastic collision&quot;, or a bounce in which no kinetic energy is lost.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.staticFriction Float default: 0.0 -- animatable, alias: Static_Friction </code></pre><p>Sets how difficult it is for the object to start moving along a surface. The higher this value, the more difficult.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.slidingFriction Float default: 0.0 -- animatable, alias: Sliding_Friction </code></pre><p>Sets how difficult it is for the object to keep moving over a surface. The higher this value, the more difficult for the object to keep moving.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<h3 id=\"shader-types-phong-metal-blinn-oren-nayar-blinn-anisotropic-translucent\">Shader Types: Phong; Metal; Blinn; Oren-Nayar-Blinn; Anisotropic; Translucent</h3><p>Unless otherwise noted, the following additional properties are applicable to the above shader types:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.ambient Color default:(color 127.5 127.5 127.5)- animatable; RGB color; Ambient_Color </code></pre><p>Controls the ambient color. The ambient color is the color in direct light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.ambientMap TextureMap default: undefined -- alias for maps[0] </code></pre><p>Get/Set the ambient map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.ambientMapAmount Float default: 100.0 -- alias for mapAmounts[0] </code></pre><p>Get/Set the ambient map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;standard&gt;.ambientMapEnable Boolean default: false -- alias for mapEnables[0] </code></pre><p>Enable/Disable the ambient map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuse Color default:(color 127.5 127.5 127.5)-- animatable, alias: Diffuse_Color </code></pre><p>Controls the diffuse color. The diffuse color is the color in direct light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseLevel Float default: 100.0 -- animatable; percentage; Diffuse_Level </code></pre><p>Controls the brightness of the material&#x2019;s diffuse component. Increasing this value increases diffuse brightness, and decreasing it reduces diffuse brightness without affecting the specular highlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseLevelMap TextureMap default: undefined -- alias for maps[8] </code></pre><p>Get/Set the diffuse level map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseLevelMapAmount Float default: 100.0 -- alias for mapAmounts[8] </code></pre><p>Get/Set the diffuse level map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseLevelMapEnable Boolean default: false -- alias for mapEnables[8] </code></pre><p>Enable/Disable the diffuse level map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseMap TextureMap default: undefined -- alias for maps[1] </code></pre><p>Get/Set the diffuse map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseMapAmount Float default: 100.0 -- alias for mapAmounts[1] </code></pre><p>Get/Set the diffuse map value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseMapEnable Boolean default: false -- alias for mapEnables[1] </code></pre><p>Enable/Disable the diffuse map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularMap TextureMap default: undefined -- alias for maps[2] </code></pre><p>Get/Set the specular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularMapAmount Float default: 100.0 -- alias for mapAmounts[2] </code></pre><p>Get/Set the specular map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularMapEnable Boolean default: false -- alias for mapEnables[2] </code></pre><p>Enable/Disable the specular map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.Glossiness Float default: 25.0 -- animatable; percentage </code></pre><p>Get/Set the glossiness value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossinessMap TextureMap default: undefined -- alias for maps[3] </code></pre><p>Get/Set the glossiness map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossinessMapAmount Float default: 100.0 -- alias for mapAmounts[3] </code></pre><p>Get/Set the glossiness map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossinessMapEnable Boolean default: false -- alias for mapEnables[3] </code></pre><p>Enable/Disable the glossiness map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable; Specular_Color </code></pre><p>Get/Set the specular color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevel Float default: 0.0 -- animatable; percentage; Specular_Level </code></pre><p>Get/Set the specular level value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevelMap TextureMap default: undefined -- alias for maps[4] </code></pre><p>Get/Set the specular level map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevelMapAmount Float default: 100.0 -- alias for mapAmounts[4] </code></pre><p>Get/Set the specular level map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevelMapEnable Boolean default: false -- alias for mapEnables[4] </code></pre><p>Enable/Disable the specular level map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable; percentage; Self_Illumination </code></pre><p>Get/Set the self illumination amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable; Self_Illum_Color </code></pre><p>Get/Set the self illumination color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumMap TextureMap default: undefined -- alias for maps[5] </code></pre><p>Get/Set the self illumination map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumMapAmount Float default: 100.0 -- alias for mapAmounts[5] </code></pre><p>Get/Set the self illumination map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumMapEnable Boolean default: false -- alias for mapEnables[5] </code></pre><p>Enable/Disable the self illumination map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacity Float default: 100.0 -- animatable; percentage </code></pre><p>Get/Set the opacity value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityFallOff Float default: 0.0 -- animatable; percentage; Falloff </code></pre><p>Get/Set the opacity falloff value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityFallOffType Integer default: 0 -- integer; Falloff_Type </code></pre><p>Get/Set the opacity falloff type.</p>\n\
<p>0 - In</p>\n\
<p>1 - Out</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityMap TextureMap default: undefined -- alias for maps[6] </code></pre><p>Get/Set the opacity map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityMapAmount Float default: 100.0 -- alias for mapAmounts[6] </code></pre><p>Get/Set the opacity map amount value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityMapEnable Boolean default: false -- alias for mapEnables[6] </code></pre><p>Enable/Disable the opacity map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.opacityType Integer default: 0 -- integer; Opacity_Type </code></pre><p>Get/Set the opacity type.</p>\n\
<p>0 - Filter</p>\n\
<p>1 - Subtractive</p>\n\
<p>2 - Additive</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.filterColor default: (color 127.5 127.5 127.5) -- animatable; Filter_Color \n\
&lt;standard&gt;.filterColor Color default: (color 127.5 127.5 127.5) -- animatable; Filter_Color </code></pre><p>Specifies a filer color that is multiplied by the translucent color. The filter, or transmissive color, is the color transmitted through transparent or semi-transparent materials such as glass. Raytraced shadows cast by transparent objects are tinted with the filter color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.filterMap TextureMap default: undefined -- texmap; Filter_Map, alias for maps[7] </code></pre><p>Specifies a filter color map to control the trasmissive color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.filterMapAmount Float default: 100.0 -- alias for mapAmounts[7] </code></pre><p>Get/Set the filter map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.filterMapEnable Boolean default: false -- alias for mapEnables[7] </code></pre><p>Enable/Disable the filter map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.bumpMap TextureMap default: undefined -- alias for maps[10] </code></pre><p>Get/Set the bump map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.bumpMapAmount Float default: 30.0 -- alias for mapAmounts[10] </code></pre><p>Get/Set the bump map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.bumpMapEnable Boolean default: false -- alias for mapEnables[10] </code></pre><p>Enable/Disable the bump map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.reflectionLevel Float default: 3.0 -- animatable; float; Reflection_Level </code></pre><p>Get/Set the reflection level.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.reflectionMap TextureMap default: undefined -- alias for maps[11] </code></pre><p>Get/Set the reflection map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.reflectionMapAmount Float default: 100.0 -- alias for mapAmounts[11] </code></pre><p>Get/Set the reflection map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.reflectionMapEnable Boolean default: false -- alias for mapEnables[11] </code></pre><p>Enable/Disable the reflection map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.refractionMap TextureMap default: undefined -- alias for maps[12] </code></pre><p>Get/Set the refraction map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.refractionMapAmount Float default: 100.0 -- alias for mapAmounts[12] </code></pre><p>Get/Set the refraction map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.refractionMapEnable Boolean default: false -- alias for mapEnables[12] </code></pre><p>Enable/Disable the refraction map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.displacementMap TextureMap default: undefined -- alias for maps[13] </code></pre><p>Get/Set the displacement map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.displacementMapAmount Float default: 100.0 -- alias for mapAmounts[13] </code></pre><p>Get/Set the displacement map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.displacementMapEnable Boolean default: false -- alias for mapEnables[13] </code></pre><p>Enable/Disable the displacement map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable, alias: Specular_Color </code></pre><p>Controls the specular color. The specular color is the color of the highlight on a shiny object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.dsLock Boolean default: false -- alias: Diffuse_Specular_Lock </code></pre><p>When on, the diffuse and specular colors are linked together.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.useSelfIllumColor Boolean default: false -- boolean; Use_Self_Illum_Color </code></pre><p>When on, the material uses a special self-illumination color ( <code>.selfIllumColor</code> ). When off, the material uses the diffuse color for self-illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable, percentage, alias: Self_Illumination </code></pre><p>Sets the amount of self-illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable, alias: Self_Illum_Color </code></pre><p>Sets a separate color to use for self-illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevel Float default: 5.0 -- animatable, percentage, alias: Specular_Level </code></pre><p>Affects the intensity of the specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossiness Float default: 25.0 -- animatable, percentage </code></pre><p>Affects the size of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.soften Float default: 0.1 -- animatable, alias: Soften_Level </code></pre><p>Softens the effect of specular highlights, especially those formed by glancing light. When Specular Level is high and Glossiness is low, you can get harsh backlights on surfaces. Increase the value of Soften to mitigate this effect. At 0 there is no softening. At 1.0, the maximum amount of softening is applied.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Soften is not applicable to the Anisotropic and Translucent shader.</p>\n\
<h3 id=\"the-following-additional-properties-are-applicable-to-the-oren-nayar-blinn-shader-\">The following additional properties are applicable to the Oren-Nayar-Blinn shader:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseRoughness Float default: 50.0 -- animatable, percentage, alias: Diff_Roughness </code></pre><p>Controls how quickly the diffuse component blends into the ambient component. As you increase roughness, the matte appearance of the material increases. It also grows darker and appears more flat.</p>\n\
<h3 id=\"the-following-additional-properties-are-applicable-to-the-anisotropic-shader-\">The following additional properties are applicable to the Anisotropic shader:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.anisotropy Float default: 50.0 -- animatable, percentage </code></pre><p>Controls the anisotropy, or shape, of the highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.orientation Float default: 0.0 -- animatable, percentage </code></pre><p>Changes the orientation of the highlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.unused Integer default: 1 </code></pre><p>The unused property is defined but not used by the shader</p>\n\
<h3 id=\"the-following-additional-properties-are-applicable-to-the-translucent-shader-\">The following additional properties are applicable to the Translucent shader:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.translucentColor Color default: (color 0 0 0) -- RGB color; Translucent_Color </code></pre><p>Specifies a translucency color. This is the color of light that is scattered within the material. It does not need to be the same as the filter color, which is light transmitted by the material. The two color values are multiplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.translucentColorMap UndefinedClass default: undefined -- alias for maps[9] </code></pre><p>Specifies a translucency color map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.translucentColorMapAmount Float default: 100.0 -- alias for mapAmounts[9] </code></pre><p>Specifies a translucency color map amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.translucentColorMapEnable Boolean default: false -- alias for mapEnables[9] </code></pre><p>Controls the usage of the translucency color map. When<strong>true</strong>, the map will be used. When <code>false</code> , the translucency color will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.backsideSpecular Boolean default: true -- boolean; alias: Backside_Specular </code></pre><p>When <code>true</code> , both sides of the material receive a specular highlight. When <code>false</code> , only the front side of the material receives a highlight. Default=on.</p>\n\
<h3 id=\"shader-type-multi-layer\">Shader Type: Multi-Layer</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.ambient Color default: (color 127.5 127.5 127.5) -- animatable, alias: Ambient_Color </code></pre><p>Controls the ambient color. The ambient color is the color not in direct light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuse Color default: (color 127.5 127.5 127.5) -- animatable, alias: Diffuse_Color </code></pre><p>Controls the diffuse color. The diffuse color is the color in direct light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.useSelfIllumColor Boolean default: false -- alias: Use_Self_Illumination </code></pre><p>When on, the material uses a special self-illumination color ( <code>.selfIllumColor</code> ). When off, the material uses the diffuse color for self-illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable, percentage, alias: Self_Illumination </code></pre><p>Sets the amount of self-illumination. As you increase self-illumination, the self-illumination color takes over from the ambient color. At a setting of 100, the material shows no shaded areas, although it can show specular highlights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable, alias: Self_Illum_Color </code></pre><p>Sets an alternate color to use for self-illumination.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseLevel Float default: 100.0 -- animatable, percentage, alias: Diffuse_Level </code></pre><p>Controls the brightness of the material&#x2019;s diffuse component. Increasing this value increases diffuse brightness, and decreasing it reduces diffuse brightness without affecting the specular highlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuseRoughness Float default: 0.0 -- animatable, percentage, alias: Diff_Roughness </code></pre><p>Controls how quickly the diffuse component blends into the ambient component. As you increase roughness, the matte appearance of the material increases. It also grows darker and appears more flat.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_1 </code></pre><p>Controls the specular color of the first color&#x2019;s highlight. The specular color is the color of the highlight on a shiny surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevel Float default: 5.0 -- animatable, percentage, alias: Level_1 </code></pre><p>Affects the intensity of the first color&#x2019;a s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossiness Float default: 50.0 -- animatable, percentage, alias: Glossiness_1 </code></pre><p>Affects the size of the first color&#x2019;s specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.anisotropy Float default: 0.0 -- animatable, alias: Anisotropy_1 </code></pre><p>Controls the anisotropy, or shape, of the first color&#x2019;s highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.orientation Float default: 0.0 -- animatable, percentage </code></pre><p>Changes the orientation of the first color&#x2019;s highlight.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specular2 Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_2 </code></pre><p>Affects the intensity of the second color&#x2019;s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.specularLevel2 Float default: 0.0 -- animatable, percentage, alias: Level_2 </code></pre><p>Affects the intensity of the second color&#x2019;s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossiness2 Float default: 25.0 -- animatable, percentage, alias: Glossiness_2 </code></pre><p>Affects the size of the second color&#x2019;s specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.anisotropy2 Float default: 0.0 -- animatable, alias: Anisotropy_2 </code></pre><p>Controls the anisotropy, or shape, of the second color&#x2019;s highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.orientation2 Float default: 0.0 -- animatable, percentage </code></pre><p>Changes the orientation of the second color&#x2019;s highlight.</p>\n\
<h3 id=\"shader-type-strauss\">Shader Type: Strauss</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.diffuse Color default: (color 127.5 127.5 127.5) -- animatable, alias: Diffuse_Color </code></pre><p>Controls the color of the material. This corresponds to the diffuse color you specify for other kinds of shaders. With the Strauss shader, you control only this color. The shader calculates the ambient and specular color components.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.glossinessFloat default: 25.0 -- animatable, percentage </code></pre><p>Affects the size and intensity of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Standard&gt;.metalness Float default: 0.0 -- animatable, percentage </code></pre><p>Changes the metallic appearance of a material. Increasing the Metalness value increases the metallic appearance, with glancing as well as primary highlights. Because a metallic appearance principally depends on highlights, the Metalness value has little effect unless you also increase the Glossiness value.</p>\n\
<p><strong>The following Interface is available in 3ds Max 6 and higher:</strong></p>\n\
<h2 id=\"standardmaterial-interfaces-\">Standardmaterial interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:ExposureMaterialControl </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.noExposureControl: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Exposure Controls will ignore the material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertSelfIllum: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Self-Illumination values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertReflection: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Reflection values from this material will be inverted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.exposureControlInvertRefraction: boolean : Read|Write </code></pre><p>When set to <code>true</code> , Refraction values from this material will be inverted.</p>\n\
<p><strong>Map Channels for Standard Material Shaders</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th>Anisotropic</th>\n\
<th>Blinn</th>\n\
<th>Metal</th>\n\
<th>Multi-Layer</th>\n\
<th>Oren-Nayar-Blinn</th>\n\
<th>Phong</th>\n\
<th>Strauss</th>\n\
<th>Translucent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>1</strong></td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>AmbientMap</td>\n\
<td>DiffuseMap</td>\n\
<td>AmbientMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>2</strong></td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>DiffuseMap</td>\n\
<td>GlossinessMap</td>\n\
<td>DiffuseMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>3</strong></td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>DiffuseLevelMap</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularMap</td>\n\
<td>MetalnessMap</td>\n\
<td>SpecularMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>4</strong></td>\n\
<td>DiffuseLevelMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>DiffuseRoughnessMap</td>\n\
<td>GlossinessMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>OpacityMap</td>\n\
<td>GlossinessMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>5</strong></td>\n\
<td>SpecularLevelMap</td>\n\
<td>GlossinessMap</td>\n\
<td>GlossinessMap</td>\n\
<td>SpecularMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>GlossinessMap</td>\n\
<td>FilterMap</td>\n\
<td>SpecularLevelMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>6</strong></td>\n\
<td>GlossinessMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>SpecularLevelMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>SelfIllumMap</td>\n\
<td>BumpMap</td>\n\
<td>SelfIllumMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>7</strong></td>\n\
<td>AnisotropyMap</td>\n\
<td>OpacityMap</td>\n\
<td>OpacityMap</td>\n\
<td>GlossinessMap</td>\n\
<td>OpacityMap</td>\n\
<td>OpacityMap</td>\n\
<td>ReflectionMap</td>\n\
<td>OpacityMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>8</strong></td>\n\
<td>OrientationMap</td>\n\
<td>FilterMap</td>\n\
<td>FilterMap</td>\n\
<td>AnisotropyMap</td>\n\
<td>FilterMap</td>\n\
<td>FilterMap</td>\n\
<td>RefractionMap</td>\n\
<td>FilterMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>9</strong></td>\n\
<td>SelfIllumMap</td>\n\
<td>BumpMap</td>\n\
<td>BumpMap</td>\n\
<td>OrientationMap</td>\n\
<td>DiffuseLevelMap</td>\n\
<td>BumpMap</td>\n\
<td>DisplacementMap</td>\n\
<td>DiffuseLevel</td>\n\
</tr>\n\
<tr>\n\
<td><strong>10</strong></td>\n\
<td>OpacityMap</td>\n\
<td>ReflectionMap</td>\n\
<td>ReflectionMap</td>\n\
<td>specularMap2</td>\n\
<td>DiffuseRoughnessMap</td>\n\
<td>ReflectionMap</td>\n\
<td></td>\n\
<td>TranslucentColor</td>\n\
</tr>\n\
<tr>\n\
<td><strong>11</strong></td>\n\
<td>FilterMap</td>\n\
<td>RefractionMap</td>\n\
<td>RefractionMap</td>\n\
<td>SpecularLevelMap2</td>\n\
<td>BumpMap</td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
<td>BumpMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>12</strong></td>\n\
<td>BumpMap</td>\n\
<td>DisplacementMap</td>\n\
<td>DisplacementMap</td>\n\
<td>GlossinessMap2</td>\n\
<td>ReflectionMap</td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
<td>ReflectionMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>13</strong></td>\n\
<td>ReflectionMap</td>\n\
<td></td>\n\
<td></td>\n\
<td>AnisotropyMap2</td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
<td></td>\n\
<td>RefractionMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>14</strong></td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
<td></td>\n\
<td>OrientationMap2</td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
<td></td>\n\
<td>DisplacementMap</td>\n\
</tr>\n\
<tr>\n\
<td><strong>15</strong></td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
<td></td>\n\
<td>SelfIllumMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>16</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>OpacityMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>17</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>FilterMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>18</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>BumpMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>19</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>ReflectionMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>20</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>RefractionMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>21</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td>DisplacementMap</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";