var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-75D4442F-A02C-468D-B344-E67D853DA8AD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NoiseModifier : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Noisemodifier - superclass: modifier; super-superclass:MAXWrapper - classID: #(-107499228, 0) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Noisemodifier ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.seed Integer default: 0 -- animatable </code></pre><p>A random start point is generated from the number you set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.scale Float default: 100.0 -- animatable </code></pre><p>The size of the noise effect (not strength).</p>\n\
<p>Larger values produce smoother noise, lower values more jagged noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.fractal Boolean default: false -- animatable </code></pre><p>When on, produces a fractal effect based on current settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.roughness Float default: 0.0 -- animatable, alias: rough </code></pre><p>The extent of fractal variation. Lower values are less rough than higher values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.iterations Float default: 6.0 -- animatable </code></pre><p>The number of iterations (or octaves) used by the fractal function.</p>\n\
<p>Fewer iterations use less fractal energy and generate a smoother effect.</p>\n\
<p>An iteration of 1.0 is the same as turning <code>.fractal</code> off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.strength Point3 default: [0,0,0] -- animatable </code></pre><p>The strength of the noise effect along each of three axes.</p>\n\
<p>Enter a value for at least one of these axes to produce a noise effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.animate Boolean default: false </code></pre><p>Enables/disables animation playback.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.frequency Float default: 0.25 </code></pre><p>The speed of the noise effect.</p>\n\
<p>Higher frequencies make the noise quiver faster.</p>\n\
<p>Lower frequencies produce a smoother and more gentle noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.phase Time default: 0f -- animatable </code></pre><p>Shifts the start and end points of the underlying wave.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.center Point3 default: [0,0,0] -- animatable </code></pre><p>You can move, rotate, or scale the center sub-object to affect the noise.</p>\n\
<p>You can also animate the sub-object transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier&gt;.gizmo SubAnim </code></pre><p>You can move, rotate, or scale the gizmo sub-object to affect the noise.</p>\n\
<p>You can also animate the sub-object transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier.gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Noisemodifier.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scaling of the gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";