var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CF452705-251C-4B5C-9893-1BDAEAE8C435\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Taper : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Taper - superclass: modifier; super-superclass:MAXWrapper - classID: #(32, 0) </code></pre><p><img src=\"./images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">taper ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.amount Float default: 1.0 -- animatable </code></pre><p>The extent to which the ends are scaled. Amount is a relative value with a maximum of 10.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.curve Float default: 0.0 -- animatable, alias: curvature </code></pre><p>Applies a curvature to the sides of the Taper gizmo, thus affecting the shape of the tapered object.</p>\n\
<p>Positive values produce an outward curve along the tapered sides, negative values an inward curve.</p>\n\
<p>At 0, the sides are unchanged.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.primaryaxis Integer default: 2 </code></pre><p>The central axis or spine of the taper:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.effectaxis Integer default: 2 </code></pre><p>The axis, or pair of axes, indicating the direction of the taper from the primary axis.</p>\n\
<p>The available choices are determined by the choice of primary axis.</p>\n\
<p>The effect axis can be either of the two remaining axes, or their combination.</p>\n\
<p>If the primary axis is X, the effect axis can be Y, Z, or YZ.</p>\n\
<p>0- Z</p>\n\
<p>1- Y</p>\n\
<p>2- ZY</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.symmetry Boolean default: false -- animatable </code></pre><p>When on, produces a symmetrical taper around the primary axis. A taper is always symmetrical around the effect axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.limit Boolean default: false -- boolean</code></pre><p>Enables/disables upper and lower limits for the taper effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.upperlimit Float default: 0.0 -- animatable, alias: Upper_Limit </code></pre><p>The upper limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.lowerlimit Float default: 0.0 -- animatable, alias: Lower_Limit </code></pre><p>The lower limit boundaries in world units from the taper center point, beyond which the taper no longer affects the geometry.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.center Point3 default: [0,0,0] -- animatable </code></pre><p>At this sub-object level, you can translate and animate the center, altering the Taper gizmo&#x2019;s shape, and thus the shape of the melted object</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper&gt;.gizmo SubAnim </code></pre><p>At this sub-object level, you can transform and animate the gizmo like any other object, altering the effect of the Taper modifier.</p>\n\
<p>Translating the gizmo translates its center an equal distance.</p>\n\
<p>Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>The position of the taper gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable </code></pre><p>The rotation of the taper gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Taper.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>The scale of the taper gizmo.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Parametric-Modifiers.html\">Parametric Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";