var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C1D1358C-D7E1-4CB3-BC9C-DB8E4B4C437A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Lathe : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lathe - superclass: modifier; super-superclass:MAXWrapper - classID: #(176, 0) </code></pre><p><img src=\"./images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">lathe ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.degrees Float default: 360.0 -- animatable, angle </code></pre><p>Determines the number of degrees that the object is spun around the axis of revolution (0 to 360, default=360).</p>\n\
<p>You can set keyframes for Degrees to animate the circular growth of a lathed object.</p>\n\
<p>The Lathe axis auto-sizes itself to the height of the shape being lathed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.weldCore Boolean default: false </code></pre><p>When on, simplifies the mesh by welding together vertices that lie on the axis of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.flipNormals Boolean default: false </code></pre><p>Depending on the direction of the vertices on your shape, and the direction of rotation, the lathed object might be inside out. Toggle this value to fix this.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.segs Integer default: 16 -- animatable, alias: segments </code></pre><p>Determines how many interpolated segments are created in the surface between the start and endpoint.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.capStart Boolean default: false </code></pre><p>Caps the start of the lathed object with Degrees set to less than 360 and a closed shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.capEnd Boolean default: false </code></pre><p>Caps the end of the lathed object with Degrees set to less than 360 and a closed shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.capType Integer default: 0 </code></pre><p>Cap type:</p>\n\
<p>0 - <strong>Morph</strong> (Arranges cap faces in a predictable, repeatable pattern necessary for creating morph targets. Morph capping can generate long, thin faces that don&#x2019;t render or deform as well as grid capping. Use morph capping primarily if you are lathing multiple morph targets.)</p>\n\
<p>1 - <strong>Grid</strong> (Arranges cap faces in a square grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can easily be deformed by other modifiers.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.output Integer default: 1 </code></pre><p>Output:</p>\n\
<p>0 - <strong>Patch</strong> (Produces an object that you can collapse to a patch object.)</p>\n\
<p>1 - <strong>Mesh</strong> (Produces an object that you can collapse to a mesh object.)</p>\n\
<p>2 - <strong>NURBS</strong> (Produces an object that can be collapsed to a NURBS surface.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.mapCoords Boolean default: false </code></pre><p>When on, applies mapping coordinates to the lathed object.</p>\n\
<p>When Degrees is less than 360, and Generate Mapping Coordinates is turned on, additional mapping coordinates are applied to the end caps, placing a 1 x 1 tile on each cap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.matIDs Boolean default: true </code></pre><p>When on, the software assigns different material IDs to the sides and the caps of the lathed object.</p>\n\
<p>Specifically, the sides receive ID 3, and the caps (when Degrees is less than 360 and the lathed shape is closed) receive IDs 1 and 2.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.useShapeIDs Boolean default: false </code></pre><p>When on, the software uses the material ID values assigned to segments in the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.smooth Boolean default: true </code></pre><p>When on, applies smoothing to the extruded shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe&gt;.axis SubAnim </code></pre><p>At this sub-object level, you can transform and animate the axis of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe.axis&gt;.position Point3 default: [0,0,0] -- animatable </code></pre><p>Position of the axis of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe.axis&gt;.rotation Quat default: (quat -0.707107 0 0 0.707107) -- animatable </code></pre><p>Rotation of the axis of revolution.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lathe.axis&gt;.scale Point3 default: [1,1,1] -- animatable </code></pre><p>Scale of the axis of revolution.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Patch-and-Spline-Editing.html\">Patch and Spline Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";