var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1069807E-3D84-4CFB-86D2-4E428ED9C4FE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UnwrapUVW Modifier - Tools</h1></div><p>The following methods expose to MAXScript the <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Break</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Weld</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Weld Shared</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Stitch</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Pack</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Rescale Clusters</a>, <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Sketch</a>  and <a href=\"UnwrapUVW-Modifier-Tools.html\"\">Flatten</a> Tools functionality of the UnwrapUVW Modifier.</p>\n\
<h2 id=\"break\">Break</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.breakSelected() </code></pre><p>Presses the Break icon in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.detachEdgeVertices() </code></pre><p>Detaches any vertex that is not completely surrounded by selected vertices.</p>\n\
<p>This is similar to a polygon selection detach except it uses the vertex selection to determine what is detached.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"weld\">Weld</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.weld() </code></pre><p>Presses the Target Weld icon in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.weldSelected() </code></pre><p>Presses the Weld Selected button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getWeldThreshold() </code></pre><p>Returns the weld threshold.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setWeldThreshold &lt;float&gt;height </code></pre><p>Sets the threshold values for welds.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"weld-shared\">Weld Shared</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.weldOnlyShared BooleanClass default: true -- boolean</code></pre><p>When set to true (default), only selected vertices will be welded. Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.WeldAllShared()</code></pre><p>Welds all shared vertices.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.WeldSelectedShared()</code></pre><p>Welds the shared selected vertices.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<h2 id=\"flatten\">Flatten</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.FlattenBySmoothingGroup &lt;boolean&gt;rescale &lt;boolean&gt;rotate &lt;float&gt;padding</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.FlattenByMaterialID &lt;boolean&gt;rescale &lt;boolean&gt;rotate &lt;float&gt;padding</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<h2 id=\"stitch\">Stitch</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVerts &lt;boolean&gt;align &lt;float&gt;bias </code></pre><p>Stitch the selected vertices using the specified bias.</p>\n\
<p>If <code>align</code> is supplied as <code>true</code> , the vertices will be aligned.</p>\n\
<p>Stitching allows you to find all the texture vertices that are assigned to the same geometric vertex and bring them all to the same spot and weld them together. This allows you take faces that are geometrically contiguous, but not texture face contiguous and line them up.</p>\n\
<p>The parameters are:</p>\n\
<p><code>align</code> - if checked and the edges to be stitched are on separate clusters it will try to align the clusters and then stitch the vertices.</p>\n\
<p><code>bias</code> determines which direction the vertices will move (to or from the source). At a Bias of 0.0 the vertices will move to the source and 1.0 they will move to the target. Stitching will respect the soft selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVertsNoParams() </code></pre><p>Execute the Stitch function using the current defaults.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.stitchVertsDialog() </code></pre><p>Open the Stitch dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"pack\">Pack</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.pack &lt;integer&gt;method &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;boolean&gt;rotate &lt;boolean&gt;fillholes </code></pre><p>Lets you pack the texture vertex elements so that they fit within a square space.</p>\n\
<p><code>method</code> - 0 is a linear packing algorithm fast but not that efficient; 1 is a recursive algorithm slower but more efficient; 2 is an improved &quot;non-convex&quot; algorithm.</p>\n\
<p><code>spacing</code> - the gap between cluster in percentage of the edge distance of the square</p>\n\
<p><code>normalize</code> - determines whether the clusters will be fit to 0 to 1 space.</p>\n\
<p><code>rotate</code> - determines whether a cluster will be rotated so it takes up less space.</p>\n\
<p><code>fillholes</code> - determines whether smaller clusters will be put in the holes of the larger cluster.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.packNoParams() </code></pre><p>Executes the Pack function using the current default settings.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.packDialog() </code></pre><p>Opens the Pack UVs dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"rescale-clusters\">Rescale Clusters</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RescaleCluster &lt;bitArray&gt;facesel &lt;node&gt;node</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetPackRescaleCluster()</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.SetPackRescaleCluster &lt;boolean&gt;rescale</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012</strong>.</p>\n\
<h2 id=\"sketch\">Sketch</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.sketch &lt;int array&gt;indexList &lt;point3 array&gt;positionList </code></pre><p>Sketches UV coordinates using the supplied index list array and the position list array.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchNoParams() </code></pre><p>Executes the Sketch function using the current defaults.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchDialog() </code></pre><p>Opens the Sketch Vertices dialog.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchReverse() </code></pre><p>Reverses the order of the select vertices that are being used for sketch when you use the Use Current Selection option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";