var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-75009BF7-F80C-4F4C-BF28-B7B86AA6D320\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MapScalerSpacewarpModifier : SpacewarpModifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MapScalerSpacewarpModifier - superclass: SpacewarpModifier; super-superclass:MAXWrapper - classID: #(229485986, 0)</code></pre><p><img src=\"./images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\" alt></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MapScalerSpacewarpModifier ... MapScaler ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.scale Float default: 100.0 -- animatable; float</code></pre><p>The size of one repeat of the texture pattern. Size is measured in current scene units. Repeats occur across the object in the U direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.channel Integer default: 1 -- integer</code></pre><p>The map channel used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.uOffset Float default: 0.0 -- animatable; float</code></pre><p>The U direction map offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.vOffset Float default: 0.0 -- animatable; float</code></pre><p>The V direction map offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.wrap Boolean default: true -- boolean\n\
</code></pre><p>When true, Map Scaler attempts to wrap the texture evenly around the object. This option requires more computing, but usually produces the most satisfactory results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.wrapUsingSmoothingGroups BooleanClass default: false -- boolean</code></pre><p>Controls the state of <strong>Wrap using Smoothing Groups</strong> checkbox. When set to true and .wrap is also set to true, Map Scaler will attempt to wrap the texture around the object based on its smoothing groups.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerSpacewarpModifier&gt;.upDirection Integer default: 1 -- radio button number; localZUp</code></pre><p>Sets the map alignment:</p>\n\
<p>1 - World Z Axis (Aligns the map with the Z axis of the world.)</p>\n\
<p>2 - Local Z Axis (Aligns the map with the local Z axis of the object.)</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The two parameters for the MapScalerSpacewarpModifier, &quot;U Offset&quot; and &quot;V Offset&quot;, will let you fine-tune mapping placement on a per-instance basis, as opposed to controlling from the texture map definition in the material. The values can be positive or negative, and are controlled independently.</p>\n\
<p>If the Wrap toggle is ON, the offset values are ignored, and the controls are disabled. This is because &quot;wrapping&quot; determines the offsets for each face based on a specific previous face, so it doesn&apos;t make much sense to control the offset for just one face (or one set of coplanar faces). Therefore, if Wrap is ON, it works just as before. Likewise, if the U and V Offset values are 0, the results should be identical to previous versions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-SpacewarpModifiers.html\">Other SpacewarpModifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Modifiers/UVW-Modifiers/MapScaler-modifier.html\">MapScaler : modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";