var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-810BC7DF-40B5-42CF-A9EC-9F22ADC06115\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpacePathDeform : SpacewarpModifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpacePathDeform - superclass: SpacewarpModifier; super-superclass:MAXWrapper - classID: #(69812, 32670) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpacePathDeform...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.path Node default: undefined </code></pre><p>The node designated as the path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.Percent_along_path Float default: 0.0 -- animatable, percentage </code></pre><p>Moves the object along the gizmo path based on a percentage of the path length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.Stretch Float default: 1.0 -- animatable </code></pre><p>Scales the object along the gizmo path, using the object&#x2019;s pivot point as the base of the scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.rotation Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the object about the gizmo path.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.Twist Float default: 0.0 -- animatable, angle </code></pre><p>Twists the object about the path. The twist angle is based on the rotation of one end of the overall length of the path.</p>\n\
<p>Typically, the deformed object takes up only a portion of the path, so the effect can be subtle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.axis Integer default: 2 </code></pre><p>Choose one to rotate the gizmo path to align with a specified local axis of the object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpacePathDeform&gt;.Flip_deformation_axis Integer default: 0 </code></pre><p>When on, reverses the gizmo path 180 degrees about the specified axis.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>What it does is setting the transformation matrix of the deformed object to the transformation matrix of the deformation path.</p>\n\
<p>The PathDeform World Space Modifier provides an additional <strong>&quot;Move To Path&quot;</strong> button in the UI which is not directly exposed to MAXScript, but its functionality can be easily scripted.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   thePath = Circle pos:[200,300,400]--create a circle\n\
   theObj = Box heightsegs:20--create a box with 20 height segments\n\
   theMod = SpacePathDeform()--create an instance of thePathDeformWSM\n\
   addModifier theObj theMod--add to the box\n\
   theMod.path = thePath--set the path to the Circle shape\n\
   theObj.transform = thePath.transform--MOVE TO PATH!\n\
</code></pre><p>   You can link the deformed object to the path to keep the transformation matrix identical - moving the path around should keep the deformed object aligned.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Other-SpacewarpModifiers.html\">Other SpacewarpModifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Modifiers/Animation-Modifiers/PathDeform-Modifier.html\">PathDeform : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";