var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89183041-5FEC-45C1-846C-2679AE0B08BC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpaceWarp Binding SpacewarpModifiers</h1></div><p>The SpaceWarp Binding SpacewarpModifiers are not directly created in MAXScript, but are created and applied to a node using the <code>bindSpaceWarp()</code> method. Most of the SpacewarpModifiers do not have any additional properties.</p>\n\
<p><strong>Constructors and Properties</strong></p>\n\
<h3 id=\"simpleosmtowsmmod-\">SimpleOSMToWSMMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceBend_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceNoise_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceSkew_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceStretch_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceTaper_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceTwist_node&gt;</code></pre><h3 id=\"bombbinding-\">BombBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;bomb_node&gt;</code></pre><h3 id=\"deflectorbinding-\">DeflectorBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;deflector_node&gt;</code></pre><h3 id=\"displacebinding-\">DisplaceBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceDisplace_node&gt;</code></pre><h3 id=\"ffd_binding-\">FFD_Binding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceFFDBox_node&gt;\n\
\n\
bindSpaceWarp &lt;node&gt; &lt;spaceFFDCyl_node&gt;</code></pre><h3 id=\"gravitybinding-\">GravityBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;gravity_node&gt;</code></pre><h3 id=\"motormod-\">MotorMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;motor_node&gt;</code></pre><h3 id=\"pathfollowmod-\">PathFollowMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;path_Follow_node&gt;</code></pre><h3 id=\"pbombmod-\">PBombMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;pbomb_node&gt;</code></pre><h3 id=\"pdynaflectmod-\">PDynaFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;PDynaFlect_node&gt;</code></pre><h3 id=\"pomniflectmod-\">POmniFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;POmniFlect_node&gt;</code></pre><h3 id=\"pushmod-\">PushMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;pushSpaceWarp_node&gt;</code></pre><h3 id=\"ripplebinding-\">RippleBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceRipple_node&gt;\n\
&lt;RippleBinding&gt;.Flexibility Float default: 1.0 -- animatable</code></pre><h3 id=\"sdeflectmod-\">SDeflectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;sdeflector_node&gt;</code></pre><h3 id=\"sdynaflectmod-\">SDynaFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;SDynaFlect_node&gt;</code></pre><h3 id=\"somniflectmod-\">SOmniFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;SOmniFlect_node&gt;</code></pre><h3 id=\"spaceconform-\">SpaceConform:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;conformSpaceWarp_node&gt;</code></pre><h3 id=\"udeflectormod-\">UDeflectorMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;uDeflector_node&gt;</code></pre><h3 id=\"udynaflectmod-\">UDynaFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;UDynaFlect_node&gt;</code></pre><h3 id=\"uomniflectmod-\">UOmniFlectMod:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;UOmniFlect_node&gt;</code></pre><h3 id=\"wavebinding-\">WaveBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceWave_node&gt;\n\
&lt;WaveBinding&gt;.Flexibility Float default: 1.0 -- animatable</code></pre><h3 id=\"windbinding-\">WindBinding:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;wind_node&gt;</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../SpaceWarp-Binding.html\">SpaceWarp Binding SpacewarpModifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";