var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0FA8C167-FE0D-4301-9A58-A53CBF8542C5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Using the NURBS Classes and Functions to Create and Modify 3ds Max NURBS Models</h1></div><p>For NURBS objects in the scene, <strong>3ds Max</strong> uses a different internal representation of NURBS objects than the MAXScript and SDK classes do. These MAXScript and SDK classes are simply a means to access these internal <strong>3ds Max</strong> NURBS objects and allow them to be manipulated.</p>\n\
<p>The object used in communication between the internal <strong>3ds Max</strong> NURBS objects and the classes in MAXScript available to work with these objects is the <a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\">NURBSSet</a>. There are also two functions used in this communication. The first is the constructor <code>NURBSNode()</code> and the second is a node method, <code>getNURBSSet()</code> . How these are used is described in the following topics:</p>\n\
<p><a href=\"Creating-New-NURBS-Objects.html\">Creating New NURBS Objects</a></p>\n\
<p><a href=\"Modifying-Existing-NURBS-Objects.html\">Modifying Existing NURBS Objects</a></p>\n\
<p><a href=\"Parameter-Ranges-for-Curves-and.html\">Parameter Ranges for Curves and Surfaces</a></p>\n\
<p><a href=\"Materials-Assignment-and-Texture.html\">Materials Assignment and Texture Coordinates</a></p>\n\
<p><a href=\"Creating-NURBS-Scene-Objects.html\">Creating NURBS Scene Objects</a></p>\n\
<p><a href=\"Creating-NURBSCVSurface-Values.html\">Creating NURBSCVSurface Values</a></p>\n\
<p><a href=\"NURBS-Node-Properties-and.html\">NURBS Node Properties and Methods</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">Using the NURBS Classes and Functions to Create and Modify 3ds max NURBS Models</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";