var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-49EEC4E2-AFDE-4E95-968E-3B83747F1E7D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Render-Related Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getVisController &lt;node&gt; </code></pre><p>Returns an instance of the node&apos;s visibility controller. Returns <code>undefined</code> if the node does not have a visibility track.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getInheritVisibility &lt;node&gt; </code></pre><p>Returns <code>true</code> if the node inherits the visibility of its parent object (if any), <code>false</code> if not.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setInheritVisibility &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the node inherits the visibility of its parent object (if any). If <code>&lt; boolean&gt;</code> is <code>true</code> , node inherits visibility. If <code>&lt;boolean&gt;</code> is <code>false</code> , the node does not inherit visibility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getImageBlurMultController &lt;node&gt; </code></pre><p>Returns the node&apos;s Image Motion Blur Multiplier controller. Returns undefined if no Image Motion Blur Multiplier controller has been assigned to the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setImageBlurMultiplier &lt;node&gt; &lt;time&gt; &lt;number&gt; </code></pre><p>Sets the node&apos;s Image Motion Blur Multiplier value at the specified time to the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setImageBlurMultController &lt;node&gt; &lt;controller&gt; </code></pre><p>Sets the node&apos;s Image Motion Blur Multiplier controller to the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setMotBlur &lt;node&gt; &lt;integer&gt; </code></pre><p>Sets which type of motion blur to use for node. If <code>&lt;integer&gt;</code> = 1, None. If <code>&lt;integer&gt;</code> = 2, Object Motion Blur. If <code>&lt;integer&gt;</code> = 3, Image Motion Blur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setRenderable &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the node is renderable. If <code>&lt;boolean&gt;</code> is <code>true</code> , node is renderable. If <code>&lt;boolean&gt;</code> is <code>false</code> the node is not renderable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRenderID &lt;node&gt; </code></pre><p>Returns the RenderID of the node. A value of 65535 is returned if the scene has not been rendered, or the node is not renderable. The RenderIDs of the nodes are output to the NODE_RENDER_ID g-buffer channel by the renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setRenderID &lt;node&gt; &lt;integer&gt; </code></pre><p>Sets the RenderID of the node to the specified value. This value is not &quot;sticky&quot;. It is not saved with the scene and it will be replaced by the renderer when the next render occurs.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";