var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AA1ED2C6-0C8E-4277-A277-E5F280DC5A3E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Blizzard : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Blizzard - superclass: GeometryClass; super-superclass:node - classID: #(1479869773, 1447772397) </code></pre><p><img src=\"./images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">blizzard...   </code></pre><p><strong>Properties</strong>:</p>\n\
<h2 id=\"basic-parameters\">Basic Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Emitter_Width Float default: 0.0 -- animatable </code></pre><p>The width of the emitter icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Emitter_Length Float default: 0.0 -- animatable </code></pre><p>The width of the emitter icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.emitterHidden Boolean default: false </code></pre><p>When on, hides the emitter in the viewports. When off, the emitter is displayed in viewports. The emitter is never rendered.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.viewType Integer default: 0 </code></pre><p>Set the display icon for particles in the viewport:</p>\n\
<p>0- <strong>Dots</strong> (Displays the particles as dots.)</p>\n\
<p>1- <strong>Ticks</strong> (Displays the particles as crosses.)</p>\n\
<p>2- <strong>Mesh</strong> (Displays the particles as mesh objects. This results in slower viewport redraws.)</p>\n\
<p>3- <strong>Bbox</strong> (For instanced geometry only, this displays each instanced particle, whether a single object, a hierarchy, or a group, as a bounding box.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.viewPercent Float default: 10.0 -- percentage, alias: Percentage_Displayed </code></pre><p>Sets the percentage of particles displayed in the viewport.</p>\n\
<h2 id=\"particle-generation\">Particle Generation</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.quantityMethod Integer default: 0 </code></pre><p>Set the method by which the number of particles is determined over time:</p>\n\
<p>0- <strong>Use Rate</strong> (Specifies a fixed number of particles emitted per frame.)</p>\n\
<p>1- <strong>Use Total</strong> (Specifies a total number of particles formed over the life of the system.)</p>\n\
<div class=\"note tip:\"><span class=\"tiptitle\">Tip:</span> Generally, Use Rate is best for a continuous flow of particles, like a trail of pixie dust, while Use Total is better for bursts of particles over a short period of time.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Birth_Rate Integer default: 10 -- animatable </code></pre><p>The number of particles emitted per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Total_Number Integer default: 100 </code></pre><p>The total number of particles to be emitted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.speed Float default: 10.0 -- animatable </code></pre><p>The velocity of the particle at birth, along the normal, in units traveled per frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Speed_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>Percentage of variation to the speed of emission for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.tumble Float default: 0.0 -- animatable </code></pre><p>Amount of random rotation of the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Tumble_Rate Float default: 0.0 -- animatable </code></pre><p>Speed at which the particles rotate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Emitter_Start Time default: 0f </code></pre><p>The frame at which particles begin to exist in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Emitter_Stop Time default: 30f </code></pre><p>The last frame at which particles are emitted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Display_Until Time default: 100f </code></pre><p>Time at which all particles will disappear, regardless of other settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.life Time default: 30f -- animatable </code></pre><p>The lifespan of each particle from the time of creation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Life_Variation Time default: 0f -- animatable </code></pre><p>The number of frames by which the life of each particle can vary from the norm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.subsampleCreationTime Boolean default: false </code></pre><p>When on, enables the addition of a time offset to the equations of motion that prevents puffing in time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.subsampleEmitterTranslation Boolean default: true </code></pre><p>If the object-based emitter is moving in space, particles are created at integral times at positions along the geometry&apos;s path between renderable positions. This prevents puffing in space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.subsampleEmitterRotation Boolean default: true </code></pre><p>If the emitter is rotating, turn this on to avoid puffing and produce smooth spiral effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.size Float default: 1.0 -- animatable </code></pre><p>The target size for all particles in the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Size_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>The percentage by which the size of each particle may vary from the norm.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Growth_Time Time default: 10f </code></pre><p>The number of intervals over which the particle grows from being very small (0.1a system constant) to the Size value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Fade_Time Time default: 10f </code></pre><p>The number of intervals over which the particle will shrink to 1/10 th its Size setting prior to its death.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.seed Integer default: 0 -- alias: Random_Seed </code></pre><p>By changing the Seed value, you achieve different results using otherwise identical particle settings.</p>\n\
<h2 id=\"particle-type\">Particle Type</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.particleType Integer default: 0 </code></pre><p>The type of particle emitted:</p>\n\
<p>0 - <strong>Standard Particle</strong> (Uses one of several standard particle types, such as triangle, cube, tetra, and so on.)</p>\n\
<p>1 - <strong>MetaParticles</strong> (Uses Metaball particles. These are particle systems in which the individual particles blend together in blobs or streams.)</p>\n\
<p>2 - <strong>Instanced Geometry</strong> (Generates particles that are instances of either an object, a linked hierarchy of objects, or a group.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.standardParticle Integer default: 0 </code></pre><p>Get/set the type of the Standard particle when <code>.particleType</code> is set to 0.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Triangle</strong></p>\n\
<p>1 - <strong>Cube</strong></p>\n\
<p>2 - <strong>Special</strong></p>\n\
<p>3 - <strong>Facing</strong></p>\n\
<p>4 - <strong>Constant</strong></p>\n\
<p>5 - <strong>Tetra</strong></p>\n\
<p>6 - <strong>SixPoint</strong></p>\n\
<p>7 - <strong>Sphere</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Metaparticle_Tension Float default: 1.0 -- animatable </code></pre><p>Determines the tightness of the particles, with regard to their tendency to blend with other particles. The higher the Tension, the harder the blobs, and the harder it is for them to merge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Metaparticle_Tension_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>The percent of variation of the Tension effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.metaballRenderCoarsness Float default: 0.5 -- alias: Metaparticle_Coarseness </code></pre><p>The coarseness for metaparticles in the rendered scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.metaballViewCoarsness Float default: 1.0 </code></pre><p>The coarseness for the viewport display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.metaballAutoCoarsness Boolean default: true </code></pre><p>When this is on, the rendering coarseness is automatically set, based on the size of the particles, and the viewport coarseness is set to about twice that of the rendering coarseness.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Bubble_Amplitude Integer default: 0 </code></pre><p>Turns on/off One Connected Blob.</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<p>l</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.instancingObject Node default: undefined </code></pre><p>The object which is instanced.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.instanceSubTree Boolean default: false </code></pre><p>Turn this on when you want to include the linked children of the picked object in the particle. If the picked object is a group, all children of the group are included.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.instanceKeyOffsetType Integer default: 0 </code></pre><p>Set the animation offset keying:</p>\n\
<p>0- <strong>None</strong> (Each particle duplicates the timing of the original object. As a result, the animation of all particles will be identically timed.)</p>\n\
<p>1- <strong>Birth</strong> (The firstborn particle is an instance of the current animation of the source object at the moment of that particle&apos;s birth. Each subsequent particle then use the same start time for the animation.)</p>\n\
<p>2- <strong>Random</strong> (This option is the same as None when Frame Offset is set to 0. Otherwise, each particle is born using the same animation as the source object at the time of birth, but with a random offset of frames, based on the <code>.instanceFrameOffset</code> value.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.instanceFrameOffset Integer default: 0 -- alias: Animation_Offset_Amount </code></pre><p>The property value is the UI value times the number of ticks per frame. The number of ticks per frame is accessible via the <code>ticksPerFrame</code> system global variable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.mappingType Integer default: 0 </code></pre><p>Specifies how a mapped material affects the particles:</p>\n\
<p>0- <strong>Time</strong> (Maps particles over time.)</p>\n\
<p>1- <strong>Distance</strong> (Maps particles over a distance.)</p>\n\
<p>2- <strong>Emitter Fit Planar</strong> (Maps particles at birth, based on their point of emission from the rectangular Blizzard emitter icon. The UV range of the mapped material runs from 0 to 1 over the width and length of the emitter.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Mapping_Time_Base Time default: 30f -- animatable </code></pre><p>The number of frames from the birth of the particle that it takes to complete one mapping of the particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Mapping_Distance_Base Float default: 100.0 -- animatable </code></pre><p>The distance, in units, from the birth of the particle that it takes to complete one mapping of the particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.materialSource Integer default: 0 </code></pre><p>Updates the material carried by the particle system, using the source specified:</p>\n\
<p>0 - <strong>Icon</strong> (The particles use the material currently assigned to the particle system icon.)</p>\n\
<p>1 - <strong>Instanced Geometry</strong> (The particles use the material assigned to the instanced geometry.)</p>\n\
<h2 id=\"rotation-and-collision\">Rotation and Collision</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spin_Time Time default: 30f -- animatable </code></pre><p>The number of frames for one rotation of a particle. If set to 0, no rotation takes place.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spin_Time_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>The percent of variation of the Spin Time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spin_Phase Float default: 0.0 -- animatable, angle </code></pre><p>The initial particle rotation, in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spin_Phase_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>The percent of variation of the Phase.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spinAxisType Integer default: 0 </code></pre><p>The spin axis for the particles:</p>\n\
<p>0- <strong>Random</strong> (The spin axis for each of the particles is random.)</p>\n\
<p>1- <strong>User Defined</strong> (Uses a vector defined in the three X, Y, and Z spin vector values.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.X_Spin_Vector Float default: 1.0 -- animatable </code></pre><p>Spin vector of the X-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Y_Spin_Vector Float default: 0.0 -- animatable </code></pre><p>Spin vector of the Y-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Z_Spin_Vector Float default: 0.0 -- animatable </code></pre><p>Spin vector of the Z-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spin_Axis_Variation Float default: 0.0 -- animatable, angle </code></pre><p>The amount, in degrees, by which the spin axis of each particle may vary from the specified X Axis, Y Axis, and Z Axis settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Interparticle_Collisions_On Integer default: 0 </code></pre><p>Turn on/off interparticle collisions:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Interparticle_Collision_Steps Integer default: 2 </code></pre><p>The number of intervals per rendering interval, during which an inter-particle collision test is conducted. The higher the value, the more accurate the simulation, but the slower the simulation will run.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Interparticle_Collision_Bounce Float default: 100.0 -- animatable, percentage </code></pre><p>The degree to which speed is recovered after a collision.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Interparticle_Collision_Bounce_Variation Float default: 0.0 -- animatable, percentage </code></pre><p>The percentage of random variation of the Bounce value, applied to the particles.</p>\n\
<h2 id=\"object-motion-inheritance\">Object Motion Inheritance</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.motionInfluence Float default: 100.0 -- animatable, alias: Object_Motion_Inheritance </code></pre><p>The percent of particles that inherit the motion of the object-based emitter at the moment of particle formation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.motionMultiplier Float default: 1.0 -- animatable, alias: Object_Motion_Multiplier </code></pre><p>Modifies the amount by which the emitter motion affects the particle motion. This can be a positive or negative number.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.motionVariation Float default: 0.0 -- animatable, percentage; alias: Object_Motion_Multiplier_Variation </code></pre><p>Percentage of variation of the Multiplier value.</p>\n\
<h2 id=\"particle-spawn\">Particle Spawn</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnType Integer default: 0 </code></pre><p>Determines what happens to particles at either collision or death:</p>\n\
<p>0 - <strong>None</strong> (Particles act as they normally would. That is, upon collision, they either bounce or stick, depending on Particle Bounce settings in the deflector, and on death they disappear.)</p>\n\
<p>1 - <strong>Die After Collision</strong> (Particles disappear when they strike a deflector to which they&apos;re bound, such as the SDeflector.)</p>\n\
<p>2 - <strong>Spawn on Collision</strong> (Spawn effects take place upon collision with a bound deflector.)</p>\n\
<p>3 - <strong>Spawn on Death</strong> (Spawn effects take place at the end of each particle&apos;s life.)</p>\n\
<p>4 - <strong>Spawn Trails</strong> (Particles are spawned from existing particles at each frame of that particle&apos;s life.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Die__X_frames_after_collision Time default: 0f -- animatable </code></pre><p>The life, in frames, that the particle will persist after the collision. Setting this to 0 (the default) causes particles to vanish immediately after the collision.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Die__X_frames_after_collision_variation Float default: 0.0 -- animatable, percentage</code></pre><p>Varies the Persist value of each particle, when Persist is greater than 0. This lets you &quot;feather&quot; the dying off of the particle density.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spawn_Affects Integer default: 100 </code></pre><p>The percentage of particles that will spawn. Reducing this reduces the number of particles that produce spawned particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spawn_Multiplier_Variation Float default: 0.0 -- percentage </code></pre><p>Percentage range by which the Multiplier value will vary, frame by frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spawn_Direction_Chaos Float default: 0.0 -- animatable </code></pre><p>The amount by which the direction of the spawned particle can vary from the direction of the parent particle. A setting of 0 means no variance. A setting of 100 causes the spawned particle to travel in any random direction. A setting of 50 causes the spawned particle to deviate from its parent&apos;s path by up to 90 degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spawn_Speed_Chaos Float default: 0.0 -- animatable </code></pre><p>The range of a percentage of change in the speed of the spawned particle relative to its parent. A value of 0 means no change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnSpeedType Integer default: 0 </code></pre><p>Sets the type of speed applied to spawn particles:</p>\n\
<p>0 - <strong>Slow</strong> (Applies the <code>.spawn_Speed_Chaos</code> value randomly to slow the speed of the spawned particles.)</p>\n\
<p>1 - <strong>Fast</strong> (Randomly speeds up particles based on the <code>.spawn_Speed_Chaos</code> value.)</p>\n\
<p>2 - <strong>Both</strong> (Some particles speed up, while others slow down, based on the <code>.spawn_Speed_Chaos</code> value.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnInheritVelocity Boolean default: false </code></pre><p>When on, spawned particles inherit the speed of their parents, in addition to the effect of the <code>.spawn_Speed_Chaos</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnSpeedFixed Boolean default: false </code></pre><p>When on, uses the <code>.spawn_Speed_Chaos</code> value as a set value, rather than as a range applied randomly to each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnScaleType Integer default: 0 </code></pre><p>Sets the type of scale applied to spawn particles:</p>\n\
<p>0 - <strong>Down</strong> - scales down spawn particles over time.</p>\n\
<p>1 - <strong>Up</strong> - scales up spawn particles over time.</p>\n\
<p>2 - <strong>Both</strong> - scales up and down spawn particles over time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.Spawn_Scale_Chaos Float default: 0.0 -- animatable </code></pre><p>The range of a percentage of change in the scale of the spawned particle relative to its parent. A value of 0 means no change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.spawnScaleFixed Boolean default: false </code></pre><p>When on, uses the <code>.spawn_Scale_Chaos</code> value as a set value, rather than as a range applied randomly to each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.lifespanValueQueue Array default: #() </code></pre><p><code>lifespanValueQueue</code> is an array of integers which correspond to lifespan values for each spawned generation of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Blizzard&gt;.objectMutationQueue Array default: #() </code></pre><p><code>objectMutationQueue</code> is an array of nodes which correspond to instanced-object particle types. Each generation of spawning will use the next node as its object type.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Particle-Systems.html\">Geometry - Particle Systems</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-System-Common.html\">Particle System Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";