var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-02147B14-FAD6-4C59-87F8-5ED3ECBF7007\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Snow : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Snow - superclass: GeometryClass; super-superclass:node - classID: #(-1680467295, 0) </code></pre><p><img src=\"./images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">snow...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.viewportcount Integer default: 100 </code></pre><p>Maximum number of particles displayed in viewports at any given frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.rendercount Integer default: 100 </code></pre><p>Maximum number of particles that can appear in a single frame when you render it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.flakesize Float default: 2.0 -- animatable, alias: Flake_Size </code></pre><p>Size of a particle in the active units.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.speed Float default: 10.0 -- animatable </code></pre><p>Initial velocity of each particle as it leaves the emitter. Particles travel at this speed unless they are affected by a particle system space warp.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.variation Float default: 2.0 -- animatable </code></pre><p>Varies the initial speed and direction of particles. The greater the Variation, the broader the area of snowfall.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.tumble Float default: 0.0 -- animatable </code></pre><p>Amount of random rotation for snowflake particles. This parameter can range from 0 to 1. At 0, flakes do not rotate; at 1, they rotate the most. The axis of rotation is generated randomly for each particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.tumblescale Float default: 1.0 -- animatable, alias: Tumble_Rate </code></pre><p>Speed at which snowflakes rotate. The greater the Tumble Rate, the faster the rotation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.display Integer default: 0 </code></pre><p>Set how particles are displayed in viewports:</p>\n\
<p>0 - <strong>Flakes</strong> (star-shaped snowflakes)</p>\n\
<p>1 - <strong>Dots</strong></p>\n\
<p>2 - <strong>Ticks</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.render Integer default: 0 </code></pre><p>Set how particles are rendered:</p>\n\
<p>0 - <strong>Six Point</strong> (Each particle is rendered as a six-pointed star. Each side of the star is a face to which you can assign a material.)</p>\n\
<p>1 - <strong>Triangle</strong> (Each particle is rendered as a triangle. Only one side of the triangle is a face to which you can assign a material.)</p>\n\
<p>2 - <strong>Facing</strong> (Particles are rendered as square faces whose width and height equal Flake Size. Facing particles are provided especially for use with material maps.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.start Time default: 0f -- alias: starttime </code></pre><p>Number of the first frame where particles appear.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.lifetime Time default: 30f -- alias: life </code></pre><p>The lifetime of a particle, in number of frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.birthrate Time default: 0f -- animatable, alias: Birth_Rate </code></pre><p>The number of new particles born per frame. If this is less than or equal to the maximum sustainable rate, the particle system generates an even flow of particles. If it is greater than the maximum rate, the particle system generates particles in bursts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.constant Boolean default: true </code></pre><p>When on, Birth Rate is unavailable and the birth rate used equals the maximum sustainable rate.</p>\n\
<p>When off, Birth Rate is available. Turning Constant off does not mean that the birth rate varies automatically; the birth rate remains constant unless you animate the Birth Rate parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.emitterwidth Float default: 25.0 -- animatable, alias: width </code></pre><p>The width of the emitter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.emitterheight Float default: 25.0 -- animatable, alias: length </code></pre><p>The height of the emitter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Snow&gt;.hideemitter Boolean default: false </code></pre><p>When on, the emitter is hidden in the viewports.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The emitter is never rendered.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Particle-Systems.html\">Geometry - Particle Systems</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-System-Common.html\">Particle System Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";