var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-94804C59-BE2A-4A34-B539-150CE88CFEB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>GeometryClass : Node</h1></div><p>The following lists show the <strong>3ds Max</strong> geometry class objects:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\" alt=\"\"></td>\n\
<td>Standard Primitives<br> <a href=\"Geometry-Standard-Objects/Box-GeometryClass.html\">Box</a><br> <a href=\"Geometry-Standard-Objects/Cone-GeometryClass.html\">Cone</a><br> <a href=\"Geometry-Standard-Objects/Cylinder-GeometryClass.html\">Cylinder</a><br> <a href=\"Geometry-Standard-Objects/Geosphere-GeometryClass.html\">Geosphere</a><br> <a href=\"Geometry-Standard-Objects/Plane-GeometryClass.html\">Plane</a><br> <a href=\"Geometry-Standard-Objects/Pyramid-GeometryClass.html\">Pyramid</a><br> <a href=\"Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere</a><br> <a href=\"Geometry-Standard-Objects/Teapot-GeometryClass.html\">Teapot</a><br> <a href=\"Geometry-Standard-Objects/Torus-GeometryClass.html\">Torus</a><br> <a href=\"Geometry-Standard-Objects/Tube-GeometryClass.html\">Tube</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt=\"\"></td>\n\
<td><strong>Extended Primitives</strong> <br><a href=\"Geometry-Extended-Objects/Capsule-GeometryClass.html\">Capsule</a><br> <a href=\"Geometry-Extended-Objects/ChamferBox-GeometryClass.html\">ChamferBox</a><br> <a href=\"Geometry-Extended-Objects/ChamferCyl-GeometryClass.html\">ChamferCyl</a><br> <a href=\"Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a><br> <a href=\"Geometry-Extended-Objects/Gengon-GeometryClass.html\">Gengon</a><br> <a href=\"Geometry-Extended-Objects/Hedra-GeometryClass.html\">Hedra</a><br> <a href=\"Geometry-Extended-Objects/Hose-superclass-GeometryClass.html\">Hose</a><br> <a href=\"Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a><br> <a href=\"Geometry-Extended-Objects/OilTank-GeometryClass.html\">OilTank</a><br> <a href=\"Geometry-Extended-Objects/Prism-GeometryClass.html\">Prism</a><br> <a href=\"Geometry-Extended-Objects/RingWave-GeometryClass.html\">RingWave</a><br> <a href=\"Geometry-Extended-Objects/Spindle-GeometryClass.html\">Spindle</a><br> <a href=\"Geometry-Standard-Objects/TargetObject-GeometryClass.html\">TargetObject</a><br> <a href=\"Geometry-Extended-Objects/Torus_Knot-GeometryClass.html\">Torus_Knot</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt=\"\"></td>\n\
<td><strong>Compound Objects</strong> <br><a href=\"Geometry-Compound-Objects/BlobMesh-GeometyClass.html\">BlobMesh</a><br> <a href=\"Geometry-Compound-Objects/Boolean2-GeometryClass.html\">Boolean2</a><br> <a href=\"Geometry-Compound-Objects/Conform-GeometryClass.html\">Conform</a><br> <a href=\"Geometry-Compound-Objects/Connect-GeometryClass.html\">Connect</a><br> <a href=\"Geometry-Compound-Objects/Loft-GeometryClass.html\">Loft</a><br> <a href=\"Geometry-Compound-Objects/Mesher-superclass-GeometryClass.html\">Mesher</a><br> <a href=\"Geometry-Compound-Objects/Morph-GeometryClass.html\">Morph</a><br> <a href=\"./../../../MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\">ProBoolean&amp; ProCutter</a><br> <a href=\"Geometry-Compound-Objects/Scatter-GeometryClass.html\">Scatter</a><br> <a href=\"Geometry-Compound-Objects/ShapeMerge-GeometryClass.html\">ShapeMerge</a><br> <a href=\"Geometry-Compound-Objects/Terrain-GeometryClass.html\">Terrain</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\" alt=\"\"></td>\n\
<td><strong>Particle Systems</strong> <br><a href=\"Geometry-Particle-Systems/Blizzard-GeometryClass.html\">Blizzard</a><br> <a href=\"Geometry-Particle-Systems/PArray-GeometryClass.html\">PArray</a><br> <a href=\"Geometry-Particle-Systems/PCloud-GeometryClass.html\">PCloud</a><br> <a href=\"Geometry-Particle-Systems/Snow-GeometryClass.html\">Snow</a><br> <a href=\"Geometry-Particle-Systems/Spray-GeometryClass.html\">Spray</a><br> <a href=\"Geometry-Particle-Systems/SuperSpray-GeometryClass.html\">SuperSpray</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-7A357D54-D99B-4B25-8542-4B6A44AD8F99-low.gif\" alt=\"\"></td>\n\
<td><strong>Patch Grids</strong> <br><a href=\"Geometry-Patch-Objects/Quadpatch-GeometryClass.html\">QuadPatch</a><br> <a href=\"Geometry-Patch-Objects/TriPatch-GeometryClass.html\">TriPatch</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-FCA44498-15FE-4792-8553-93EA55807B82-low.gif\" alt=\"\"></td>\n\
<td><strong>NURBS Surfaces</strong> <br><a href=\"Geometry-NURBS-Objects/NURBSSurf-GeometryClass.html\">NURBSSurf</a><br> <a href=\"Geometry-NURBS-Objects/Point_Surf-GeometryClass.html\">Point_Surf</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\" alt=\"\"></td>\n\
<td><strong>Dynamics Objects</strong> <br><a href=\"Geometry-Dynamics-Objects/Damper-GeometryClass.html\">Damper</a><br> <a href=\"Geometry-Dynamics-Objects/Spring-GeometryClass.html\">Spring</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-29711734-AD4C-4E5B-A081-4C79D53F1203-low.gif\" alt=\"\"></td>\n\
<td><strong>Doors</strong> <br><a href=\"Geometry-Doors-and-Windows/BiFold-GeometryClass.html\">BiFold</a><br> <a href=\"Geometry-Doors-and-Windows/Pivot-GeometryClass.html\">Pivot</a><br> <a href=\"Geometry-Doors-and-Windows/SlidingDoor-GeometryClass.html\">SlidingDoor</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-273CCDA3-8FBE-442B-A56E-46D801A379EF-low.gif\" alt=\"\"></td>\n\
<td><strong>Windows</strong> <br><a href=\"Geometry-Doors-and-Windows/Awning-GeometryClass.html\">Awning</a><br> <a href=\"Geometry-Doors-and-Windows/Casement-GeometryClass.html\">Casement</a><br> <a href=\"Geometry-Doors-and-Windows/Fixed-GeometryClass.html\">Fixed</a><br> <a href=\"Geometry-Doors-and-Windows/Pivoted-GeometryClass.html\">Pivoted</a><br> <a href=\"Geometry-Doors-and-Windows/Projected-GeometryClass.html\">Projected</a><br> <a href=\"Geometry-Doors-and-Windows/SlidingWindow-GeometryClass.html\">SlidingWindow</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-4EAAAC23-4F44-4A9D-80A1-4437DF85DD48-low.gif\" alt=\"\"></td>\n\
<td><strong>AEC Extended Objects</strong> <br><a href=\"Geometry-Extended-AEC-Objects/Foliage-GeometryClass.html\">Foliage</a><br> <a href=\"Geometry-Extended-AEC-Objects/Railing-GeometryClass.html\">Railing</a><br> <a href=\"Geometry-Extended-AEC-Objects/Wall-GeometryClass.html\">Wall</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-48C60B27-FB79-4D2D-9B45-F7013C0ECD5D-low.gif\" alt=\"\"></td>\n\
<td><strong>Stairs</strong> <br><a href=\"Geometry-Stairs/L_Type_Stair-GeometryClass.html\">L_Type_Stair</a><br> <a href=\"Geometry-Stairs/Spiral_Stair-GeometryClass.html\">Spiral_Stair</a><br> <a href=\"Geometry-Stairs/Straight_Stair-GeometryClass.html\">Straight_Stair</a><br> <a href=\"Geometry-Stairs/U_Type_Stair-GeometryClass.html\">U_Type_Stair</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-117FF2C7-1D86-45A0-88CB-0557F44B4054-low.png\" alt=\"\"></td>\n\
<td><strong>Alembic</strong> <br><a href=\"Geometry-Alembic/AlembicObject-GeometryClass.html\">Object</a><br> <a href=\"Geometry-Alembic/AlembicContainer-GeometryClass.html\">Container</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-00850E28-1D5F-4292-9269-705AF2DA5417-low.png\" alt=\"\"></td>\n\
<td><strong>Fluids</strong> <br><a href=\"Geometry-Stairs/L_Type_Stair-GeometryClass.html\">MaxLiquid</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td></td>\n\
<td><strong>MassFX (internal)</strong> <br><a href=\"Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a><br> <a href=\"Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a><br> <a href=\"Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></td>\n\
</tr>\n\
</tbody></table>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td></td>\n\
<td><strong>Miscellaneous</strong> <br><a href=\"./../../../DWG-Import/LinkComposite-GeometryClass.html\">LinkComposite</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../GeometryClass-Node.html\">GeometryClass : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";