var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-068B8628-2BA5-43A4-89BB-5B01F6A00DBB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UConstraint : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">UConstraint - superclass: helper; super-superclass:node - 48:0 - classID: #(1418738174, 1341607350)</code></pre><p>This helper is part of the MassFX Dynamics Simulation toolset.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">UConstraint ... nvConstraint ...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"-quot-connection-quot-rollout\">&quot;Connection&quot; Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.body0 UndefinedClass default: undefined -- node</code></pre><p>Get/set the Parent Body node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.body1 UndefinedClass default: undefined -- node</code></pre><p>Get/set the Child Body node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.breakable BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the Breakable checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.maxForce Float default: 100.0 -- float; Max_Force</code></pre><p>Get/set the Max. Force value. Used when Breakable is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.maxTorque Float default: 10.0 -- float; Max_Torque</code></pre><p>Get/set the Max. Torque value. Used when Breakable is set to true.</p>\n\
<h2 id=\"-quot-translation-limits-quot-rollout\">&quot;Translation Limits&quot; Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearModeX Integer default: 1 -- integer; Linear_ModeX</code></pre><p>Get/set the X Translation Limit&apos;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearModeY Integer default: 1 -- integer; Linear_ModeY</code></pre><p>Get/set the Y Translation Limit&apos;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearModeZ Integer default: 1 -- integer; Linear_ModeZ</code></pre><p>Get/set the Z Translation Limit&apos;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearPosition Float default: 100.0 -- float; Linear_Position</code></pre><p>Get/set the value of the Limit Radius property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearRestitution Float default: 0.0 -- float; Linear_Restitution</code></pre><p>Get/set the value of the Bounce property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearSpring Float default: 0.0 -- float; Linear_Spring</code></pre><p>Get/set the value of the Spring property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.linearDamping Float default: 0.0 -- float; Linear_Damping</code></pre><p>Get/set the value of the Damping property.</p>\n\
<h2 id=\"-quot-swing-amp-twist-limits-quot-rollout\">&quot;Swing &amp; Twist Limits&quot; Rollout</h2><h3 id=\"swing-y\">Swing Y</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing1Mode Integer default: 1 -- integer; Swing_1_Mode</code></pre><p>Get/set the state of the Swing Y mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing1Angle Float default: 45.0 -- float; Swing_1_Angle</code></pre><p>Get/set the value of the Swing Y &gt; Angle Limit property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing1Restitution Float default: 0.1 -- float; Swing_1_Resitution</code></pre><p>Get/set the value of the Swing Y &gt; Bounce property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing1Spring Float default: 0.0 -- float; Swing_1_Spring</code></pre><p>Get/set the value of the Swing Y &gt; Spring property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing1Damping Float default: 0.0 -- float; Swing_1_Damping</code></pre><p>Get/set the value of the Swing Y &gt; Damping property.</p>\n\
<h3 id=\"swing-z\">Swing Z</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing2Mode Integer default: 1 -- integer; Swing_2_Mode</code></pre><p>Get/set the state of the Swing Z mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing2Angle Float default: 45.0 -- float; Swing_2_Angle</code></pre><p>Get/set the value of the Swing Z &gt; Angle Limit property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing2Restitution Float default: 0.1 -- float; Swing_2_Resitution</code></pre><p>Get/set the value of the Swing Z &gt; Bounce property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing2Spring Float default: 0.0 -- float; Swing_2_Spring</code></pre><p>Get/set the value of the Swing Z &gt; Spring property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swing2Damping Float default: 0.0 -- float; Swing_2_Damping</code></pre><p>Get/set the value of the Swing Z &gt; Damping property.</p>\n\
<h3 id=\"twist\">Twist</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistMode Integer default: 1 -- integer; Twist_Mode</code></pre><p>Get/set the state of the twist mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistAngleLow Float default: 45.0 -- float; Twist_Angle_Low</code></pre><p>Get/set the value of the Left Limit Angle property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistAngleHigh Float default: 45.0 -- float; Twist_Angle_High</code></pre><p>Get/set the value of the Right Limit Angle property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistRestitutionLow Float default: 0.0 -- float; Twist_Restitution_Low</code></pre><p>Get/set the value of the Left Bounce property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistRestitutionHigh Float default: 0.0 -- float; Twist_Restitution_High</code></pre><p>Get/set the value of the Right Bounce property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistSpringHigh Float default: 0.0 -- float; Twist_Spring_High</code></pre><p>Get/set the value of the Left Spring property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistSpringLow Float default: 0.0 -- float; Twist_Spring_Low</code></pre><p>Get/set the value of the Right Spring property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistDampingLow Float default: 0.0 -- float; Twist_Damping_Low</code></pre><p>Get/set the value of the Left Damping property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistDampingHigh Float default: 0.0 -- float; Twist_Damping_High</code></pre><p>Get/set the value of the Right Damping property.</p>\n\
<h2 id=\"-quot-spring-quot-rollout\">&quot;Spring&quot; Rollout</h2><h3 id=\"spring-to-resting-position\">Spring To Resting Position</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.posSpring Float default: 0.0 -- float; Position_Spring</code></pre><p>Get/set the value of the Springiness property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.posDamping Float default: 0.0 -- float; Position_Damping</code></pre><p>Get/set the value of the Damping property.</p>\n\
<h3 id=\"spring-to-resting-swing\">Spring To Resting Swing</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swingSpring Float default: 0.0 -- float; Swing_Spring</code></pre><p>Get/set the value of the Springiness property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.swingDamping Float default: 0.0 -- float; Swing_Damping</code></pre><p>Get/set the value of the Damping property.</p>\n\
<h3 id=\"spring-to-resting-twist\">Spring To Resting Twist</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistSpring Float default: 0.0 -- float; Twist_Spring</code></pre><p>Get/set the value of the Springiness property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.twistDamping Float default: 0.0 -- float; Twist_Damping</code></pre><p>Get/set the value of the Damping property.</p>\n\
<h2 id=\"-quot-advanced-quot-rollout\">&quot;Advanced&quot; Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.helpersize Float default: 10.0 -- float; Helper_Size</code></pre><p>Get/set the viewport Display Size of the Helper.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.collision BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the Parent/Child Collision checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.useProjection BooleanClass default: false -- boolean; Use_Projection</code></pre><p>Get/set the state of the Use Projection checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.projectionMode Integer default: 0 -- integer; Projection_Mode</code></pre><p>Get/set the state of the projection mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Linear Only (faster)</strong></p>\n\
<p>1 - <strong>Linear and Angular</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.projectionDist Float default: 0.1 -- float; Projection_Dist</code></pre><p>Get/set the value of the projection Distance property.</p>\n\
<p>Used when <code>.projectionMode</code> is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.projectionAngle Float default: 5.0 -- float; Projection_Angle</code></pre><p>Get/set the value of the projection Angle property.</p>\n\
<p>Used when <code>.projectionMode</code> is set to true.</p>\n\
<h2 id=\"controls-unexposed-to-the-user-interface\">Controls Unexposed To The User Interface</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.gearing BooleanClass default: false -- boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.gearRatio Float default: 1.0 -- float; Gear_Ratio</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.unused1 Integer default: 1 -- index</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.unused2 Point3 default: [0,0,0] -- point3</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;UConstraint&gt;.unused3 Point3 default: [0,0,0] -- point3</code></pre><p>Unused paramblock tracks for future use.</p>\n\
<h2 id=\"uconstraint-interfaces-\">UConstraint interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: ConstraintHelperInterface</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;init()</code></pre><p>Initializes the Constraint.</p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-MassFX.html\">Helper - MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Extensions/MAXScript-Extensions-for-MassFX/MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"nvRagdoll-Helper.html\">nvRagdoll : Helper</a></li>\n\
          <li><a class=\"link\" href=\"pxJoint-helper.html\">pxJoint : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";