var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0AEB7F02-FAA6-4C0B-B16C-DB7A47B778AA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TargetDirectionalLight : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TargetDirectionalLight - superclass: light; super-superclass:node - classID: #(4117, 0) </code></pre><p><img src=\"./images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">targetDirectionalLight...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.aspect Float default: 1.0 -- animatable, alias: Aspect_Ratio </code></pre><p>The aspect ratio for the rectangular light beam.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.falloff Float default: 45.0 -- animatable </code></pre><p>The angle of a light&apos;s falloff. The Falloff value is measured in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.showCone Boolean default: false </code></pre><p>Turns display of the cone on or off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.hotspot Float default: 43.0 -- animatable </code></pre><p>The angle of a light&apos;s cone. The Hotspot value is measured in degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.overShoot Boolean default: false </code></pre><p>When on, the light casts light in all directions. However, projections and shadows occur only within its falloff cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TargetDirectionallight&gt;.coneShapeInteger default: 1 -- alias: lightShape </code></pre><p>The shape of the falloff and hotspot areas:</p>\n\
<p>1- <strong>Circle</strong></p>\n\
<p>2- <strong>Rectangle</strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>In MAXScript, you must explicitly construct a target for those objects that need one.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = TargetDirectionallight pos:[x,y,z] target:(targetObject pos:[xt,yt,zt])\n\
</code></pre><p>   Note that the name of the target isn&apos;t derived from the name of the object being created. The above example creates a Target Spot ($Direct01) and target ($Target01). If you create the Target Direct in the UI, the target name would be $Direct01.Target.</p>\n\
<p>   See additional notes under <a href=\"./../../GeometryClass-Node/Geometry-Standard-Objects/TargetObject-GeometryClass.html\">TargetObject : GeometryClass</a></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Standard-Lights.html\">Standard Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Light-Common-Properties.html\">Light Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";