var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8AB78E8F-A9A5-47E5-B37C-C4607E69F0B1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Ellipse : Shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Ellipse - superclass: shape; super-superclass:node - classID: #(4247, 0) </code></pre><p><img src=\"./images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ellipse...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"parameters-rollout\">Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.length Float default: 25.0 -- animatable; worldUnits </code></pre><p>The size of the Ellipse along the local Y axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.width Float default: 35.0 -- animatable; worldUnits </code></pre><p>The size of the Ellipse local X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.ellipse_outline     BooleanClass    default: false   --  animatable; boolean; Outline</code></pre><p>Get/set the state of the Outline checkbox in the Ellipse Parameters.</p>\n\
<p>When set to True, a second spline will be created inside the first one with an offset controller by the <code>.ellipse_thickness</code> property.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.ellipse_thickness     Float    default: 0.0   --  animatable; worldUnits; Thickness</code></pre><p>Get/set the Outline thickness of the Ellipse when <code>.ellipse_outline</code> is set to True.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"interpolation-rollout\">Interpolation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.steps Integer default: 6 </code></pre><p>The number of divisions between each vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.optimize Boolean default: true </code></pre><p>When on, removes unneeded steps from straight segments in the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.adaptive Boolean default: false </code></pre><p>When on, Adaptive sets the number of steps for each spline to produce a smooth curve.</p>\n\
<p>Straight segments always receive 0 steps.</p>\n\
<h2 id=\"rendering-rollout\">Rendering Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_renderable BooleanClass default: false -- boolean; renderable </code></pre><p>Toggles the &quot;Enable in Renderer&quot; checkbox on and off.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh </code></pre><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off.</p>\n\
<p>When set to true, the mesh will be displayed in the viewports.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings </code></pre><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off.</p>\n\
<p>When set to true, the mesh displayed in the viewport will use the Viewport settings.</p>\n\
<p>When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_mapcoords BooleanClass default: false -- boolean; mapcoords </code></pre><p>Toggles mapping coordinates generation on and off.</p>\n\
<p>The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.realWorldMapSize BooleanClass default: false -- boolean </code></pre><p>Toggles the real-world map size option on and off.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings </code></pre><p>Toggles the state of the Viewport/Renderer radio buttons.</p>\n\
<p>When set to true, the Renderer settings will be displayed in the rollout.</p>\n\
<p>When false, the Viewport settings will be shown instead.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer.</p>\n\
<p>When false (default), enables the Radial cross-section mode.</p>\n\
<p>Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports.</p>\n\
<p>When false (default), enables the Radial cross-section mode.</p>\n\
<p>Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"renderer-radial-cross-section\">Renderer - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_thickness Float default: 1.0 -- animatable; thickness </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_sides Integer default: 12 -- animatable; sides </code></pre><p>Get/Set the number of sides for the spline mesh in the renderer.</p>\n\
<p>A value of 4 will give you a square cross section, for example.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_angle Float default: 0.0 -- animatable; angle </code></pre><p>Get/Set the rotational position of the Radial cross-section in the renderer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"renderer-rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_length Float default: 6.0 -- animatable </code></pre><p>Get/Set the length of the Rectangular renderable spline mesh.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_width Float default: 2.0 -- animatable </code></pre><p>Get/Set the width of the Rectangular renderable spline mesh.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_angle2 Float default: 0.0 -- animatable </code></pre><p>Get/Set rotational position of the Radial cross-section in the renderer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton.</p>\n\
<p>When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"viewport-radial-cross-section\">Viewport - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_sides Integer default: 12 -- integer; viewport_sides </code></pre><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports.</p>\n\
<p>A value of 4 will give you a square cross section, for example.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_angle Float default: 0.0 -- float; viewport_angle </code></pre><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"viewport-rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_lengthFloat default: 6.0 -- float </code></pre><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_width Float default: 2.0 -- float </code></pre><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_angle2 Float default: 0.0 -- float </code></pre><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_viewport_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton.</p>\n\
<p>When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"auto-smooth\">Auto Smooth</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_auto_smooth BooleanClass default: true -- boolean </code></pre><p>Controls the state of the Auto Smooth checkbox.</p>\n\
<p>When set to true, auto smoothing will be enabled.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Ellipse&gt;.render_threshold Float default: 40.0 -- animatable; </code></pre><p>Get/set the Auto Smooth Threshold value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";