var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1C3873E2-A01A-4EF5-8B29-44617DFCDE81\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spline Shape Common Properties, Operators, and Methods</h1></div><p>The following methods apply to all spline shape objects.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">applyOffset &lt;spline_shape_node&gt; &lt;offset_float&gt;      </code></pre><p>For each spline in the shape, makes a copy of the spline, offset on all sides to the distance in units specified by <code>offset_float</code> . If a spline is open, the resulting spline and its outline will make a single closed spline. Negative <code>offset_float</code> values create an offset spline to the left of the spline (as the spline is drawn from its start to its finish). The <code>spline_shape_node</code> is converted to a SplineShape (Editable Spline) if it is not already a SplineShape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">measureOffset &lt;spline_shape_node&gt; &lt;point3&gt;   </code></pre><p>Returns a Float value whose absolute value is the distance from <code>point3</code> to the closest point on a spline in the shape. The sign of the value is positive if the <code>point3</code> position is to the left of the spline (as the spline is drawn from its start to its finish). The value returned by this method can usually be used as the <code>offset_float</code> parameter in <code>applyOffset()</code> to have an offset spline pass through the <code>point3</code> position. If the closest point on a spline in the shape is an endpoint of an open spline, the offset spline will not pass through the <code>point3</code> position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">trimextend &lt;fixed_node_array&gt; &lt;alterable_node_array&gt; \\ \n\
[ trim: &lt;boolean&gt; ] [ extend: &lt;boolean&gt;] [ infinite: &lt;boolean&gt;] \\ \n\
[ project: view|#3D|#grid] </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <strong>THIS FEATURE IS CURRENTLY BROKEN</strong>.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";