var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-01A2FB4B-7622-4F71-A454-7D8438D6F877\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SOmniFlect : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SOmniFlect - superclass: SpacewarpObject; super-superclass:node - classID: #(1700857802, 522734191)</code></pre><p><img src=\"./images/GUID-C1E176A4-E5DB-4B38-8B1A-322326706B9D-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SOmniFlect...      </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;time on&apos; Integer default: 0 -- animatable; alias: time_on   </code></pre><p>Time at which the deflection starts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;time off&apos; Integer default: 16000 -- animatable; alias: time_off </code></pre><p>Time at which the deflection ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.affects Float default: 100.0 -- animatable, percentage; alias: reflects </code></pre><p>The percentage of particles to be reflected by the SOmniFlect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.bounce Float default: 1.0 -- animatable </code></pre><p>This is a multiplier that specifies how much of the initial speed of the particle is maintained after collision with the SOmniFlect. Using the default setting of 1.0 causes the particle to rebound with the same speed as it collides. A real-world effect would usually be less than 1.0. For a &quot;flubber&quot; effect, set greater than 1.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.bouncevar Float default: 0.0 -- animatable, percentage; alias: bounce_variation </code></pre><p>The variation of Bounce applied to the range of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.chaos Float default: 0.0 -- animatable </code></pre><p>Applies a random variation to the bounce angle. When set to 0.0 (no chaos), all particles bounce off the SOmniFlect surface perfectly (like banking pool balls). A non-zero setting causes the deflected particles to scatter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.Refracts Float default: 100.0 -- animatable, percentage </code></pre><p>The percentage of particles <em>not already reflected</em> that will be refracted by the SOmniFlect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;pass velocity&apos; Float default: 1.0 -- animatable; alias: pass_velocity </code></pre><p>Defines how much of a particle&apos;s initial speed is maintained after passing through the SOmniFlect. The default setting of 1 retains the initial speed is retained, so there&apos;s no change. A setting of 0.5 reduces the speed by half.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;passvel var&apos; Float default: 0.0 -- animatable; percentage; alias: pass_velocity_variation </code></pre><p>Variation of the Pass Velocity setting applied to the range of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.refraction Float default: 50.0 -- animatable; percentage; alias: distortion </code></pre><p>Controls the angle of refraction. A value of 0 means there&apos;s no refraction. A value of 100% sets the angle of the particles to be parallel with the SOmniFlect surface. A value of -100% sets the angle perpendicular to the surface. The Distortion effect is reversed when particles strike the SOmniFlect from the back side.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;refraction var&apos; Float default: 0.0 -- animatable; percentage; alias: distortion_variation </code></pre><p>Range of variation of the Distortion effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.Diffusion Float default: 0.0 -- animatable, percentage </code></pre><p>Applies a diffusion effect to the refraction by randomly modifying each particle&apos;s Distortion angle by the Diffusion angle. This effectively scatters the particles into a hollow cone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;diffusion var&apos; Float default: 0.0 -- animatable; percentage; alias: diffusion_variation </code></pre><p>Range of variation of the Diffusion value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.inheritVelocity Float default: 1.0 -- animatable; alias: velocity_inheritance </code></pre><p>Determines how much of a moving SOmniFlect&apos;s speed is applied to reflected or refracted particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.deceleration Float default: 1.0 -- animatable </code></pre><p>Sets the deceleration of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.&apos;decel var&apos; Float default: 0.0 -- animatable; percentage </code></pre><p>Sets the variation in deceleration of particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.spawn Float default: 100.0 -- animatable; percentage; alias: spawn_percentage </code></pre><p>The percentage of particles that can use spawn effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.friction Float default: 0.0 -- animatable; percentage </code></pre><p>When set to 0.0 (the default), the surface of the deflector is treated as frictionless, and there&apos;s no change in the particle behavior. As the friction value increases, particles begin to rebound at incorrect angles and with greater speed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SOmniFlect&gt;.radius Float default: 0.0 -- animatable </code></pre><p>The radius of the SomniFlect icon.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span>  <code>getPropnames()</code> and <code>showProperties()</code> show two sets of parameters called <code>Pass_Velocity</code> and <code>Pass_Velocity_Variation</code> . The first set is for Refraction, the second for Spawn Effects Only groups. Due to this sharing of property names, you cannot access the Spawn Effects Only <code>Pass_Velocity</code> and <code>Pass_Velocity_Variation</code> using their property names. You can access the value assigned to these parameters, and their controller if assigned, as subAnims 17 and 18 of the base object.</div>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;particlesys_node&gt; &lt;SOmniFlect_node&gt; </code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SOmniFlectMod </code></pre><p>This modifier is automatically created by the <code>bindSpaceWarp()</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Deflectors.html\">Spacewarp - Deflectors</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";