var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9AFF0F45-AA39-441C-B16F-06094EE938A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Lighting_Analysis_Overlay : RenderEffect</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lighting_Analysis_Overlay - superclass: renderEffect; super-superclass:MAXWrapper - 12:0 - classID: #(1508066200, -1360828798) </code></pre><p>The <strong>Lighting_Analysis_Overlay</strong> Render Effect allows the generation of lighting analysis data.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lighting_Analysis_Overlay ... LightingAnalysisOverlay ... </code></pre><p><img src=\"./images/GUID-2EE64162-5434-409B-8B48-11181E9D47AE-low.gif\" alt></p>\n\
<p><strong>Properties:</strong></p>\n\
<h2 id=\"type-and-range\">Type and Range</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.quantity Integer default: 0 -- integer   </code></pre><p>Get/set the index of the Quantity drop-down list selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Illuminance</strong></p>\n\
<p>1 - <strong>Luminance</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.scaleType Integer default: 0 -- integer; scale </code></pre><p>Get/set the index of the Scale drop-down list selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Linear</strong></p>\n\
<p>1 - <strong>Logarithmic</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.rangeStart Float default: 0.0 -- animatable; float; quantity_min </code></pre><p>Get/set the Range&apos;s minimum value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.rangeEnd Float default: 100.0 -- animatable; float; quantity_max </code></pre><p>Get/set the Range&apos;s maximum value.</p>\n\
<h2 id=\"display-options\">Display Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.shownumbers BooleanClass default: true -- boolean; show_numbers </code></pre><p>Get/set the state of the &quot;Show Numbers On Entire Image (Screen Grid)&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.showhelper BooleanClass default: false -- boolean; show_numbers_from_helper_objects </code></pre><p>Get/set the state of the &quot;Show Numbers From Light Metering Helper Objects&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.showcameraname BooleanClass default: true -- boolean; show_camera_name </code></pre><p>Get/set the state of the &quot;Show Camera Name&quot; option. When set to true, the name of the view/camera will be included in theLighting Analysis Overlay.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.showdaylightinfo BooleanClass default: true -- boolean; show_daylight_info </code></pre><p>Get/set the state of the &quot;Show Daylight Info&quot; option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.fadeBackground BooleanClass default: true -- boolean; fade_background </code></pre><p>Get/set the state of the &quot;Fade Background Image&quot; option.</p>\n\
<h2 id=\"screen-grid-layout-options\">Screen Grid Layout Options</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.verticalspacing Integer default: 40 -- animatable; integer; Vertical_spacing </code></pre><p>Get/set the Vertical Spacing value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.horizontalspacing Integer default: 40 -- animatable; integer; Horizontal_spacing </code></pre><p>Get/set the Horizontal Spacing value.</p>\n\
<h2 id=\"statistics\">Statistics</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Overlay&gt;.largestValue Float default: 0.0 -- float </code></pre><p>Get the Largest Displayed Value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Effect-Types.html\">Render Effect Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Effect-Types-1.html\">Render Effect Types</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Effects-Common-Properties.html\">Render Effects Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";