var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4188979E-A6E1-43AE-9B32-879D1DEE32FF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ShadowMap : Shadow</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shadowMap - superclass: Shadow; super-superclass:MAXWrapper - classID: #(256, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">shadowMap...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;shadowMap&gt;.mapsize Integer default: 512 -- animatable; integer; Map_Size </code></pre><p>The shadow map size in pixels</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;shadowMap&gt;.samplerange Float default: 4.0 -- animatable; float; Map_Range </code></pre><p>The shadow map sample range</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;shadowMap&gt;.mapbias Float default: 1.0 -- animatable; float; Map_Bias </code></pre><p>Controls the shadow map bias - the distance from the shadowing surface to the shadow.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;shadowMap&gt;.absoluteMapBias Boolean default: false -- animatable; boolean; Absolute_Bias </code></pre><p>When set to true, the Map bias is taken as world units. When false (relative), the bias is calculated relative to the scene size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;shadowMap&gt;.twoSidedShadows Boolean default: false -- animatable; boolean </code></pre><p>When True, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time.</p>\n\
<p>When False, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shadow-MAXWrapper.html\">Shadow : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Area_Shadows-Shadow.html\">Area_Shadows : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"RaytraceShadow-Shadow.html\">RaytraceShadow : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"Adv__Ray_traced-Shadow.html\">Adv__Ray_traced : Shadow</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\">How do I change the Shadow type of a Light?</a></li>\n\
          <li><a class=\"link\" href=\"../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";