var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-67EE7985-CE3E-4B3A-84D5-D9074BED9690\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TextureMap : Material</h1></div><p>The TextureMap class represents the 2D and 3D texture maps which you can assign to materials or certain object properties in <strong>3ds Max</strong>. You can create texture maps like bitmap, dent, and swirl, access various properties on them, and assign these texture maps to materials and to certain <strong>3ds Max</strong> object properties.</p>\n\
<p>The classes derived directly from the TextureMap class are described in <a href=\"TextureMap-Types/TextureMap-Types-1.html\">TextureMap Types</a>.</p>\n\
<p>The properties, operators, and methods that are common to all classes derived directly from the TextureMap class are described in <a href=\"TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a>.</p>\n\
<p>TextureMaps also share a set of classes for properties that are used in several different TextureMap classes. These shared classes are described in <a href=\"TextureMap-Shared-Classes/TextureMap-Shared-Classes-1.html\">TextureMap Shared Classes</a>.</p>\n\
<p>The TextureMap class is derived from the Material class, and inherits the properties and methods defined for that class. These properties and methods are described in <a href=\"./../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Material.html\">TextureMap : Material</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";