var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2EAE44D1-43CF-4170-A9F2-C2C60404B6BA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>StandardXYZGen : Material</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.coordType Integer default: 0      </code></pre><p>The type of coordinates used for mapping:</p>\n\
<p>0 - <strong>Object XYZ</strong> (Uses planar mapping based on the object&#x2019;s local coordinates (disregarding the pivot point location).)</p>\n\
<p>1 - <strong>World XYZ</strong> (Uses planar mapping based on the scene&#x2019;s world coordinates (disregarding the object&#x2019;s bounding box).)</p>\n\
<p>2 - <strong>Explicit Map Channel</strong> (Uses the map channel specified by the <code>.mapChannel</code> value.)</p>\n\
<p>3 - <strong>Vertex Color Channel</strong> (Uses assigned vertex colors as a channel.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.mapChannel Integer default: 1   </code></pre><p>The map channel used for mapping coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.offset Point3 default: [0,0,0] -- animatable </code></pre><p>Changes the position of the map in UV coordinates. The map moves in relation to its size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.Tiling Point3 default: [1,1,1] -- animatable </code></pre><p>The number of times the map is tiled across each axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.angle Point3 default: [0,0,0] -- animatable, point3 angle </code></pre><p>Rotates the map about the U, V, and W-axis (in degrees).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.blur Float default: 1.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the map based on its distance from the view. The farther away the map is, the greater the blurring. The Blur value blurs maps in world space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.Blur_Offset Float default: 0.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the map without regard to its distance from the view. Blur Offset blurs the image itself in object space.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Shared-Classes.html\">TextureMap Shared Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";