var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3231AD9-2FCB-483B-9F43-3914BD1CE3D6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BitmapTexture : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bitmaptexture - superclass: textureMap; super-superclass:material - classID: #(576, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bitmaptexture...      \n\
bitmaptex...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.bitmap Bitmap default: Bitmap: </code></pre><p>The bitmap of the texture map.</p>\n\
<p>The script can perform any bitmap operations on this bitmap and the changes will be reflected in the texture map.</p>\n\
<p>In order to see the results of changing the bitmap in Material Editor and in the viewports, you need to modify any one bitmapTexture property in the Material Editor user interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.filename Filenamedefault: &quot;&quot; -- alias: file_name </code></pre><p>The name of the bitmap file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.filtering Integer default: 0 </code></pre><p>The method of pixel averaging used in anti-aliasing the bitmap:</p>\n\
<p>0 - <strong>Pyramidal</strong> (Requires less memory and is adequate for most purposes.)</p>\n\
<p>1 - <strong>Summed Area</strong> (Requires much more memory, but yields generally superior results.)</p>\n\
<p>2 - <strong>None</strong> (Turns off filtering.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.monoOutput Integer default: 0 </code></pre><p>Some parameters, such as opacity or specular level are a single value as opposed to a material&#x2019;s three-value color components. Controls in this group determine the source of the Output mono channel in terms of the input bitmap:</p>\n\
<p>0 - <strong>RGB Intensity</strong> (Uses the intensity of the red, green, and blue channels for mapping. The color of the pixels is ignored and only the value or luminance of the pixels is used. The colors are computed as gray values in the range between 0 (black) and 255 (white).)</p>\n\
<p>1 - <strong>Alpha</strong> (Uses the intensity of the alpha channel for mapping.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.RGBOutput Integer default: 0 </code></pre><p>The RGB Channel Output determines where the output RGB part comes from. The controls in this group affect only maps for material components that display color: Ambient, Diffuse, Specular, Filter Color, Reflection, and Refraction.</p>\n\
<p>0 - <strong>RGB</strong> (Displays the full color values of the pixels.)</p>\n\
<p>1 - <strong>Alpha as Gray</strong> (Displays tones of gray based on the levels of the alpha channel.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.apply Boolean default: false </code></pre><p>Turn on to use the cropping or placements settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.cropPlace Integer default: 0 </code></pre><p>Set whether cropping or placement is active:</p>\n\
<p>0 - <strong>Crop</strong></p>\n\
<p>1 - <strong>Place</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.clipu Float default: 0.0 -- animatable, alias: clip_u_offset </code></pre><p>Adjusts the bitmap location along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.clipv Float default: 0.0 -- animatable, alias: clip_v_offset </code></pre><p>Adjusts the bitmap location along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.clipw Float default: 1.0 -- animatable, alias: clip_u_width </code></pre><p>Adjusts the width of the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.cliph Float default: 1.0 -- animatable, alias: clip_v_width </code></pre><p>Adjusts the height of the bitmap.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.jitter Float default: 1.0 -- animatable, alias: jitter_placement </code></pre><p>The amount of random offset. At 0, there is no random offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;BitmapTex&gt;.useJitter Boolean default: false -- boolean </code></pre><p>Apply the .jitter value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.alphasource Integer default: 0 </code></pre><p>Controls in this group determine the source of the Output alpha channel in terms of the input bitmap:</p>\n\
<p>0 - <strong>Image Alpha</strong> (Uses the image&#x2019;s alpha channel.)</p>\n\
<p>1 - <strong>RGB Intensity</strong> (Converts the colors in the bitmap to grayscale tonal values and uses them for transparency. Black is transparent and white is opaque.)</p>\n\
<p>2 - <strong>None</strong> (Opaque; does not use transparency.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.preMultAlpha Boolean default: true </code></pre><p>Determines how alpha is treated in the bitmap. When turned on, the default, pre-multiplied alpha is expected in the file. When turned off, the alpha is treated as non-pre-multiplied, and any RGB values are ignored.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.starttime Timedefault: 0f </code></pre><p>Get/set the frame of the scene time range where the animated bitmap (multi-frame file like AVI, MOV or IFL describing a sequence of single frames) will play back its first frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.playbackrate Float default: 1.0 </code></pre><p>Get/set the playback rate of an animated bitmap (multi-frame file like AVI, MOV or IFL describing a sequence of single frames). This property lets you speed up and slow down the animation-for example, 1.0 is normal speed (one bitmap frame per scene time frame), 2.0 is twice as fast (every second bitmap frame shown on each scene time frame), .333 is one third of the original speed (each bitmap frame held for three scene time frames) and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.endcondition Integer default: 0 </code></pre><p>These controls determine what happens after the last frame of the animation:</p>\n\
<p>0 - <strong>Loop</strong> (Causes the animation to loop over and over again.)</p>\n\
<p>1 - <strong>Ping Pong</strong> (Causes the animation to be played backwards, making every animated sequence &quot;loop smoothly&quot;)</p>\n\
<p>2 - <strong>Hold</strong> (Causes the last frame of the animation to be frozen on the surface until the end of the scene.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.tieTimeToMatIDs BooleanClass default: false -- boolean; Tie_Time_to_Mat_IDs </code></pre><p>Corresponds to the Sync Frames to Particle Age checkbox in the Time rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.coords StandardUVGen -- alias: coordinates </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/UVGenClass-Material.html\">UVGenClass</a> for the StandardUVGen properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.output StandardTextureOutput </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/TexOutputClass-Material.html\">TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.reload() </code></pre><p>Reload the bitmap. Corresponds to pressing the Reload button in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bitmaptexture&gt;.viewImage() </code></pre><p>View the image source. Corresponds to pressing the View Image button in the UI.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> These methods are identical to what is exposed in the <a href=\"BitmapTexture-TextureMap.html\">bitmapTex interface</a>.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- get the diffuse map from the first material in Material Editor\n\
   dif_map = meditMaterials[1].diffusemap\n\
   -- if the diffuse map is a bitmap texture, show it\n\
   if classof dif_map == BitmapTexture do dif_map.viewImage()\n\
</code></pre></blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enumerateFiles [&lt;MAXWrapper_obj&gt;] &lt;function&gt; [&lt;arg&gt;][#inactive] [#videoPost] [#render] [#missing] [#localOnly] </code></pre><p>Lets you run through all the bitmap files currently used in the scene or in an individual object. You can filter this so it just gives you the bitmap files that are inactive or missing.</p>\n\
<p>See <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Bitmap-Files.html\">Bitmap Files</a> for a description of this method&#x2019;s parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">freeSceneBitmaps() </code></pre><p>Frees up all the memory used by the image file bitmap caches. This is useful if memory is fragmented with a lot of different bitmaps and you want to have just the ones currently active reloaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">usedMaps() </code></pre><p>This method returns an array containing the filename strings of all bitmap textures used by the current scene.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Bitmap textures present only in the Material Editor but not assigned to the scene are excluded.</p>\n\
<p>There is an optional MAXWrapper argument to this method:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">usedMaps [&lt;MAXWrapper&gt;] </code></pre><p>If a MAXWrapper is specified, the method returns a list of all bitmap textures used by that object. In order to include all Material Editor bitmap textures, you can use:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn allUsedMaps =\n\
   (\n\
   sceneMaps = usedMaps()\n\
   for m in meditmaterials do join sceneMaps (usedMaps m)\n\
   sceneMaps\n\
   )\n\
</code></pre></blockquote>\n\
<p><strong>bitmapTexture interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: bitmapTex </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;reload() </code></pre><p>Reloads the bitmap file using the same name and path. You don&apos;t need to use the file browser to reload the bitmap after you&apos;ve updated it in your paint program.</p>\n\
<p>Clicking reload for any instance of the map updates the map in all sample slots and in the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;viewImage() </code></pre><p>Displays a Virtual Frame Buffer that shows the bitmap surrounded by a region outline. The region outline has handles at its sides and corners. When cropping is on, dragging the handles changes the size of the crop area. You can also drag within the region area to move it.</p>\n\
<p>The VFB editing window has U/V and W/H (width/height) spinners on its toolbar. Use these to adjust the location and size the image or crop area.</p>\n\
<p>When Place is turned on, dragging the region area handles changes the scale of the bitmap (hold down <strong>Ctrl</strong> to preserve the bitmap&apos;s aspect ratio), and dragging the image changes its location within the tile area.</p>\n\
<p>When Crop is turned on, the UV or XY button at the right of the virtual frame buffer toolbar lets you switch between using UV or XY coordinates in the toolbar spinners. Also, you can zoom out by pressing <strong>SHIFT+Z</strong> and zoom in by pressing <strong>Z</strong> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../BitmapIO-MAXWrapper/BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-medit.html\">Interface: medit</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\">showTextureMap() function</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";