var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E59B1CE8-B7E5-48D1-AB24-ED8C4AA7C96F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Color_Correction : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Color_Correction - superclass: textureMap; super-superclass:material - classID: #(720, 0) </code></pre><p>The <strong>Color_Correction</strong> TextureMap introduced in <strong>3ds Max 2009</strong> provides means to change the color information of an input texture map including Color Channel Rewiring,Brightness,Contrast,Hue,SaturationandExposure adjustments andmore.</p>\n\
<p><img src=\"./images/GUID-75CCABDB-07E8-4A72-BEAE-6AE4F9772AF0-low.gif\" alt></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Color_Correction...      \n\
ColorCorrection...   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.color Color default: (color 0 0 0) -- fRGBA color; Color_1; </code></pre><p>Get/set the map&apos;s color used when no input map has been specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.Map UndefinedClass default: undefined -- texturemap; </code></pre><p>Get/set the input map to color-correct.</p>\n\
<h2 id=\"channels-rollout\">Channels Rollout</h2><p><strong><a href=\"#color_correction---texturemap\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.rewireR Integer default: 0 -- integer; </code></pre><p>Get/set the Red= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.rewireG Integer default: 1 -- integer; </code></pre><p>Get/set the Green= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.rewireB Integer default: 2 -- integer; </code></pre><p>Get/set the Blue= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.rewireA Integer default: 3 -- integer; </code></pre><p>Get/set the Alpha= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.rewireMode Integer default: 0 -- integer; Rewire_Mode </code></pre><p>Get/set the Rewire Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Normal</p>\n\
<p>1 - Monochrome</p>\n\
<p>2 - Invert</p>\n\
<p>3 - Custom</p>\n\
<h2 id=\"color-rollout\">Color Rollout</h2><p><strong><a href=\"#color_correction---texturemap\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.hueShift Float default: 0.0 -- float; </code></pre><p>Get/set the Hue Shift value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.saturation Float default: 0.0 -- float; </code></pre><p>Get/set the Saturation value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.tint Color default: (color 0 0 0) -- fRGBA color; Hue_Tint; </code></pre><p>Get/set the Hue Tint value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.tintStrength Float default: 0.0 -- float; Hue_Strength; </code></pre><p>Get/set the Hue Tint Strength value.</p>\n\
<h2 id=\"lightness-rollout\">Lightness Rollout</h2><p><strong><a href=\"#color_correction---texturemap\">Topic Navigation</a></strong></p>\n\
<p><img src=\"./images/GUID-F20803C7-23B0-4AD8-8C8F-A92DF1F502EA-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.lightnessMode Integer default: 0 -- integer; </code></pre><p>Get/set the Lightness Mode.</p>\n\
<p>Possible values are</p>\n\
<p>0 - Standard</p>\n\
<p>1 - Advanced</p>\n\
<h3 id=\"standard-mode-controls\">Standard Mode Controls</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.brightness Float default: 0.0 -- float; </code></pre><p>Get/set the Brighness value in Standard mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.contrast Float default: 0.0 -- float; </code></pre><p>Get/set the Contrastvalue in Standard mode.</p>\n\
<h3 id=\"advanced-mode-controls\">Advanced Mode Controls</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.exposureMode Integer default: 0 -- integer; Lightness; </code></pre><p>Get/set theExposure Mode drop-down list&apos;s selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Gain</p>\n\
<p>1 - F-Stops</p>\n\
<p>2 - Printer Lights</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.enableR BooleanClass default: false -- boolean; </code></pre><p>Get/set the state of the R checkbox in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.enableG BooleanClass default: false -- boolean; </code></pre><p>Get/set the state of theGcheckbox in Advanced Lightness mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.enableB BooleanClass default: false -- boolean; </code></pre><p>Get/set the state of the B checkbox in Advanced Lightness mode.</p>\n\
<h3 id=\"gain\">Gain</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gainRGB Float default: 100.0 -- float; LightnessGainRGB; </code></pre><p>Get/set the Gain RGB value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gainR Float default: 100.0 -- float; LightnessGainR; </code></pre><p>Get/set the Gain R value in Advanced Lightness mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gainG Float default: 100.0 -- float; LightnessGainG; </code></pre><p>Get/set the Gain G value in Advanced Lightness mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gainB Float default: 100.0 -- float; LightnessGainB; </code></pre><p>Get/set the Gain B value in Advanced Lightness mode.</p>\n\
<h3 id=\"gamma-contrast\">Gamma/Contrast</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gammaRGB Float default: 1.0 -- float; LightnessGammaRGB; </code></pre><p>Get/set the Gamma RGB value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gammaR Float default: 1.0 -- float; LightnessGammaR; </code></pre><p>Get/set the Gamma R value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gammaG Float default: 1.0 -- float; LightnessGammaG; </code></pre><p>Get/set the Gamma G value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.gammaB Float default: 1.0 -- float; LightnessGammaB; </code></pre><p>Get/set the Gamma B value in Advanced Lightnessmode.</p>\n\
<h3 id=\"pivot\">Pivot</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.pivotRGB Float default: 1.0 -- float; LightnessPivotRGB; </code></pre><p>Get/set the Pivot RGB value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.pivotR Float default: 1.0 -- float; LightnessPivotR; </code></pre><p>Get/set the Pivot R value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.pivotG Float default: 1.0 -- float; LightnessPivotG; </code></pre><p>Get/set the Pivot G value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.pivotB Float default: 1.0 -- float; LightnessPivotB; </code></pre><p>Get/set the Pivot B value in Advanced Lightnessmode.</p>\n\
<h3 id=\"lift-offset\">Lift/Offset</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.liftRGB Float default: 0.0 -- float; LightnessLiftRGB; </code></pre><p>Get/set the Lift/Offset RGB value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.liftR Float default: 0.0 -- float; LightnessLiftR; </code></pre><p>Get/set the Lift/Offset R value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.liftG Float default: 0.0 -- float; LightnessLiftG; </code></pre><p>Get/set the Lift/Offset G value in Advanced Lightnessmode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.liftB Float default: 0.0 -- float; LightnessLiftB; </code></pre><p>Get/set the Lift/Offset B value in Advanced Lightnessmode.</p>\n\
<h3 id=\"printer-lights\">Printer Lights</h3><p><strong><a href=\"Color_Correction-TextureMap.html\">Topic Navigation</a></strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_Correction&gt;.printerLights Float default: 5.0 -- float; LightnessPrinter; </code></pre><p>Get/set the &quot;Printer Lights Per Stop&quot; value in Advanced Lightness mode.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";