var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ABE61646-BFAB-4336-8FC7-14D8244E4092\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Perspective_Match: UtilityPlugin</h1></div><p>Exposes the <strong>Perspective_Match Utility</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><blockquote>\n\
<p>   <strong>To open the Utility in the Utilities tab</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   UtilityPanel.OpenUtility Perspective_Match\n\
   --&gt; true\n\
</code></pre></blockquote>\n\
<h2 id=\"interface-perspective_match\">Interface: Perspective_Match</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.ShowVanishingLines()</code></pre><p>Equivalent to pressing the <strong>&quot;Show Vanishing Lines&quot;</strong> checkbutton in the Utility&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.HideVanishingLines()</code></pre><p>Equivalent to depressing the <strong>&quot;Hide Vanishing Lines&quot;</strong> checkbutton in the Utility&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Perspective_Match.IsMatching()</code></pre><p>Returns True if the <strong>&quot;Show Vanishing Lines&quot;</strong> checkbutton is checked (displaying <strong>&quot;Hide Vanishing Lines&quot;</strong> as its label) and the Utility is in matching mode.</p>\n\
<p>Returns False if the Utility is not in matching mode (the checkbutton is unchecked).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetVanishingLineMode &lt;enum&gt;VanishingLineMode \n\
\n\
VanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}</code></pre><p>Sets the state of the <strong>&quot;Vanishing Lines&quot;</strong> radio buttons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;Perspective_Match.GetVanishingLineMode() \n\
\n\
GetVanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}</code></pre><p>Returns the state of the <strong>&quot;Vanishing Lines&quot;</strong> radio buttons.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetLineStart &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>Sets the start position of the line specified by the first argument to the screen position specified as percentage by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;Perspective_Match.GetLineStart &lt;enum&gt;lineID \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>Returns the start position of the line specified by the first argument as Point2 percentage in screen space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetLineEnd &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>Sets the end position of the line specified by the first argument to the screen position specified as percentage by the second argument.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;Perspective_Match.GetLineEnd &lt;enum&gt;lineID \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>Returns the end position of the line specified by the first argument as Point2 percentage in screen space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetAnchorObject &lt;node&gt;INode</code></pre><p>Sets the anchor object - equivalent to picking an object using the <strong>&quot;Pick Anchor Object&quot;</strong> pickbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Perspective_Match.GetAnchorObject()</code></pre><p>Returns the anchor object picked using the <strong>&quot;Pick Anchor Object&quot;</strong> pickbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetHorizontalAdjustment &lt;float&gt;HorizontalAdjustment</code></pre><p>Sets the value of the <strong>&quot;Horizontal&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Horizontal Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset to the left when the value is negative or to the right when the value is positive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetVerticalAdjustment &lt;float&gt;VerticalAdjustment</code></pre><p>Sets the value of the <strong>&quot;Vertical&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Vertical Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset to down when the value is negative or up when the value is positive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetDistanceAdjustment &lt;float&gt;DistanceAdjustment</code></pre><p>Sets the value of the <strong>&quot;Distance&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Distance Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset backwards when the value is negative or forward when the value is positive.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.Rotate90DegCounterClockwise()</code></pre><p>Equivalent to pressing the <strong>left arrow</strong> button which rotates the Camera counter-clockwise at 90 degrees.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.Rotate90DegClockwise()</code></pre><p>Equivalent to pressing the <strong>right arrow</strong> button which rotates the Camera clockwise at 90 degrees.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";