var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CAF85B1C-C1B6-4638-B988-38F7E33EFB55\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>When do I use If...Then and when If...Do?</h1></div><p>Generally, you can use both If...Then and If...Do within script code, but you cannot use If...Do when an &apos;else&apos; expression is required for the cases the condition evaluates to false.</p>\n\
<p>One of the reasons If...Do exists is to make typing in the Listener easier.</p>\n\
<p>When you enter</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if a==0 then print &quot;A is Zero!&quot;\n\
</code></pre><p>the MAXScript Listener assumes that an &apos;else&apos; expression will follow because you used &apos;then&apos;.</p>\n\
<p>So it will sit around waiting for you to enter the &apos;else&apos; expression, and will seem to hang.</p>\n\
<p>(Note that you can use the Escape key to interrupt the Listener and exit from this &quot;hanging&quot; mode).</p>\n\
<p>If you have no intentions to enter a second expression after an &apos;else&apos;, you should type in</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if a==0 do print &quot;A is Zero!&quot;\n\
</code></pre><p>The Listener will notice you used &apos;do&apos; and therefore don&apos;t want to enter an &apos;else&apos; expression and will execute the line immediately!</p>\n\
<p>For more details, see <a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\">If Expression</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";