var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DBA69E76-C74B-4972-B2B8-E5FF6817B770\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating A Simple DotNet MonthCalendar And Changing Its Colors</h1></div><p>The following example creates a simple dialog with a MonthCalendar dotNet control and assigns a mousedown event handler that prints the properties, methods, and events:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout test &quot;test&quot; height:200 width:220\n\
   (\n\
   dotNetControl f1 &quot;MonthCalendar&quot; align:#left height:180 width:200\n\
   on f1 mousedown val do\n\
   (\n\
   format &quot;in mousedown handler: arg: %\\n&quot; val\n\
   format &quot;showproperties:\\n&quot;\n\
   showproperties val\n\
   format &quot;showmethods:\\n&quot;\n\
   showmethods val\n\
   format &quot;showevents:\\n&quot;\n\
   showevents val\n\
   format &quot;getpropnames : %\\n&quot; (getpropnames val)\n\
   format &quot;prop values:\\n&quot;\n\
   )\n\
   )\n\
   createdialog test escapeEnable:true\n\
</code></pre></blockquote>\n\
<p>After evaluation, a dialog showing a Month Calendar DotNet Control is displayed with default settings. You can see the constructor of the control using the dotnet.showconstructors() method:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --see the constructor of the control\n\
   dotnet.showConstructors test.f1\n\
   System.Windows.Forms.MonthCalendar()\n\
   true\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-7CCE27B0-DEAA-4859-B4D2-6E0B4EC20D76-low.gif\" alt></p>\n\
<p>You can also change the calendar&apos;s appearance by modifying its colors.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --First we list all properties of the control\n\
   --and look to find those controlling some of its colors:\n\
   showproperties test.f1\n\
   .AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only\n\
   .AccessibleDefaultActionDescription : &lt;System.String&gt;\n\
   .AccessibleDescription : &lt;System.String&gt;\n\
   .AccessibleName : &lt;System.String&gt;\n\
   .AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;\n\
   .AllowDrop : &lt;System.Boolean&gt;\n\
   .Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;\n\
   .AnnuallyBoldedDates : &lt;System.DateTime[]&gt;\n\
   .AutoScrollOffset : &lt;System.Drawing.Point&gt;\n\
   .AutoSize : &lt;System.Boolean&gt;\n\
    .BackgroundImage : &lt;System.Drawing.Image&gt; .BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;\n\
                                 .BindingContext : &lt;System.Windows.Forms.BindingContext&gt; .BoldedDates : &lt;System.DateTime[]&gt;\n\
                                 .Bottom : &lt;System.Int32&gt;, read-only .Bounds : &lt;System.Drawing.Rectangle&gt; .CalendarDimensions\n\
                                 : &lt;System.Drawing.Size&gt; .CanFocus : &lt;System.Boolean&gt;, read-only .CanSelect : &lt;System.Boolean&gt;,\n\
                                 read-only .Capture : &lt;System.Boolean&gt; .CausesValidation : &lt;System.Boolean&gt; .CheckForIllegalCrossThreadCalls\n\
                                 : &lt;System.Boolean&gt;, static .ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
                                 .ClientSize : &lt;System.Drawing.Size&gt; .CompanyName : &lt;System.String&gt;, read-only .Container\n\
                                 : &lt;System.ComponentModel.IContainer&gt;, read-only .ContainsFocus : &lt;System.Boolean&gt;,\n\
                                 read-only .ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt; .ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
                                 .Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only .Created :\n\
                                 &lt;System.Boolean&gt;, read-only .Cursor : &lt;System.Windows.Forms.Cursor&gt; .DataBindings\n\
                                 : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only .DefaultBackColor :\n\
                                 &lt;System.Drawing.Color&gt;, read-only, static .DefaultFont : &lt;System.Drawing.Font&gt;, read-only,\n\
                                 static .DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static .DisplayRectangle\n\
                                 : &lt;System.Drawing.Rectangle&gt;, read-only .Disposing : &lt;System.Boolean&gt;, read-only .Dock\n\
                                 : &lt;System.Windows.Forms.DockStyle&gt; .Enabled : &lt;System.Boolean&gt; .FirstDayOfWeek : &lt;System.Windows.Forms.Day&gt;\n\
                                 .Focused : &lt;System.Boolean&gt;, read-only .Font : &lt;System.Drawing.Font&gt; \n\
\n\
                                  .Handle : &lt;System.IntPtr&gt;, read-only .HasChildren : &lt;System.Boolean&gt;, read-only .Height\n\
                                 : &lt;System.Int32&gt; .ImeMode : &lt;System.Windows.Forms.ImeMode&gt; .InvokeRequired : &lt;System.Boolean&gt;,\n\
                                 read-only .IsAccessible : &lt;System.Boolean&gt; .IsDisposed : &lt;System.Boolean&gt;, read-only\n\
                                 .IsHandleCreated : &lt;System.Boolean&gt;, read-only .IsMirrored : &lt;System.Boolean&gt;, read-only\n\
                                 .LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only .Left : &lt;System.Int32&gt;\n\
                                 .Location : &lt;System.Drawing.Point&gt; .Margin : &lt;System.Windows.Forms.Padding&gt; .MaxDate\n\
                                 : &lt;System.DateTime&gt; .MaximumSize : &lt;System.Drawing.Size&gt; .MaxSelectionCount : &lt;System.Int32&gt;\n\
                                 .MinDate : &lt;System.DateTime&gt; .MinimumSize : &lt;System.Drawing.Size&gt; .ModifierKeys :\n\
                                 &lt;System.Windows.Forms.Keys&gt;, read-only, static .MonthlyBoldedDates : &lt;System.DateTime[]&gt;\n\
                                 .MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static .MousePosition\n\
                                 : &lt;System.Drawing.Point&gt;, read-only, static .Name : &lt;System.String&gt; .Padding : &lt;System.Windows.Forms.Padding&gt;\n\
                                 .Parent : &lt;System.Windows.Forms.Control&gt; .PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
                                 .ProductName : &lt;System.String&gt;, read-only .ProductVersion : &lt;System.String&gt;, read-only\n\
                                 .RecreatingHandle : &lt;System.Boolean&gt;, read-only .Region : &lt;System.Drawing.Region&gt;\n\
                                 .Right : &lt;System.Int32&gt;, read-only .RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
                                 .RightToLeftLayout : &lt;System.Boolean&gt; .ScrollChange : &lt;System.Int32&gt; .SelectionEnd\n\
                                 : &lt;System.DateTime&gt; .SelectionRange : &lt;System.Windows.Forms.SelectionRange&gt; .SelectionStart\n\
                                 : &lt;System.DateTime&gt; .ShowToday : &lt;System.Boolean&gt; .ShowTodayCircle : &lt;System.Boolean&gt;\n\
                                 .ShowWeekNumbers : &lt;System.Boolean&gt; .SingleMonthSize : &lt;System.Drawing.Size&gt;, read-only\n\
                                 .Site : &lt;System.ComponentModel.ISite&gt; .Size : &lt;System.Drawing.Size&gt; .TabIndex : &lt;System.Int32&gt;\n\
                                 .TabStop : &lt;System.Boolean&gt; .Tag : &lt;System.Object&gt; .Text : &lt;System.String&gt; \n\
\n\
                                  .TitleForeColor : &lt;System.Drawing.Color&gt; .TodayDate : &lt;System.DateTime&gt; .TodayDateSet\n\
                                 : &lt;System.Boolean&gt;, read-only .Top : &lt;System.Int32&gt; .TopLevelControl : &lt;System.Windows.Forms.Control&gt;,\n\
                                 read-only .TrailingForeColor : &lt;System.Drawing.Color&gt; .UseWaitCursor : &lt;System.Boolean&gt;\n\
                                 .Visible : &lt;System.Boolean&gt; .Width : &lt;System.Int32&gt; .WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;\n\
                                 true \n\
                                                    .BackColor : &lt;System.Drawing.Color&gt; .ForeColor : &lt;System.Drawing.Color&gt; .TitleBackColor : &lt;System.Drawing.Color&gt;</code></pre></blockquote>\n\
<h3 id=\"using-dotnet-color-presets\">Using DotNet Color Presets</h3><p>You can change the color properties of the control. First, take a look at their own properties:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showproperties test.f1.ForeColor --see all properties of the color\n\
   .A : &lt;System.Byte&gt;, read-only\n\
   .AliceBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .AntiqueWhite : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Aqua : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Aquamarine : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Azure : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .B : &lt;System.Byte&gt;, read-only\n\
   .Beige : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Bisque : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Black : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .BlanchedAlmond : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Blue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .BlueViolet : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Brown : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .BurlyWood : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .CadetBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Chartreuse : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Chocolate : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Coral : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .CornflowerBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Cornsilk : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Crimson : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Cyan : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkCyan : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkGoldenrod : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkKhaki : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkMagenta : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkOliveGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkOrange : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkOrchid : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkRed : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkSalmon : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkSeaGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkSlateBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkSlateGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkTurquoise : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DarkViolet : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DeepPink : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DeepSkyBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DimGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DodgerBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Firebrick : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .FloralWhite : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .ForestGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Fuchsia : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .G : &lt;System.Byte&gt;, read-only\n\
   .Gainsboro : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .GhostWhite : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Gold : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Goldenrod : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Gray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Green : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .GreenYellow : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Honeydew : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .HotPink : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .IndianRed : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Indigo : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .IsEmpty : &lt;System.Boolean&gt;, read-only\n\
   .IsKnownColor : &lt;System.Boolean&gt;, read-only\n\
   .IsNamedColor : &lt;System.Boolean&gt;, read-only\n\
   .IsSystemColor : &lt;System.Boolean&gt;, read-only\n\
   .Ivory : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Khaki : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Lavender : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LavenderBlush : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LawnGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LemonChiffon : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightCoral : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightCyan : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightGoldenrodYellow : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightPink : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightSalmon : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightSeaGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightSkyBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightSlateGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightSteelBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LightYellow : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Lime : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .LimeGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Linen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Magenta : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Maroon : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumAquamarine : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumOrchid : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumPurple : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumSeaGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumSlateBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumSpringGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumTurquoise : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MediumVioletRed : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MidnightBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MintCream : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .MistyRose : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Moccasin : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Name : &lt;System.String&gt;, read-only\n\
   .NavajoWhite : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Navy : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .OldLace : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Olive : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .OliveDrab : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Orange : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .OrangeRed : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Orchid : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PaleGoldenrod : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PaleGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PaleTurquoise : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PaleVioletRed : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PapayaWhip : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PeachPuff : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Peru : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Pink : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Plum : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .PowderBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Purple : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .R : &lt;System.Byte&gt;, read-only\n\
   .Red : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .RosyBrown : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .RoyalBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SaddleBrown : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Salmon : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SandyBrown : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SeaGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SeaShell : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Sienna : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Silver : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SkyBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SlateBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SlateGray : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Snow : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SpringGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .SteelBlue : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Tan : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Teal : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Thistle : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Tomato : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Transparent : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Turquoise : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Violet : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Wheat : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .White : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .WhiteSmoke : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Yellow : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .YellowGreen : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .Empty : &lt;System.Drawing.Color&gt;, read-only, static\n\
   true\n\
</code></pre></blockquote>\n\
<p>The color property itself has properties, some of them read-only definitions of typical colors. This means that you can set the .ForeColor and .BackColor properties to the static read-only values that are already defined:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test.f1.ForeColor = test.f1.ForeColor.Blue\n\
   --&gt; dotNetObject:System.Drawing.Color\n\
   test.f1.BackColor = test.f1.BackColor.Yellow\n\
   --&gt; dotNetObject:System.Drawing.Color\n\
   test.f1.TitleBackColor = test.f1.TitleBackColor.Tomato\n\
   --&gt; dotNetObject:System.Drawing.Color\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-9BDD79B4-21AC-4390-B3BA-4AA7378659E3-low.gif\" alt></p>\n\
<h3 id=\"using-user-defined-colors\">Using User-Defined Colors</h3><p>You can create your own DotNet colors instead of using the presets.</p>\n\
<p>Take a look at the methods that a System.Drawing.Color object exposes:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showMethods test.f1.backcolor\n\
   .&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
   .[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
   .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;argb\n\
   .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;alpha &lt;System.Drawing.Color&gt;baseColor\n\
    .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;alpha &lt;System.Int32&gt;red &lt;System.Int32&gt;green\n\
                                    &lt;System.Int32&gt;blue .[static]&lt;System.Drawing.Color&gt;FromKnownColor &lt;System.Drawing.KnownColor&gt;color\n\
                                    .[static]&lt;System.Drawing.Color&gt;FromName &lt;System.String&gt;name .&lt;System.Single&gt;GetBrightness()\n\
                                    .&lt;System.Int32&gt;GetHashCode() .&lt;System.Single&gt;GetHue() .&lt;System.Single&gt;GetSaturation()\n\
                                    .&lt;System.Type&gt;GetType() .[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA\n\
                                    &lt;System.Object&gt;objB .&lt;System.Int32&gt;ToArgb() .&lt;System.Drawing.KnownColor&gt;ToKnownColor()\n\
                                    .&lt;System.String&gt;ToString() true \n\
                                                       .[static]&lt;System.Drawing.Color&gt;FromArgb &lt;System.Int32&gt;red &lt;System.Int32&gt;green &lt;System.Int32&gt;blue</code></pre></blockquote>\n\
<p>As you can see, the <code>.FromARGB()</code> method allows to provide Red, Green, and Blue values, and it constructs a DotNet color value:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   test.f1.forecolor = test.f1.backcolor.FromArgb 255 255 100\n\
   test.f1.backcolor = test.f1.backcolor.FromArgb 100 200 234\n\
   dotNetObject:System.Drawing.Color\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-40BC8A13-30A1-4A42-AC12-E139F5C33272-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-Examples.html\">DotNet Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";