var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EA97A87A-7D28-435E-9D9F-6BA816A6DD00\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxCustomControls.Win32API dotNetObject</h1></div><p>These dotNetObjects are implemented by the MaxCustomControls Assembly and provide methods for accessing some of the major Win32 API functions including message sending, bringing windows to top, and wrapping of window handlers as DotNet Pointers.</p>\n\
<p><strong>dotNetObject &quot;MaxCustomControls.Win32API&quot;</strong></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MaxCustomControls.Win32API()</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.WM_KEYUP : &lt;System.Int32&gt;, read-only, static</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.[static]&lt;System.Int32&gt;BringWindowToTop &lt;System.IntPtr&gt;hWnd\n\
.&lt;System.Boolean&gt;Equals &lt;System.Object&gt;obj\n\
.[static]&lt;System.Boolean&gt;Equals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.&lt;System.Int32&gt;GetHashCode()\n\
.&lt;System.Type&gt;GetType()\n\
.[static]&lt;System.Boolean&gt;ReferenceEquals &lt;System.Object&gt;objA &lt;System.Object&gt;objB\n\
.[static]&lt;System.Int32&gt;SendMessage &lt;System.IntPtr&gt;hWnd &lt;System.UInt32&gt;Msg &lt;System.UIntPtr&gt;wParam &lt;System.UIntPtr&gt;lParam\n\
.&lt;System.String&gt;ToString()\n\
</code></pre><p><strong>dotNetObject &quot;MaxCustomControls.Win32HandleWrapper&quot;</strong></p>\n\
<p><strong>Removed in 3ds Max 2015</strong></p>\n\
<p>Use <code>System.Windows.Forms.NativeWindow.FromHandle()</code> instead:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">theHwnd = (dotNetObject &quot;System.Windows.Forms.NativeWindow&quot;).FromHandle thePtr</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MaxCustomControls-Assembly.html\">MaxCustomControls Assembly</a></li>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../dotNet-Struct-Methods.html\">dotNet Struct Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";