var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78A3F5B1-9C42-4725-B7BB-E67708D39644\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Assigning Variables</h1></div><p>In the <a href=\"Entering-Information-into.html\">previous lesson</a>, you entered the string &quot;Hello&quot; in MAXScript, and MAXScript displayed the same string as its command output. When you enter other strings, MAXScript displays them and forgets about the previous ones.</p>\n\
<p>To make MAXScript <strong>remember the value</strong> of a string, you can <strong>assign it to a variable</strong>.</p>\n\
<p>The general syntax for assigning a variable in MAXScript is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">variable_name=variable_value</code></pre><p>A <code>variable_name</code> starts with an alphabetic character or &quot;_&quot; (underscore), followed by any number of alphanumeric characters.</p>\n\
<p>The <code>variable_value</code> can be a string, a number, or any other expression.</p>\n\
<h2 id=\"to-assign-a-string-to-a-variable-\">To assign a string to a variable:</h2><ul>\n\
<li><p>At the Listener prompt, enter the following command:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">  mystring = &quot;This is my string.&quot;</code></pre><p>  MAXScript returns the value of the string variable:</p>\n\
<p>  <img src=\"./images/GUID-714E597F-E871-42E7-AFB9-2782376BE72C-low.gif\" alt></p>\n\
</li>\n\
<li><p>You can now refer to this string variable by entering the variable&#x2019;s name. Enter <code>mystring</code>.</p>\n\
<p>  MAXScript again returns the value of the string variable:</p>\n\
<p>  <img src=\"./images/GUID-32F21C3E-4142-460A-A93B-A5A57E098140-low.gif\" alt></p>\n\
<p>  This is faster than entering the string again. MAXScript remembers this string for as long as your <strong>3ds Max</strong> session is open, or until you change the variable&#x2019;s value.</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"to-assign-a-new-value-to-an-existing-variable-\">To assign a new value to an existing variable:</h2><ul>\n\
<li><p>Enter <code>mystring = &quot;This is not your string.&quot;</code></p>\n\
<p>  MAXScript now displays the new value of <code>mystring</code>:</p>\n\
<p>  <img src=\"./images/GUID-8061AB68-B776-4ED8-8E78-B71C1EDE1A8C-low.gif\" alt></p>\n\
</li>\n\
<li><p>When you refer to <code>mystring</code> now, MAXScript uses the new value. Enter <code>mystring</code>.</p>\n\
<p>  MAXScript now displays the new variable value:</p>\n\
<p>  <img src=\"./images/GUID-7B56BA92-FC24-4B11-B084-D1397FC99D57-low.gif\" alt></p>\n\
<p>  Notice that MAXScript doesn&#x2019;t distinguish between lowercase and uppercase variable names because MAXScript names are not case-sensitive. Thus, entering myString is the same as entering mystring or MYSTRING or MyStRiNg.</p>\n\
</li>\n\
</ul>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\"Mathematical-Operations-in.html\">Mathematical Operations in MAXScript</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Getting-Started.html\">Getting Started</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";