var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CBBE48A6-D1C6-4589-8F93-1F26EE28A809\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Editor Windows</h1></div><p>The multiple MAXScript Editor windows used in <strong>3ds Max 2</strong> to <strong>9</strong> have been replaced with a single tabbed editor in <strong>3ds Max 2008</strong>. It is based on the Scintilla control and the SciTE editor and supports a large number of advanced features not available in the previous implementation.</p>\n\
<p>The MAXScript Listener and its MacroRecorder pane, the Mini-Listeners in the bottom left corner of the GUI and the script editor windows are all now using the Scintilla control.</p>\n\
<p>The <strong>undo depth</strong> for both the Listener and the Editor is now <strong>500</strong>.</p>\n\
<p>The documentation of the <strong>new Tabbed Editor Window</strong> is available here:</p>\n\
<p><a href=\"./../The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\">MAXScript Tabbed Editor Window</a></p>\n\
<p><a href=\"./../The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">MAXScript Editor Commands</a></p>\n\
<p>The <strong>legacy Editor Windows</strong> are still used in several areas of <strong>3ds Max</strong> like the Particle Flow Scripted Operators. The original documentation of the legacy Editor Windows is available under</p>\n\
<p><a href=\"./../The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/The-MAXScript-Legacy-Editor.html\">The MAXScript Legacy Editor Windows</a></p>\n\
<p><a href=\"./../The-MAXScript-Editor/MAXScript-Legacy-Editor-Windows/MAXScript-Legacy-Editor-Commands.html\">MAXScript Legacy Editor Commands</a></p>\n\
<p><strong>Related MAXScript Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">showSource &lt;fn&gt;</code></pre><p>If you need to locate the source of a scripted function, you can use the <code>showSource()</code> method. It displays a MAXScript Editor window containing the source file in which the function was defined, positioned at the function&apos;s definition.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">editorShowPath</code></pre><p>The new system global variable <code>editorShowPath</code> introduced in <strong>3ds Max 9</strong> controls whether the MAXScript Editor will display the full path of the edited script (true, default in <strong>3ds Max 9</strong>), or only the file name (false, the only mode prior to <strong>3ds Max 9</strong>) in the title bar. Changing the value will update the open MAXScript editor windows.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, when doing an Open or Save As from an editor window, and there is a filename associated with the editor window, the file open/save dialog will open to the filename&apos;s path. When doing an Open, Save, or Save As from an editor window without a filename, or from Listener or the main max window, the last directory specified in a MAXScript script file open/save dialog will be used (unless the user canceled out of the dialog).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";