var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-04D996CE-B03E-41D6-ADD4-E9A043A483B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AngleAxis Values</h1></div><p>The <strong>AngleAxis</strong> class provides a representation for orientation in 3D space using an angle in degrees and a rotation axis. T</p>\n\
<p>his class is similar to a quaternion, except that a normalized quaternion only represents -PI to +PI rotation.</p>\n\
<p>AngleAxis angles can be greater than 360 and so specify multiple revolutions, unlike quaternions.</p>\n\
<p>Rotations follow the right-hand-rule.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">angleaxis &lt;degrees_float&gt; &lt;axis_point3&gt; \n\
&lt;quat&gt; as angleaxis\n\
&lt;eulerangle&gt; as angleaxis\n\
&lt;matrix3&gt; as angleaxis</code></pre><p>extracts the rotation component as an angleaxis</p>\n\
<p><strong>Operators</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleaxis&gt; == &lt;angleaxis&gt;\n\
&lt;angleaxis&gt; != &lt;angleaxis&gt;\n\
&lt;angleaxis&gt; as &lt;class&gt;</code></pre><p>AngleAxis can convert to Matrix3&apos;s, Quat&apos;s, Eulerangle&apos;s</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;angleaxis&gt;.angle: Float\n\
&lt;angleaxis&gt;.axis: Point3\n\
&lt;angleaxis&gt;.numrevs: Integer</code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">copy&lt;angleaxis&gt;</code></pre><p>Creates a new copy of the angleaxis value.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   newAngleAxis = copy oldAngleAxis</code></pre></blockquote>\n\
<p>The new value contains a copy of the input angleaxis value, and is independent of the input angleaxis value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">random &lt;angleaxis&gt; &lt;angleaxis&gt;</code></pre><p>Random rotation in degrees, but uses quat Slerp, so loses multiple revolution angles.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">Basic Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"EulerAngles-Values.html\">EulerAngles Values</a></li>\n\
          <li><a class=\"link\" href=\"Quat-Values.html\">Quat Values</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";