var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3520718-09E9-4AFE-9CE0-B7BE62E97823\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Variables - Assignment and Scope</h1></div><p>A <em>variable</em> is a user-defined container to which you can assign a value, and then later retrieve the value. A variable is identified by its name, and anywhere the variable name is referenced, the value stored in that variable is used.</p>\n\
<p>In this section, the various attributes and considerations associated with variables are described.</p>\n\
<ul>\n\
<li><a href=\"Variables-Assignment-and-Scope/Variable-Assignment.html\">Variable Assignment</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">Persistent Global Variables</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Type-Free-Variables.html\">Type-Free Variables</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Reference-Assignment.html\">Reference Assignment</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Variable-Assignment.html\">Variable Assignment</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Scope-of-Variables.html\">Scope of Variables</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">Persistent Global Variables</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Type-Free-Variables.html\">Type-Free Variables</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Reference-Assignment.html\">Reference Assignment</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Global-and-Persistent-Global.html\">Global and Persistent Global Variable Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Definition-Constructs-Can.html\">Definition Constructs Can Include Global Variable Declarations At Top Level</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Variables-Assignment-and-Scope/Changes-to-Undeclared-Implicit.html\">Changes to Undeclared Implicit Global Variables</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Language-Reference.html\">MAXScript Language Reference</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">Visibility of Locals, Functions, Structures and User-Interface Items in Rollout Code</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">Accessing Locals and Other Items in a Rollout from External Code</a></li>\n\
          <li><a class=\"link\" href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">Memory Allocation and Garbage Collection</a></li>\n\
          <li><a class=\"link\" href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage/Manual-Garbage-Collection.html\">Manual Garbage Collection</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";