var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4CAB016E-90BC-4E46-B195-108F3F956B65\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Definition Constructs Can Include Global Variable Declarations At Top Level</h1></div><h2 id=\"definition-constructs-can-include-global-variable-declarations-at-top-level\">Definition Constructs Can Include Global Variable Declarations At Top Level</h2><p>All the major definition constructs in MAXScript (such as, utility, rollout, macroScript, rcmenu, tool, plug-in, and others) can now include <strong>global</strong> variable declarations at the top-level within them.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout foo &quot;foo&quot;\n\
   (\n\
   local a, b = undefined, c\n\
   global d, f = 3 -- now possible\n\
   spinner bar &quot;Bar&quot;\n\
   checkBox baz &quot;Baz: &quot;\n\
   on bar changed do print a --etc\n\
   )\n\
</code></pre></blockquote>\n\
<p>In releases prior to <strong>3ds Max 4</strong>, <strong>globals</strong> had to be declared inside on-handler bodies. Any initializers present in a global declaration like this are <strong>at compile time</strong>, so the initial value expressions must be executable at the time the script is compiled.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">Variables - Assignment and Scope</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Variable-Assignment.html\">Variable Assignment</a></li>\n\
          <li><a class=\"link\" href=\"Scope-of-Variables.html\">Scope of Variables</a></li>\n\
          <li><a class=\"link\" href=\"Specifying-Global-Variables-As.html\">Specifying Global Variables As Global Using ::</a></li>\n\
          <li><a class=\"link\" href=\"Persistent-Global-Variables.html\">Persistent Global Variables</a></li>\n\
          <li><a class=\"link\" href=\"Type-Free-Variables.html\">Type-Free Variables</a></li>\n\
          <li><a class=\"link\" href=\"Reference-Assignment.html\">Reference Assignment</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";