var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-55051341-B0BA-41AA-AFAE-E7C46EE2A124\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Layer System Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#layerCreated: BaseLayer (reftarg) </code></pre><p>Sent after layer created.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns a layer ReferenceTarget.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> There is a known problem with <code>#layerCreated</code> - a layer may be created if an object is merged or an object XRef is performed, but these actions do not broadcast a <code>#layerCreated</code> event.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#layerDeleted: BaseLayer (reftarg) </code></pre><p>Sent before layer deleted, <code>callbacks.notificationParam()</code> returns the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#layerParentChanged: #(BaseLayer, BaseLayer) </code></pre><p>Sent after the parent of a layer was changed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> returns an array containing two elements, the new parent and the old parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeLayerChanged: #(node, BaseLayer, BaseLayer) </code></pre><p>Sent after node placed on new layer, <code>callbacks.notificationParam()</code> returns an array containing 3 elements - the node, the old layer and the new layer</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";