var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A0895201-5DDE-4268-8A7A-69384A24EB62\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>cui.DockDialogBar and cui.FloatDialogBar</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.DockDialogBar &lt;RolloutFloater_or_Rollout&gt; &lt;dockflag&gt;      </code></pre><p>This method docks a registered dialog bar to the specified docking area.</p>\n\
<p><code>&lt;RolloutFloater_or_Rollout&gt;</code> - This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog, and has been registered using cui.RegisterDialogBar.</p>\n\
<p><code>&lt;dockflag&gt;</code> - Specifies the area to dock the dialog bar to.</p>\n\
<p>Can be one of the following:</p>\n\
<p><code>#cui_dock_left</code> - dock to the left</p>\n\
<p><code>#cui_dock_top</code> - dock to the top</p>\n\
<p><code>#cui_dock_right</code> - dock to the right</p>\n\
<p><code>#cui_dock_bottom</code> - dock to the bottom</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Attempting to set the <code>&lt;dockflag&gt;</code> to any other value than the listed above will cause unpredictable results. Always dock to one of the four sides.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cui.FloatDialogBar &lt;RolloutFloater_or_Rollout&gt; </code></pre><p>This method will float a registered dialog bar.</p>\n\
<p><code>&lt;RolloutFloater_or_Rollout&gt;</code> - This parameter must be a RolloutFloater created with <code>NewRolloutFloater</code> or a Rollout that has been installed in a dialog using <code>CreateDialog</code> , and has been registered using <code>cui.RegisterDialogBar</code> .</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Dialogs.html\">Scripted Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CreateDialog.html\">CreateDialog</a></li>\n\
          <li><a class=\"link\" href=\"DestroyDialog.html\">DestroyDialog</a></li>\n\
          <li><a class=\"link\" href=\"cui-getDockState.html\">cui.getDockState</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";