var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E91909AD-28D5-4AEF-8C6C-2EF2AC0C78AF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Scripted Modifier Plug-ins</h1></div><p>Scripted Modifier plug-ins can only extend existing Modifier plug-ins.</p>\n\
<p>A scripted Modifier plug-in is declared by specifying the <code>&lt;superclass&gt;</code> as <code>modifier</code> .</p>\n\
<p>The Modify panel actually creates a fresh instance of every modifier when it is to be shown in the More... list or the buttons in the Modifiers rollout. This will cause the <code>create</code> handler to be called for a scripted Modifier plug-in. No special handling in the <code>create</code> handler is required for this case.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin modifier myMod\n\
   name:&quot;Supa Mod&quot;\n\
   classID:#(685325,452281)\n\
   extends:Bend replaceUI:true version:1\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       bendamt type:#float animatable:true ui:bendamt default:0.0\n\
       on bendamt set val do delegate.angle = val\n\
     )\n\
     rollout params &quot;SupaMod Parameters&quot;\n\
     (\n\
       spinner bendamt &quot;Bendiness: &quot;\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   plugin modifier NSpline\n\
   name:&quot;Normal. Spline&quot;\n\
   classID:#(0x133067, 0x54374)\n\
   extends:normalize_spline\n\
   replaceUI:true version:1\n\
   (\n\
     parameters main rollout:params\n\
     (\n\
       seglen type:#float animatable:true ui:seglen default:20\n\
       on seglen set val do delegate.length = val\n\
     )\n\
     rollout params &quot;Parameters&quot;\n\
     (\n\
       spinner seglen &quot;Seg Length: &quot; range:[0.01,1e9,20]\n\
     )\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">Scripted Plug-ins</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">Updating Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">Scripted Plug-in Methods</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">Scripted Plug-in Clauses</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">Scripted Plug-ins</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">Scripted Mouse Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";