var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8195C746-3DAB-4CD0-852A-D482CC0A56F4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Dragging DropScripts from Toolbars</h1></div><p>Drag-and-drop of dropScripts from the MAX toolbars is possible. DropScripts are simply macroScripts with <code>&apos;on drop&apos;</code> and optionally <code>&apos;on droppable&apos;</code> handlers, as defined above. If a macroScript button on a toolbar has an <code>&apos;on drop&apos;</code> handler defined, you can drag that button off the toolbar to initiate dropScript drag-and-drop.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<p>   Here&apos;s a simple dropScript that applies a newly created brick material to the object that it is dropped on. Note that it also has an <code>&apos;on execute&apos;</code> handler that does the same thing to the current selection. By providing both <code>&apos;on drop&apos;</code> and <code>&apos;on execute&apos;</code> handlers, you can make such a macroScript installable in menus, hotkeys and toolbars or droppable from toolbars, the web, etc.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   macroScript dropBricks category:&quot;DropScripts&quot; Icon:#(&quot;MAXScript&quot;, 3)\n\
   (\n\
   on droppable window node: return\n\
   window == #viewport and node != undefined\n\
   on drop window node: do\n\
   node.material = standard diffuseMap:(bricks()) showInViewport:true\n\
   on execute do if selection.count == 1 then\n\
   $.material = standard diffuseMap:(bricks()) showInViewport:true\n\
   )\n\
</code></pre></blockquote>\n\
<p>Note the use of the &apos;<a href=\"./../../../Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\">showInViewport</a>&apos; property at material level.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Drag-And-Drop-MAX-files-Bitmaps.html\">Drag And Drop MAX files, Bitmaps and Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";