var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AF59656E-0CEE-403B-9531-412D1552D398\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>setKey Struct</h1></div><p>The <code>setKey</code> struct contains functions that access the set key buffer for animatable scene nodes. These functions are implemented for any keyframable controller that supports the &quot;Set Key&quot; animation mode. When the &quot;Set Key&quot; mode is activated, the controller creates a temporary buffer where it stores any change made by the user until the user commits or cancels the change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.revertBuffer &lt;max_obj&gt;</code></pre><p>Reverts the set key buffer for the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.subAnimRevertBuffer &lt;max_obj&gt; &lt;subnum&gt;</code></pre><p>Reverts the set key buffer for the specified subanimatable on the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.subAnimCommitBuffer &lt;max_obj&gt; &lt;subnum&gt;</code></pre><p>Commits the set key buffer for the specified subanimatable on the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.subAnimBufferPresent &lt;max_obj&gt; &lt;subnum&gt;</code></pre><p>Returns whether a set key buffer exists for the specified subanimatable on the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.commitBuffer &lt;max_obj&gt;</code></pre><p>Commits the set key buffer for the specified controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setKey.bufferPresent &lt;max_obj&gt;</code></pre><p>Indicates whether a set key buffer exists for the specified controller.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Miscellaneous-Functions.html\">Miscellaneous Functions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";