var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"What-s-New-in-MAXScript-in-3ds\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&apos;s New in MAXScript in 3ds Max 2022 and Updates</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2022</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>New additions to MAXScript in <strong>3ds Max 2022</strong> are marked with <img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:...</strong> throughout the MAXScript Reference. The word <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> links back to this page.</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2022-2-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt>New in MAXScript in 3ds Max 2022.2 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Hyperlink Control</strong></td>\n\
<td>When a hyperlink control in an embedded scene script is clicked, a security warning dialog is displayed to confirm that the user trusts the target website.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>INI Default Value</strong></td>\n\
<td>The <a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\"\"><code>getINISetting()</code></a> function now takes an optional <code>defaultValue</code> keyword parameter that defines a value to return if the specified key is not found.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Text File Encoding</strong></td>\n\
<td>The new <a href=\"./../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\"\"><code>getEncoding()</code></a> function returns the character encoding of a specified text file.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Bitmaptexture Output</strong></td>\n\
<td>Two new properties are added to the <a href=\"./../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\"\"><code>TexOutputClass</code></a> class to expose previously unexposed UI controls: <code>.enableColorMap</code> and <code>.useRGBColorMap</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Auto Backup</strong></td>\n\
<td>New methods have been added to the <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\"><code>autosave</code></a> interface: <code>secondsUntilNextAttempt()</code>, <code>canProceed()</code> and <code>isRequired()</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Mouse Window Capture</strong></td>\n\
<td>The <a href=\"./../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows</code></a> struct has a new function, <code>getCapture()</code>, that returns the HWND of the window that is capturing mouse input.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2022-1-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt>New in MAXScript in 3ds Max 2022.1 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Safe Script Execution</strong></td>\n\
<td>The <a href=\"./../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\"\"><code>safeExecute()</code></a> function is a new version of <code>execute()</code> that always evaluates the string expression as if Safe Scene Script Execution is enabled.<br>The <code>.end()</code> <a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Dynamic-Rollout-Creation/RolloutCreator-Functions.html\"\">RolloutCreator function</a> now has an optional <code>executeDefinition:&lt;bool&gt;</code> to specify whether to evaluate the rollout definition using <code>safeExecute()</code>. <br> The <a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\"\"><code>safeReadValue()</code></a> and <a href=\"./../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\"\"><code>safeReadExpr()</code></a> functions are new versions of <code>readValue()</code> and <code>readExpr()</code> that always evaluates the value or expression as if Safe Scene Script Execution is enabled.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Script Planting Mitigation</strong></td>\n\
<td>To reduce the risk of script planting, the way 3ds Max searches for and loads scripts has changed.  The list of directories searched is reduced to the currently running script directory (if applicable), the user scripts directory, and the 3ds Max system scripts directory. Windows system directories and directories in the PATH are no longer searched.   This change affects any function that can take an unqualified script name, including <code>fileIn()</code>, <code>callbacks.addScript()</code>, the <code>mzip</code> utility, and the Particle Flow script operator. This change also affects how <a href=\"./../MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\"\">startup.ms</a> is searched for.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>String to point conversion</strong></td>\n\
<td>You can now use the <code>as</code> operator to coerce string values to point2, point3, or point4 values.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Dynamic Script Type</strong></td>\n\
<td>The <a href=\"./../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"\"><code>getCurrentScriptSourceType()</code></a> function has a new possible return type, <code>#dynamicScript</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Viewport Settings</strong></td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\">ViewportViewSettingImpl</a> object representing current viewport settings has a new <code>AmbientOcclusionSamples</code> property.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Environment Variables</strong></td>\n\
<td>The <a href=\"./../Interaction-With-The-Operating/System-Tools.html\"\">systemTools</a> struct has a new <code>getEnvVariables()</code> function that returns an array of all currently defined environment variables</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2022\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt>New in MAXScript in 3ds Max 2022</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Safe Scene Loading</strong></td>\n\
<td>The new <a href=\"./../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"\"><code>getCurrentScriptSourceType()</code></a> function returns whether the current script has the Safe Scene Script Execution security policies applied to it. <br> The new <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneScriptSecurityManager.html\"\"><code>SceneScriptSecurityManager</code></a> interface lets you obtain information about the state of Safe Scene Script Execution.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Box2 and Box3</strong></td>\n\
<td>New methods and operators have been added.  Operator +, enlargeBy() and expandToInclude() for Box2, and Operator + for Box3</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Bounding Box property</strong></td>\n\
<td>These value types have a new <code>.boundingBox</code> property that returns a Box3 value representing the contained nodes&apos; bounding box: <a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\"\">node</a>, <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/NodeChildrenArray-Values.html\"\">NodeChildrenArray</a>, <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/PathName-Values.html\"\">pathname</a>, <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\"\">SelectionSetArray</a>, and <a href=\"./../MAXScript-Language-Reference/Collections/Collection-Types/ObjectSet-Values.html\"\">ObjectSet</a>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Bounding Box methods</strong></td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Bounding-Box-Methods.html\"\">Node bounding box methods</a> <code>nodeGetBoundingBox()</code> and <code>nodeLocalBoundingBox()</code> now take an optional <code>asBox3:&lt;bool&gt;</code> argument that, when true, cause the methods to return the bounding box as a Box3 value.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Spinner and Slider controls</strong></td>\n\
<td>The type of the value returned by the <code>.value</code> property and <code>on changed</code> event for both the <a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\"\">Spinner</a> and <a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\"\">Slider</a> ui controls now matches the type of the control specified when it was created, either #float or #integer.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Custom Attributes array</strong></td>\n\
<td>The <a href=\"./../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Access-to-Custom-Attributes.html\"\">Custom Attributes virtual array class</a> <code>MAXCustAttribArray</code> now supports the <code>isDeleted()</code> method as well as standard comparison operators <code>==</code> and <code>!=</code>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Non Localized Name Access</strong></td>\n\
<td><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"\">Scripted Plug-in Parameters</a> can take a new <code>nonLocalizedName:&lt;string&gt;</code> that defines the parameter name when it is accessed in a script <br> The <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\"\"><code>maxclass</code></a> value has a new read-only <code>nonLocalizedName</code> property that contains the non-localized name of the class.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ATSOps</strong></td>\n\
<td>New keyword arguments have been added to <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\"\">ATSOps</a> methods <code>GetDependencyFileList()</code> and <code>SelectFiles()</code> to control how to repath and compare files.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Localized Name Access</strong></td>\n\
<td>Several methods now have a <code>localizedName:&lt;bool&gt;</code> parameter (or <code>localizedNames:&lt;bool&gt;</code> when they return an array) to control whether they return the localized or non-localized name for the target object: <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\"#getObjectName\"><code>getObjectName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Indexed-Access-to-Animatable.html\"\"><code>getSubAnimName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\"\"><code>getSubMtlSlotName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\"\"><code>getSubTexmapSlotName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\"\"><code>getClassName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\"\"><code>WM3_MC_GetName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Morpher-Modifier.html\"\"><code>WM3_MC_SetName()</code></a> <br> <a href=\"./../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Indexed-Access-to-Animatable.html\"\"><code>getSubAnimNames()</code></a></td>\n\
</tr>\n\
<tr>\n\
<td><strong>Previously Undocumented Items</strong></td>\n\
<td>Box2 methods: <code>&lt;bool&gt;intersects()</code>, <code>&lt;box2&gt;copy()</code> <br> Box3 methods: <code>&lt;box3&gt;copy()</code>, <code>&lt;box3&gt;rectify()</code><br><a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\"\">pathConfig struct</a> methods: <code>doSetProjectFolderSteps()</code> and <code>doSetProjectFolderStepsUsingDirectory()</code><br><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\"><code>&lt;ViewportViewSettingImpl&gt;.ProgressiveRenderingEnabled</code></a></td>\n\
</tr>\n\
<tr>\n\
<td><strong>Deprecated Items</strong></td>\n\
<td><code>Airflow_Node</code> and <code>Airflow_Spline</code> are now deprecated</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"inclusive-language-changes\">Inclusive Language Changes</h2><p>Several terms in the 3ds Max user interface, class, and method names in MAXScript have been changed or removed because they were not aligned with Autodesk values of diversity and inclusion. We want everyone to feel welcome when using 3ds Max as an end user or tool developer.  </p>\n\
<p>Therefore, the names of several MAXScript APIs that included words such as &quot;master&quot; or &quot;slave&quot; have been changed to use the terms &quot;driver&quot; and &quot;driven&quot; respectively. We tried to keep MAXScript as backward compatible as possible; however, there may be cases where scripts break.  </p>\n\
<p>Here is a list of all the MAXScript API names that were updated, followed by their new name: </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BipSlave_Control -&gt; BipDriven_Control \n\
GetMasterController -&gt; GetPointControllerContainer \n\
NewDefaultMasterPointController -&gt; NewDefaultPointControllerContainer \n\
Master_Controller_plugin_not_found -&gt; Driver_Block_Control_plugin_not_found \n\
Master_Point_Controller -&gt; Point_Controller_Container \n\
MasterPointController -&gt; PointControllerContainer \n\
RetimerMasterCtrl -&gt; RetimerDriverCtrl \n\
Slave_Control -&gt; Driven_Control \n\
Slave_Point3 -&gt; Driven_Point3 \n\
SlaveFloat -&gt; DrivenFloat \n\
SlaveMatrix3 -&gt; DrivenMatrix3 \n\
SlavePoint3 -&gt; DrivenPoint3 \n\
SlavePoint4 -&gt; DrivenPoint4 \n\
SlavePos -&gt; DrivenPos \n\
SlaveRotation -&gt; DrivenRotation \n\
SlaveScale -&gt; DrivenScale \n\
Daylight_Slave_Controller -&gt; Daylight_Driven_Controller \n\
Daylight_Slave_Intensity_Controller -&gt; Daylight_Driven_Intensity_Controller \n\
Sunlight_Daylight_Slave_Controller -&gt; Sunlight_Daylight_Driven_Controller \n\
Sunlight_Daylight_Slave_ControllerMatrix3Controller -&gt; Sunlight_Daylight_Driven_ControllerMatrix3Controller \n\
Sunlight_Daylight_Slave_Intensity_Controller -&gt; Sunlight_Daylight_Driven_Intensity_Controller \n\
Sunlight_Daylight_Slave_Intensity_ControllerFloatController -&gt; Sunlight_Daylight_Driven_Intensity_ControllerFloatController \n\
Sunlight_Slave_Controller -&gt; Sunlight_Driven_Controller \n\
Sunlight_Slave_Intensity_Controller -&gt; Sunlight_Driven_Intensity_Controller \n\
MasterBlock -&gt; DriverBlock \n\
MasterBlockController -&gt; DriverBlockController \n\
MasterList -&gt; BlockControl \n\
Master_Layer -&gt; Main_Layer \n\
MasterLayer -&gt; MainLayer \n\
MasterLayerControlManager -&gt; MainLayerControlManager \n\
Master_Motion_Clip -&gt; Driver_Motion_Clip \n\
MasterClip -&gt; DriverClip \n\
Max_Master_Clip -&gt; Max_Driver_Clip \n\
MaxMotionClipMaster -&gt; MaxMotionClipDriver \n\
Motion_Clip_SlaveFloat -&gt; Motion_Clip_DrivenFloat \n\
Motion_Clip_SlavePoint3 -&gt; Motion_Clip_DrivenPoint3 \n\
Motion_Clip_SlavePos -&gt; Motion_Clip_DrivenPos \n\
Motion_Clip_SlaveRotation -&gt; Motion_Clip_DrivenRotation \n\
Motion_Clip_SlaveScale -&gt; Motion_Clip_DrivenScale \n\
Reaction_Master -&gt; Reaction_Driver \n\
ReactionMaster -&gt; ReactionDriver \n\
SprayMaster -&gt; SprayDriver \n\
StereoCameraSlave -&gt; StereoCameraDriven \n\
MAXScript properties \n\
&lt;ClipAssigner&gt;.masterblocks -&gt; driverblocks \n\
&lt;MassFX_RBody&gt;.GetRBMeshOverrideMasterMat -&gt; GetRBMeshOverrideDriverMat \n\
&lt;MassFX_RBody&gt;.SetRBMeshOverrideMasterMat -&gt; SetRBMeshOverrideDriverMat \n\
&lt;nvpx&gt;.GetRBMeshOverrideMasterMat -&gt; GetRBMeshOverrideDriverMat \n\
&lt;nvpx&gt;.SetRBMeshOverrideMasterMat -&gt; SetRBMeshOverrideDriverMat \n\
&lt;MaxLiquidSolver&gt;.masterVoxelSize -&gt; baseVoxelSize \n\
&lt;Point_Cache&gt;.loadTypeSlave -&gt; loadTypeNetwork \n\
&lt;Point_CacheSpacewarpModifier&gt;.loadTypeSlave -&gt; loadTypeNetwork \n\
&lt;Select_the_Biped_for_use_as_a_retargeting_reference&gt;.masterMaxClip -&gt; driverMaxClip \n\
&lt;Float_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Float_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Float_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Point3_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Point3_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Point3_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Point4_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Point4_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Point4_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Position_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Position_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Position_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Rotation_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Rotation_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Rotation_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
&lt;Scale_Wire&gt;.isMaster -&gt; isDriver \n\
&lt;Scale_Wire&gt;.isSlave -&gt; isDriven \n\
&lt;Scale_Wire&gt;.slaveAnimation -&gt; drivenAnimation \n\
MAXScript Enums \n\
&lt;SchematicView&gt;.testIncludeFilter: #masterPoint -&gt; #pointControllerContainers \n\
&lt;SchematicView&gt;.setIncludeFilter: same \n\
&lt;SchematicView&gt;.clearIncludeFilter: same \n\
MAXScript interfaces \n\
Interface: IRingArrayMaster -&gt; IRingArrayDriver \n\
MAXScript SubAnim Names \n\
#Master_Point_Controller -&gt; #Point_Controller_Container \n\
#Master -&gt; #Point_Controller_Container \n\
#Master_CV_Control -&gt; #CV_Controller_Container \n\
\n\
Others \n\
gxmlio.wireparams: #(..., #isMaster, #isSlave, #slaveAnimation,...) -&gt; #(..., #isDriver, #isDriven, #drivenAnimation,...) </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-is-New-in-MAXScript.html\">What is New in MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";