var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-40AD81F5-A9FB-4365-848E-A5AC02B15D81\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2016</h1></div><p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2016</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>New additions to MAXScript in <strong>3ds Max 2016</strong> are marked with <img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-was-New-in-MAXScript-in-3ds-3.html\">NEW</a> <strong>in 3ds Max 2016:...</strong> throughout the MAXScript Reference. The link on the word <a href=\"What-was-New-in-MAXScript-in-3ds-3.html\">NEW</a> will jump back to this page.</p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><h3 id=\"new-camera-classes\">New Camera Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Camera-Node/Physical-Camera.html\">Physical : camera</a> object provides an advanced camera exposing physical lens controls, film width controls and presets, and built-in exposure gain controls.</p>\n\
<h3 id=\"new-helper-classes\">New Helper Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new iray_Section : helper can be used to produce sections of the scene geometry at render time.</p>\n\
<h3 id=\"new-modifiers-and-editable-poly-options\">New Modifiers And Editable Poly Options</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Crease-Modifier.html\">Crease : Modifier</a> can be used to define edge creases on geometry objects.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/CreaseSet-Modifier.html\">CreaseSet : Modifier</a> can be used to manage sets of edge creases.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/OpenSubdiv-Modifier.html\">OpenSubdiv : Modifier</a> implements the Pixar OpenSubdiv libraries in <strong>3ds Max</strong>.</p>\n\
<h3 id=\"new-alembic-classes\">New Alembic Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export : ExporterPlugin</a> can be used to export scene objects to the Alembic .ABC file format.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import : ImporterPlugin</a> can be used to import objects from Alembic .ABC files into the scene.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Camera-Node/AlembicCamera-Camera.html\">AlembicCamera : Camera</a> class implements the Camera object imported from an Alembic .ABC file.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicContainer-GeometryClass.html\">AlembicContainer : GeometryClass</a> object is used by the Alembic Importer to represent the root for grouping object imported from the same file.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Alembic/AlembicObject-GeometryClass.html\">AlembicObject : GeometryClass</a> object is used to represent a geometry entity imported from an Alembic .ABC file.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/AlembicXform-Matrix3Controller.html\">AlembicXform : Matrix3Controller</a> is used to load the object transformation animation data from an Alembic .ABC file.</p>\n\
<h3 id=\"new-scripted-plug-in-classes\">New Scripted Plug-in Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleMeshMod-Plug-ins.html\">simpleMeshMod Scripted Plug-in</a> class allows the processing of the incoming TriMesh on the stack and is used by the <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-And-Max.html\">Max Creation Graph</a> system to implement procedural modifiers.</p>\n\
<h3 id=\"new-autodesk-translation-framework-atf-importerplugin-classes\">New Autodesk Translation Framework (ATF) ImporterPlugin Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\">ATF_Alias_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework Alias file format Importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V4_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework CATIA v4 file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework CATIA v5 file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework IGES file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework JT file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework ProE file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\">ATF_Solidworks_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework Solidworks file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework STEP file format importer to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\">ATF_UG_NX_importer : ImporterPlugin</a> exposes the Autodesk Translation Framework UG-NX file format importer to MAXScript.</p>\n\
<h3 id=\"new-importerplugin-classes\">New ImporterPlugin Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Revit_importer-ImporterPlugin.html\">Revit_importer : ImporterPlugin</a> exposes the Autodesk Revit file format inporter to MAXScript.</p>\n\
<h3 id=\"new-renderer-classes\">New Renderer Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/A360_Cloud_Rendering.html\">A360_Cloud_Rendering</a> exposes the A360 Cloud renderer to MAXScript.</p>\n\
<h3 id=\"new-materials\">New Materials</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new Multi_Sub_Object : Material exposes the empty multi-sub Material to MAXScript. It provides no properties or methods.</p>\n\
<h3 id=\"new-mental-ray-texturemaps\">New mental ray TextureMaps</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new builtin_displace_mdl : textureMap implements a displace shader using the NVIDIA Material Definition Language (MDL).</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new builtin_function_mdl : textureMap implements a function shader using the NVIDIA Material Definition Language (MDL).</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new builtin_mdl_multiply_scalar : textureMap implements a multiply by scalar shader using the NVIDIA Material Definition Language (MDL).</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new max_physical_camera_lens : textureMap represents the mental ray shader implementation of the new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Camera-Node/Physical-Camera.html\">Physical : camera</a> object.</p>\n\
<h3 id=\"new-controllers\">New Controllers</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Float_XRef_Controller.html\">Float_XRef_Controller : FloatController</a> is used to expose Float parameters of XRef objects.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point3-Controllers/Point3_XRef_Controller.html\">Point3_XRef_Controller : Point3Controller</a> is used to expose Point3 parameters of XRef objects.</p>\n\
<h3 id=\"new-render-elements\">New Render Elements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new iray__Alpha : RenderElement can be used to output transparency information from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new iray__Irradiance : RenderElement can be used to output irradiance information from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new iray__normal : RenderElement can be used to output surface normals information from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new iray__Matte_Environment : textureMap can be used to output matte information from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new mr_Ambient_Occlusion : RenderElement can be used to output ambient information from the iRay renderer.</p>\n\
<h3 id=\"new-tone-operators\">New Tone Operators</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/ToneOperator-MAXWrapper/Physical_Camera_Exposure_Control.html\">Physical_Camera_Exposure_Control : ToneOperator</a> exposes the Physical Camera Exposure Control to MAXScript.</p>\n\
<h3 id=\"new-core-interfaces\">New Core Interfaces</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-Autodesk360.html\">Interface: Autodesk360</a> provides methods related to initializing the web services, logging in and out, and querying login info from the Autodesk 360 service.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CreaseSetManager.html\">Interface: CreaseSetManager</a> provides methods to create and manage CreaseSets.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CreaseExplorerManager.html\">Interface: CreaseExplorerManager</a> provides methods to manage the Crease Explorer window including programmatically opening and closing it, as well as loading and saving its configuration to disk.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new Interface: RevitImportWorkflow exposes no properties or methods.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-paramPublishMgr.html\">Interface: paramPublishMgr</a> exposes methods to initiate the parameter publishing and to add a parameter by its index.</p>\n\
<h2 id=\"enhancements-to-existing-3ds-max-features\">Enhancements to Existing 3ds Max Features</h2><h3 id=\"additional-properties-and-methods\">Additional Properties and Methods</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer : Modifier</a>, several new properties have been added: <code>.limiteffect</code> , <code>.useminangle</code> , <code>.usemaxangle</code> , <code>.minangle</code> , <code>.maxangle</code> , and <code>.smoothtoadjacent</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader : Material</a>, a new property has been added: <code>.shaderfxgraph</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly : Modifier</a>, several new properties have been added: <code>.dataChannel</code> , <code>.dataValue</code> , <code>.hardedgedisplay</code> , and <code>.hardedgedisplaycolor</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-GeometryClass.html\">Editable_Poly : GeometryClass</a>, several new properties have been added: <code>.hardedgedisplay</code> and <code>.hardedgedisplaycolor</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">Interface: EditablePoly</a>, several new methods have been added: <code>.makeHardEdges()</code> , <code>.makeSmoothEdges()</code> , <code>.selectHardEdges()</code> , and <code>.selectSmoothEdges()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing iRay_Renderer : RendererClass, several new properties have been added: <code>.displacementDisplaceMethod</code> , <code>.displacementParametricSubdivisionLevel</code> , <code>.textureCompressionEnabled</code> , and <code>.textureCompressionMinResolution</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing max_base_GBuffer_lens : textureMap, several new properties have been added: <code>.pauseEventLow</code> , <code>.pauseEventHigh</code> , <code>.pauseEventLow_connected</code> , <code>.pauseEventLow_shader</code> , <code>.pauseEventLow_paramName</code> , <code>.pauseEventHigh_connected</code> , <code>.pauseEventHigh_shader</code> , and <code>.pauseEventHigh_paramName</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">renderers</a> struct, three new properties have been added: <code>.renderDialogMode</code> , <code>.renderButtonText</code> , and <code>.target</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing max_rtt_output : textureMap, a new property has been added: <code>.elementIndex</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing mental_ray_renderer : RendererClass, several new properties have been added: <code>.Displace_Method</code> , <code>.EnableLIS</code> , and <code>.LISQuality</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Normalize_Spl-superclass.html\">Normalize_Spl : Modifier</a>, a new <code>.Accuracy</code> property has been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">Skin : Modifier</a>, a new property has been added: <code>.enableDQ</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">XRefObject : Node</a>, a new property has been added to the IXRefProxy Interface: <code>.useLocal</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/XRef_Controller.html\">XRef_Controller : Matrix3Controller</a>, a new property has been added: <code>.xrefCtrlStatus</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">Interface : objXRefMgr</a>, two new properties have been added: <code>.includeAll</code> and <code>.enableUseLocalProxySettings</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRef_Material-Material.html\">XRef_Material : Material</a>, two new properties have been added: <code>.enableOverride</code> and <code>.overrideMaterial</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties MixinInterface</a>, three new methods have been added: <code>canDelete()</code> , <code>getNumNodes()</code> , and <code>hasSceneXRefNodesInHierarchy()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a>, the new method <code>AssetManager.RemoveMissingAssets()</code> has been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a>, the new property <code>maxOps.isRenderActive</code> has been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PlacementTool.html\">Interface: PlacementTool</a>, the two new methods <code>PlacementTools.ShowOptionDialog()</code> and <code>PlacementTool.GetCommandMode()</code> have been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SteeringWheelsOps.html\">Interface: SteeringWheelOps</a>, the new property <code>SteeringWheel.loadOptions()</code> has been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewCubeOps.html\">Interface: ViewCubeOps</a>, the new property <code>ViewCubeOps.loadOptions()</code> has been added.</p>\n\
<h3 id=\"removed-properties-and-methods\">Removed Properties And Methods</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> Several properties have been removed from the existing mental_ray_renderer : RendererClass: <code>.FinalGatherMinRadius</code> , <code>.FinalGatherMinRadius_View</code> , <code>.FinalGatherOnly</code> , <code>.FinalGatherPreview</code> , <code>.FinalGatherRadius</code> , <code>.FinalGatherRadius_View</code> , <code>.FinalGatherUseRadiusInterpolation</code> , <code>.FinalGatherView</code> , <code>.UseFinalGatherMinRadius</code> , <code>.UseFinalGatherRadius</code> , and <code>.view</code> .</p>\n\
<h3 id=\"changes-to-existing-properties-and-methods\">Changes To Existing Properties And Methods</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Egg-Shape.html\">Egg : Shape</a>, the existing properties have been changed from float to worldUnits type: <code>.egg_length</code> , <code>.egg_thickness</code> , and <code>.egg_width</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Ellipse-Shape.html\">Ellipse : Shape</a>, the existing properties have been changed from float to worldUnits type: <code>.ellipse_thickness</code> , <code>.length</code> , and <code>.width</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EPolyManipGrip.html\">Interface: EPolyManipGrip</a>, the new enum <code>#VertexCrease</code> has been added to the two existing methods: <code>EPolyManipGrip.SetManipulateGrip()</code> and <code>EPolyManipGrip.GetManipulateGrip()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a>, the new enum <code>#MaxCreationGraph</code> has been added to the assetType argument of the two existing methods: <code>AssetManager.GetAssetId()</code> and <code>AssetManager.GetAsset()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a>, the new enum <code>#MaxCreationGraph</code> has been added to the assetType argument of the two existing methods: <code>FileResolutionManager.GetFullFilePath()</code> and <code>FileResolutionManager.GetAssetTypeString()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">Interface: maxOps</a>, the existing read-only property <code>maxOps.productAppID</code> can only contain <code>#max</code> and the exiting read-only property <code>maxOps.productID</code> can only contain <code>#3dsMax</code> in <strong>3ds Max 2016</strong> due to the retiring of <strong>3ds Max Design</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">Interface: pop</a>, the enums list of the existing property <code>pop.DisplayType</code> has been changed to remove the <code>#Segmented</code> option.</p>\n\
<h3 id=\"layermanager-interface-changes\">LayerManager Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> A new <code>LayerManager.doesLayerHierarchyContainNodes()</code> method has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> A new <code>LayerManager.deleteLayerHierarchy()</code> method has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> A new <code>LayerManager.getDuplicateLayerWithoutSameHierarchyOnMerge()</code> method has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> A new <code>LayerManager.setDuplicateLayerWithoutSameHierarchyOnMerge()</code> method has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a>.</p>\n\
<h3 id=\"nitrousgraphicsmanager-interface-changes\">NitrousGraphicsManager Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> In the existing methods <code>.SaveViewGraph()</code> , <code>.LoadViewGraph()</code> , <code>.UnloadViewGraph()</code> , <code>.SetViewShadeFragment()</code> , and <code>.ResetViewShadeFragment()</code> of the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a>, the existing <code>viewIndex</code> argument type has been changed from <code>&lt;integer&gt;</code> to <code>&lt;index&gt;</code>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> A new <code>.GetFixedViewportPipeline()</code> method has been added to the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";