var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B88ECB78-6D41-46C6-812D-2F31AD3FE192\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2013</h1></div><p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2013</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <strong>Documentation Changes and Additions</strong> at the bottom of this page.</p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><h3 id=\"new-objects\">New Objects</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Deformable-gPoly/Deformable_gPoly-GeometryClass.html\">Deformable_gPoly GeometryClass</a> baseobject provides optimized viewport performance with deforming objects. See also the Turn_to_gPoly Modifier below.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Egg-Shape.html\">Egg Shape</a> object is useful for the creation of pipe cross-sections.</p>\n\
<h3 id=\"new-modifiers\">New Modifiers</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/mCloth-Modifier.html\">mCloth Modifier</a> allows the integration of Cloth simulation with MassFX.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <strong>Turn_to_gPoly</strong> Modifier allows the dynamic conversion of geometry objects to Deformable_gPoly class on the modifier stack.</p>\n\
<h3 id=\"workspace-manager\">Workspace Manager</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkspaceManager.html\">WorkspaceManager Core Interface</a> exposes methods for creating and managing custom 3ds Max workspaces using MAXScript.</p>\n\
<h3 id=\"view-panel-manager\">View Panel Manager</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewPanelManager.html\">ViewPanelManager Core Interface</a> exposes properties and functions to create and modify view panels with user-defined viewport configurations.</p>\n\
<h3 id=\"interaction-and-mouse-configuration\">Interaction And Mouse Configuration</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MouseConfigManager.html\">MouseConfigManager Core Interface</a> exposes properties and functions to modify the viewports mouse behavior to match various user workflows, including the emulation of Autodesk Maya viewport controls.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IInteractionMode.html\">IInteractionMode Core Interface</a> exposes the Interaction Mode tab of the Preference Settings dialog to MAXScript.</p>\n\
<h3 id=\"isolate-selection\">Isolate Selection</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolateSelection.html\">IsolateSelection Core Interface</a> exposes methods to access the reimplemented Isolate Selection functionality of 3ds Max.</p>\n\
<h3 id=\"retimer-controller\">Retimer Controller</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new  <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\">Retimer Controller</a>  can be used in an EaseCurve of another controller to tweak its local timing, or as the Global Retimer Controller to affect the whole scene.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan Core Interface</a> exposes a method to access the Global Retimer Controller which controls the retiming of the whole scene.</p>\n\
<h3 id=\"ghosting-manager\">Ghosting Manager</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-GhostingManager.html\">GhostingManager Core Interface</a> exposes properties to access and control the existing Animation Ghosting feature of 3ds Max.</p>\n\
<h3 id=\"state-sets\">State Sets</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/State-Sets/State-Sets-MAXScript-Access.html\">State Sets system</a> is exposed to MAXScript using DotNet objects, properties and methods.</p>\n\
<h3 id=\"one-click-revit-workflow\">One Click Revit Workflow</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OneClickRevit.html\">OneClickRevit Core Interface</a> exposes a method for requesting views from a Revit file.</p>\n\
<h3 id=\"new-mental-ray-shaders\">New mental ray Shaders</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>SSS2_Skin</strong> material has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>SSS2_Skin_Displacement</strong> material has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>SSS2_Surface_Shader</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>SSS_Lightmapping_shader</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>misss_set_normal</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>misss_fast_shader2</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>misss_fast_shader2_x</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>mia_physicalsun</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New mental ray shader <strong>Inverse_of_Photographic_Exposure</strong> textureMap has been added to <strong>3ds Max</strong>.</p>\n\
<h2 id=\"enhancements-to-existing-3ds-max-features\">Enhancements to Existing 3ds Max Features</h2><h3 id=\"scene-objects-enhancements\">Scene Objects Enhancements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Ellipse-Shape.html\">Ellipse Shape</a> to control the optional Offset.</p>\n\
<h3 id=\"nitrous-graphics-system\">Nitrous Graphics System</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Core Interface</a> to expose controls over the Make Preview quality, Multi-Threaded compiling of Shaders and Mouse Cursor behavior.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Core Interface</a> to expose Progressive Refinements, AppWindow Size and Position, get the Nitrous memory usage, and perform some internal tests.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#viewport-settings-iobject-interfaces-\">ViewportViewSettingImpl MixinInterface</a> returned by the <code>NitrousGraphicsManager.GetActiveViewportSetting()</code> method to control the Skylights As Ambient Light, Depth Of Field and Bokeh effects.</p>\n\
<h3 id=\"quicksilver-hardware-renderer\">Quicksilver Hardware Renderer</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver Hardware Renderer</a> to expose Shadows Intensity/Fade and Bokeh Shape.</p>\n\
<h3 id=\"iray-renderer\">iRay Renderer</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new properties related to controlling the Motion Blur effect have been added to the existing <strong>iRay</strong> Renderer.</p>\n\
<h3 id=\"massfx-dynamics-simulation\">MassFX Dynamics Simulation</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">nvpx Core Interface</a> to control the Gravity mode and reference object.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody modifier</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpxConsts.html\">nvpxConsts Core Interface</a> exposing the read-only NVIDIA PHYSX Constants have been added to MassFX.</p>\n\
<h3 id=\"cat-character-animation-tools\">CAT - Character Animation Tools</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new interface has been added to CAT: <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\">CATGroupManagerFPInterface</a> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new interface has been added to CAT: <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-SpineFPInterface.html\">SpineFPInterface</a> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <strong>CATControlInterface</strong> has been renamed to <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\">ICATControlFPInterface</a> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <strong>CATLimbData2 FloatController</strong> has been reimplemented as  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2ReferenceTarget : ReferenceTarget</a>  with the same ClassID.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <strong>CATBoneData FloatController</strong> has been reimplemented as  <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneDataMatrix3Controller : Matrix3Controller</a>  with the same ClassID.</p>\n\
<h3 id=\"import-export-filters\">Import/Export Filters</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New <code>.MeshResolution</code> property has been added to the <strong>InventorImport</strong> ImporterPlugin. The page was lost in the documentation conversion last year and has now been restored.</p>\n\
<h3 id=\"online-help-system-access\">Online Help System Access</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <code>HelpSystem.SearchProductHelp()</code> method has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\">HelpSystem Core Interface</a> allowing the search for a user-defined string in the documentation.</p>\n\
<h3 id=\"updated-mental-ray-shaders\">Updated mental ray shaders</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New properties have been added to the existing mental ray shader <strong>mib_texture_filter_lookup_2</strong> textureMap</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New tinting-related properties have been added to all existing <strong>ProMaterials</strong> mental ray shaders.</p>\n\
<h2 id=\"retired-removed-3ds-max-features\">Retired/Removed 3ds Max Features</h2><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>LS_Colors</code> SpacewarpModifier has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>LS_Mesh</code> Modifier has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>Lightscape_Material</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>Lightscape_Materials</code> UtilityPlugin has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<h2 id=\"removed-mental-ray-shaders\">Removed mental ray Shaders</h2><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>pass_through_color</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>pass_through_float</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>pass_through_float2</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>pass_through_float3</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">The <code>pass_through_float4</code> Material has been removed from <strong>3ds Max 2013</strong>.</p>\n\
<h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2><h3 id=\"modifiers\">Modifiers</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">Modifiers</a> can now be indexed in the <code>.modifiers</code> array of a scene node using their <strong>class</strong>, in addition to by index, name string or literal.</p>\n\
<h3 id=\"viewports\">Viewports</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New methods <code>viewport.EnableSolidBackgroundColorMode()</code> and <code>viewport.IsSolidBackgroundColorMode()</code> have been added to the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\"#viewport-display-and-render-controls\">existing viewport struct</a> to get and set the Solid Background Color mode vs. Background Gradient mode for the current viewport.</p>\n\
<h3 id=\"user-interface-creation\">User Interface Creation</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New optional <code>offsets:</code> creation parameter has been added to the existing  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">radiobuttons User Interface control</a> to allow the tweaking of the individual label&#39;s placement within the control.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">context with macroRecorderEmitterEnabled <boolean></a> enables the MacroRecorder emission from paramBlock changes and scene node creation operations from inside a scripted rollout&#39;s event handlers.</p>\n\
<h3 id=\"file-i-o\">File I/O</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The  <a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">openFile() append behavior</a> has been modified to create a new file if the file does not exist.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The  <a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\">fopen() append behavior</a> has been modified to create a new file if the file does not exist.</p>\n\
<h3 id=\"unicode-character-encoding-support\">Unicode Character Encoding Support</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 3ds Max (and MAXScript) now support Unicode <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\">Characters Encoding</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New options have been added to the existing <code>[MemStreamMgr](../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MemStream.html).openFile()</code> method to control the stream encoding preferences.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New optional keyword argument <code>forceUTF16:</code> and related method <code>setIniForceUTF16Default()</code> controlling its default value have been added to the existing  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\">setINISetting()</a>  method.</p>\n\
<h2 id=\"documentation-changes-and-additions\">Documentation Changes and Additions</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface:actionMan topic</a> has been updated with previously undocumented methods and MixinInterfaces providing access to ActionTables and ActionItems.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new section about <strong>Memory Management Considerations</strong> has been added to the existing <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\"#memory-management-considerations\">Controlling The Renderer topic</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">windows struct</a> was not fully documented, and the return values of several methods were changed from 5 to 8 elements in <strong>3ds Max 2011</strong>. The documentation of all methods has been improved.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The max command <code>max show vfb</code> was introduced in <strong>3ds Max 2011</strong>, but was undocumented. This has been fixed.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Rollouts</a>  and Rollout  <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">User Interface Controls</a>  in <strong>3ds Max 2011 and higher</strong> expose a <code>.hwnd</code> property containing the rollout&#39;s HWND Window Handle. It was previously undocumented.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Some methods of the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Core Interface</a> for setting the Texture and Background size were left undocumented.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Some properties of the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#viewport-settings-iobject-interfaces-\">ViewportViewSettingImpl MixinInterface</a> for controlling the Lighting and Shadows Quality and Reflections were left undocumented.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The topics <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX Import Dialog Access</a> and  <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">FBX Export Dialog Access</a>  have been updated to reflect the latest version of the plugins.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The documentation of the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshop.getVertsUsingFace()</a> method has been enhanced with a Note explaining why it is not suitable for getting the three vertices of a face definition.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The topics describing Material and TextureMap classes were largely missing their Index entries. This has been fixed.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The mental ray SSS Shaders were listed twice in the Contents, including some duplicated topics documenting the same shaders. This has been cleaned up.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The topic <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper</a> has been reformatted for clarity and has been enhanced with more examples.</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> The <a href=\"./../../3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\">OpenEXR BitmapIO</a> topic has been updated with information about accessing the Main Render Layer.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../What-is-New-in-MAXScript.html\">What is New in MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";